#include "mab.h"
#include "tipos_.h"
#include "agenda_mab.h"
#include <stdio.h>
#include <stdlib.h>
#include "log_mab.h"

#define mab_walk_to  26
#define mab_ladder  8
#define mab_big_pillow  9
#define mab_light  22
#define mab_eat  29
#define mab_nothing  20
#define mab_green_couch  0
#define mab_blue_key  7
#define mab_heavy  23
#define mab_green_chest  3
#define mab_aux_empty  30
#define mab_red_couch  1
#define mab_floor  12
#define mab_t2_2  15
#define mab_t1_3  19
#define mab_held  33
#define mab_red_chest  4
#define mab_bananas  11
#define mab_t5_7  14
#define mab_grapes  10
#define mab_t7_7  16
#define mab_t7_8  17
#define mab_ceiling  13
#define mab_t8_8  18
#define mab_hold  25
#define mab_unknown  32
#define mab_unlock  24
#define mab_red_key  6
#define mab_none  31
#define mab_blue_couch  2
#define mab_blank  21
#define mab_blue_chest  5
#define mab_move  27
#define mab_on  28

/*-------------- INICIALIZACIN DE NOMBRES DE LISTAS ----------------*/
char mab_lnombre_goal_action[] = "goal.action";
char mab_lnombre_goal_argument_1[] = "goal.argument_1";
char mab_lnombre_goal_argument_2[] = "goal.argument_2";



/*--------------------- FUNCIONES EXTERNAS --------------------*/

int mab_halt=FALSE;
char mab_estrategia=profundidad;
enum tipos_cambio{activacion=1, desactivacion};

/* Variables auxiliares para las partes izquierda de las reglas */
int LIz_mab_get_key_to_unlock=FALSE;
int LIz_mab_walk_holding_nothing=FALSE;
int LIz_mab_climb_ladder_to_hold=FALSE;
int LIz_mab_get_on_floor_to_walk=FALSE;
int LIz_mab_drop_to_climb=FALSE;
int LIz_mab_grab_object_from_ladder=FALSE;
int LIz_mab_hold_to_eat=FALSE;
int LIz_mab_walk_holding_object=FALSE;
int LIz_mab_walk_to_place_to_climb=FALSE;
int LIz_mab_satisfy_hunger=FALSE;
int LIz_mab_move_to_chest_with_key=FALSE;
int LIz_mab_drop_object=FALSE;
int LIz_mab_climb_indirectly=FALSE;
int LIz_mab_already_on_object=FALSE;
int LIz_mab_hold_object_to_move=FALSE;
int LIz_mab_drop_object_once_moved=FALSE;
int LIz_mab_climb_directly=FALSE;
int LIz_mab_unlock_chest_to_hold_object=FALSE;
int LIz_mab_already_moved_object=FALSE;
int LIz_mab_move_object_to_place=FALSE;
int LIz_mab_already_at_place=FALSE;
int LIz_mab_put_chest_on_floor=FALSE;
int LIz_mab_hold_chest_to_put_on_floor=FALSE;
int LIz_mab_jump_onto_floor=FALSE;
int LIz_mab_unlock_chest_with_key=FALSE;
int LIz_mab_walk_to_hold=FALSE;
int LIz_mab_use_ladder_to_hold=FALSE;
int LIz_mab_climb_to_hold=FALSE;
int LIz_mab_grab_object=FALSE;
int LIz_mab_unlock_chest_to_move_object=FALSE;
int LIz_mab_drop_to_hold=FALSE;
/*--------------- ESTRUCTURAS DE DATOS PARA LAS REGLAS ----------------*/

int mab_R3[12][3];     /* regla get_key_to_unlock */ 
int mab_R22;     /* regla walk_holding_nothing */ 

int mab_R8[12][12];     /* regla climb_ladder_to_hold */ 

int mab_R21;     /* regla get_on_floor_to_walk */ 
int mab_R26[12];     /* regla drop_to_climb */ 

int mab_R9[12][12];     /* regla grab_object_from_ladder */ 

int mab_R30;     /* regla hold_to_eat */ 

int mab_R23[12];     /* regla walk_holding_object */ 
int mab_R25[12];     /* regla walk_to_place_to_climb */ 

int mab_R31[12];     /* regla satisfy_hunger */ 

int mab_R4[12][3];     /* regla move_to_chest_with_key */ 

int mab_R14[12];     /* regla drop_object */ 
int mab_R27[12];     /* regla climb_indirectly */ 

int mab_R29;     /* regla already_on_object */ 

int mab_R16[12];     /* regla hold_object_to_move */ 
int mab_R18[12];     /* regla drop_object_once_moved */ 

int mab_R28[12];     /* regla climb_directly */ 

int mab_R6[3];     /* regla unlock_chest_to_hold_object */ 

int mab_R19[12];     /* regla already_moved_object */ 

int mab_R17;     /* regla move_object_to_place */ 

int mab_R20;     /* regla already_at_place */ 

int mab_R2[12];     /* regla put_chest_on_floor */ 

int mab_R1[12];     /* regla hold_chest_to_put_on_floor */ 

int mab_R24;     /* regla jump_onto_floor */ 

int mab_R5[3][12][12];     /* regla unlock_chest_with_key */ 
int mab_R11[12];     /* regla walk_to_hold */ 

int mab_R7[12];     /* regla use_ladder_to_hold */ 

int mab_R10[12];     /* regla climb_to_hold */ 

int mab_R13[12];     /* regla grab_object */ 
int mab_R15[3];     /* regla unlock_chest_to_move_object */ 

int mab_R12[12];     /* regla drop_to_hold */ 

/*------------- ESTRUCTURAS DE DATOS PARA LAS CONDICIONES -------------*/

/* CONDICION: 0 REGLA: get_key_to_unlock*/ 

int activ_cond0_mab_get_key_to_unlock;

/* CONDICION: 1 REGLA: get_key_to_unlock*/ 

int activ_cond1_mab_get_key_to_unlock[12];
int camb_cond1_mab_get_key_to_unlock[12];
struct {
	int  tipo_cambio;
	int  instancias[1];
} cambios_cond1_mab_get_key_to_unlock[12];
int num_cambios_cond1_mab_get_key_to_unlock;

/* CONDICION: 2 REGLA: get_key_to_unlock*/ 

int activ_cond2_mab_get_key_to_unlock[12];
int camb_cond2_mab_get_key_to_unlock[12];
struct {
	int  tipo_cambio;
	int  instancias[1];
} cambios_cond2_mab_get_key_to_unlock[12];
int num_cambios_cond2_mab_get_key_to_unlock;

/* CONDICION: 3 REGLA: get_key_to_unlock*/ 

int activ_cond3_mab_get_key_to_unlock[3][12];
int camb_cond3_mab_get_key_to_unlock[3][12];
struct {
	int  tipo_cambio;
	int  instancias[2];
} cambios_cond3_mab_get_key_to_unlock[36];
int num_cambios_cond3_mab_get_key_to_unlock;

/* CONDICION: 4 REGLA: get_key_to_unlock*/ 

int activ_cond4_mab_get_key_to_unlock[3];
int camb_cond4_mab_get_key_to_unlock[3];
struct {
	int  tipo_cambio;
	int  instancias[1];
} cambios_cond4_mab_get_key_to_unlock[3];
int num_cambios_cond4_mab_get_key_to_unlock;

/* CONDICION: 0 REGLA: walk_holding_nothing*/ 

int activ_cond0_mab_walk_holding_nothing;

/* CONDICION: 1 REGLA: walk_holding_nothing*/ 

int activ_cond1_mab_walk_holding_nothing;

/* CONDICION: 2 REGLA: walk_holding_nothing*/ 

int activ_cond2_mab_walk_holding_nothing;

/* CONDICION: 3 REGLA: walk_holding_nothing*/ 

int activ_cond3_mab_walk_holding_nothing;

/* CONDICION: 0 REGLA: climb_ladder_to_hold*/ 

int activ_cond0_mab_climb_ladder_to_hold;

/* CONDICION: 1 REGLA: climb_ladder_to_hold*/ 

int activ_cond1_mab_climb_ladder_to_hold[12];
int camb_cond1_mab_climb_ladder_to_hold[12];
struct {
	int  tipo_cambio;
	int  instancias[1];
} cambios_cond1_mab_climb_ladder_to_hold[12];
int num_cambios_cond1_mab_climb_ladder_to_hold;

/* CONDICION: 2 REGLA: climb_ladder_to_hold*/ 

int activ_cond2_mab_climb_ladder_to_hold[12];
int camb_cond2_mab_climb_ladder_to_hold[12];
struct {
	int  tipo_cambio;
	int  instancias[1];
} cambios_cond2_mab_climb_ladder_to_hold[12];
int num_cambios_cond2_mab_climb_ladder_to_hold;

/* CONDICION: 3 REGLA: climb_ladder_to_hold*/ 

int activ_cond3_mab_climb_ladder_to_hold[12];
int camb_cond3_mab_climb_ladder_to_hold[12];
struct {
	int  tipo_cambio;
	int  instancias[1];
} cambios_cond3_mab_climb_ladder_to_hold[12];
int num_cambios_cond3_mab_climb_ladder_to_hold;

/* CONDICION: 4 REGLA: climb_ladder_to_hold*/ 

int activ_cond4_mab_climb_ladder_to_hold[12];
int camb_cond4_mab_climb_ladder_to_hold[12];
struct {
	int  tipo_cambio;
	int  instancias[1];
} cambios_cond4_mab_climb_ladder_to_hold[12];
int num_cambios_cond4_mab_climb_ladder_to_hold;

/* CONDICION: 5 REGLA: climb_ladder_to_hold*/ 

int activ_cond5_mab_climb_ladder_to_hold[12][12];
int camb_cond5_mab_climb_ladder_to_hold[12][12];
struct {
	int  tipo_cambio;
	int  instancias[2];
} cambios_cond5_mab_climb_ladder_to_hold[144];
int num_cambios_cond5_mab_climb_ladder_to_hold;

/* CONDICION: 6 REGLA: climb_ladder_to_hold*/ 

int activ_cond6_mab_climb_ladder_to_hold[12];
int camb_cond6_mab_climb_ladder_to_hold[12];
struct {
	int  tipo_cambio;
	int  instancias[1];
} cambios_cond6_mab_climb_ladder_to_hold[12];
int num_cambios_cond6_mab_climb_ladder_to_hold;

/* CONDICION: 7 REGLA: climb_ladder_to_hold*/ 

int activ_cond7_mab_climb_ladder_to_hold;

/* CONDICION: 0 REGLA: get_on_floor_to_walk (copia de condicion 0 regla walk_holding_nothing) */


/* CONDICION: 1 REGLA: get_on_floor_to_walk (copia de condicion 1 regla walk_holding_nothing) */


/* CONDICION: 2 REGLA: get_on_floor_to_walk*/ 

int activ_cond2_mab_get_on_floor_to_walk;

/* CONDICION: 0 REGLA: drop_to_climb*/ 

int activ_cond0_mab_drop_to_climb;

/* CONDICION: 1 REGLA: drop_to_climb (copia de condicion 1 regla climb_ladder_to_hold) */

int num_cambios_cond1_mab_drop_to_climb;

/* CONDICION: 2 REGLA: drop_to_climb*/ 

int activ_cond2_mab_drop_to_climb[12];
int camb_cond2_mab_drop_to_climb[12];
struct {
	int  tipo_cambio;
	int  instancias[1];
} cambios_cond2_mab_drop_to_climb[12];
int num_cambios_cond2_mab_drop_to_climb;

/* CONDICION: 3 REGLA: drop_to_climb*/ 

int activ_cond3_mab_drop_to_climb;

/* CONDICION: 0 REGLA: grab_object_from_ladder (copia de condicion 0 regla climb_ladder_to_hold) */


/* CONDICION: 1 REGLA: grab_object_from_ladder (copia de condicion 1 regla climb_ladder_to_hold) */

int num_cambios_cond1_mab_grab_object_from_ladder;

/* CONDICION: 2 REGLA: grab_object_from_ladder (copia de condicion 2 regla climb_ladder_to_hold) */

int num_cambios_cond2_mab_grab_object_from_ladder;

/* CONDICION: 3 REGLA: grab_object_from_ladder (copia de condicion 3 regla climb_ladder_to_hold) */

int num_cambios_cond3_mab_grab_object_from_ladder;

/* CONDICION: 4 REGLA: grab_object_from_ladder (copia de condicion 4 regla climb_ladder_to_hold) */

int num_cambios_cond4_mab_grab_object_from_ladder;

/* CONDICION: 5 REGLA: grab_object_from_ladder (copia de condicion 5 regla climb_ladder_to_hold) */

int num_cambios_cond5_mab_grab_object_from_ladder;

/* CONDICION: 6 REGLA: grab_object_from_ladder (copia de condicion 2 regla drop_to_climb) */

int num_cambios_cond6_mab_grab_object_from_ladder;

/* CONDICION: 7 REGLA: grab_object_from_ladder*/ 

int activ_cond7_mab_grab_object_from_ladder;

/* CONDICION: 8 REGLA: grab_object_from_ladder (copia de condicion 3 regla walk_holding_nothing) */


/* CONDICION: 0 REGLA: hold_to_eat*/ 

int activ_cond0_mab_hold_to_eat;

/* CONDICION: 1 REGLA: hold_to_eat*/ 

int activ_cond1_mab_hold_to_eat;

/* CONDICION: 0 REGLA: walk_holding_object (copia de condicion 0 regla walk_holding_nothing) */


/* CONDICION: 1 REGLA: walk_holding_object (copia de condicion 1 regla walk_holding_nothing) */


/* CONDICION: 2 REGLA: walk_holding_object (copia de condicion 2 regla walk_holding_nothing) */


/* CONDICION: 3 REGLA: walk_holding_object*/ 

int activ_cond3_mab_walk_holding_object[12];
int camb_cond3_mab_walk_holding_object[12];
struct {
	int  tipo_cambio;
	int  instancias[1];
} cambios_cond3_mab_walk_holding_object[12];
int num_cambios_cond3_mab_walk_holding_object;

/* CONDICION: 0 REGLA: walk_to_place_to_climb (copia de condicion 0 regla drop_to_climb) */


/* CONDICION: 1 REGLA: walk_to_place_to_climb (copia de condicion 1 regla climb_ladder_to_hold) */

int num_cambios_cond1_mab_walk_to_place_to_climb;

/* CONDICION: 2 REGLA: walk_to_place_to_climb*/ 

int activ_cond2_mab_walk_to_place_to_climb[12];
int camb_cond2_mab_walk_to_place_to_climb[12];
struct {
	int  tipo_cambio;
	int  instancias[1];
} cambios_cond2_mab_walk_to_place_to_climb[12];
int num_cambios_cond2_mab_walk_to_place_to_climb;

/* CONDICION: 0 REGLA: satisfy_hunger (copia de condicion 0 regla hold_to_eat) */


/* CONDICION: 1 REGLA: satisfy_hunger*/ 

int activ_cond1_mab_satisfy_hunger;

/* CONDICION: 2 REGLA: satisfy_hunger (copia de condicion 3 regla walk_holding_object) */

int num_cambios_cond2_mab_satisfy_hunger;

/* CONDICION: 0 REGLA: move_to_chest_with_key (copia de condicion 0 regla get_key_to_unlock) */


/* CONDICION: 1 REGLA: move_to_chest_with_key (copia de condicion 1 regla climb_ladder_to_hold) */

int num_cambios_cond1_mab_move_to_chest_with_key;

/* CONDICION: 2 REGLA: move_to_chest_with_key (copia de condicion 2 regla get_key_to_unlock) */

int num_cambios_cond2_mab_move_to_chest_with_key;

/* CONDICION: 3 REGLA: move_to_chest_with_key (copia de condicion 2 regla walk_to_place_to_climb) */

int num_cambios_cond3_mab_move_to_chest_with_key;

/* CONDICION: 4 REGLA: move_to_chest_with_key*/ 

int activ_cond4_mab_move_to_chest_with_key[3];
int camb_cond4_mab_move_to_chest_with_key[3];
struct {
	int  tipo_cambio;
	int  instancias[1];
} cambios_cond4_mab_move_to_chest_with_key[3];
int num_cambios_cond4_mab_move_to_chest_with_key;

/* CONDICION: 5 REGLA: move_to_chest_with_key*/ 

int activ_cond5_mab_move_to_chest_with_key[3];
int camb_cond5_mab_move_to_chest_with_key[3];
struct {
	int  tipo_cambio;
	int  instancias[1];
} cambios_cond5_mab_move_to_chest_with_key[3];
int num_cambios_cond5_mab_move_to_chest_with_key;

/* CONDICION: 0 REGLA: drop_object (copia de condicion 0 regla climb_ladder_to_hold) */


/* CONDICION: 1 REGLA: drop_object*/ 

int activ_cond1_mab_drop_object;

/* CONDICION: 2 REGLA: drop_object (copia de condicion 3 regla drop_to_climb) */


/* CONDICION: 3 REGLA: drop_object (copia de condicion 3 regla walk_holding_object) */

int num_cambios_cond3_mab_drop_object;

/* CONDICION: 0 REGLA: climb_indirectly (copia de condicion 0 regla drop_to_climb) */


/* CONDICION: 1 REGLA: climb_indirectly (copia de condicion 1 regla climb_ladder_to_hold) */

int num_cambios_cond1_mab_climb_indirectly;

/* CONDICION: 2 REGLA: climb_indirectly (copia de condicion 2 regla drop_to_climb) */

int num_cambios_cond2_mab_climb_indirectly;

/* CONDICION: 3 REGLA: climb_indirectly*/ 

int activ_cond3_mab_climb_indirectly[12];
int camb_cond3_mab_climb_indirectly[12];
struct {
	int  tipo_cambio;
	int  instancias[1];
} cambios_cond3_mab_climb_indirectly[12];
int num_cambios_cond3_mab_climb_indirectly;

/* CONDICION: 4 REGLA: climb_indirectly*/ 

int activ_cond4_mab_climb_indirectly;

/* CONDICION: 5 REGLA: climb_indirectly (copia de condicion 3 regla walk_holding_nothing) */


/* CONDICION: 0 REGLA: already_on_object (copia de condicion 0 regla drop_to_climb) */


/* CONDICION: 1 REGLA: already_on_object*/ 

int activ_cond1_mab_already_on_object;

/* CONDICION: 0 REGLA: hold_object_to_move*/ 

int activ_cond0_mab_hold_object_to_move;

/* CONDICION: 1 REGLA: hold_object_to_move (copia de condicion 1 regla climb_ladder_to_hold) */

int num_cambios_cond1_mab_hold_object_to_move;

/* CONDICION: 2 REGLA: hold_object_to_move*/ 

int activ_cond2_mab_hold_object_to_move[12];
int camb_cond2_mab_hold_object_to_move[12];
struct {
	int  tipo_cambio;
	int  instancias[1];
} cambios_cond2_mab_hold_object_to_move[12];
int num_cambios_cond2_mab_hold_object_to_move;

/* CONDICION: 3 REGLA: hold_object_to_move (copia de condicion 3 regla climb_ladder_to_hold) */

int num_cambios_cond3_mab_hold_object_to_move;

/* CONDICION: 4 REGLA: hold_object_to_move (copia de condicion 1 regla hold_to_eat) */


/* CONDICION: 0 REGLA: drop_object_once_moved (copia de condicion 0 regla hold_object_to_move) */


/* CONDICION: 1 REGLA: drop_object_once_moved*/ 

int activ_cond1_mab_drop_object_once_moved;

/* CONDICION: 2 REGLA: drop_object_once_moved (copia de condicion 1 regla climb_ladder_to_hold) */

int num_cambios_cond2_mab_drop_object_once_moved;

/* CONDICION: 3 REGLA: drop_object_once_moved (copia de condicion 3 regla climb_ladder_to_hold) */

int num_cambios_cond3_mab_drop_object_once_moved;

/* CONDICION: 0 REGLA: climb_directly (copia de condicion 0 regla drop_to_climb) */


/* CONDICION: 1 REGLA: climb_directly (copia de condicion 1 regla climb_ladder_to_hold) */

int num_cambios_cond1_mab_climb_directly;

/* CONDICION: 2 REGLA: climb_directly (copia de condicion 2 regla drop_to_climb) */

int num_cambios_cond2_mab_climb_directly;

/* CONDICION: 3 REGLA: climb_directly*/ 

int activ_cond3_mab_climb_directly[12];
int camb_cond3_mab_climb_directly[12];
struct {
	int  tipo_cambio;
	int  instancias[1];
} cambios_cond3_mab_climb_directly[12];
int num_cambios_cond3_mab_climb_directly;

/* CONDICION: 4 REGLA: climb_directly (copia de condicion 3 regla walk_holding_nothing) */


/* CONDICION: 0 REGLA: unlock_chest_to_hold_object (copia de condicion 0 regla climb_ladder_to_hold) */


/* CONDICION: 1 REGLA: unlock_chest_to_hold_object*/ 

int activ_cond1_mab_unlock_chest_to_hold_object[3];
int camb_cond1_mab_unlock_chest_to_hold_object[3];
struct {
	int  tipo_cambio;
	int  instancias[1];
} cambios_cond1_mab_unlock_chest_to_hold_object[3];
int num_cambios_cond1_mab_unlock_chest_to_hold_object;

/* CONDICION: 0 REGLA: already_moved_object (copia de condicion 0 regla hold_object_to_move) */


/* CONDICION: 1 REGLA: already_moved_object (copia de condicion 1 regla climb_ladder_to_hold) */

int num_cambios_cond1_mab_already_moved_object;

/* CONDICION: 2 REGLA: already_moved_object*/ 

int activ_cond2_mab_already_moved_object[12];
int camb_cond2_mab_already_moved_object[12];
struct {
	int  tipo_cambio;
	int  instancias[1];
} cambios_cond2_mab_already_moved_object[12];
int num_cambios_cond2_mab_already_moved_object;

/* CONDICION: 0 REGLA: move_object_to_place (copia de condicion 0 regla hold_object_to_move) */


/* CONDICION: 1 REGLA: move_object_to_place*/ 

int activ_cond1_mab_move_object_to_place;

/* CONDICION: 2 REGLA: move_object_to_place (copia de condicion 1 regla satisfy_hunger) */


/* CONDICION: 0 REGLA: already_at_place (copia de condicion 0 regla walk_holding_nothing) */


/* CONDICION: 1 REGLA: already_at_place*/ 

int activ_cond1_mab_already_at_place;

/* CONDICION: 0 REGLA: put_chest_on_floor (copia de condicion 0 regla get_key_to_unlock) */


/* CONDICION: 1 REGLA: put_chest_on_floor (copia de condicion 1 regla satisfy_hunger) */


/* CONDICION: 2 REGLA: put_chest_on_floor (copia de condicion 3 regla walk_holding_object) */

int num_cambios_cond2_mab_put_chest_on_floor;

/* CONDICION: 0 REGLA: hold_chest_to_put_on_floor (copia de condicion 0 regla get_key_to_unlock) */


/* CONDICION: 1 REGLA: hold_chest_to_put_on_floor (copia de condicion 1 regla get_key_to_unlock) */

int num_cambios_cond1_mab_hold_chest_to_put_on_floor;

/* CONDICION: 2 REGLA: hold_chest_to_put_on_floor*/ 

int activ_cond2_mab_hold_chest_to_put_on_floor[12];
int camb_cond2_mab_hold_chest_to_put_on_floor[12];
struct {
	int  tipo_cambio;
	int  instancias[1];
} cambios_cond2_mab_hold_chest_to_put_on_floor[12];
int num_cambios_cond2_mab_hold_chest_to_put_on_floor;

/* CONDICION: 3 REGLA: hold_chest_to_put_on_floor (copia de condicion 3 regla climb_ladder_to_hold) */

int num_cambios_cond3_mab_hold_chest_to_put_on_floor;

/* CONDICION: 4 REGLA: hold_chest_to_put_on_floor (copia de condicion 1 regla hold_to_eat) */


/* CONDICION: 0 REGLA: jump_onto_floor (copia de condicion 0 regla drop_to_climb) */


/* CONDICION: 1 REGLA: jump_onto_floor*/ 

int activ_cond1_mab_jump_onto_floor;

/* CONDICION: 2 REGLA: jump_onto_floor (copia de condicion 2 regla get_on_floor_to_walk) */


/* CONDICION: 0 REGLA: unlock_chest_with_key (copia de condicion 0 regla get_key_to_unlock) */


/* CONDICION: 1 REGLA: unlock_chest_with_key (copia de condicion 4 regla move_to_chest_with_key) */

int num_cambios_cond1_mab_unlock_chest_with_key;

/* CONDICION: 2 REGLA: unlock_chest_with_key (copia de condicion 1 regla climb_ladder_to_hold) */

int num_cambios_cond2_mab_unlock_chest_with_key;

/* CONDICION: 3 REGLA: unlock_chest_with_key (copia de condicion 2 regla drop_to_climb) */

int num_cambios_cond3_mab_unlock_chest_with_key;

/* CONDICION: 4 REGLA: unlock_chest_with_key (copia de condicion 3 regla climb_directly) */

int num_cambios_cond4_mab_unlock_chest_with_key;

/* CONDICION: 5 REGLA: unlock_chest_with_key*/ 

int activ_cond5_mab_unlock_chest_with_key[3];
int camb_cond5_mab_unlock_chest_with_key[3];
struct {
	int  tipo_cambio;
	int  instancias[1];
} cambios_cond5_mab_unlock_chest_with_key[3];
int num_cambios_cond5_mab_unlock_chest_with_key;

/* CONDICION: 6 REGLA: unlock_chest_with_key*/ 

int activ_cond6_mab_unlock_chest_with_key[12];
int camb_cond6_mab_unlock_chest_with_key[12];
struct {
	int  tipo_cambio;
	int  instancias[1];
} cambios_cond6_mab_unlock_chest_with_key[12];
int num_cambios_cond6_mab_unlock_chest_with_key;

/* CONDICION: 0 REGLA: walk_to_hold (copia de condicion 0 regla climb_ladder_to_hold) */


/* CONDICION: 1 REGLA: walk_to_hold (copia de condicion 1 regla climb_ladder_to_hold) */

int num_cambios_cond1_mab_walk_to_hold;

/* CONDICION: 2 REGLA: walk_to_hold*/ 

int activ_cond2_mab_walk_to_hold[12];
int camb_cond2_mab_walk_to_hold[12];
struct {
	int  tipo_cambio;
	int  instancias[1];
} cambios_cond2_mab_walk_to_hold[12];
int num_cambios_cond2_mab_walk_to_hold;

/* CONDICION: 3 REGLA: walk_to_hold (copia de condicion 3 regla climb_ladder_to_hold) */

int num_cambios_cond3_mab_walk_to_hold;

/* CONDICION: 4 REGLA: walk_to_hold (copia de condicion 2 regla walk_to_place_to_climb) */

int num_cambios_cond4_mab_walk_to_hold;

/* CONDICION: 0 REGLA: use_ladder_to_hold (copia de condicion 0 regla climb_ladder_to_hold) */


/* CONDICION: 1 REGLA: use_ladder_to_hold (copia de condicion 1 regla climb_ladder_to_hold) */

int num_cambios_cond1_mab_use_ladder_to_hold;

/* CONDICION: 2 REGLA: use_ladder_to_hold (copia de condicion 2 regla climb_ladder_to_hold) */

int num_cambios_cond2_mab_use_ladder_to_hold;

/* CONDICION: 3 REGLA: use_ladder_to_hold (copia de condicion 3 regla climb_ladder_to_hold) */

int num_cambios_cond3_mab_use_ladder_to_hold;

/* CONDICION: 0 REGLA: climb_to_hold (copia de condicion 0 regla climb_ladder_to_hold) */


/* CONDICION: 1 REGLA: climb_to_hold (copia de condicion 1 regla climb_ladder_to_hold) */

int num_cambios_cond1_mab_climb_to_hold;

/* CONDICION: 2 REGLA: climb_to_hold*/ 

int activ_cond2_mab_climb_to_hold[12];
int camb_cond2_mab_climb_to_hold[12];
struct {
	int  tipo_cambio;
	int  instancias[1];
} cambios_cond2_mab_climb_to_hold[12];
int num_cambios_cond2_mab_climb_to_hold;

/* CONDICION: 3 REGLA: climb_to_hold (copia de condicion 3 regla climb_ladder_to_hold) */

int num_cambios_cond3_mab_climb_to_hold;

/* CONDICION: 4 REGLA: climb_to_hold (copia de condicion 2 regla drop_to_climb) */

int num_cambios_cond4_mab_climb_to_hold;

/* CONDICION: 5 REGLA: climb_to_hold (copia de condicion 3 regla climb_indirectly) */

int num_cambios_cond5_mab_climb_to_hold;

/* CONDICION: 0 REGLA: grab_object (copia de condicion 0 regla climb_ladder_to_hold) */


/* CONDICION: 1 REGLA: grab_object (copia de condicion 1 regla climb_ladder_to_hold) */

int num_cambios_cond1_mab_grab_object;

/* CONDICION: 2 REGLA: grab_object (copia de condicion 3 regla climb_ladder_to_hold) */

int num_cambios_cond2_mab_grab_object;

/* CONDICION: 3 REGLA: grab_object (copia de condicion 2 regla drop_to_climb) */

int num_cambios_cond3_mab_grab_object;

/* CONDICION: 4 REGLA: grab_object (copia de condicion 3 regla climb_directly) */

int num_cambios_cond4_mab_grab_object;

/* CONDICION: 5 REGLA: grab_object (copia de condicion 3 regla walk_holding_nothing) */


/* CONDICION: 0 REGLA: unlock_chest_to_move_object (copia de condicion 0 regla hold_object_to_move) */


/* CONDICION: 1 REGLA: unlock_chest_to_move_object*/ 

int activ_cond1_mab_unlock_chest_to_move_object[3];
int camb_cond1_mab_unlock_chest_to_move_object[3];
struct {
	int  tipo_cambio;
	int  instancias[1];
} cambios_cond1_mab_unlock_chest_to_move_object[3];
int num_cambios_cond1_mab_unlock_chest_to_move_object;

/* CONDICION: 0 REGLA: drop_to_hold (copia de condicion 0 regla climb_ladder_to_hold) */


/* CONDICION: 1 REGLA: drop_to_hold (copia de condicion 1 regla climb_ladder_to_hold) */

int num_cambios_cond1_mab_drop_to_hold;

/* CONDICION: 2 REGLA: drop_to_hold (copia de condicion 3 regla climb_ladder_to_hold) */

int num_cambios_cond2_mab_drop_to_hold;

/* CONDICION: 3 REGLA: drop_to_hold (copia de condicion 2 regla drop_to_climb) */

int num_cambios_cond3_mab_drop_to_hold;

/* CONDICION: 4 REGLA: drop_to_hold (copia de condicion 3 regla climb_directly) */

int num_cambios_cond4_mab_drop_to_hold;

/* CONDICION: 5 REGLA: drop_to_hold (copia de condicion 3 regla drop_to_climb) */



/*------------- FUNCIONES PARA LAS ESTRUCTURAS DE LAS REGLAS -------------*/

int mab_esta_activada(r)
	 mab_REGAGENDA r;
{
	switch (r.num_regla) {
		case 3:  return (mab_R3[r.instancias[0]][r.instancias[1]]);
		case 22:  return (mab_R22);
		case 8:  return (mab_R8[r.instancias[0]][r.instancias[1]]);
		case 21:  return (mab_R21);
		case 26:  return (mab_R26[r.instancias[0]]);
		case 9:  return (mab_R9[r.instancias[0]][r.instancias[1]]);
		case 30:  return (mab_R30);
		case 23:  return (mab_R23[r.instancias[0]]);
		case 25:  return (mab_R25[r.instancias[0]]);
		case 31:  return (mab_R31[r.instancias[0]]);
		case 4:  return (mab_R4[r.instancias[0]][r.instancias[1]]);
		case 14:  return (mab_R14[r.instancias[0]]);
		case 27:  return (mab_R27[r.instancias[0]]);
		case 29:  return (mab_R29);
		case 16:  return (mab_R16[r.instancias[0]]);
		case 18:  return (mab_R18[r.instancias[0]]);
		case 28:  return (mab_R28[r.instancias[0]]);
		case 6:  return (mab_R6[r.instancias[0]]);
		case 19:  return (mab_R19[r.instancias[0]]);
		case 17:  return (mab_R17);
		case 20:  return (mab_R20);
		case 2:  return (mab_R2[r.instancias[0]]);
		case 1:  return (mab_R1[r.instancias[0]]);
		case 24:  return (mab_R24);
		case 5:  return (mab_R5[r.instancias[0]][r.instancias[1]][r.instancias[2]]);
		case 11:  return (mab_R11[r.instancias[0]]);
		case 7:  return (mab_R7[r.instancias[0]]);
		case 10:  return (mab_R10[r.instancias[0]]);
		case 13:  return (mab_R13[r.instancias[0]]);
		case 15:  return (mab_R15[r.instancias[0]]);
		case 12:  return (mab_R12[r.instancias[0]]);
	}
}

void mab_marca_activada(r,entagen)
	 mab_REGAGENDA r;
	 int entagen;
{
	switch (r.num_regla) {
		case 3:  mab_R3[r.instancias[0]][r.instancias[1]]=entagen;
			 break;
		case 22:  mab_R22=entagen;
			 break;
		case 8:  mab_R8[r.instancias[0]][r.instancias[1]]=entagen;
			 break;
		case 21:  mab_R21=entagen;
			 break;
		case 26:  mab_R26[r.instancias[0]]=entagen;
			 break;
		case 9:  mab_R9[r.instancias[0]][r.instancias[1]]=entagen;
			 break;
		case 30:  mab_R30=entagen;
			 break;
		case 23:  mab_R23[r.instancias[0]]=entagen;
			 break;
		case 25:  mab_R25[r.instancias[0]]=entagen;
			 break;
		case 31:  mab_R31[r.instancias[0]]=entagen;
			 break;
		case 4:  mab_R4[r.instancias[0]][r.instancias[1]]=entagen;
			 break;
		case 14:  mab_R14[r.instancias[0]]=entagen;
			 break;
		case 27:  mab_R27[r.instancias[0]]=entagen;
			 break;
		case 29:  mab_R29=entagen;
			 break;
		case 16:  mab_R16[r.instancias[0]]=entagen;
			 break;
		case 18:  mab_R18[r.instancias[0]]=entagen;
			 break;
		case 28:  mab_R28[r.instancias[0]]=entagen;
			 break;
		case 6:  mab_R6[r.instancias[0]]=entagen;
			 break;
		case 19:  mab_R19[r.instancias[0]]=entagen;
			 break;
		case 17:  mab_R17=entagen;
			 break;
		case 20:  mab_R20=entagen;
			 break;
		case 2:  mab_R2[r.instancias[0]]=entagen;
			 break;
		case 1:  mab_R1[r.instancias[0]]=entagen;
			 break;
		case 24:  mab_R24=entagen;
			 break;
		case 5:  mab_R5[r.instancias[0]][r.instancias[1]][r.instancias[2]]=entagen;
			 break;
		case 11:  mab_R11[r.instancias[0]]=entagen;
			 break;
		case 7:  mab_R7[r.instancias[0]]=entagen;
			 break;
		case 10:  mab_R10[r.instancias[0]]=entagen;
			 break;
		case 13:  mab_R13[r.instancias[0]]=entagen;
			 break;
		case 15:  mab_R15[r.instancias[0]]=entagen;
			 break;
		case 12:  mab_R12[r.instancias[0]]=entagen;
			 break;
	}
}

int mab_marca_desactivada(r)
	 mab_REGAGENDA r;
{
	int entagen;

	switch (r.num_regla) {
		case 3:  entagen=mab_R3[r.instancias[0]][r.instancias[1]];
			mab_R3[r.instancias[0]][r.instancias[1]]=0;
			 break;
		case 22:  entagen=mab_R22;
			mab_R22=0;
			 break;
		case 8:  entagen=mab_R8[r.instancias[0]][r.instancias[1]];
			mab_R8[r.instancias[0]][r.instancias[1]]=0;
			 break;
		case 21:  entagen=mab_R21;
			mab_R21=0;
			 break;
		case 26:  entagen=mab_R26[r.instancias[0]];
			mab_R26[r.instancias[0]]=0;
			 break;
		case 9:  entagen=mab_R9[r.instancias[0]][r.instancias[1]];
			mab_R9[r.instancias[0]][r.instancias[1]]=0;
			 break;
		case 30:  entagen=mab_R30;
			mab_R30=0;
			 break;
		case 23:  entagen=mab_R23[r.instancias[0]];
			mab_R23[r.instancias[0]]=0;
			 break;
		case 25:  entagen=mab_R25[r.instancias[0]];
			mab_R25[r.instancias[0]]=0;
			 break;
		case 31:  entagen=mab_R31[r.instancias[0]];
			mab_R31[r.instancias[0]]=0;
			 break;
		case 4:  entagen=mab_R4[r.instancias[0]][r.instancias[1]];
			mab_R4[r.instancias[0]][r.instancias[1]]=0;
			 break;
		case 14:  entagen=mab_R14[r.instancias[0]];
			mab_R14[r.instancias[0]]=0;
			 break;
		case 27:  entagen=mab_R27[r.instancias[0]];
			mab_R27[r.instancias[0]]=0;
			 break;
		case 29:  entagen=mab_R29;
			mab_R29=0;
			 break;
		case 16:  entagen=mab_R16[r.instancias[0]];
			mab_R16[r.instancias[0]]=0;
			 break;
		case 18:  entagen=mab_R18[r.instancias[0]];
			mab_R18[r.instancias[0]]=0;
			 break;
		case 28:  entagen=mab_R28[r.instancias[0]];
			mab_R28[r.instancias[0]]=0;
			 break;
		case 6:  entagen=mab_R6[r.instancias[0]];
			mab_R6[r.instancias[0]]=0;
			 break;
		case 19:  entagen=mab_R19[r.instancias[0]];
			mab_R19[r.instancias[0]]=0;
			 break;
		case 17:  entagen=mab_R17;
			mab_R17=0;
			 break;
		case 20:  entagen=mab_R20;
			mab_R20=0;
			 break;
		case 2:  entagen=mab_R2[r.instancias[0]];
			mab_R2[r.instancias[0]]=0;
			 break;
		case 1:  entagen=mab_R1[r.instancias[0]];
			mab_R1[r.instancias[0]]=0;
			 break;
		case 24:  entagen=mab_R24;
			mab_R24=0;
			 break;
		case 5:  entagen=mab_R5[r.instancias[0]][r.instancias[1]][r.instancias[2]];
			mab_R5[r.instancias[0]][r.instancias[1]][r.instancias[2]]=0;
			 break;
		case 11:  entagen=mab_R11[r.instancias[0]];
			mab_R11[r.instancias[0]]=0;
			 break;
		case 7:  entagen=mab_R7[r.instancias[0]];
			mab_R7[r.instancias[0]]=0;
			 break;
		case 10:  entagen=mab_R10[r.instancias[0]];
			mab_R10[r.instancias[0]]=0;
			 break;
		case 13:  entagen=mab_R13[r.instancias[0]];
			mab_R13[r.instancias[0]]=0;
			 break;
		case 15:  entagen=mab_R15[r.instancias[0]];
			mab_R15[r.instancias[0]]=0;
			 break;
		case 12:  entagen=mab_R12[r.instancias[0]];
			mab_R12[r.instancias[0]]=0;
			 break;
	}
	return(entagen);
}

void mab_elim_agenda(num_regla)
	 int num_regla;
{
	int iter[3];
	mab_REGAGENDA r;

	switch (num_regla) {
		case 3:  
		for(iter[0]=0;iter[0]<12; iter[0]++)
			for(iter[1]=0;iter[1]<3; iter[1]++)
		 {
		     r.num_regla=3;
		     r.instancias[0]=iter[0];
		     r.instancias[1]=iter[1];
			 if (mab_esta_activada(r)) mab_elimregla_agenda(r);
		 }
			 break;
		case 22:  
		     r.num_regla=22;
			 if (mab_esta_activada(r)) mab_elimregla_agenda(r);
			 break;
		case 8:  
		for(iter[0]=0;iter[0]<12; iter[0]++)
			for(iter[1]=0;iter[1]<12; iter[1]++)
		 {
		     r.num_regla=8;
		     r.instancias[0]=iter[0];
		     r.instancias[1]=iter[1];
			 if (mab_esta_activada(r)) mab_elimregla_agenda(r);
		 }
			 break;
		case 21:  
		     r.num_regla=21;
			 if (mab_esta_activada(r)) mab_elimregla_agenda(r);
			 break;
		case 26:  
		for(iter[0]=0;iter[0]<12; iter[0]++)
		 {
		     r.num_regla=26;
		     r.instancias[0]=iter[0];
			 if (mab_esta_activada(r)) mab_elimregla_agenda(r);
		 }
			 break;
		case 9:  
		for(iter[0]=0;iter[0]<12; iter[0]++)
			for(iter[1]=0;iter[1]<12; iter[1]++)
		 {
		     r.num_regla=9;
		     r.instancias[0]=iter[0];
		     r.instancias[1]=iter[1];
			 if (mab_esta_activada(r)) mab_elimregla_agenda(r);
		 }
			 break;
		case 30:  
		     r.num_regla=30;
			 if (mab_esta_activada(r)) mab_elimregla_agenda(r);
			 break;
		case 23:  
		for(iter[0]=0;iter[0]<12; iter[0]++)
		 {
		     r.num_regla=23;
		     r.instancias[0]=iter[0];
			 if (mab_esta_activada(r)) mab_elimregla_agenda(r);
		 }
			 break;
		case 25:  
		for(iter[0]=0;iter[0]<12; iter[0]++)
		 {
		     r.num_regla=25;
		     r.instancias[0]=iter[0];
			 if (mab_esta_activada(r)) mab_elimregla_agenda(r);
		 }
			 break;
		case 31:  
		for(iter[0]=0;iter[0]<12; iter[0]++)
		 {
		     r.num_regla=31;
		     r.instancias[0]=iter[0];
			 if (mab_esta_activada(r)) mab_elimregla_agenda(r);
		 }
			 break;
		case 4:  
		for(iter[0]=0;iter[0]<12; iter[0]++)
			for(iter[1]=0;iter[1]<3; iter[1]++)
		 {
		     r.num_regla=4;
		     r.instancias[0]=iter[0];
		     r.instancias[1]=iter[1];
			 if (mab_esta_activada(r)) mab_elimregla_agenda(r);
		 }
			 break;
		case 14:  
		for(iter[0]=0;iter[0]<12; iter[0]++)
		 {
		     r.num_regla=14;
		     r.instancias[0]=iter[0];
			 if (mab_esta_activada(r)) mab_elimregla_agenda(r);
		 }
			 break;
		case 27:  
		for(iter[0]=0;iter[0]<12; iter[0]++)
		 {
		     r.num_regla=27;
		     r.instancias[0]=iter[0];
			 if (mab_esta_activada(r)) mab_elimregla_agenda(r);
		 }
			 break;
		case 29:  
		     r.num_regla=29;
			 if (mab_esta_activada(r)) mab_elimregla_agenda(r);
			 break;
		case 16:  
		for(iter[0]=0;iter[0]<12; iter[0]++)
		 {
		     r.num_regla=16;
		     r.instancias[0]=iter[0];
			 if (mab_esta_activada(r)) mab_elimregla_agenda(r);
		 }
			 break;
		case 18:  
		for(iter[0]=0;iter[0]<12; iter[0]++)
		 {
		     r.num_regla=18;
		     r.instancias[0]=iter[0];
			 if (mab_esta_activada(r)) mab_elimregla_agenda(r);
		 }
			 break;
		case 28:  
		for(iter[0]=0;iter[0]<12; iter[0]++)
		 {
		     r.num_regla=28;
		     r.instancias[0]=iter[0];
			 if (mab_esta_activada(r)) mab_elimregla_agenda(r);
		 }
			 break;
		case 6:  
		for(iter[0]=0;iter[0]<3; iter[0]++)
		 {
		     r.num_regla=6;
		     r.instancias[0]=iter[0];
			 if (mab_esta_activada(r)) mab_elimregla_agenda(r);
		 }
			 break;
		case 19:  
		for(iter[0]=0;iter[0]<12; iter[0]++)
		 {
		     r.num_regla=19;
		     r.instancias[0]=iter[0];
			 if (mab_esta_activada(r)) mab_elimregla_agenda(r);
		 }
			 break;
		case 17:  
		     r.num_regla=17;
			 if (mab_esta_activada(r)) mab_elimregla_agenda(r);
			 break;
		case 20:  
		     r.num_regla=20;
			 if (mab_esta_activada(r)) mab_elimregla_agenda(r);
			 break;
		case 2:  
		for(iter[0]=0;iter[0]<12; iter[0]++)
		 {
		     r.num_regla=2;
		     r.instancias[0]=iter[0];
			 if (mab_esta_activada(r)) mab_elimregla_agenda(r);
		 }
			 break;
		case 1:  
		for(iter[0]=0;iter[0]<12; iter[0]++)
		 {
		     r.num_regla=1;
		     r.instancias[0]=iter[0];
			 if (mab_esta_activada(r)) mab_elimregla_agenda(r);
		 }
			 break;
		case 24:  
		     r.num_regla=24;
			 if (mab_esta_activada(r)) mab_elimregla_agenda(r);
			 break;
		case 5:  
		for(iter[0]=0;iter[0]<3; iter[0]++)
			for(iter[1]=0;iter[1]<12; iter[1]++)
				for(iter[2]=0;iter[2]<12; iter[2]++)
		 {
		     r.num_regla=5;
		     r.instancias[0]=iter[0];
		     r.instancias[1]=iter[1];
		     r.instancias[2]=iter[2];
			 if (mab_esta_activada(r)) mab_elimregla_agenda(r);
		 }
			 break;
		case 11:  
		for(iter[0]=0;iter[0]<12; iter[0]++)
		 {
		     r.num_regla=11;
		     r.instancias[0]=iter[0];
			 if (mab_esta_activada(r)) mab_elimregla_agenda(r);
		 }
			 break;
		case 7:  
		for(iter[0]=0;iter[0]<12; iter[0]++)
		 {
		     r.num_regla=7;
		     r.instancias[0]=iter[0];
			 if (mab_esta_activada(r)) mab_elimregla_agenda(r);
		 }
			 break;
		case 10:  
		for(iter[0]=0;iter[0]<12; iter[0]++)
		 {
		     r.num_regla=10;
		     r.instancias[0]=iter[0];
			 if (mab_esta_activada(r)) mab_elimregla_agenda(r);
		 }
			 break;
		case 13:  
		for(iter[0]=0;iter[0]<12; iter[0]++)
		 {
		     r.num_regla=13;
		     r.instancias[0]=iter[0];
			 if (mab_esta_activada(r)) mab_elimregla_agenda(r);
		 }
			 break;
		case 15:  
		for(iter[0]=0;iter[0]<3; iter[0]++)
		 {
		     r.num_regla=15;
		     r.instancias[0]=iter[0];
			 if (mab_esta_activada(r)) mab_elimregla_agenda(r);
		 }
			 break;
		case 12:  
		for(iter[0]=0;iter[0]<12; iter[0]++)
		 {
		     r.num_regla=12;
		     r.instancias[0]=iter[0];
			 if (mab_esta_activada(r)) mab_elimregla_agenda(r);
		 }
			 break;
	}
}

void mab_Inicializa_estructuras()
{
	int iter1, iter2, iter3;
/*** REGLA: get_key_to_unlock ***/ 

	for(iter1=0;iter1<12; iter1++)
		for(iter2=0;iter2<3; iter2++)
			mab_R3[iter1][iter2]=0;

  /* CONDICION: 0 REGLA: get_key_to_unlock */ 

	activ_cond0_mab_get_key_to_unlock=FALSE;

  /* CONDICION: 1 REGLA: get_key_to_unlock */ 

	for(iter1=0;iter1<12; iter1++)
		{  activ_cond1_mab_get_key_to_unlock[iter1]=CELDA_VACIA;
		   camb_cond1_mab_get_key_to_unlock[iter1]=CELDA_VACIA;}

	num_cambios_cond1_mab_get_key_to_unlock=0;

  /* CONDICION: 2 REGLA: get_key_to_unlock */ 

	for(iter1=0;iter1<12; iter1++)
		{  activ_cond2_mab_get_key_to_unlock[iter1]=CELDA_VACIA;
		   camb_cond2_mab_get_key_to_unlock[iter1]=CELDA_VACIA;}

	num_cambios_cond2_mab_get_key_to_unlock=0;

  /* CONDICION: 3 REGLA: get_key_to_unlock */ 

	for(iter1=0;iter1<3; iter1++)
		for(iter2=0;iter2<12; iter2++)
			{  activ_cond3_mab_get_key_to_unlock[iter1][iter2]=CELDA_VACIA;
			   camb_cond3_mab_get_key_to_unlock[iter1][iter2]=CELDA_VACIA;}

	num_cambios_cond3_mab_get_key_to_unlock=0;

  /* CONDICION: 4 REGLA: get_key_to_unlock */ 

	for(iter1=0;iter1<3; iter1++)
		{  activ_cond4_mab_get_key_to_unlock[iter1]=CELDA_VACIA;
		   camb_cond4_mab_get_key_to_unlock[iter1]=CELDA_VACIA;}

	num_cambios_cond4_mab_get_key_to_unlock=0;

/*** REGLA: walk_holding_nothing ***/ 

	mab_R22=0;

  /* CONDICION: 0 REGLA: walk_holding_nothing */ 

	activ_cond0_mab_walk_holding_nothing=FALSE;

  /* CONDICION: 1 REGLA: walk_holding_nothing */ 

	activ_cond1_mab_walk_holding_nothing=FALSE;

  /* CONDICION: 2 REGLA: walk_holding_nothing */ 

	activ_cond2_mab_walk_holding_nothing=FALSE;

  /* CONDICION: 3 REGLA: walk_holding_nothing */ 

	activ_cond3_mab_walk_holding_nothing=FALSE;

/*** REGLA: climb_ladder_to_hold ***/ 

	for(iter1=0;iter1<12; iter1++)
		for(iter2=0;iter2<12; iter2++)
			mab_R8[iter1][iter2]=0;

  /* CONDICION: 0 REGLA: climb_ladder_to_hold */ 

	activ_cond0_mab_climb_ladder_to_hold=FALSE;

  /* CONDICION: 1 REGLA: climb_ladder_to_hold */ 

	for(iter1=0;iter1<12; iter1++)
		{  activ_cond1_mab_climb_ladder_to_hold[iter1]=CELDA_VACIA;
		   camb_cond1_mab_climb_ladder_to_hold[iter1]=CELDA_VACIA;}

	num_cambios_cond1_mab_climb_ladder_to_hold=0;

  /* CONDICION: 2 REGLA: climb_ladder_to_hold */ 

	for(iter1=0;iter1<12; iter1++)
		{  activ_cond2_mab_climb_ladder_to_hold[iter1]=CELDA_VACIA;
		   camb_cond2_mab_climb_ladder_to_hold[iter1]=CELDA_VACIA;}

	num_cambios_cond2_mab_climb_ladder_to_hold=0;

  /* CONDICION: 3 REGLA: climb_ladder_to_hold */ 

	for(iter1=0;iter1<12; iter1++)
		{  activ_cond3_mab_climb_ladder_to_hold[iter1]=CELDA_VACIA;
		   camb_cond3_mab_climb_ladder_to_hold[iter1]=CELDA_VACIA;}

	num_cambios_cond3_mab_climb_ladder_to_hold=0;

  /* CONDICION: 4 REGLA: climb_ladder_to_hold */ 

	for(iter1=0;iter1<12; iter1++)
		{  activ_cond4_mab_climb_ladder_to_hold[iter1]=CELDA_VACIA;
		   camb_cond4_mab_climb_ladder_to_hold[iter1]=CELDA_VACIA;}

	num_cambios_cond4_mab_climb_ladder_to_hold=0;

  /* CONDICION: 5 REGLA: climb_ladder_to_hold */ 

	for(iter1=0;iter1<12; iter1++)
		for(iter2=0;iter2<12; iter2++)
			{  activ_cond5_mab_climb_ladder_to_hold[iter1][iter2]=CELDA_VACIA;
			   camb_cond5_mab_climb_ladder_to_hold[iter1][iter2]=CELDA_VACIA;}

	num_cambios_cond5_mab_climb_ladder_to_hold=0;

  /* CONDICION: 6 REGLA: climb_ladder_to_hold */ 

	for(iter1=0;iter1<12; iter1++)
		{  activ_cond6_mab_climb_ladder_to_hold[iter1]=CELDA_VACIA;
		   camb_cond6_mab_climb_ladder_to_hold[iter1]=CELDA_VACIA;}

	num_cambios_cond6_mab_climb_ladder_to_hold=0;

  /* CONDICION: 7 REGLA: climb_ladder_to_hold */ 

	activ_cond7_mab_climb_ladder_to_hold=FALSE;

/*** REGLA: get_on_floor_to_walk ***/ 

	mab_R21=0;

  /* CONDICION: 0 REGLA: get_on_floor_to_walk */ 


  /* CONDICION: 1 REGLA: get_on_floor_to_walk */ 


  /* CONDICION: 2 REGLA: get_on_floor_to_walk */ 

	activ_cond2_mab_get_on_floor_to_walk=FALSE;

/*** REGLA: drop_to_climb ***/ 

	for(iter1=0;iter1<12; iter1++)
		mab_R26[iter1]=0;

  /* CONDICION: 0 REGLA: drop_to_climb */ 

	activ_cond0_mab_drop_to_climb=FALSE;

  /* CONDICION: 1 REGLA: drop_to_climb */ 

	num_cambios_cond1_mab_drop_to_climb=0;

  /* CONDICION: 2 REGLA: drop_to_climb */ 

	for(iter1=0;iter1<12; iter1++)
		{  activ_cond2_mab_drop_to_climb[iter1]=CELDA_VACIA;
		   camb_cond2_mab_drop_to_climb[iter1]=CELDA_VACIA;}

	num_cambios_cond2_mab_drop_to_climb=0;

  /* CONDICION: 3 REGLA: drop_to_climb */ 

	activ_cond3_mab_drop_to_climb=FALSE;

/*** REGLA: grab_object_from_ladder ***/ 

	for(iter1=0;iter1<12; iter1++)
		for(iter2=0;iter2<12; iter2++)
			mab_R9[iter1][iter2]=0;

  /* CONDICION: 0 REGLA: grab_object_from_ladder */ 


  /* CONDICION: 1 REGLA: grab_object_from_ladder */ 

	num_cambios_cond1_mab_grab_object_from_ladder=0;

  /* CONDICION: 2 REGLA: grab_object_from_ladder */ 

	num_cambios_cond2_mab_grab_object_from_ladder=0;

  /* CONDICION: 3 REGLA: grab_object_from_ladder */ 

	num_cambios_cond3_mab_grab_object_from_ladder=0;

  /* CONDICION: 4 REGLA: grab_object_from_ladder */ 

	num_cambios_cond4_mab_grab_object_from_ladder=0;

  /* CONDICION: 5 REGLA: grab_object_from_ladder */ 

	num_cambios_cond5_mab_grab_object_from_ladder=0;

  /* CONDICION: 6 REGLA: grab_object_from_ladder */ 

	num_cambios_cond6_mab_grab_object_from_ladder=0;

  /* CONDICION: 7 REGLA: grab_object_from_ladder */ 

	activ_cond7_mab_grab_object_from_ladder=FALSE;

  /* CONDICION: 8 REGLA: grab_object_from_ladder */ 


/*** REGLA: hold_to_eat ***/ 

	mab_R30=0;

  /* CONDICION: 0 REGLA: hold_to_eat */ 

	activ_cond0_mab_hold_to_eat=FALSE;

  /* CONDICION: 1 REGLA: hold_to_eat */ 

	activ_cond1_mab_hold_to_eat=FALSE;

/*** REGLA: walk_holding_object ***/ 

	for(iter1=0;iter1<12; iter1++)
		mab_R23[iter1]=0;

  /* CONDICION: 0 REGLA: walk_holding_object */ 


  /* CONDICION: 1 REGLA: walk_holding_object */ 


  /* CONDICION: 2 REGLA: walk_holding_object */ 


  /* CONDICION: 3 REGLA: walk_holding_object */ 

	for(iter1=0;iter1<12; iter1++)
		{  activ_cond3_mab_walk_holding_object[iter1]=CELDA_VACIA;
		   camb_cond3_mab_walk_holding_object[iter1]=CELDA_VACIA;}

	num_cambios_cond3_mab_walk_holding_object=0;

/*** REGLA: walk_to_place_to_climb ***/ 

	for(iter1=0;iter1<12; iter1++)
		mab_R25[iter1]=0;

  /* CONDICION: 0 REGLA: walk_to_place_to_climb */ 


  /* CONDICION: 1 REGLA: walk_to_place_to_climb */ 

	num_cambios_cond1_mab_walk_to_place_to_climb=0;

  /* CONDICION: 2 REGLA: walk_to_place_to_climb */ 

	for(iter1=0;iter1<12; iter1++)
		{  activ_cond2_mab_walk_to_place_to_climb[iter1]=CELDA_VACIA;
		   camb_cond2_mab_walk_to_place_to_climb[iter1]=CELDA_VACIA;}

	num_cambios_cond2_mab_walk_to_place_to_climb=0;

/*** REGLA: satisfy_hunger ***/ 

	for(iter1=0;iter1<12; iter1++)
		mab_R31[iter1]=0;

  /* CONDICION: 0 REGLA: satisfy_hunger */ 


  /* CONDICION: 1 REGLA: satisfy_hunger */ 

	activ_cond1_mab_satisfy_hunger=FALSE;

  /* CONDICION: 2 REGLA: satisfy_hunger */ 

	num_cambios_cond2_mab_satisfy_hunger=0;

/*** REGLA: move_to_chest_with_key ***/ 

	for(iter1=0;iter1<12; iter1++)
		for(iter2=0;iter2<3; iter2++)
			mab_R4[iter1][iter2]=0;

  /* CONDICION: 0 REGLA: move_to_chest_with_key */ 


  /* CONDICION: 1 REGLA: move_to_chest_with_key */ 

	num_cambios_cond1_mab_move_to_chest_with_key=0;

  /* CONDICION: 2 REGLA: move_to_chest_with_key */ 

	num_cambios_cond2_mab_move_to_chest_with_key=0;

  /* CONDICION: 3 REGLA: move_to_chest_with_key */ 

	num_cambios_cond3_mab_move_to_chest_with_key=0;

  /* CONDICION: 4 REGLA: move_to_chest_with_key */ 

	for(iter1=0;iter1<3; iter1++)
		{  activ_cond4_mab_move_to_chest_with_key[iter1]=CELDA_VACIA;
		   camb_cond4_mab_move_to_chest_with_key[iter1]=CELDA_VACIA;}

	num_cambios_cond4_mab_move_to_chest_with_key=0;

  /* CONDICION: 5 REGLA: move_to_chest_with_key */ 

	for(iter1=0;iter1<3; iter1++)
		{  activ_cond5_mab_move_to_chest_with_key[iter1]=CELDA_VACIA;
		   camb_cond5_mab_move_to_chest_with_key[iter1]=CELDA_VACIA;}

	num_cambios_cond5_mab_move_to_chest_with_key=0;

/*** REGLA: drop_object ***/ 

	for(iter1=0;iter1<12; iter1++)
		mab_R14[iter1]=0;

  /* CONDICION: 0 REGLA: drop_object */ 


  /* CONDICION: 1 REGLA: drop_object */ 

	activ_cond1_mab_drop_object=FALSE;

  /* CONDICION: 2 REGLA: drop_object */ 


  /* CONDICION: 3 REGLA: drop_object */ 

	num_cambios_cond3_mab_drop_object=0;

/*** REGLA: climb_indirectly ***/ 

	for(iter1=0;iter1<12; iter1++)
		mab_R27[iter1]=0;

  /* CONDICION: 0 REGLA: climb_indirectly */ 


  /* CONDICION: 1 REGLA: climb_indirectly */ 

	num_cambios_cond1_mab_climb_indirectly=0;

  /* CONDICION: 2 REGLA: climb_indirectly */ 

	num_cambios_cond2_mab_climb_indirectly=0;

  /* CONDICION: 3 REGLA: climb_indirectly */ 

	for(iter1=0;iter1<12; iter1++)
		{  activ_cond3_mab_climb_indirectly[iter1]=CELDA_VACIA;
		   camb_cond3_mab_climb_indirectly[iter1]=CELDA_VACIA;}

	num_cambios_cond3_mab_climb_indirectly=0;

  /* CONDICION: 4 REGLA: climb_indirectly */ 

	activ_cond4_mab_climb_indirectly=FALSE;

  /* CONDICION: 5 REGLA: climb_indirectly */ 


/*** REGLA: already_on_object ***/ 

	mab_R29=0;

  /* CONDICION: 0 REGLA: already_on_object */ 


  /* CONDICION: 1 REGLA: already_on_object */ 

	activ_cond1_mab_already_on_object=FALSE;

/*** REGLA: hold_object_to_move ***/ 

	for(iter1=0;iter1<12; iter1++)
		mab_R16[iter1]=0;

  /* CONDICION: 0 REGLA: hold_object_to_move */ 

	activ_cond0_mab_hold_object_to_move=FALSE;

  /* CONDICION: 1 REGLA: hold_object_to_move */ 

	num_cambios_cond1_mab_hold_object_to_move=0;

  /* CONDICION: 2 REGLA: hold_object_to_move */ 

	for(iter1=0;iter1<12; iter1++)
		{  activ_cond2_mab_hold_object_to_move[iter1]=CELDA_VACIA;
		   camb_cond2_mab_hold_object_to_move[iter1]=CELDA_VACIA;}

	num_cambios_cond2_mab_hold_object_to_move=0;

  /* CONDICION: 3 REGLA: hold_object_to_move */ 

	num_cambios_cond3_mab_hold_object_to_move=0;

  /* CONDICION: 4 REGLA: hold_object_to_move */ 


/*** REGLA: drop_object_once_moved ***/ 

	for(iter1=0;iter1<12; iter1++)
		mab_R18[iter1]=0;

  /* CONDICION: 0 REGLA: drop_object_once_moved */ 


  /* CONDICION: 1 REGLA: drop_object_once_moved */ 

	activ_cond1_mab_drop_object_once_moved=FALSE;

  /* CONDICION: 2 REGLA: drop_object_once_moved */ 

	num_cambios_cond2_mab_drop_object_once_moved=0;

  /* CONDICION: 3 REGLA: drop_object_once_moved */ 

	num_cambios_cond3_mab_drop_object_once_moved=0;

/*** REGLA: climb_directly ***/ 

	for(iter1=0;iter1<12; iter1++)
		mab_R28[iter1]=0;

  /* CONDICION: 0 REGLA: climb_directly */ 


  /* CONDICION: 1 REGLA: climb_directly */ 

	num_cambios_cond1_mab_climb_directly=0;

  /* CONDICION: 2 REGLA: climb_directly */ 

	num_cambios_cond2_mab_climb_directly=0;

  /* CONDICION: 3 REGLA: climb_directly */ 

	for(iter1=0;iter1<12; iter1++)
		{  activ_cond3_mab_climb_directly[iter1]=CELDA_VACIA;
		   camb_cond3_mab_climb_directly[iter1]=CELDA_VACIA;}

	num_cambios_cond3_mab_climb_directly=0;

  /* CONDICION: 4 REGLA: climb_directly */ 


/*** REGLA: unlock_chest_to_hold_object ***/ 

	for(iter1=0;iter1<3; iter1++)
		mab_R6[iter1]=0;

  /* CONDICION: 0 REGLA: unlock_chest_to_hold_object */ 


  /* CONDICION: 1 REGLA: unlock_chest_to_hold_object */ 

	for(iter1=0;iter1<3; iter1++)
		{  activ_cond1_mab_unlock_chest_to_hold_object[iter1]=CELDA_VACIA;
		   camb_cond1_mab_unlock_chest_to_hold_object[iter1]=CELDA_VACIA;}

	num_cambios_cond1_mab_unlock_chest_to_hold_object=0;

/*** REGLA: already_moved_object ***/ 

	for(iter1=0;iter1<12; iter1++)
		mab_R19[iter1]=0;

  /* CONDICION: 0 REGLA: already_moved_object */ 


  /* CONDICION: 1 REGLA: already_moved_object */ 

	num_cambios_cond1_mab_already_moved_object=0;

  /* CONDICION: 2 REGLA: already_moved_object */ 

	for(iter1=0;iter1<12; iter1++)
		{  activ_cond2_mab_already_moved_object[iter1]=CELDA_VACIA;
		   camb_cond2_mab_already_moved_object[iter1]=CELDA_VACIA;}

	num_cambios_cond2_mab_already_moved_object=0;

/*** REGLA: move_object_to_place ***/ 

	mab_R17=0;

  /* CONDICION: 0 REGLA: move_object_to_place */ 


  /* CONDICION: 1 REGLA: move_object_to_place */ 

	activ_cond1_mab_move_object_to_place=FALSE;

  /* CONDICION: 2 REGLA: move_object_to_place */ 


/*** REGLA: already_at_place ***/ 

	mab_R20=0;

  /* CONDICION: 0 REGLA: already_at_place */ 


  /* CONDICION: 1 REGLA: already_at_place */ 

	activ_cond1_mab_already_at_place=FALSE;

/*** REGLA: put_chest_on_floor ***/ 

	for(iter1=0;iter1<12; iter1++)
		mab_R2[iter1]=0;

  /* CONDICION: 0 REGLA: put_chest_on_floor */ 


  /* CONDICION: 1 REGLA: put_chest_on_floor */ 


  /* CONDICION: 2 REGLA: put_chest_on_floor */ 

	num_cambios_cond2_mab_put_chest_on_floor=0;

/*** REGLA: hold_chest_to_put_on_floor ***/ 

	for(iter1=0;iter1<12; iter1++)
		mab_R1[iter1]=0;

  /* CONDICION: 0 REGLA: hold_chest_to_put_on_floor */ 


  /* CONDICION: 1 REGLA: hold_chest_to_put_on_floor */ 

	num_cambios_cond1_mab_hold_chest_to_put_on_floor=0;

  /* CONDICION: 2 REGLA: hold_chest_to_put_on_floor */ 

	for(iter1=0;iter1<12; iter1++)
		{  activ_cond2_mab_hold_chest_to_put_on_floor[iter1]=CELDA_VACIA;
		   camb_cond2_mab_hold_chest_to_put_on_floor[iter1]=CELDA_VACIA;}

	num_cambios_cond2_mab_hold_chest_to_put_on_floor=0;

  /* CONDICION: 3 REGLA: hold_chest_to_put_on_floor */ 

	num_cambios_cond3_mab_hold_chest_to_put_on_floor=0;

  /* CONDICION: 4 REGLA: hold_chest_to_put_on_floor */ 


/*** REGLA: jump_onto_floor ***/ 

	mab_R24=0;

  /* CONDICION: 0 REGLA: jump_onto_floor */ 


  /* CONDICION: 1 REGLA: jump_onto_floor */ 

	activ_cond1_mab_jump_onto_floor=FALSE;

  /* CONDICION: 2 REGLA: jump_onto_floor */ 


/*** REGLA: unlock_chest_with_key ***/ 

	for(iter1=0;iter1<3; iter1++)
		for(iter2=0;iter2<12; iter2++)
			for(iter3=0;iter3<12; iter3++)
				mab_R5[iter1][iter2][iter3]=0;

  /* CONDICION: 0 REGLA: unlock_chest_with_key */ 


  /* CONDICION: 1 REGLA: unlock_chest_with_key */ 

	num_cambios_cond1_mab_unlock_chest_with_key=0;

  /* CONDICION: 2 REGLA: unlock_chest_with_key */ 

	num_cambios_cond2_mab_unlock_chest_with_key=0;

  /* CONDICION: 3 REGLA: unlock_chest_with_key */ 

	num_cambios_cond3_mab_unlock_chest_with_key=0;

  /* CONDICION: 4 REGLA: unlock_chest_with_key */ 

	num_cambios_cond4_mab_unlock_chest_with_key=0;

  /* CONDICION: 5 REGLA: unlock_chest_with_key */ 

	for(iter1=0;iter1<3; iter1++)
		{  activ_cond5_mab_unlock_chest_with_key[iter1]=CELDA_VACIA;
		   camb_cond5_mab_unlock_chest_with_key[iter1]=CELDA_VACIA;}

	num_cambios_cond5_mab_unlock_chest_with_key=0;

  /* CONDICION: 6 REGLA: unlock_chest_with_key */ 

	for(iter1=0;iter1<12; iter1++)
		{  activ_cond6_mab_unlock_chest_with_key[iter1]=CELDA_VACIA;
		   camb_cond6_mab_unlock_chest_with_key[iter1]=CELDA_VACIA;}

	num_cambios_cond6_mab_unlock_chest_with_key=0;

/*** REGLA: walk_to_hold ***/ 

	for(iter1=0;iter1<12; iter1++)
		mab_R11[iter1]=0;

  /* CONDICION: 0 REGLA: walk_to_hold */ 


  /* CONDICION: 1 REGLA: walk_to_hold */ 

	num_cambios_cond1_mab_walk_to_hold=0;

  /* CONDICION: 2 REGLA: walk_to_hold */ 

	for(iter1=0;iter1<12; iter1++)
		{  activ_cond2_mab_walk_to_hold[iter1]=CELDA_VACIA;
		   camb_cond2_mab_walk_to_hold[iter1]=CELDA_VACIA;}

	num_cambios_cond2_mab_walk_to_hold=0;

  /* CONDICION: 3 REGLA: walk_to_hold */ 

	num_cambios_cond3_mab_walk_to_hold=0;

  /* CONDICION: 4 REGLA: walk_to_hold */ 

	num_cambios_cond4_mab_walk_to_hold=0;

/*** REGLA: use_ladder_to_hold ***/ 

	for(iter1=0;iter1<12; iter1++)
		mab_R7[iter1]=0;

  /* CONDICION: 0 REGLA: use_ladder_to_hold */ 


  /* CONDICION: 1 REGLA: use_ladder_to_hold */ 

	num_cambios_cond1_mab_use_ladder_to_hold=0;

  /* CONDICION: 2 REGLA: use_ladder_to_hold */ 

	num_cambios_cond2_mab_use_ladder_to_hold=0;

  /* CONDICION: 3 REGLA: use_ladder_to_hold */ 

	num_cambios_cond3_mab_use_ladder_to_hold=0;

/*** REGLA: climb_to_hold ***/ 

	for(iter1=0;iter1<12; iter1++)
		mab_R10[iter1]=0;

  /* CONDICION: 0 REGLA: climb_to_hold */ 


  /* CONDICION: 1 REGLA: climb_to_hold */ 

	num_cambios_cond1_mab_climb_to_hold=0;

  /* CONDICION: 2 REGLA: climb_to_hold */ 

	for(iter1=0;iter1<12; iter1++)
		{  activ_cond2_mab_climb_to_hold[iter1]=CELDA_VACIA;
		   camb_cond2_mab_climb_to_hold[iter1]=CELDA_VACIA;}

	num_cambios_cond2_mab_climb_to_hold=0;

  /* CONDICION: 3 REGLA: climb_to_hold */ 

	num_cambios_cond3_mab_climb_to_hold=0;

  /* CONDICION: 4 REGLA: climb_to_hold */ 

	num_cambios_cond4_mab_climb_to_hold=0;

  /* CONDICION: 5 REGLA: climb_to_hold */ 

	num_cambios_cond5_mab_climb_to_hold=0;

/*** REGLA: grab_object ***/ 

	for(iter1=0;iter1<12; iter1++)
		mab_R13[iter1]=0;

  /* CONDICION: 0 REGLA: grab_object */ 


  /* CONDICION: 1 REGLA: grab_object */ 

	num_cambios_cond1_mab_grab_object=0;

  /* CONDICION: 2 REGLA: grab_object */ 

	num_cambios_cond2_mab_grab_object=0;

  /* CONDICION: 3 REGLA: grab_object */ 

	num_cambios_cond3_mab_grab_object=0;

  /* CONDICION: 4 REGLA: grab_object */ 

	num_cambios_cond4_mab_grab_object=0;

  /* CONDICION: 5 REGLA: grab_object */ 


/*** REGLA: unlock_chest_to_move_object ***/ 

	for(iter1=0;iter1<3; iter1++)
		mab_R15[iter1]=0;

  /* CONDICION: 0 REGLA: unlock_chest_to_move_object */ 


  /* CONDICION: 1 REGLA: unlock_chest_to_move_object */ 

	for(iter1=0;iter1<3; iter1++)
		{  activ_cond1_mab_unlock_chest_to_move_object[iter1]=CELDA_VACIA;
		   camb_cond1_mab_unlock_chest_to_move_object[iter1]=CELDA_VACIA;}

	num_cambios_cond1_mab_unlock_chest_to_move_object=0;

/*** REGLA: drop_to_hold ***/ 

	for(iter1=0;iter1<12; iter1++)
		mab_R12[iter1]=0;

  /* CONDICION: 0 REGLA: drop_to_hold */ 


  /* CONDICION: 1 REGLA: drop_to_hold */ 

	num_cambios_cond1_mab_drop_to_hold=0;

  /* CONDICION: 2 REGLA: drop_to_hold */ 

	num_cambios_cond2_mab_drop_to_hold=0;

  /* CONDICION: 3 REGLA: drop_to_hold */ 

	num_cambios_cond3_mab_drop_to_hold=0;

  /* CONDICION: 4 REGLA: drop_to_hold */ 

	num_cambios_cond4_mab_drop_to_hold=0;

  /* CONDICION: 5 REGLA: drop_to_hold */ 


}

/*----------------- INICIALIZACION DE INSTANCIAS -------------------*/

void mab_Inicializa_instancias()
{
	/* inicializando instancia i_thing_green_couch */
	mab_i_thing[0].name=0;
	mab_i_thing[0].location=14;
	mab_i_thing[0].on_top_of=12;
	mab_i_thing[0].weight=23;
	mab_i_thing[0].inside_chest=31;
	/* inicializando instancia i_chest_green_chest */
	mab_i_chest[2].name=3;
	mab_i_chest[2].contents=7;
	mab_i_chest[2].unlocked_by=6;
	/* inicializando instancia i_thing_green_chest */
	mab_i_thing[7].name=3;
	mab_i_thing[7].location=18;
	mab_i_thing[7].on_top_of=13;
	mab_i_thing[7].weight=22;
	mab_i_thing[7].inside_chest=31;
	/* inicializando instancia i_thing_red_couch */
	mab_i_thing[1].name=1;
	mab_i_thing[1].location=15;
	mab_i_thing[1].on_top_of=12;
	mab_i_thing[1].weight=23;
	mab_i_thing[1].inside_chest=31;
	/* inicializando instancia i_chest_red_chest */
	mab_i_chest[0].name=4;
	mab_i_chest[0].contents=8;
	mab_i_chest[0].unlocked_by=6;
	/* inicializando instancia i_thing_red_chest */
	mab_i_thing[3].name=4;
	mab_i_thing[3].location=15;
	mab_i_thing[3].on_top_of=9;
	mab_i_thing[3].weight=22;
	mab_i_thing[3].inside_chest=31;
	/* inicializando instancia i_thing_inside_blue_chest */
	mab_i_thing[10].name=32;
	mab_i_thing[10].location=32;
	mab_i_thing[10].on_top_of=32;
	mab_i_thing[10].weight=32;
	mab_i_thing[10].inside_chest=5;
	/* inicializando instancia i_monkey */
	mab_i_monkey[0].location=0;
	mab_i_monkey[0].on_top_of=0;
	mab_i_monkey[0].holding=21;
	/* inicializando instancia i_thing_grapes */
	mab_i_thing[5].name=10;
	mab_i_thing[5].location=17;
	mab_i_thing[5].on_top_of=13;
	mab_i_thing[5].weight=22;
	mab_i_thing[5].inside_chest=31;
	/* inicializando instancia goal */
	inicializa_lent(&mab_i_goal_is_to[0].action, 100, mab_lnombre_goal_action, mab_i_goal_is_to[0].action_elementos);
	add_tail_lent(29, &mab_i_goal_is_to[0].action);

	inicializa_lent(&mab_i_goal_is_to[0].argument_1, 100, mab_lnombre_goal_argument_1, mab_i_goal_is_to[0].argument_1_elementos);
	add_tail_lent(11, &mab_i_goal_is_to[0].argument_1);

	inicializa_lent(&mab_i_goal_is_to[0].argument_2, 100, mab_lnombre_goal_argument_2, mab_i_goal_is_to[0].argument_2_elementos);
	add_tail_lent(30, &mab_i_goal_is_to[0].argument_2);

	/* inicializando instancia i_thing_red_key */
	mab_i_thing[8].name=6;
	mab_i_thing[8].location=19;
	mab_i_thing[8].on_top_of=12;
	mab_i_thing[8].weight=22;
	mab_i_thing[8].inside_chest=31;
	/* inicializando instancia i_thing_blue_couch */
	mab_i_thing[6].name=2;
	mab_i_thing[6].location=18;
	mab_i_thing[6].on_top_of=12;
	mab_i_thing[6].weight=23;
	mab_i_thing[6].inside_chest=31;
	/* inicializando instancia i_chest_blue_chest */
	mab_i_chest[1].name=5;
	mab_i_chest[1].contents=11;
	mab_i_chest[1].unlocked_by=7;
	/* inicializando instancia i_thing_inside_green_chest */
	mab_i_thing[11].name=32;
	mab_i_thing[11].location=32;
	mab_i_thing[11].on_top_of=32;
	mab_i_thing[11].weight=32;
	mab_i_thing[11].inside_chest=3;
	/* inicializando instancia i_thing_blue_chest */
	mab_i_thing[4].name=5;
	mab_i_thing[4].location=16;
	mab_i_thing[4].on_top_of=13;
	mab_i_thing[4].weight=22;
	mab_i_thing[4].inside_chest=31;
	/* inicializando instancia i_thing_inside_red_chest */
	mab_i_thing[9].name=32;
	mab_i_thing[9].location=32;
	mab_i_thing[9].on_top_of=32;
	mab_i_thing[9].weight=32;
	mab_i_thing[9].inside_chest=4;
	/* inicializando instancia i_thing_big_pillow */
	mab_i_thing[2].name=9;
	mab_i_thing[2].location=15;
	mab_i_thing[2].on_top_of=1;
	mab_i_thing[2].weight=22;
	mab_i_thing[2].inside_chest=31;
}

/*----------------- INICIALIZACION DE VARIABLES -------------------*/

void mab_Inicializa_variables()
{
	/* inicializando variable var_aux */
}

/*--------------------- FUNCIONES INTERNAS --------------------*/

/*---------------------------  CONDICIONES -----------------------*/

/* CONDICION 0 get_key_to_unlock */ 

void cond0_mab_get_key_to_unlock()
{
	if (tail_lent(&mab_i_goal_is_to[0].action) == 24) {
		activ_cond0_mab_get_key_to_unlock=TRUE;
	} else {
		activ_cond0_mab_get_key_to_unlock=FALSE;
	}
}

/* CONDICION 1 get_key_to_unlock */ 

void cond1_mab_get_key_to_unlock(vp_thing1)
	int vp_thing1;
{
	int lim_inf[1];
	int lim_sup[1];
	int nc;

	if (vp_thing1==-1) {
		lim_inf[0]=0;
		lim_sup[0]=12;
	} else {
		lim_inf[0]=vp_thing1;
		lim_sup[0]=vp_thing1+1;
	}
	for(vp_thing1=lim_inf[0]; vp_thing1<lim_sup[0];vp_thing1++) {
	if (tail_lent(&mab_i_goal_is_to[0].argument_1) == mab_i_thing[vp_thing1].name) {
		activ_cond1_mab_get_key_to_unlock[vp_thing1]=CELDA_OCUPADA;
		/* ahora se anotan los cambios */
		if (camb_cond1_mab_get_key_to_unlock[vp_thing1]==desactivacion) {
			camb_cond1_mab_get_key_to_unlock[vp_thing1]=activacion;
			nc=0;
			while (nc<num_cambios_cond1_mab_get_key_to_unlock) {
				if (cambios_cond1_mab_get_key_to_unlock[nc].tipo_cambio==desactivacion)
				if (cambios_cond1_mab_get_key_to_unlock[nc].instancias[0]==vp_thing1) 
					{ cambios_cond1_mab_get_key_to_unlock[nc].tipo_cambio=activacion;
					break; }
				nc++;
			}
		}
		else if (camb_cond1_mab_get_key_to_unlock[vp_thing1]==CELDA_VACIA) {
			camb_cond1_mab_get_key_to_unlock[vp_thing1]=activacion;
			cambios_cond1_mab_get_key_to_unlock[num_cambios_cond1_mab_get_key_to_unlock].tipo_cambio=activacion;
			cambios_cond1_mab_get_key_to_unlock[num_cambios_cond1_mab_get_key_to_unlock].instancias[0]=vp_thing1;
			num_cambios_cond1_mab_get_key_to_unlock++;
		}
	} else {
		if (activ_cond1_mab_get_key_to_unlock[vp_thing1]!=CELDA_VACIA) {
			activ_cond1_mab_get_key_to_unlock[vp_thing1]=CELDA_VACIA;
			/* ahora se anotan los cambios */
			if (camb_cond1_mab_get_key_to_unlock[vp_thing1]==activacion) {
				camb_cond1_mab_get_key_to_unlock[vp_thing1]=desactivacion;
				nc=0;
				while (nc<num_cambios_cond1_mab_get_key_to_unlock) {
					if (cambios_cond1_mab_get_key_to_unlock[nc].tipo_cambio==activacion)
					if (cambios_cond1_mab_get_key_to_unlock[nc].instancias[0]==vp_thing1) 
						{ cambios_cond1_mab_get_key_to_unlock[nc].tipo_cambio=desactivacion;
						break; }
					nc++;
				}
			}
			else if (camb_cond1_mab_get_key_to_unlock[vp_thing1]==CELDA_VACIA) {
				camb_cond1_mab_get_key_to_unlock[vp_thing1]=desactivacion;
				cambios_cond1_mab_get_key_to_unlock[num_cambios_cond1_mab_get_key_to_unlock].tipo_cambio=desactivacion;
				cambios_cond1_mab_get_key_to_unlock[num_cambios_cond1_mab_get_key_to_unlock].instancias[0]=vp_thing1;
				num_cambios_cond1_mab_get_key_to_unlock++;
			}
		}
	}
	}
	num_cambios_cond1_mab_hold_chest_to_put_on_floor=num_cambios_cond1_mab_get_key_to_unlock;
}

/* CONDICION 2 get_key_to_unlock */ 

void cond2_mab_get_key_to_unlock(vp_thing1)
	int vp_thing1;
{
	int lim_inf[1];
	int lim_sup[1];
	int nc;

	if (vp_thing1==-1) {
		lim_inf[0]=0;
		lim_sup[0]=12;
	} else {
		lim_inf[0]=vp_thing1;
		lim_sup[0]=vp_thing1+1;
	}
	for(vp_thing1=lim_inf[0]; vp_thing1<lim_sup[0];vp_thing1++) {
	if (mab_i_thing[vp_thing1].on_top_of == 12) {
		activ_cond2_mab_get_key_to_unlock[vp_thing1]=CELDA_OCUPADA;
		/* ahora se anotan los cambios */
		if (camb_cond2_mab_get_key_to_unlock[vp_thing1]==desactivacion) {
			camb_cond2_mab_get_key_to_unlock[vp_thing1]=activacion;
			nc=0;
			while (nc<num_cambios_cond2_mab_get_key_to_unlock) {
				if (cambios_cond2_mab_get_key_to_unlock[nc].tipo_cambio==desactivacion)
				if (cambios_cond2_mab_get_key_to_unlock[nc].instancias[0]==vp_thing1) 
					{ cambios_cond2_mab_get_key_to_unlock[nc].tipo_cambio=activacion;
					break; }
				nc++;
			}
		}
		else if (camb_cond2_mab_get_key_to_unlock[vp_thing1]==CELDA_VACIA) {
			camb_cond2_mab_get_key_to_unlock[vp_thing1]=activacion;
			cambios_cond2_mab_get_key_to_unlock[num_cambios_cond2_mab_get_key_to_unlock].tipo_cambio=activacion;
			cambios_cond2_mab_get_key_to_unlock[num_cambios_cond2_mab_get_key_to_unlock].instancias[0]=vp_thing1;
			num_cambios_cond2_mab_get_key_to_unlock++;
		}
	} else {
		if (activ_cond2_mab_get_key_to_unlock[vp_thing1]!=CELDA_VACIA) {
			activ_cond2_mab_get_key_to_unlock[vp_thing1]=CELDA_VACIA;
			/* ahora se anotan los cambios */
			if (camb_cond2_mab_get_key_to_unlock[vp_thing1]==activacion) {
				camb_cond2_mab_get_key_to_unlock[vp_thing1]=desactivacion;
				nc=0;
				while (nc<num_cambios_cond2_mab_get_key_to_unlock) {
					if (cambios_cond2_mab_get_key_to_unlock[nc].tipo_cambio==activacion)
					if (cambios_cond2_mab_get_key_to_unlock[nc].instancias[0]==vp_thing1) 
						{ cambios_cond2_mab_get_key_to_unlock[nc].tipo_cambio=desactivacion;
						break; }
					nc++;
				}
			}
			else if (camb_cond2_mab_get_key_to_unlock[vp_thing1]==CELDA_VACIA) {
				camb_cond2_mab_get_key_to_unlock[vp_thing1]=desactivacion;
				cambios_cond2_mab_get_key_to_unlock[num_cambios_cond2_mab_get_key_to_unlock].tipo_cambio=desactivacion;
				cambios_cond2_mab_get_key_to_unlock[num_cambios_cond2_mab_get_key_to_unlock].instancias[0]=vp_thing1;
				num_cambios_cond2_mab_get_key_to_unlock++;
			}
		}
	}
	}
	num_cambios_cond2_mab_move_to_chest_with_key=num_cambios_cond2_mab_get_key_to_unlock;
}

/* CONDICION 3 get_key_to_unlock */ 

void cond3_mab_get_key_to_unlock(vp_chest1,vp_thing1)
	int vp_chest1;
	int vp_thing1;
{
	int lim_inf[2];
	int lim_sup[2];

	if (vp_chest1==-1) {
		lim_inf[0]=0;
		lim_sup[0]=3;
	} else {
		lim_inf[0]=vp_chest1;
		lim_sup[0]=vp_chest1+1;
	}
	if (vp_thing1==-1) {
		lim_inf[1]=0;
		lim_sup[1]=12;
	} else {
		lim_inf[1]=vp_thing1;
		lim_sup[1]=vp_thing1+1;
	}
	for(vp_chest1=lim_inf[0]; vp_chest1<lim_sup[0];vp_chest1++) {
	for(vp_thing1=lim_inf[1]; vp_thing1<lim_sup[1];vp_thing1++) {
	if (mab_i_chest[vp_chest1].name == mab_i_thing[vp_thing1].name) {
		activ_cond3_mab_get_key_to_unlock[vp_chest1][vp_thing1]=CELDA_OCUPADA;
		/* ahora se anotan los cambios */
		if (camb_cond3_mab_get_key_to_unlock[vp_chest1][vp_thing1]!=activacion) {
			camb_cond3_mab_get_key_to_unlock[vp_chest1][vp_thing1]=activacion;
			cambios_cond3_mab_get_key_to_unlock[num_cambios_cond3_mab_get_key_to_unlock].tipo_cambio=activacion;
			cambios_cond3_mab_get_key_to_unlock[num_cambios_cond3_mab_get_key_to_unlock].instancias[0]=vp_chest1;
			cambios_cond3_mab_get_key_to_unlock[num_cambios_cond3_mab_get_key_to_unlock].instancias[1]=vp_thing1;
			num_cambios_cond3_mab_get_key_to_unlock++;
		}
	} else {
		if (activ_cond3_mab_get_key_to_unlock[vp_chest1][vp_thing1]!=CELDA_VACIA) {
			activ_cond3_mab_get_key_to_unlock[vp_chest1][vp_thing1]=CELDA_VACIA;
			/* ahora se anotan los cambios */
			if (camb_cond3_mab_get_key_to_unlock[vp_chest1][vp_thing1]!=desactivacion) {
				camb_cond3_mab_get_key_to_unlock[vp_chest1][vp_thing1]=desactivacion;
				cambios_cond3_mab_get_key_to_unlock[num_cambios_cond3_mab_get_key_to_unlock].tipo_cambio=desactivacion;
				cambios_cond3_mab_get_key_to_unlock[num_cambios_cond3_mab_get_key_to_unlock].instancias[0]=vp_chest1;
				cambios_cond3_mab_get_key_to_unlock[num_cambios_cond3_mab_get_key_to_unlock].instancias[1]=vp_thing1;
				num_cambios_cond3_mab_get_key_to_unlock++;
			}
		}
	}
	}
	}
}

/* CONDICION 4 get_key_to_unlock */ 

void cond4_mab_get_key_to_unlock(vp_chest1)
	int vp_chest1;
{
	int lim_inf[1];
	int lim_sup[1];

	if (vp_chest1==-1) {
		lim_inf[0]=0;
		lim_sup[0]=3;
	} else {
		lim_inf[0]=vp_chest1;
		lim_sup[0]=vp_chest1+1;
	}
	for(vp_chest1=lim_inf[0]; vp_chest1<lim_sup[0];vp_chest1++) {
	if (mab_i_monkey[0].holding != mab_i_chest[vp_chest1].unlocked_by) {
		activ_cond4_mab_get_key_to_unlock[vp_chest1]=CELDA_OCUPADA;
		/* ahora se anotan los cambios */
		if (camb_cond4_mab_get_key_to_unlock[vp_chest1]!=activacion) {
			camb_cond4_mab_get_key_to_unlock[vp_chest1]=activacion;
			cambios_cond4_mab_get_key_to_unlock[num_cambios_cond4_mab_get_key_to_unlock].tipo_cambio=activacion;
			cambios_cond4_mab_get_key_to_unlock[num_cambios_cond4_mab_get_key_to_unlock].instancias[0]=vp_chest1;
			num_cambios_cond4_mab_get_key_to_unlock++;
		}
	} else {
		if (activ_cond4_mab_get_key_to_unlock[vp_chest1]!=CELDA_VACIA) {
			activ_cond4_mab_get_key_to_unlock[vp_chest1]=CELDA_VACIA;
			/* ahora se anotan los cambios */
			if (camb_cond4_mab_get_key_to_unlock[vp_chest1]!=desactivacion) {
				camb_cond4_mab_get_key_to_unlock[vp_chest1]=desactivacion;
				cambios_cond4_mab_get_key_to_unlock[num_cambios_cond4_mab_get_key_to_unlock].tipo_cambio=desactivacion;
				cambios_cond4_mab_get_key_to_unlock[num_cambios_cond4_mab_get_key_to_unlock].instancias[0]=vp_chest1;
				num_cambios_cond4_mab_get_key_to_unlock++;
			}
		}
	}
	}
}

/* CONDICION 0 walk_holding_nothing */ 

void cond0_mab_walk_holding_nothing()
{
	if (tail_lent(&mab_i_goal_is_to[0].action) == 26) {
		activ_cond0_mab_walk_holding_nothing=TRUE;
	} else {
		activ_cond0_mab_walk_holding_nothing=FALSE;
	}
}

/* CONDICION 1 walk_holding_nothing */ 

void cond1_mab_walk_holding_nothing()
{
	if (mab_i_monkey[0].location != tail_lent(&mab_i_goal_is_to[0].argument_1)) {
		activ_cond1_mab_walk_holding_nothing=TRUE;
	} else {
		activ_cond1_mab_walk_holding_nothing=FALSE;
	}
}

/* CONDICION 2 walk_holding_nothing */ 

void cond2_mab_walk_holding_nothing()
{
	if (mab_i_monkey[0].on_top_of == 12) {
		activ_cond2_mab_walk_holding_nothing=TRUE;
	} else {
		activ_cond2_mab_walk_holding_nothing=FALSE;
	}
}

/* CONDICION 3 walk_holding_nothing */ 

void cond3_mab_walk_holding_nothing()
{
	if (mab_i_monkey[0].holding == 21) {
		activ_cond3_mab_walk_holding_nothing=TRUE;
	} else {
		activ_cond3_mab_walk_holding_nothing=FALSE;
	}
}

/* CONDICION 0 climb_ladder_to_hold */ 

void cond0_mab_climb_ladder_to_hold()
{
	if (tail_lent(&mab_i_goal_is_to[0].action) == 25) {
		activ_cond0_mab_climb_ladder_to_hold=TRUE;
	} else {
		activ_cond0_mab_climb_ladder_to_hold=FALSE;
	}
}

/* CONDICION 1 climb_ladder_to_hold */ 

void cond1_mab_climb_ladder_to_hold(vp_thing1)
	int vp_thing1;
{
	int lim_inf[1];
	int lim_sup[1];
	int nc;

	if (vp_thing1==-1) {
		lim_inf[0]=0;
		lim_sup[0]=12;
	} else {
		lim_inf[0]=vp_thing1;
		lim_sup[0]=vp_thing1+1;
	}
	for(vp_thing1=lim_inf[0]; vp_thing1<lim_sup[0];vp_thing1++) {
	if (mab_i_thing[vp_thing1].name == tail_lent(&mab_i_goal_is_to[0].argument_1)) {
		activ_cond1_mab_climb_ladder_to_hold[vp_thing1]=CELDA_OCUPADA;
		/* ahora se anotan los cambios */
		if (camb_cond1_mab_climb_ladder_to_hold[vp_thing1]==desactivacion) {
			camb_cond1_mab_climb_ladder_to_hold[vp_thing1]=activacion;
			nc=0;
			while (nc<num_cambios_cond1_mab_climb_ladder_to_hold) {
				if (cambios_cond1_mab_climb_ladder_to_hold[nc].tipo_cambio==desactivacion)
				if (cambios_cond1_mab_climb_ladder_to_hold[nc].instancias[0]==vp_thing1) 
					{ cambios_cond1_mab_climb_ladder_to_hold[nc].tipo_cambio=activacion;
					break; }
				nc++;
			}
		}
		else if (camb_cond1_mab_climb_ladder_to_hold[vp_thing1]==CELDA_VACIA) {
			camb_cond1_mab_climb_ladder_to_hold[vp_thing1]=activacion;
			cambios_cond1_mab_climb_ladder_to_hold[num_cambios_cond1_mab_climb_ladder_to_hold].tipo_cambio=activacion;
			cambios_cond1_mab_climb_ladder_to_hold[num_cambios_cond1_mab_climb_ladder_to_hold].instancias[0]=vp_thing1;
			num_cambios_cond1_mab_climb_ladder_to_hold++;
		}
	} else {
		if (activ_cond1_mab_climb_ladder_to_hold[vp_thing1]!=CELDA_VACIA) {
			activ_cond1_mab_climb_ladder_to_hold[vp_thing1]=CELDA_VACIA;
			/* ahora se anotan los cambios */
			if (camb_cond1_mab_climb_ladder_to_hold[vp_thing1]==activacion) {
				camb_cond1_mab_climb_ladder_to_hold[vp_thing1]=desactivacion;
				nc=0;
				while (nc<num_cambios_cond1_mab_climb_ladder_to_hold) {
					if (cambios_cond1_mab_climb_ladder_to_hold[nc].tipo_cambio==activacion)
					if (cambios_cond1_mab_climb_ladder_to_hold[nc].instancias[0]==vp_thing1) 
						{ cambios_cond1_mab_climb_ladder_to_hold[nc].tipo_cambio=desactivacion;
						break; }
					nc++;
				}
			}
			else if (camb_cond1_mab_climb_ladder_to_hold[vp_thing1]==CELDA_VACIA) {
				camb_cond1_mab_climb_ladder_to_hold[vp_thing1]=desactivacion;
				cambios_cond1_mab_climb_ladder_to_hold[num_cambios_cond1_mab_climb_ladder_to_hold].tipo_cambio=desactivacion;
				cambios_cond1_mab_climb_ladder_to_hold[num_cambios_cond1_mab_climb_ladder_to_hold].instancias[0]=vp_thing1;
				num_cambios_cond1_mab_climb_ladder_to_hold++;
			}
		}
	}
	}
	num_cambios_cond1_mab_drop_to_climb=num_cambios_cond1_mab_climb_ladder_to_hold;
	num_cambios_cond1_mab_grab_object_from_ladder=num_cambios_cond1_mab_climb_ladder_to_hold;
	num_cambios_cond1_mab_walk_to_place_to_climb=num_cambios_cond1_mab_climb_ladder_to_hold;
	num_cambios_cond1_mab_move_to_chest_with_key=num_cambios_cond1_mab_climb_ladder_to_hold;
	num_cambios_cond1_mab_climb_indirectly=num_cambios_cond1_mab_climb_ladder_to_hold;
	num_cambios_cond1_mab_hold_object_to_move=num_cambios_cond1_mab_climb_ladder_to_hold;
	num_cambios_cond2_mab_drop_object_once_moved=num_cambios_cond1_mab_climb_ladder_to_hold;
	num_cambios_cond1_mab_climb_directly=num_cambios_cond1_mab_climb_ladder_to_hold;
	num_cambios_cond1_mab_already_moved_object=num_cambios_cond1_mab_climb_ladder_to_hold;
	num_cambios_cond2_mab_unlock_chest_with_key=num_cambios_cond1_mab_climb_ladder_to_hold;
	num_cambios_cond1_mab_walk_to_hold=num_cambios_cond1_mab_climb_ladder_to_hold;
	num_cambios_cond1_mab_use_ladder_to_hold=num_cambios_cond1_mab_climb_ladder_to_hold;
	num_cambios_cond1_mab_climb_to_hold=num_cambios_cond1_mab_climb_ladder_to_hold;
	num_cambios_cond1_mab_grab_object=num_cambios_cond1_mab_climb_ladder_to_hold;
	num_cambios_cond1_mab_drop_to_hold=num_cambios_cond1_mab_climb_ladder_to_hold;
}

/* CONDICION 2 climb_ladder_to_hold */ 

void cond2_mab_climb_ladder_to_hold(vp_thing1)
	int vp_thing1;
{
	int lim_inf[1];
	int lim_sup[1];
	int nc;

	if (vp_thing1==-1) {
		lim_inf[0]=0;
		lim_sup[0]=12;
	} else {
		lim_inf[0]=vp_thing1;
		lim_sup[0]=vp_thing1+1;
	}
	for(vp_thing1=lim_inf[0]; vp_thing1<lim_sup[0];vp_thing1++) {
	if (mab_i_thing[vp_thing1].on_top_of == 13) {
		activ_cond2_mab_climb_ladder_to_hold[vp_thing1]=CELDA_OCUPADA;
		/* ahora se anotan los cambios */
		if (camb_cond2_mab_climb_ladder_to_hold[vp_thing1]==desactivacion) {
			camb_cond2_mab_climb_ladder_to_hold[vp_thing1]=activacion;
			nc=0;
			while (nc<num_cambios_cond2_mab_climb_ladder_to_hold) {
				if (cambios_cond2_mab_climb_ladder_to_hold[nc].tipo_cambio==desactivacion)
				if (cambios_cond2_mab_climb_ladder_to_hold[nc].instancias[0]==vp_thing1) 
					{ cambios_cond2_mab_climb_ladder_to_hold[nc].tipo_cambio=activacion;
					break; }
				nc++;
			}
		}
		else if (camb_cond2_mab_climb_ladder_to_hold[vp_thing1]==CELDA_VACIA) {
			camb_cond2_mab_climb_ladder_to_hold[vp_thing1]=activacion;
			cambios_cond2_mab_climb_ladder_to_hold[num_cambios_cond2_mab_climb_ladder_to_hold].tipo_cambio=activacion;
			cambios_cond2_mab_climb_ladder_to_hold[num_cambios_cond2_mab_climb_ladder_to_hold].instancias[0]=vp_thing1;
			num_cambios_cond2_mab_climb_ladder_to_hold++;
		}
	} else {
		if (activ_cond2_mab_climb_ladder_to_hold[vp_thing1]!=CELDA_VACIA) {
			activ_cond2_mab_climb_ladder_to_hold[vp_thing1]=CELDA_VACIA;
			/* ahora se anotan los cambios */
			if (camb_cond2_mab_climb_ladder_to_hold[vp_thing1]==activacion) {
				camb_cond2_mab_climb_ladder_to_hold[vp_thing1]=desactivacion;
				nc=0;
				while (nc<num_cambios_cond2_mab_climb_ladder_to_hold) {
					if (cambios_cond2_mab_climb_ladder_to_hold[nc].tipo_cambio==activacion)
					if (cambios_cond2_mab_climb_ladder_to_hold[nc].instancias[0]==vp_thing1) 
						{ cambios_cond2_mab_climb_ladder_to_hold[nc].tipo_cambio=desactivacion;
						break; }
					nc++;
				}
			}
			else if (camb_cond2_mab_climb_ladder_to_hold[vp_thing1]==CELDA_VACIA) {
				camb_cond2_mab_climb_ladder_to_hold[vp_thing1]=desactivacion;
				cambios_cond2_mab_climb_ladder_to_hold[num_cambios_cond2_mab_climb_ladder_to_hold].tipo_cambio=desactivacion;
				cambios_cond2_mab_climb_ladder_to_hold[num_cambios_cond2_mab_climb_ladder_to_hold].instancias[0]=vp_thing1;
				num_cambios_cond2_mab_climb_ladder_to_hold++;
			}
		}
	}
	}
	num_cambios_cond2_mab_grab_object_from_ladder=num_cambios_cond2_mab_climb_ladder_to_hold;
	num_cambios_cond2_mab_use_ladder_to_hold=num_cambios_cond2_mab_climb_ladder_to_hold;
}

/* CONDICION 3 climb_ladder_to_hold */ 

void cond3_mab_climb_ladder_to_hold(vp_thing1)
	int vp_thing1;
{
	int lim_inf[1];
	int lim_sup[1];
	int nc;

	if (vp_thing1==-1) {
		lim_inf[0]=0;
		lim_sup[0]=12;
	} else {
		lim_inf[0]=vp_thing1;
		lim_sup[0]=vp_thing1+1;
	}
	for(vp_thing1=lim_inf[0]; vp_thing1<lim_sup[0];vp_thing1++) {
	if (mab_i_thing[vp_thing1].weight == 22) {
		activ_cond3_mab_climb_ladder_to_hold[vp_thing1]=CELDA_OCUPADA;
		/* ahora se anotan los cambios */
		if (camb_cond3_mab_climb_ladder_to_hold[vp_thing1]==desactivacion) {
			camb_cond3_mab_climb_ladder_to_hold[vp_thing1]=activacion;
			nc=0;
			while (nc<num_cambios_cond3_mab_climb_ladder_to_hold) {
				if (cambios_cond3_mab_climb_ladder_to_hold[nc].tipo_cambio==desactivacion)
				if (cambios_cond3_mab_climb_ladder_to_hold[nc].instancias[0]==vp_thing1) 
					{ cambios_cond3_mab_climb_ladder_to_hold[nc].tipo_cambio=activacion;
					break; }
				nc++;
			}
		}
		else if (camb_cond3_mab_climb_ladder_to_hold[vp_thing1]==CELDA_VACIA) {
			camb_cond3_mab_climb_ladder_to_hold[vp_thing1]=activacion;
			cambios_cond3_mab_climb_ladder_to_hold[num_cambios_cond3_mab_climb_ladder_to_hold].tipo_cambio=activacion;
			cambios_cond3_mab_climb_ladder_to_hold[num_cambios_cond3_mab_climb_ladder_to_hold].instancias[0]=vp_thing1;
			num_cambios_cond3_mab_climb_ladder_to_hold++;
		}
	} else {
		if (activ_cond3_mab_climb_ladder_to_hold[vp_thing1]!=CELDA_VACIA) {
			activ_cond3_mab_climb_ladder_to_hold[vp_thing1]=CELDA_VACIA;
			/* ahora se anotan los cambios */
			if (camb_cond3_mab_climb_ladder_to_hold[vp_thing1]==activacion) {
				camb_cond3_mab_climb_ladder_to_hold[vp_thing1]=desactivacion;
				nc=0;
				while (nc<num_cambios_cond3_mab_climb_ladder_to_hold) {
					if (cambios_cond3_mab_climb_ladder_to_hold[nc].tipo_cambio==activacion)
					if (cambios_cond3_mab_climb_ladder_to_hold[nc].instancias[0]==vp_thing1) 
						{ cambios_cond3_mab_climb_ladder_to_hold[nc].tipo_cambio=desactivacion;
						break; }
					nc++;
				}
			}
			else if (camb_cond3_mab_climb_ladder_to_hold[vp_thing1]==CELDA_VACIA) {
				camb_cond3_mab_climb_ladder_to_hold[vp_thing1]=desactivacion;
				cambios_cond3_mab_climb_ladder_to_hold[num_cambios_cond3_mab_climb_ladder_to_hold].tipo_cambio=desactivacion;
				cambios_cond3_mab_climb_ladder_to_hold[num_cambios_cond3_mab_climb_ladder_to_hold].instancias[0]=vp_thing1;
				num_cambios_cond3_mab_climb_ladder_to_hold++;
			}
		}
	}
	}
	num_cambios_cond3_mab_grab_object_from_ladder=num_cambios_cond3_mab_climb_ladder_to_hold;
	num_cambios_cond3_mab_hold_object_to_move=num_cambios_cond3_mab_climb_ladder_to_hold;
	num_cambios_cond3_mab_drop_object_once_moved=num_cambios_cond3_mab_climb_ladder_to_hold;
	num_cambios_cond3_mab_hold_chest_to_put_on_floor=num_cambios_cond3_mab_climb_ladder_to_hold;
	num_cambios_cond3_mab_walk_to_hold=num_cambios_cond3_mab_climb_ladder_to_hold;
	num_cambios_cond3_mab_use_ladder_to_hold=num_cambios_cond3_mab_climb_ladder_to_hold;
	num_cambios_cond3_mab_climb_to_hold=num_cambios_cond3_mab_climb_ladder_to_hold;
	num_cambios_cond2_mab_grab_object=num_cambios_cond3_mab_climb_ladder_to_hold;
	num_cambios_cond2_mab_drop_to_hold=num_cambios_cond3_mab_climb_ladder_to_hold;
}

/* CONDICION 4 climb_ladder_to_hold */ 

void cond4_mab_climb_ladder_to_hold(vp_thing2)
	int vp_thing2;
{
	int lim_inf[1];
	int lim_sup[1];
	int nc;

	if (vp_thing2==-1) {
		lim_inf[0]=0;
		lim_sup[0]=12;
	} else {
		lim_inf[0]=vp_thing2;
		lim_sup[0]=vp_thing2+1;
	}
	for(vp_thing2=lim_inf[0]; vp_thing2<lim_sup[0];vp_thing2++) {
	if (mab_i_thing[vp_thing2].name == 8) {
		activ_cond4_mab_climb_ladder_to_hold[vp_thing2]=CELDA_OCUPADA;
		/* ahora se anotan los cambios */
		if (camb_cond4_mab_climb_ladder_to_hold[vp_thing2]==desactivacion) {
			camb_cond4_mab_climb_ladder_to_hold[vp_thing2]=activacion;
			nc=0;
			while (nc<num_cambios_cond4_mab_climb_ladder_to_hold) {
				if (cambios_cond4_mab_climb_ladder_to_hold[nc].tipo_cambio==desactivacion)
				if (cambios_cond4_mab_climb_ladder_to_hold[nc].instancias[0]==vp_thing2) 
					{ cambios_cond4_mab_climb_ladder_to_hold[nc].tipo_cambio=activacion;
					break; }
				nc++;
			}
		}
		else if (camb_cond4_mab_climb_ladder_to_hold[vp_thing2]==CELDA_VACIA) {
			camb_cond4_mab_climb_ladder_to_hold[vp_thing2]=activacion;
			cambios_cond4_mab_climb_ladder_to_hold[num_cambios_cond4_mab_climb_ladder_to_hold].tipo_cambio=activacion;
			cambios_cond4_mab_climb_ladder_to_hold[num_cambios_cond4_mab_climb_ladder_to_hold].instancias[0]=vp_thing2;
			num_cambios_cond4_mab_climb_ladder_to_hold++;
		}
	} else {
		if (activ_cond4_mab_climb_ladder_to_hold[vp_thing2]!=CELDA_VACIA) {
			activ_cond4_mab_climb_ladder_to_hold[vp_thing2]=CELDA_VACIA;
			/* ahora se anotan los cambios */
			if (camb_cond4_mab_climb_ladder_to_hold[vp_thing2]==activacion) {
				camb_cond4_mab_climb_ladder_to_hold[vp_thing2]=desactivacion;
				nc=0;
				while (nc<num_cambios_cond4_mab_climb_ladder_to_hold) {
					if (cambios_cond4_mab_climb_ladder_to_hold[nc].tipo_cambio==activacion)
					if (cambios_cond4_mab_climb_ladder_to_hold[nc].instancias[0]==vp_thing2) 
						{ cambios_cond4_mab_climb_ladder_to_hold[nc].tipo_cambio=desactivacion;
						break; }
					nc++;
				}
			}
			else if (camb_cond4_mab_climb_ladder_to_hold[vp_thing2]==CELDA_VACIA) {
				camb_cond4_mab_climb_ladder_to_hold[vp_thing2]=desactivacion;
				cambios_cond4_mab_climb_ladder_to_hold[num_cambios_cond4_mab_climb_ladder_to_hold].tipo_cambio=desactivacion;
				cambios_cond4_mab_climb_ladder_to_hold[num_cambios_cond4_mab_climb_ladder_to_hold].instancias[0]=vp_thing2;
				num_cambios_cond4_mab_climb_ladder_to_hold++;
			}
		}
	}
	}
	num_cambios_cond4_mab_grab_object_from_ladder=num_cambios_cond4_mab_climb_ladder_to_hold;
}

/* CONDICION 5 climb_ladder_to_hold */ 

void cond5_mab_climb_ladder_to_hold(vp_thing2,vp_thing1)
	int vp_thing2;
	int vp_thing1;
{
	int lim_inf[2];
	int lim_sup[2];
	int nc;

	if (vp_thing2==-1) {
		lim_inf[0]=0;
		lim_sup[0]=12;
	} else {
		lim_inf[0]=vp_thing2;
		lim_sup[0]=vp_thing2+1;
	}
	if (vp_thing1==-1) {
		lim_inf[1]=0;
		lim_sup[1]=12;
	} else {
		lim_inf[1]=vp_thing1;
		lim_sup[1]=vp_thing1+1;
	}
	for(vp_thing2=lim_inf[0]; vp_thing2<lim_sup[0];vp_thing2++) {
	for(vp_thing1=lim_inf[1]; vp_thing1<lim_sup[1];vp_thing1++) {
	if (mab_i_thing[vp_thing2].location == mab_i_thing[vp_thing1].location) {
		activ_cond5_mab_climb_ladder_to_hold[vp_thing2][vp_thing1]=CELDA_OCUPADA;
		/* ahora se anotan los cambios */
		if (camb_cond5_mab_climb_ladder_to_hold[vp_thing2][vp_thing1]==desactivacion) {
			camb_cond5_mab_climb_ladder_to_hold[vp_thing2][vp_thing1]=activacion;
			nc=0;
			while (nc<num_cambios_cond5_mab_climb_ladder_to_hold) {
				if (cambios_cond5_mab_climb_ladder_to_hold[nc].tipo_cambio==desactivacion)
				if (cambios_cond5_mab_climb_ladder_to_hold[nc].instancias[0]==vp_thing2) 
				if (cambios_cond5_mab_climb_ladder_to_hold[nc].instancias[1]==vp_thing1) 
					{ cambios_cond5_mab_climb_ladder_to_hold[nc].tipo_cambio=activacion;
					break; }
				nc++;
			}
		}
		else if (camb_cond5_mab_climb_ladder_to_hold[vp_thing2][vp_thing1]==CELDA_VACIA) {
			camb_cond5_mab_climb_ladder_to_hold[vp_thing2][vp_thing1]=activacion;
			cambios_cond5_mab_climb_ladder_to_hold[num_cambios_cond5_mab_climb_ladder_to_hold].tipo_cambio=activacion;
			cambios_cond5_mab_climb_ladder_to_hold[num_cambios_cond5_mab_climb_ladder_to_hold].instancias[0]=vp_thing2;
			cambios_cond5_mab_climb_ladder_to_hold[num_cambios_cond5_mab_climb_ladder_to_hold].instancias[1]=vp_thing1;
			num_cambios_cond5_mab_climb_ladder_to_hold++;
		}
	} else {
		if (activ_cond5_mab_climb_ladder_to_hold[vp_thing2][vp_thing1]!=CELDA_VACIA) {
			activ_cond5_mab_climb_ladder_to_hold[vp_thing2][vp_thing1]=CELDA_VACIA;
			/* ahora se anotan los cambios */
			if (camb_cond5_mab_climb_ladder_to_hold[vp_thing2][vp_thing1]==activacion) {
				camb_cond5_mab_climb_ladder_to_hold[vp_thing2][vp_thing1]=desactivacion;
				nc=0;
				while (nc<num_cambios_cond5_mab_climb_ladder_to_hold) {
					if (cambios_cond5_mab_climb_ladder_to_hold[nc].tipo_cambio==activacion)
					if (cambios_cond5_mab_climb_ladder_to_hold[nc].instancias[0]==vp_thing2) 
					if (cambios_cond5_mab_climb_ladder_to_hold[nc].instancias[1]==vp_thing1) 
						{ cambios_cond5_mab_climb_ladder_to_hold[nc].tipo_cambio=desactivacion;
						break; }
					nc++;
				}
			}
			else if (camb_cond5_mab_climb_ladder_to_hold[vp_thing2][vp_thing1]==CELDA_VACIA) {
				camb_cond5_mab_climb_ladder_to_hold[vp_thing2][vp_thing1]=desactivacion;
				cambios_cond5_mab_climb_ladder_to_hold[num_cambios_cond5_mab_climb_ladder_to_hold].tipo_cambio=desactivacion;
				cambios_cond5_mab_climb_ladder_to_hold[num_cambios_cond5_mab_climb_ladder_to_hold].instancias[0]=vp_thing2;
				cambios_cond5_mab_climb_ladder_to_hold[num_cambios_cond5_mab_climb_ladder_to_hold].instancias[1]=vp_thing1;
				num_cambios_cond5_mab_climb_ladder_to_hold++;
			}
		}
	}
	}
	}
	num_cambios_cond5_mab_grab_object_from_ladder=num_cambios_cond5_mab_climb_ladder_to_hold;
}

/* CONDICION 6 climb_ladder_to_hold */ 

void cond6_mab_climb_ladder_to_hold(vp_thing2)
	int vp_thing2;
{
	int lim_inf[1];
	int lim_sup[1];

	if (vp_thing2==-1) {
		lim_inf[0]=0;
		lim_sup[0]=12;
	} else {
		lim_inf[0]=vp_thing2;
		lim_sup[0]=vp_thing2+1;
	}
	for(vp_thing2=lim_inf[0]; vp_thing2<lim_sup[0];vp_thing2++) {
	if (mab_i_thing[vp_thing2].on_top_of == 12) {
		activ_cond6_mab_climb_ladder_to_hold[vp_thing2]=CELDA_OCUPADA;
		/* ahora se anotan los cambios */
		if (camb_cond6_mab_climb_ladder_to_hold[vp_thing2]!=activacion) {
			camb_cond6_mab_climb_ladder_to_hold[vp_thing2]=activacion;
			cambios_cond6_mab_climb_ladder_to_hold[num_cambios_cond6_mab_climb_ladder_to_hold].tipo_cambio=activacion;
			cambios_cond6_mab_climb_ladder_to_hold[num_cambios_cond6_mab_climb_ladder_to_hold].instancias[0]=vp_thing2;
			num_cambios_cond6_mab_climb_ladder_to_hold++;
		}
	} else {
		if (activ_cond6_mab_climb_ladder_to_hold[vp_thing2]!=CELDA_VACIA) {
			activ_cond6_mab_climb_ladder_to_hold[vp_thing2]=CELDA_VACIA;
			/* ahora se anotan los cambios */
			if (camb_cond6_mab_climb_ladder_to_hold[vp_thing2]!=desactivacion) {
				camb_cond6_mab_climb_ladder_to_hold[vp_thing2]=desactivacion;
				cambios_cond6_mab_climb_ladder_to_hold[num_cambios_cond6_mab_climb_ladder_to_hold].tipo_cambio=desactivacion;
				cambios_cond6_mab_climb_ladder_to_hold[num_cambios_cond6_mab_climb_ladder_to_hold].instancias[0]=vp_thing2;
				num_cambios_cond6_mab_climb_ladder_to_hold++;
			}
		}
	}
	}
}

/* CONDICION 7 climb_ladder_to_hold */ 

void cond7_mab_climb_ladder_to_hold()
{
	if (mab_i_monkey[0].on_top_of != 8) {
		activ_cond7_mab_climb_ladder_to_hold=TRUE;
	} else {
		activ_cond7_mab_climb_ladder_to_hold=FALSE;
	}
}

/* CONDICION 0 get_on_floor_to_walk (copia de condicion 0 regla walk_holding_nothing) */

/* CONDICION 1 get_on_floor_to_walk (copia de condicion 1 regla walk_holding_nothing) */

/* CONDICION 2 get_on_floor_to_walk */ 

void cond2_mab_get_on_floor_to_walk()
{
	if (mab_i_monkey[0].on_top_of != 12) {
		activ_cond2_mab_get_on_floor_to_walk=TRUE;
	} else {
		activ_cond2_mab_get_on_floor_to_walk=FALSE;
	}
}

/* CONDICION 0 drop_to_climb */ 

void cond0_mab_drop_to_climb()
{
	if (tail_lent(&mab_i_goal_is_to[0].action) == 28) {
		activ_cond0_mab_drop_to_climb=TRUE;
	} else {
		activ_cond0_mab_drop_to_climb=FALSE;
	}
}

/* CONDICION 1 drop_to_climb (copia de condicion 1 regla climb_ladder_to_hold) */

/* CONDICION 2 drop_to_climb */ 

void cond2_mab_drop_to_climb(vp_thing1)
	int vp_thing1;
{
	int lim_inf[1];
	int lim_sup[1];
	int nc;

	if (vp_thing1==-1) {
		lim_inf[0]=0;
		lim_sup[0]=12;
	} else {
		lim_inf[0]=vp_thing1;
		lim_sup[0]=vp_thing1+1;
	}
	for(vp_thing1=lim_inf[0]; vp_thing1<lim_sup[0];vp_thing1++) {
	if (mab_i_monkey[0].location == mab_i_thing[vp_thing1].location) {
		activ_cond2_mab_drop_to_climb[vp_thing1]=CELDA_OCUPADA;
		/* ahora se anotan los cambios */
		if (camb_cond2_mab_drop_to_climb[vp_thing1]==desactivacion) {
			camb_cond2_mab_drop_to_climb[vp_thing1]=activacion;
			nc=0;
			while (nc<num_cambios_cond2_mab_drop_to_climb) {
				if (cambios_cond2_mab_drop_to_climb[nc].tipo_cambio==desactivacion)
				if (cambios_cond2_mab_drop_to_climb[nc].instancias[0]==vp_thing1) 
					{ cambios_cond2_mab_drop_to_climb[nc].tipo_cambio=activacion;
					break; }
				nc++;
			}
		}
		else if (camb_cond2_mab_drop_to_climb[vp_thing1]==CELDA_VACIA) {
			camb_cond2_mab_drop_to_climb[vp_thing1]=activacion;
			cambios_cond2_mab_drop_to_climb[num_cambios_cond2_mab_drop_to_climb].tipo_cambio=activacion;
			cambios_cond2_mab_drop_to_climb[num_cambios_cond2_mab_drop_to_climb].instancias[0]=vp_thing1;
			num_cambios_cond2_mab_drop_to_climb++;
		}
	} else {
		if (activ_cond2_mab_drop_to_climb[vp_thing1]!=CELDA_VACIA) {
			activ_cond2_mab_drop_to_climb[vp_thing1]=CELDA_VACIA;
			/* ahora se anotan los cambios */
			if (camb_cond2_mab_drop_to_climb[vp_thing1]==activacion) {
				camb_cond2_mab_drop_to_climb[vp_thing1]=desactivacion;
				nc=0;
				while (nc<num_cambios_cond2_mab_drop_to_climb) {
					if (cambios_cond2_mab_drop_to_climb[nc].tipo_cambio==activacion)
					if (cambios_cond2_mab_drop_to_climb[nc].instancias[0]==vp_thing1) 
						{ cambios_cond2_mab_drop_to_climb[nc].tipo_cambio=desactivacion;
						break; }
					nc++;
				}
			}
			else if (camb_cond2_mab_drop_to_climb[vp_thing1]==CELDA_VACIA) {
				camb_cond2_mab_drop_to_climb[vp_thing1]=desactivacion;
				cambios_cond2_mab_drop_to_climb[num_cambios_cond2_mab_drop_to_climb].tipo_cambio=desactivacion;
				cambios_cond2_mab_drop_to_climb[num_cambios_cond2_mab_drop_to_climb].instancias[0]=vp_thing1;
				num_cambios_cond2_mab_drop_to_climb++;
			}
		}
	}
	}
	num_cambios_cond6_mab_grab_object_from_ladder=num_cambios_cond2_mab_drop_to_climb;
	num_cambios_cond2_mab_climb_indirectly=num_cambios_cond2_mab_drop_to_climb;
	num_cambios_cond2_mab_climb_directly=num_cambios_cond2_mab_drop_to_climb;
	num_cambios_cond3_mab_unlock_chest_with_key=num_cambios_cond2_mab_drop_to_climb;
	num_cambios_cond4_mab_climb_to_hold=num_cambios_cond2_mab_drop_to_climb;
	num_cambios_cond3_mab_grab_object=num_cambios_cond2_mab_drop_to_climb;
	num_cambios_cond3_mab_drop_to_hold=num_cambios_cond2_mab_drop_to_climb;
}

/* CONDICION 3 drop_to_climb */ 

void cond3_mab_drop_to_climb()
{
	if (mab_i_monkey[0].holding != 21) {
		activ_cond3_mab_drop_to_climb=TRUE;
	} else {
		activ_cond3_mab_drop_to_climb=FALSE;
	}
}

/* CONDICION 0 grab_object_from_ladder (copia de condicion 0 regla climb_ladder_to_hold) */

/* CONDICION 1 grab_object_from_ladder (copia de condicion 1 regla climb_ladder_to_hold) */

/* CONDICION 2 grab_object_from_ladder (copia de condicion 2 regla climb_ladder_to_hold) */

/* CONDICION 3 grab_object_from_ladder (copia de condicion 3 regla climb_ladder_to_hold) */

/* CONDICION 4 grab_object_from_ladder (copia de condicion 4 regla climb_ladder_to_hold) */

/* CONDICION 5 grab_object_from_ladder (copia de condicion 5 regla climb_ladder_to_hold) */

/* CONDICION 6 grab_object_from_ladder (copia de condicion 2 regla drop_to_climb) */

/* CONDICION 7 grab_object_from_ladder */ 

void cond7_mab_grab_object_from_ladder()
{
	if (mab_i_monkey[0].on_top_of == 8) {
		activ_cond7_mab_grab_object_from_ladder=TRUE;
	} else {
		activ_cond7_mab_grab_object_from_ladder=FALSE;
	}
}

/* CONDICION 8 grab_object_from_ladder (copia de condicion 3 regla walk_holding_nothing) */

/* CONDICION 0 hold_to_eat */ 

void cond0_mab_hold_to_eat()
{
	if (tail_lent(&mab_i_goal_is_to[0].action) == 29) {
		activ_cond0_mab_hold_to_eat=TRUE;
	} else {
		activ_cond0_mab_hold_to_eat=FALSE;
	}
}

/* CONDICION 1 hold_to_eat */ 

void cond1_mab_hold_to_eat()
{
	if (mab_i_monkey[0].holding != tail_lent(&mab_i_goal_is_to[0].argument_1)) {
		activ_cond1_mab_hold_to_eat=TRUE;
	} else {
		activ_cond1_mab_hold_to_eat=FALSE;
	}
}

/* CONDICION 0 walk_holding_object (copia de condicion 0 regla walk_holding_nothing) */

/* CONDICION 1 walk_holding_object (copia de condicion 1 regla walk_holding_nothing) */

/* CONDICION 2 walk_holding_object (copia de condicion 2 regla walk_holding_nothing) */

/* CONDICION 3 walk_holding_object */ 

void cond3_mab_walk_holding_object(vp_thing1)
	int vp_thing1;
{
	int lim_inf[1];
	int lim_sup[1];
	int nc;

	if (vp_thing1==-1) {
		lim_inf[0]=0;
		lim_sup[0]=12;
	} else {
		lim_inf[0]=vp_thing1;
		lim_sup[0]=vp_thing1+1;
	}
	for(vp_thing1=lim_inf[0]; vp_thing1<lim_sup[0];vp_thing1++) {
	if (mab_i_thing[vp_thing1].name == mab_i_monkey[0].holding) {
		activ_cond3_mab_walk_holding_object[vp_thing1]=CELDA_OCUPADA;
		/* ahora se anotan los cambios */
		if (camb_cond3_mab_walk_holding_object[vp_thing1]==desactivacion) {
			camb_cond3_mab_walk_holding_object[vp_thing1]=activacion;
			nc=0;
			while (nc<num_cambios_cond3_mab_walk_holding_object) {
				if (cambios_cond3_mab_walk_holding_object[nc].tipo_cambio==desactivacion)
				if (cambios_cond3_mab_walk_holding_object[nc].instancias[0]==vp_thing1) 
					{ cambios_cond3_mab_walk_holding_object[nc].tipo_cambio=activacion;
					break; }
				nc++;
			}
		}
		else if (camb_cond3_mab_walk_holding_object[vp_thing1]==CELDA_VACIA) {
			camb_cond3_mab_walk_holding_object[vp_thing1]=activacion;
			cambios_cond3_mab_walk_holding_object[num_cambios_cond3_mab_walk_holding_object].tipo_cambio=activacion;
			cambios_cond3_mab_walk_holding_object[num_cambios_cond3_mab_walk_holding_object].instancias[0]=vp_thing1;
			num_cambios_cond3_mab_walk_holding_object++;
		}
	} else {
		if (activ_cond3_mab_walk_holding_object[vp_thing1]!=CELDA_VACIA) {
			activ_cond3_mab_walk_holding_object[vp_thing1]=CELDA_VACIA;
			/* ahora se anotan los cambios */
			if (camb_cond3_mab_walk_holding_object[vp_thing1]==activacion) {
				camb_cond3_mab_walk_holding_object[vp_thing1]=desactivacion;
				nc=0;
				while (nc<num_cambios_cond3_mab_walk_holding_object) {
					if (cambios_cond3_mab_walk_holding_object[nc].tipo_cambio==activacion)
					if (cambios_cond3_mab_walk_holding_object[nc].instancias[0]==vp_thing1) 
						{ cambios_cond3_mab_walk_holding_object[nc].tipo_cambio=desactivacion;
						break; }
					nc++;
				}
			}
			else if (camb_cond3_mab_walk_holding_object[vp_thing1]==CELDA_VACIA) {
				camb_cond3_mab_walk_holding_object[vp_thing1]=desactivacion;
				cambios_cond3_mab_walk_holding_object[num_cambios_cond3_mab_walk_holding_object].tipo_cambio=desactivacion;
				cambios_cond3_mab_walk_holding_object[num_cambios_cond3_mab_walk_holding_object].instancias[0]=vp_thing1;
				num_cambios_cond3_mab_walk_holding_object++;
			}
		}
	}
	}
	num_cambios_cond2_mab_satisfy_hunger=num_cambios_cond3_mab_walk_holding_object;
	num_cambios_cond3_mab_drop_object=num_cambios_cond3_mab_walk_holding_object;
	num_cambios_cond2_mab_put_chest_on_floor=num_cambios_cond3_mab_walk_holding_object;
}

/* CONDICION 0 walk_to_place_to_climb (copia de condicion 0 regla drop_to_climb) */

/* CONDICION 1 walk_to_place_to_climb (copia de condicion 1 regla climb_ladder_to_hold) */

/* CONDICION 2 walk_to_place_to_climb */ 

void cond2_mab_walk_to_place_to_climb(vp_thing1)
	int vp_thing1;
{
	int lim_inf[1];
	int lim_sup[1];
	int nc;

	if (vp_thing1==-1) {
		lim_inf[0]=0;
		lim_sup[0]=12;
	} else {
		lim_inf[0]=vp_thing1;
		lim_sup[0]=vp_thing1+1;
	}
	for(vp_thing1=lim_inf[0]; vp_thing1<lim_sup[0];vp_thing1++) {
	if (mab_i_monkey[0].location != mab_i_thing[vp_thing1].location) {
		activ_cond2_mab_walk_to_place_to_climb[vp_thing1]=CELDA_OCUPADA;
		/* ahora se anotan los cambios */
		if (camb_cond2_mab_walk_to_place_to_climb[vp_thing1]==desactivacion) {
			camb_cond2_mab_walk_to_place_to_climb[vp_thing1]=activacion;
			nc=0;
			while (nc<num_cambios_cond2_mab_walk_to_place_to_climb) {
				if (cambios_cond2_mab_walk_to_place_to_climb[nc].tipo_cambio==desactivacion)
				if (cambios_cond2_mab_walk_to_place_to_climb[nc].instancias[0]==vp_thing1) 
					{ cambios_cond2_mab_walk_to_place_to_climb[nc].tipo_cambio=activacion;
					break; }
				nc++;
			}
		}
		else if (camb_cond2_mab_walk_to_place_to_climb[vp_thing1]==CELDA_VACIA) {
			camb_cond2_mab_walk_to_place_to_climb[vp_thing1]=activacion;
			cambios_cond2_mab_walk_to_place_to_climb[num_cambios_cond2_mab_walk_to_place_to_climb].tipo_cambio=activacion;
			cambios_cond2_mab_walk_to_place_to_climb[num_cambios_cond2_mab_walk_to_place_to_climb].instancias[0]=vp_thing1;
			num_cambios_cond2_mab_walk_to_place_to_climb++;
		}
	} else {
		if (activ_cond2_mab_walk_to_place_to_climb[vp_thing1]!=CELDA_VACIA) {
			activ_cond2_mab_walk_to_place_to_climb[vp_thing1]=CELDA_VACIA;
			/* ahora se anotan los cambios */
			if (camb_cond2_mab_walk_to_place_to_climb[vp_thing1]==activacion) {
				camb_cond2_mab_walk_to_place_to_climb[vp_thing1]=desactivacion;
				nc=0;
				while (nc<num_cambios_cond2_mab_walk_to_place_to_climb) {
					if (cambios_cond2_mab_walk_to_place_to_climb[nc].tipo_cambio==activacion)
					if (cambios_cond2_mab_walk_to_place_to_climb[nc].instancias[0]==vp_thing1) 
						{ cambios_cond2_mab_walk_to_place_to_climb[nc].tipo_cambio=desactivacion;
						break; }
					nc++;
				}
			}
			else if (camb_cond2_mab_walk_to_place_to_climb[vp_thing1]==CELDA_VACIA) {
				camb_cond2_mab_walk_to_place_to_climb[vp_thing1]=desactivacion;
				cambios_cond2_mab_walk_to_place_to_climb[num_cambios_cond2_mab_walk_to_place_to_climb].tipo_cambio=desactivacion;
				cambios_cond2_mab_walk_to_place_to_climb[num_cambios_cond2_mab_walk_to_place_to_climb].instancias[0]=vp_thing1;
				num_cambios_cond2_mab_walk_to_place_to_climb++;
			}
		}
	}
	}
	num_cambios_cond3_mab_move_to_chest_with_key=num_cambios_cond2_mab_walk_to_place_to_climb;
	num_cambios_cond4_mab_walk_to_hold=num_cambios_cond2_mab_walk_to_place_to_climb;
}

/* CONDICION 0 satisfy_hunger (copia de condicion 0 regla hold_to_eat) */

/* CONDICION 1 satisfy_hunger */ 

void cond1_mab_satisfy_hunger()
{
	if (mab_i_monkey[0].holding == tail_lent(&mab_i_goal_is_to[0].argument_1)) {
		activ_cond1_mab_satisfy_hunger=TRUE;
	} else {
		activ_cond1_mab_satisfy_hunger=FALSE;
	}
}

/* CONDICION 2 satisfy_hunger (copia de condicion 3 regla walk_holding_object) */

/* CONDICION 0 move_to_chest_with_key (copia de condicion 0 regla get_key_to_unlock) */

/* CONDICION 1 move_to_chest_with_key (copia de condicion 1 regla climb_ladder_to_hold) */

/* CONDICION 2 move_to_chest_with_key (copia de condicion 2 regla get_key_to_unlock) */

/* CONDICION 3 move_to_chest_with_key (copia de condicion 2 regla walk_to_place_to_climb) */

/* CONDICION 4 move_to_chest_with_key */ 

void cond4_mab_move_to_chest_with_key(vp_chest1)
	int vp_chest1;
{
	int lim_inf[1];
	int lim_sup[1];
	int nc;

	if (vp_chest1==-1) {
		lim_inf[0]=0;
		lim_sup[0]=3;
	} else {
		lim_inf[0]=vp_chest1;
		lim_sup[0]=vp_chest1+1;
	}
	for(vp_chest1=lim_inf[0]; vp_chest1<lim_sup[0];vp_chest1++) {
	if (mab_i_chest[vp_chest1].name == tail_lent(&mab_i_goal_is_to[0].argument_1)) {
		activ_cond4_mab_move_to_chest_with_key[vp_chest1]=CELDA_OCUPADA;
		/* ahora se anotan los cambios */
		if (camb_cond4_mab_move_to_chest_with_key[vp_chest1]==desactivacion) {
			camb_cond4_mab_move_to_chest_with_key[vp_chest1]=activacion;
			nc=0;
			while (nc<num_cambios_cond4_mab_move_to_chest_with_key) {
				if (cambios_cond4_mab_move_to_chest_with_key[nc].tipo_cambio==desactivacion)
				if (cambios_cond4_mab_move_to_chest_with_key[nc].instancias[0]==vp_chest1) 
					{ cambios_cond4_mab_move_to_chest_with_key[nc].tipo_cambio=activacion;
					break; }
				nc++;
			}
		}
		else if (camb_cond4_mab_move_to_chest_with_key[vp_chest1]==CELDA_VACIA) {
			camb_cond4_mab_move_to_chest_with_key[vp_chest1]=activacion;
			cambios_cond4_mab_move_to_chest_with_key[num_cambios_cond4_mab_move_to_chest_with_key].tipo_cambio=activacion;
			cambios_cond4_mab_move_to_chest_with_key[num_cambios_cond4_mab_move_to_chest_with_key].instancias[0]=vp_chest1;
			num_cambios_cond4_mab_move_to_chest_with_key++;
		}
	} else {
		if (activ_cond4_mab_move_to_chest_with_key[vp_chest1]!=CELDA_VACIA) {
			activ_cond4_mab_move_to_chest_with_key[vp_chest1]=CELDA_VACIA;
			/* ahora se anotan los cambios */
			if (camb_cond4_mab_move_to_chest_with_key[vp_chest1]==activacion) {
				camb_cond4_mab_move_to_chest_with_key[vp_chest1]=desactivacion;
				nc=0;
				while (nc<num_cambios_cond4_mab_move_to_chest_with_key) {
					if (cambios_cond4_mab_move_to_chest_with_key[nc].tipo_cambio==activacion)
					if (cambios_cond4_mab_move_to_chest_with_key[nc].instancias[0]==vp_chest1) 
						{ cambios_cond4_mab_move_to_chest_with_key[nc].tipo_cambio=desactivacion;
						break; }
					nc++;
				}
			}
			else if (camb_cond4_mab_move_to_chest_with_key[vp_chest1]==CELDA_VACIA) {
				camb_cond4_mab_move_to_chest_with_key[vp_chest1]=desactivacion;
				cambios_cond4_mab_move_to_chest_with_key[num_cambios_cond4_mab_move_to_chest_with_key].tipo_cambio=desactivacion;
				cambios_cond4_mab_move_to_chest_with_key[num_cambios_cond4_mab_move_to_chest_with_key].instancias[0]=vp_chest1;
				num_cambios_cond4_mab_move_to_chest_with_key++;
			}
		}
	}
	}
	num_cambios_cond1_mab_unlock_chest_with_key=num_cambios_cond4_mab_move_to_chest_with_key;
}

/* CONDICION 5 move_to_chest_with_key */ 

void cond5_mab_move_to_chest_with_key(vp_chest1)
	int vp_chest1;
{
	int lim_inf[1];
	int lim_sup[1];

	if (vp_chest1==-1) {
		lim_inf[0]=0;
		lim_sup[0]=3;
	} else {
		lim_inf[0]=vp_chest1;
		lim_sup[0]=vp_chest1+1;
	}
	for(vp_chest1=lim_inf[0]; vp_chest1<lim_sup[0];vp_chest1++) {
	if (mab_i_chest[vp_chest1].unlocked_by == mab_i_monkey[0].holding) {
		activ_cond5_mab_move_to_chest_with_key[vp_chest1]=CELDA_OCUPADA;
		/* ahora se anotan los cambios */
		if (camb_cond5_mab_move_to_chest_with_key[vp_chest1]!=activacion) {
			camb_cond5_mab_move_to_chest_with_key[vp_chest1]=activacion;
			cambios_cond5_mab_move_to_chest_with_key[num_cambios_cond5_mab_move_to_chest_with_key].tipo_cambio=activacion;
			cambios_cond5_mab_move_to_chest_with_key[num_cambios_cond5_mab_move_to_chest_with_key].instancias[0]=vp_chest1;
			num_cambios_cond5_mab_move_to_chest_with_key++;
		}
	} else {
		if (activ_cond5_mab_move_to_chest_with_key[vp_chest1]!=CELDA_VACIA) {
			activ_cond5_mab_move_to_chest_with_key[vp_chest1]=CELDA_VACIA;
			/* ahora se anotan los cambios */
			if (camb_cond5_mab_move_to_chest_with_key[vp_chest1]!=desactivacion) {
				camb_cond5_mab_move_to_chest_with_key[vp_chest1]=desactivacion;
				cambios_cond5_mab_move_to_chest_with_key[num_cambios_cond5_mab_move_to_chest_with_key].tipo_cambio=desactivacion;
				cambios_cond5_mab_move_to_chest_with_key[num_cambios_cond5_mab_move_to_chest_with_key].instancias[0]=vp_chest1;
				num_cambios_cond5_mab_move_to_chest_with_key++;
			}
		}
	}
	}
}

/* CONDICION 0 drop_object (copia de condicion 0 regla climb_ladder_to_hold) */

/* CONDICION 1 drop_object */ 

void cond1_mab_drop_object()
{
	if (tail_lent(&mab_i_goal_is_to[0].argument_1) == 21) {
		activ_cond1_mab_drop_object=TRUE;
	} else {
		activ_cond1_mab_drop_object=FALSE;
	}
}

/* CONDICION 2 drop_object (copia de condicion 3 regla drop_to_climb) */

/* CONDICION 3 drop_object (copia de condicion 3 regla walk_holding_object) */

/* CONDICION 0 climb_indirectly (copia de condicion 0 regla drop_to_climb) */

/* CONDICION 1 climb_indirectly (copia de condicion 1 regla climb_ladder_to_hold) */

/* CONDICION 2 climb_indirectly (copia de condicion 2 regla drop_to_climb) */

/* CONDICION 3 climb_indirectly */ 

void cond3_mab_climb_indirectly(vp_thing1)
	int vp_thing1;
{
	int lim_inf[1];
	int lim_sup[1];
	int nc;

	if (vp_thing1==-1) {
		lim_inf[0]=0;
		lim_sup[0]=12;
	} else {
		lim_inf[0]=vp_thing1;
		lim_sup[0]=vp_thing1+1;
	}
	for(vp_thing1=lim_inf[0]; vp_thing1<lim_sup[0];vp_thing1++) {
	if (mab_i_monkey[0].on_top_of != mab_i_thing[vp_thing1].on_top_of) {
		activ_cond3_mab_climb_indirectly[vp_thing1]=CELDA_OCUPADA;
		/* ahora se anotan los cambios */
		if (camb_cond3_mab_climb_indirectly[vp_thing1]==desactivacion) {
			camb_cond3_mab_climb_indirectly[vp_thing1]=activacion;
			nc=0;
			while (nc<num_cambios_cond3_mab_climb_indirectly) {
				if (cambios_cond3_mab_climb_indirectly[nc].tipo_cambio==desactivacion)
				if (cambios_cond3_mab_climb_indirectly[nc].instancias[0]==vp_thing1) 
					{ cambios_cond3_mab_climb_indirectly[nc].tipo_cambio=activacion;
					break; }
				nc++;
			}
		}
		else if (camb_cond3_mab_climb_indirectly[vp_thing1]==CELDA_VACIA) {
			camb_cond3_mab_climb_indirectly[vp_thing1]=activacion;
			cambios_cond3_mab_climb_indirectly[num_cambios_cond3_mab_climb_indirectly].tipo_cambio=activacion;
			cambios_cond3_mab_climb_indirectly[num_cambios_cond3_mab_climb_indirectly].instancias[0]=vp_thing1;
			num_cambios_cond3_mab_climb_indirectly++;
		}
	} else {
		if (activ_cond3_mab_climb_indirectly[vp_thing1]!=CELDA_VACIA) {
			activ_cond3_mab_climb_indirectly[vp_thing1]=CELDA_VACIA;
			/* ahora se anotan los cambios */
			if (camb_cond3_mab_climb_indirectly[vp_thing1]==activacion) {
				camb_cond3_mab_climb_indirectly[vp_thing1]=desactivacion;
				nc=0;
				while (nc<num_cambios_cond3_mab_climb_indirectly) {
					if (cambios_cond3_mab_climb_indirectly[nc].tipo_cambio==activacion)
					if (cambios_cond3_mab_climb_indirectly[nc].instancias[0]==vp_thing1) 
						{ cambios_cond3_mab_climb_indirectly[nc].tipo_cambio=desactivacion;
						break; }
					nc++;
				}
			}
			else if (camb_cond3_mab_climb_indirectly[vp_thing1]==CELDA_VACIA) {
				camb_cond3_mab_climb_indirectly[vp_thing1]=desactivacion;
				cambios_cond3_mab_climb_indirectly[num_cambios_cond3_mab_climb_indirectly].tipo_cambio=desactivacion;
				cambios_cond3_mab_climb_indirectly[num_cambios_cond3_mab_climb_indirectly].instancias[0]=vp_thing1;
				num_cambios_cond3_mab_climb_indirectly++;
			}
		}
	}
	}
	num_cambios_cond5_mab_climb_to_hold=num_cambios_cond3_mab_climb_indirectly;
}

/* CONDICION 4 climb_indirectly */ 

void cond4_mab_climb_indirectly()
{
	if (mab_i_monkey[0].on_top_of != tail_lent(&mab_i_goal_is_to[0].argument_1)) {
		activ_cond4_mab_climb_indirectly=TRUE;
	} else {
		activ_cond4_mab_climb_indirectly=FALSE;
	}
}

/* CONDICION 5 climb_indirectly (copia de condicion 3 regla walk_holding_nothing) */

/* CONDICION 0 already_on_object (copia de condicion 0 regla drop_to_climb) */

/* CONDICION 1 already_on_object */ 

void cond1_mab_already_on_object()
{
	if (mab_i_monkey[0].on_top_of == tail_lent(&mab_i_goal_is_to[0].argument_1)) {
		activ_cond1_mab_already_on_object=TRUE;
	} else {
		activ_cond1_mab_already_on_object=FALSE;
	}
}

/* CONDICION 0 hold_object_to_move */ 

void cond0_mab_hold_object_to_move()
{
	if (tail_lent(&mab_i_goal_is_to[0].action) == 27) {
		activ_cond0_mab_hold_object_to_move=TRUE;
	} else {
		activ_cond0_mab_hold_object_to_move=FALSE;
	}
}

/* CONDICION 1 hold_object_to_move (copia de condicion 1 regla climb_ladder_to_hold) */

/* CONDICION 2 hold_object_to_move */ 

void cond2_mab_hold_object_to_move(vp_thing1)
	int vp_thing1;
{
	int lim_inf[1];
	int lim_sup[1];

	if (vp_thing1==-1) {
		lim_inf[0]=0;
		lim_sup[0]=12;
	} else {
		lim_inf[0]=vp_thing1;
		lim_sup[0]=vp_thing1+1;
	}
	for(vp_thing1=lim_inf[0]; vp_thing1<lim_sup[0];vp_thing1++) {
	if (mab_i_thing[vp_thing1].location != tail_lent(&mab_i_goal_is_to[0].argument_2)) {
		activ_cond2_mab_hold_object_to_move[vp_thing1]=CELDA_OCUPADA;
		/* ahora se anotan los cambios */
		if (camb_cond2_mab_hold_object_to_move[vp_thing1]!=activacion) {
			camb_cond2_mab_hold_object_to_move[vp_thing1]=activacion;
			cambios_cond2_mab_hold_object_to_move[num_cambios_cond2_mab_hold_object_to_move].tipo_cambio=activacion;
			cambios_cond2_mab_hold_object_to_move[num_cambios_cond2_mab_hold_object_to_move].instancias[0]=vp_thing1;
			num_cambios_cond2_mab_hold_object_to_move++;
		}
	} else {
		if (activ_cond2_mab_hold_object_to_move[vp_thing1]!=CELDA_VACIA) {
			activ_cond2_mab_hold_object_to_move[vp_thing1]=CELDA_VACIA;
			/* ahora se anotan los cambios */
			if (camb_cond2_mab_hold_object_to_move[vp_thing1]!=desactivacion) {
				camb_cond2_mab_hold_object_to_move[vp_thing1]=desactivacion;
				cambios_cond2_mab_hold_object_to_move[num_cambios_cond2_mab_hold_object_to_move].tipo_cambio=desactivacion;
				cambios_cond2_mab_hold_object_to_move[num_cambios_cond2_mab_hold_object_to_move].instancias[0]=vp_thing1;
				num_cambios_cond2_mab_hold_object_to_move++;
			}
		}
	}
	}
}

/* CONDICION 3 hold_object_to_move (copia de condicion 3 regla climb_ladder_to_hold) */

/* CONDICION 4 hold_object_to_move (copia de condicion 1 regla hold_to_eat) */

/* CONDICION 0 drop_object_once_moved (copia de condicion 0 regla hold_object_to_move) */

/* CONDICION 1 drop_object_once_moved */ 

void cond1_mab_drop_object_once_moved()
{
	if (mab_i_monkey[0].location == tail_lent(&mab_i_goal_is_to[0].argument_2)) {
		activ_cond1_mab_drop_object_once_moved=TRUE;
	} else {
		activ_cond1_mab_drop_object_once_moved=FALSE;
	}
}

/* CONDICION 2 drop_object_once_moved (copia de condicion 1 regla climb_ladder_to_hold) */

/* CONDICION 3 drop_object_once_moved (copia de condicion 3 regla climb_ladder_to_hold) */

/* CONDICION 0 climb_directly (copia de condicion 0 regla drop_to_climb) */

/* CONDICION 1 climb_directly (copia de condicion 1 regla climb_ladder_to_hold) */

/* CONDICION 2 climb_directly (copia de condicion 2 regla drop_to_climb) */

/* CONDICION 3 climb_directly */ 

void cond3_mab_climb_directly(vp_thing1)
	int vp_thing1;
{
	int lim_inf[1];
	int lim_sup[1];
	int nc;

	if (vp_thing1==-1) {
		lim_inf[0]=0;
		lim_sup[0]=12;
	} else {
		lim_inf[0]=vp_thing1;
		lim_sup[0]=vp_thing1+1;
	}
	for(vp_thing1=lim_inf[0]; vp_thing1<lim_sup[0];vp_thing1++) {
	if (mab_i_monkey[0].on_top_of == mab_i_thing[vp_thing1].on_top_of) {
		activ_cond3_mab_climb_directly[vp_thing1]=CELDA_OCUPADA;
		/* ahora se anotan los cambios */
		if (camb_cond3_mab_climb_directly[vp_thing1]==desactivacion) {
			camb_cond3_mab_climb_directly[vp_thing1]=activacion;
			nc=0;
			while (nc<num_cambios_cond3_mab_climb_directly) {
				if (cambios_cond3_mab_climb_directly[nc].tipo_cambio==desactivacion)
				if (cambios_cond3_mab_climb_directly[nc].instancias[0]==vp_thing1) 
					{ cambios_cond3_mab_climb_directly[nc].tipo_cambio=activacion;
					break; }
				nc++;
			}
		}
		else if (camb_cond3_mab_climb_directly[vp_thing1]==CELDA_VACIA) {
			camb_cond3_mab_climb_directly[vp_thing1]=activacion;
			cambios_cond3_mab_climb_directly[num_cambios_cond3_mab_climb_directly].tipo_cambio=activacion;
			cambios_cond3_mab_climb_directly[num_cambios_cond3_mab_climb_directly].instancias[0]=vp_thing1;
			num_cambios_cond3_mab_climb_directly++;
		}
	} else {
		if (activ_cond3_mab_climb_directly[vp_thing1]!=CELDA_VACIA) {
			activ_cond3_mab_climb_directly[vp_thing1]=CELDA_VACIA;
			/* ahora se anotan los cambios */
			if (camb_cond3_mab_climb_directly[vp_thing1]==activacion) {
				camb_cond3_mab_climb_directly[vp_thing1]=desactivacion;
				nc=0;
				while (nc<num_cambios_cond3_mab_climb_directly) {
					if (cambios_cond3_mab_climb_directly[nc].tipo_cambio==activacion)
					if (cambios_cond3_mab_climb_directly[nc].instancias[0]==vp_thing1) 
						{ cambios_cond3_mab_climb_directly[nc].tipo_cambio=desactivacion;
						break; }
					nc++;
				}
			}
			else if (camb_cond3_mab_climb_directly[vp_thing1]==CELDA_VACIA) {
				camb_cond3_mab_climb_directly[vp_thing1]=desactivacion;
				cambios_cond3_mab_climb_directly[num_cambios_cond3_mab_climb_directly].tipo_cambio=desactivacion;
				cambios_cond3_mab_climb_directly[num_cambios_cond3_mab_climb_directly].instancias[0]=vp_thing1;
				num_cambios_cond3_mab_climb_directly++;
			}
		}
	}
	}
	num_cambios_cond4_mab_unlock_chest_with_key=num_cambios_cond3_mab_climb_directly;
	num_cambios_cond4_mab_grab_object=num_cambios_cond3_mab_climb_directly;
	num_cambios_cond4_mab_drop_to_hold=num_cambios_cond3_mab_climb_directly;
}

/* CONDICION 4 climb_directly (copia de condicion 3 regla walk_holding_nothing) */

/* CONDICION 0 unlock_chest_to_hold_object (copia de condicion 0 regla climb_ladder_to_hold) */

/* CONDICION 1 unlock_chest_to_hold_object */ 

void cond1_mab_unlock_chest_to_hold_object(vp_chest1)
	int vp_chest1;
{
	int lim_inf[1];
	int lim_sup[1];

	if (vp_chest1==-1) {
		lim_inf[0]=0;
		lim_sup[0]=3;
	} else {
		lim_inf[0]=vp_chest1;
		lim_sup[0]=vp_chest1+1;
	}
	for(vp_chest1=lim_inf[0]; vp_chest1<lim_sup[0];vp_chest1++) {
	if (tail_lent(&mab_i_goal_is_to[0].argument_1) == mab_i_chest[vp_chest1].contents) {
		activ_cond1_mab_unlock_chest_to_hold_object[vp_chest1]=CELDA_OCUPADA;
		/* ahora se anotan los cambios */
		if (camb_cond1_mab_unlock_chest_to_hold_object[vp_chest1]!=activacion) {
			camb_cond1_mab_unlock_chest_to_hold_object[vp_chest1]=activacion;
			cambios_cond1_mab_unlock_chest_to_hold_object[num_cambios_cond1_mab_unlock_chest_to_hold_object].tipo_cambio=activacion;
			cambios_cond1_mab_unlock_chest_to_hold_object[num_cambios_cond1_mab_unlock_chest_to_hold_object].instancias[0]=vp_chest1;
			num_cambios_cond1_mab_unlock_chest_to_hold_object++;
		}
	} else {
		if (activ_cond1_mab_unlock_chest_to_hold_object[vp_chest1]!=CELDA_VACIA) {
			activ_cond1_mab_unlock_chest_to_hold_object[vp_chest1]=CELDA_VACIA;
			/* ahora se anotan los cambios */
			if (camb_cond1_mab_unlock_chest_to_hold_object[vp_chest1]!=desactivacion) {
				camb_cond1_mab_unlock_chest_to_hold_object[vp_chest1]=desactivacion;
				cambios_cond1_mab_unlock_chest_to_hold_object[num_cambios_cond1_mab_unlock_chest_to_hold_object].tipo_cambio=desactivacion;
				cambios_cond1_mab_unlock_chest_to_hold_object[num_cambios_cond1_mab_unlock_chest_to_hold_object].instancias[0]=vp_chest1;
				num_cambios_cond1_mab_unlock_chest_to_hold_object++;
			}
		}
	}
	}
}

/* CONDICION 0 already_moved_object (copia de condicion 0 regla hold_object_to_move) */

/* CONDICION 1 already_moved_object (copia de condicion 1 regla climb_ladder_to_hold) */

/* CONDICION 2 already_moved_object */ 

void cond2_mab_already_moved_object(vp_thing1)
	int vp_thing1;
{
	int lim_inf[1];
	int lim_sup[1];

	if (vp_thing1==-1) {
		lim_inf[0]=0;
		lim_sup[0]=12;
	} else {
		lim_inf[0]=vp_thing1;
		lim_sup[0]=vp_thing1+1;
	}
	for(vp_thing1=lim_inf[0]; vp_thing1<lim_sup[0];vp_thing1++) {
	if (mab_i_thing[vp_thing1].location == tail_lent(&mab_i_goal_is_to[0].argument_2)) {
		activ_cond2_mab_already_moved_object[vp_thing1]=CELDA_OCUPADA;
		/* ahora se anotan los cambios */
		if (camb_cond2_mab_already_moved_object[vp_thing1]!=activacion) {
			camb_cond2_mab_already_moved_object[vp_thing1]=activacion;
			cambios_cond2_mab_already_moved_object[num_cambios_cond2_mab_already_moved_object].tipo_cambio=activacion;
			cambios_cond2_mab_already_moved_object[num_cambios_cond2_mab_already_moved_object].instancias[0]=vp_thing1;
			num_cambios_cond2_mab_already_moved_object++;
		}
	} else {
		if (activ_cond2_mab_already_moved_object[vp_thing1]!=CELDA_VACIA) {
			activ_cond2_mab_already_moved_object[vp_thing1]=CELDA_VACIA;
			/* ahora se anotan los cambios */
			if (camb_cond2_mab_already_moved_object[vp_thing1]!=desactivacion) {
				camb_cond2_mab_already_moved_object[vp_thing1]=desactivacion;
				cambios_cond2_mab_already_moved_object[num_cambios_cond2_mab_already_moved_object].tipo_cambio=desactivacion;
				cambios_cond2_mab_already_moved_object[num_cambios_cond2_mab_already_moved_object].instancias[0]=vp_thing1;
				num_cambios_cond2_mab_already_moved_object++;
			}
		}
	}
	}
}

/* CONDICION 0 move_object_to_place (copia de condicion 0 regla hold_object_to_move) */

/* CONDICION 1 move_object_to_place */ 

void cond1_mab_move_object_to_place()
{
	if (mab_i_monkey[0].location != tail_lent(&mab_i_goal_is_to[0].argument_2)) {
		activ_cond1_mab_move_object_to_place=TRUE;
	} else {
		activ_cond1_mab_move_object_to_place=FALSE;
	}
}

/* CONDICION 2 move_object_to_place (copia de condicion 1 regla satisfy_hunger) */

/* CONDICION 0 already_at_place (copia de condicion 0 regla walk_holding_nothing) */

/* CONDICION 1 already_at_place */ 

void cond1_mab_already_at_place()
{
	if (mab_i_monkey[0].location == tail_lent(&mab_i_goal_is_to[0].argument_1)) {
		activ_cond1_mab_already_at_place=TRUE;
	} else {
		activ_cond1_mab_already_at_place=FALSE;
	}
}

/* CONDICION 0 put_chest_on_floor (copia de condicion 0 regla get_key_to_unlock) */

/* CONDICION 1 put_chest_on_floor (copia de condicion 1 regla satisfy_hunger) */

/* CONDICION 2 put_chest_on_floor (copia de condicion 3 regla walk_holding_object) */

/* CONDICION 0 hold_chest_to_put_on_floor (copia de condicion 0 regla get_key_to_unlock) */

/* CONDICION 1 hold_chest_to_put_on_floor (copia de condicion 1 regla get_key_to_unlock) */

/* CONDICION 2 hold_chest_to_put_on_floor */ 

void cond2_mab_hold_chest_to_put_on_floor(vp_thing1)
	int vp_thing1;
{
	int lim_inf[1];
	int lim_sup[1];

	if (vp_thing1==-1) {
		lim_inf[0]=0;
		lim_sup[0]=12;
	} else {
		lim_inf[0]=vp_thing1;
		lim_sup[0]=vp_thing1+1;
	}
	for(vp_thing1=lim_inf[0]; vp_thing1<lim_sup[0];vp_thing1++) {
	if (mab_i_thing[vp_thing1].on_top_of != 12) {
		activ_cond2_mab_hold_chest_to_put_on_floor[vp_thing1]=CELDA_OCUPADA;
		/* ahora se anotan los cambios */
		if (camb_cond2_mab_hold_chest_to_put_on_floor[vp_thing1]!=activacion) {
			camb_cond2_mab_hold_chest_to_put_on_floor[vp_thing1]=activacion;
			cambios_cond2_mab_hold_chest_to_put_on_floor[num_cambios_cond2_mab_hold_chest_to_put_on_floor].tipo_cambio=activacion;
			cambios_cond2_mab_hold_chest_to_put_on_floor[num_cambios_cond2_mab_hold_chest_to_put_on_floor].instancias[0]=vp_thing1;
			num_cambios_cond2_mab_hold_chest_to_put_on_floor++;
		}
	} else {
		if (activ_cond2_mab_hold_chest_to_put_on_floor[vp_thing1]!=CELDA_VACIA) {
			activ_cond2_mab_hold_chest_to_put_on_floor[vp_thing1]=CELDA_VACIA;
			/* ahora se anotan los cambios */
			if (camb_cond2_mab_hold_chest_to_put_on_floor[vp_thing1]!=desactivacion) {
				camb_cond2_mab_hold_chest_to_put_on_floor[vp_thing1]=desactivacion;
				cambios_cond2_mab_hold_chest_to_put_on_floor[num_cambios_cond2_mab_hold_chest_to_put_on_floor].tipo_cambio=desactivacion;
				cambios_cond2_mab_hold_chest_to_put_on_floor[num_cambios_cond2_mab_hold_chest_to_put_on_floor].instancias[0]=vp_thing1;
				num_cambios_cond2_mab_hold_chest_to_put_on_floor++;
			}
		}
	}
	}
}

/* CONDICION 3 hold_chest_to_put_on_floor (copia de condicion 3 regla climb_ladder_to_hold) */

/* CONDICION 4 hold_chest_to_put_on_floor (copia de condicion 1 regla hold_to_eat) */

/* CONDICION 0 jump_onto_floor (copia de condicion 0 regla drop_to_climb) */

/* CONDICION 1 jump_onto_floor */ 

void cond1_mab_jump_onto_floor()
{
	if (tail_lent(&mab_i_goal_is_to[0].argument_1) == 12) {
		activ_cond1_mab_jump_onto_floor=TRUE;
	} else {
		activ_cond1_mab_jump_onto_floor=FALSE;
	}
}

/* CONDICION 2 jump_onto_floor (copia de condicion 2 regla get_on_floor_to_walk) */

/* CONDICION 0 unlock_chest_with_key (copia de condicion 0 regla get_key_to_unlock) */

/* CONDICION 1 unlock_chest_with_key (copia de condicion 4 regla move_to_chest_with_key) */

/* CONDICION 2 unlock_chest_with_key (copia de condicion 1 regla climb_ladder_to_hold) */

/* CONDICION 3 unlock_chest_with_key (copia de condicion 2 regla drop_to_climb) */

/* CONDICION 4 unlock_chest_with_key (copia de condicion 3 regla climb_directly) */

/* CONDICION 5 unlock_chest_with_key */ 

void cond5_mab_unlock_chest_with_key(vp_chest1)
	int vp_chest1;
{
	int lim_inf[1];
	int lim_sup[1];

	if (vp_chest1==-1) {
		lim_inf[0]=0;
		lim_sup[0]=3;
	} else {
		lim_inf[0]=vp_chest1;
		lim_sup[0]=vp_chest1+1;
	}
	for(vp_chest1=lim_inf[0]; vp_chest1<lim_sup[0];vp_chest1++) {
	if (mab_i_monkey[0].holding == mab_i_chest[vp_chest1].unlocked_by) {
		activ_cond5_mab_unlock_chest_with_key[vp_chest1]=CELDA_OCUPADA;
		/* ahora se anotan los cambios */
		if (camb_cond5_mab_unlock_chest_with_key[vp_chest1]!=activacion) {
			camb_cond5_mab_unlock_chest_with_key[vp_chest1]=activacion;
			cambios_cond5_mab_unlock_chest_with_key[num_cambios_cond5_mab_unlock_chest_with_key].tipo_cambio=activacion;
			cambios_cond5_mab_unlock_chest_with_key[num_cambios_cond5_mab_unlock_chest_with_key].instancias[0]=vp_chest1;
			num_cambios_cond5_mab_unlock_chest_with_key++;
		}
	} else {
		if (activ_cond5_mab_unlock_chest_with_key[vp_chest1]!=CELDA_VACIA) {
			activ_cond5_mab_unlock_chest_with_key[vp_chest1]=CELDA_VACIA;
			/* ahora se anotan los cambios */
			if (camb_cond5_mab_unlock_chest_with_key[vp_chest1]!=desactivacion) {
				camb_cond5_mab_unlock_chest_with_key[vp_chest1]=desactivacion;
				cambios_cond5_mab_unlock_chest_with_key[num_cambios_cond5_mab_unlock_chest_with_key].tipo_cambio=desactivacion;
				cambios_cond5_mab_unlock_chest_with_key[num_cambios_cond5_mab_unlock_chest_with_key].instancias[0]=vp_chest1;
				num_cambios_cond5_mab_unlock_chest_with_key++;
			}
		}
	}
	}
}

/* CONDICION 6 unlock_chest_with_key */ 

void cond6_mab_unlock_chest_with_key(vp_thing2)
	int vp_thing2;
{
	int lim_inf[1];
	int lim_sup[1];

	if (vp_thing2==-1) {
		lim_inf[0]=0;
		lim_sup[0]=12;
	} else {
		lim_inf[0]=vp_thing2;
		lim_sup[0]=vp_thing2+1;
	}
	for(vp_thing2=lim_inf[0]; vp_thing2<lim_sup[0];vp_thing2++) {
	if (mab_i_thing[vp_thing2].inside_chest == tail_lent(&mab_i_goal_is_to[0].argument_1)) {
		activ_cond6_mab_unlock_chest_with_key[vp_thing2]=CELDA_OCUPADA;
		/* ahora se anotan los cambios */
		if (camb_cond6_mab_unlock_chest_with_key[vp_thing2]!=activacion) {
			camb_cond6_mab_unlock_chest_with_key[vp_thing2]=activacion;
			cambios_cond6_mab_unlock_chest_with_key[num_cambios_cond6_mab_unlock_chest_with_key].tipo_cambio=activacion;
			cambios_cond6_mab_unlock_chest_with_key[num_cambios_cond6_mab_unlock_chest_with_key].instancias[0]=vp_thing2;
			num_cambios_cond6_mab_unlock_chest_with_key++;
		}
	} else {
		if (activ_cond6_mab_unlock_chest_with_key[vp_thing2]!=CELDA_VACIA) {
			activ_cond6_mab_unlock_chest_with_key[vp_thing2]=CELDA_VACIA;
			/* ahora se anotan los cambios */
			if (camb_cond6_mab_unlock_chest_with_key[vp_thing2]!=desactivacion) {
				camb_cond6_mab_unlock_chest_with_key[vp_thing2]=desactivacion;
				cambios_cond6_mab_unlock_chest_with_key[num_cambios_cond6_mab_unlock_chest_with_key].tipo_cambio=desactivacion;
				cambios_cond6_mab_unlock_chest_with_key[num_cambios_cond6_mab_unlock_chest_with_key].instancias[0]=vp_thing2;
				num_cambios_cond6_mab_unlock_chest_with_key++;
			}
		}
	}
	}
}

/* CONDICION 0 walk_to_hold (copia de condicion 0 regla climb_ladder_to_hold) */

/* CONDICION 1 walk_to_hold (copia de condicion 1 regla climb_ladder_to_hold) */

/* CONDICION 2 walk_to_hold */ 

void cond2_mab_walk_to_hold(vp_thing1)
	int vp_thing1;
{
	int lim_inf[1];
	int lim_sup[1];

	if (vp_thing1==-1) {
		lim_inf[0]=0;
		lim_sup[0]=12;
	} else {
		lim_inf[0]=vp_thing1;
		lim_sup[0]=vp_thing1+1;
	}
	for(vp_thing1=lim_inf[0]; vp_thing1<lim_sup[0];vp_thing1++) {
	if (mab_i_thing[vp_thing1].on_top_of != 13) {
		activ_cond2_mab_walk_to_hold[vp_thing1]=CELDA_OCUPADA;
		/* ahora se anotan los cambios */
		if (camb_cond2_mab_walk_to_hold[vp_thing1]!=activacion) {
			camb_cond2_mab_walk_to_hold[vp_thing1]=activacion;
			cambios_cond2_mab_walk_to_hold[num_cambios_cond2_mab_walk_to_hold].tipo_cambio=activacion;
			cambios_cond2_mab_walk_to_hold[num_cambios_cond2_mab_walk_to_hold].instancias[0]=vp_thing1;
			num_cambios_cond2_mab_walk_to_hold++;
		}
	} else {
		if (activ_cond2_mab_walk_to_hold[vp_thing1]!=CELDA_VACIA) {
			activ_cond2_mab_walk_to_hold[vp_thing1]=CELDA_VACIA;
			/* ahora se anotan los cambios */
			if (camb_cond2_mab_walk_to_hold[vp_thing1]!=desactivacion) {
				camb_cond2_mab_walk_to_hold[vp_thing1]=desactivacion;
				cambios_cond2_mab_walk_to_hold[num_cambios_cond2_mab_walk_to_hold].tipo_cambio=desactivacion;
				cambios_cond2_mab_walk_to_hold[num_cambios_cond2_mab_walk_to_hold].instancias[0]=vp_thing1;
				num_cambios_cond2_mab_walk_to_hold++;
			}
		}
	}
	}
}

/* CONDICION 3 walk_to_hold (copia de condicion 3 regla climb_ladder_to_hold) */

/* CONDICION 4 walk_to_hold (copia de condicion 2 regla walk_to_place_to_climb) */

/* CONDICION 0 use_ladder_to_hold (copia de condicion 0 regla climb_ladder_to_hold) */

/* CONDICION 1 use_ladder_to_hold (copia de condicion 1 regla climb_ladder_to_hold) */

/* CONDICION 2 use_ladder_to_hold (copia de condicion 2 regla climb_ladder_to_hold) */

/* CONDICION 3 use_ladder_to_hold (copia de condicion 3 regla climb_ladder_to_hold) */

/* CONDICION 0 climb_to_hold (copia de condicion 0 regla climb_ladder_to_hold) */

/* CONDICION 1 climb_to_hold (copia de condicion 1 regla climb_ladder_to_hold) */

/* CONDICION 2 climb_to_hold */ 

void cond2_mab_climb_to_hold(vp_thing1)
	int vp_thing1;
{
	int lim_inf[1];
	int lim_sup[1];

	if (vp_thing1==-1) {
		lim_inf[0]=0;
		lim_sup[0]=12;
	} else {
		lim_inf[0]=vp_thing1;
		lim_sup[0]=vp_thing1+1;
	}
	for(vp_thing1=lim_inf[0]; vp_thing1<lim_sup[0];vp_thing1++) {
	if (mab_i_thing[vp_thing1].location != 13) {
		activ_cond2_mab_climb_to_hold[vp_thing1]=CELDA_OCUPADA;
		/* ahora se anotan los cambios */
		if (camb_cond2_mab_climb_to_hold[vp_thing1]!=activacion) {
			camb_cond2_mab_climb_to_hold[vp_thing1]=activacion;
			cambios_cond2_mab_climb_to_hold[num_cambios_cond2_mab_climb_to_hold].tipo_cambio=activacion;
			cambios_cond2_mab_climb_to_hold[num_cambios_cond2_mab_climb_to_hold].instancias[0]=vp_thing1;
			num_cambios_cond2_mab_climb_to_hold++;
		}
	} else {
		if (activ_cond2_mab_climb_to_hold[vp_thing1]!=CELDA_VACIA) {
			activ_cond2_mab_climb_to_hold[vp_thing1]=CELDA_VACIA;
			/* ahora se anotan los cambios */
			if (camb_cond2_mab_climb_to_hold[vp_thing1]!=desactivacion) {
				camb_cond2_mab_climb_to_hold[vp_thing1]=desactivacion;
				cambios_cond2_mab_climb_to_hold[num_cambios_cond2_mab_climb_to_hold].tipo_cambio=desactivacion;
				cambios_cond2_mab_climb_to_hold[num_cambios_cond2_mab_climb_to_hold].instancias[0]=vp_thing1;
				num_cambios_cond2_mab_climb_to_hold++;
			}
		}
	}
	}
}

/* CONDICION 3 climb_to_hold (copia de condicion 3 regla climb_ladder_to_hold) */

/* CONDICION 4 climb_to_hold (copia de condicion 2 regla drop_to_climb) */

/* CONDICION 5 climb_to_hold (copia de condicion 3 regla climb_indirectly) */

/* CONDICION 0 grab_object (copia de condicion 0 regla climb_ladder_to_hold) */

/* CONDICION 1 grab_object (copia de condicion 1 regla climb_ladder_to_hold) */

/* CONDICION 2 grab_object (copia de condicion 3 regla climb_ladder_to_hold) */

/* CONDICION 3 grab_object (copia de condicion 2 regla drop_to_climb) */

/* CONDICION 4 grab_object (copia de condicion 3 regla climb_directly) */

/* CONDICION 5 grab_object (copia de condicion 3 regla walk_holding_nothing) */

/* CONDICION 0 unlock_chest_to_move_object (copia de condicion 0 regla hold_object_to_move) */

/* CONDICION 1 unlock_chest_to_move_object */ 

void cond1_mab_unlock_chest_to_move_object(vp_chest1)
	int vp_chest1;
{
	int lim_inf[1];
	int lim_sup[1];

	if (vp_chest1==-1) {
		lim_inf[0]=0;
		lim_sup[0]=3;
	} else {
		lim_inf[0]=vp_chest1;
		lim_sup[0]=vp_chest1+1;
	}
	for(vp_chest1=lim_inf[0]; vp_chest1<lim_sup[0];vp_chest1++) {
	if (mab_i_chest[vp_chest1].contents == tail_lent(&mab_i_goal_is_to[0].argument_1)) {
		activ_cond1_mab_unlock_chest_to_move_object[vp_chest1]=CELDA_OCUPADA;
		/* ahora se anotan los cambios */
		if (camb_cond1_mab_unlock_chest_to_move_object[vp_chest1]!=activacion) {
			camb_cond1_mab_unlock_chest_to_move_object[vp_chest1]=activacion;
			cambios_cond1_mab_unlock_chest_to_move_object[num_cambios_cond1_mab_unlock_chest_to_move_object].tipo_cambio=activacion;
			cambios_cond1_mab_unlock_chest_to_move_object[num_cambios_cond1_mab_unlock_chest_to_move_object].instancias[0]=vp_chest1;
			num_cambios_cond1_mab_unlock_chest_to_move_object++;
		}
	} else {
		if (activ_cond1_mab_unlock_chest_to_move_object[vp_chest1]!=CELDA_VACIA) {
			activ_cond1_mab_unlock_chest_to_move_object[vp_chest1]=CELDA_VACIA;
			/* ahora se anotan los cambios */
			if (camb_cond1_mab_unlock_chest_to_move_object[vp_chest1]!=desactivacion) {
				camb_cond1_mab_unlock_chest_to_move_object[vp_chest1]=desactivacion;
				cambios_cond1_mab_unlock_chest_to_move_object[num_cambios_cond1_mab_unlock_chest_to_move_object].tipo_cambio=desactivacion;
				cambios_cond1_mab_unlock_chest_to_move_object[num_cambios_cond1_mab_unlock_chest_to_move_object].instancias[0]=vp_chest1;
				num_cambios_cond1_mab_unlock_chest_to_move_object++;
			}
		}
	}
	}
}

/* CONDICION 0 drop_to_hold (copia de condicion 0 regla climb_ladder_to_hold) */

/* CONDICION 1 drop_to_hold (copia de condicion 1 regla climb_ladder_to_hold) */

/* CONDICION 2 drop_to_hold (copia de condicion 3 regla climb_ladder_to_hold) */

/* CONDICION 3 drop_to_hold (copia de condicion 2 regla drop_to_climb) */

/* CONDICION 4 drop_to_hold (copia de condicion 3 regla climb_directly) */

/* CONDICION 5 drop_to_hold (copia de condicion 3 regla drop_to_climb) */


/*--------------- PARTES IZQUIERDA DE LAS REGLAS ----------------*/
void Iz_mab_get_key_to_unlock()
{
	int ncamb;
	mab_REGAGENDA r;
	int  vp_thing1;
	int  vp_chest1;

	if ((activ_cond0_mab_get_key_to_unlock)) {
		if (num_cambios_cond1_mab_get_key_to_unlock>0) {
			ncamb=0;
			r.num_regla = 3;
			r.prioridad = 0;
			while (ncamb<num_cambios_cond1_mab_get_key_to_unlock) {
			    vp_thing1=cambios_cond1_mab_get_key_to_unlock[ncamb].instancias[0];
			    r.instancias[0]=vp_thing1;
			    camb_cond1_mab_get_key_to_unlock[vp_thing1]=CELDA_VACIA;
			    if (cambios_cond1_mab_get_key_to_unlock[ncamb].tipo_cambio==desactivacion) {
				for(vp_chest1=0;vp_chest1<3; vp_chest1++)
				if (mab_R3[vp_thing1][vp_chest1]>0) {
					r.instancias[1]=vp_chest1;
					mab_elimregla_agenda(r);
				}
			    } else {  /* el cambio es una activacion */
				if (activ_cond2_mab_get_key_to_unlock[vp_thing1])
				for(vp_chest1=0;vp_chest1<3; vp_chest1++)
				if (activ_cond3_mab_get_key_to_unlock[vp_chest1][vp_thing1])
				if (activ_cond4_mab_get_key_to_unlock[vp_chest1])
				if (mab_R3[vp_thing1][vp_chest1]==0) {
					r.instancias[1]=vp_chest1;
					mab_insregla_agenda(r);
				}
			    }
			    ncamb++;
			}
			num_cambios_cond1_mab_get_key_to_unlock=0;
		}
		if (num_cambios_cond2_mab_get_key_to_unlock>0) {
			ncamb=0;
			r.num_regla = 3;
			r.prioridad = 0;
			while (ncamb<num_cambios_cond2_mab_get_key_to_unlock) {
			    vp_thing1=cambios_cond2_mab_get_key_to_unlock[ncamb].instancias[0];
			    r.instancias[0]=vp_thing1;
			    camb_cond2_mab_get_key_to_unlock[vp_thing1]=CELDA_VACIA;
			    if (cambios_cond2_mab_get_key_to_unlock[ncamb].tipo_cambio==desactivacion) {
				for(vp_chest1=0;vp_chest1<3; vp_chest1++)
				if (mab_R3[vp_thing1][vp_chest1]>0) {
					r.instancias[1]=vp_chest1;
					mab_elimregla_agenda(r);
				}
			    } else {  /* el cambio es una activacion */
				if (activ_cond1_mab_get_key_to_unlock[vp_thing1])
				for(vp_chest1=0;vp_chest1<3; vp_chest1++)
				if (activ_cond3_mab_get_key_to_unlock[vp_chest1][vp_thing1])
				if (activ_cond4_mab_get_key_to_unlock[vp_chest1])
				if (mab_R3[vp_thing1][vp_chest1]==0) {
					r.instancias[1]=vp_chest1;
					mab_insregla_agenda(r);
				}
			    }
			    ncamb++;
			}
			num_cambios_cond2_mab_get_key_to_unlock=0;
		}
		if (num_cambios_cond3_mab_get_key_to_unlock>0) {
			ncamb=0;
			r.num_regla = 3;
			r.prioridad = 0;
			while (ncamb<num_cambios_cond3_mab_get_key_to_unlock) {
			    vp_chest1=cambios_cond3_mab_get_key_to_unlock[ncamb].instancias[0];
			    r.instancias[1]=vp_chest1;
			    vp_thing1=cambios_cond3_mab_get_key_to_unlock[ncamb].instancias[1];
			    r.instancias[0]=vp_thing1;
			    camb_cond3_mab_get_key_to_unlock[vp_chest1][vp_thing1]=CELDA_VACIA;
			    if (cambios_cond3_mab_get_key_to_unlock[ncamb].tipo_cambio==desactivacion) {
				if (mab_R3[vp_thing1][vp_chest1]>0) {
					mab_elimregla_agenda(r);
				}
			    } else {  /* el cambio es una activacion */
				if (activ_cond1_mab_get_key_to_unlock[vp_thing1])
				if (activ_cond2_mab_get_key_to_unlock[vp_thing1])
				if (activ_cond4_mab_get_key_to_unlock[vp_chest1])
				if (mab_R3[vp_thing1][vp_chest1]==0) {
					mab_insregla_agenda(r);
				}
			    }
			    ncamb++;
			}
			num_cambios_cond3_mab_get_key_to_unlock=0;
		}
		if (num_cambios_cond4_mab_get_key_to_unlock>0) {
			ncamb=0;
			r.num_regla = 3;
			r.prioridad = 0;
			while (ncamb<num_cambios_cond4_mab_get_key_to_unlock) {
			    vp_chest1=cambios_cond4_mab_get_key_to_unlock[ncamb].instancias[0];
			    r.instancias[1]=vp_chest1;
			    camb_cond4_mab_get_key_to_unlock[vp_chest1]=CELDA_VACIA;
			    if (cambios_cond4_mab_get_key_to_unlock[ncamb].tipo_cambio==desactivacion) {
				for(vp_thing1=0;vp_thing1<12; vp_thing1++)
				if (mab_R3[vp_thing1][vp_chest1]>0) {
					r.instancias[0]=vp_thing1;
					mab_elimregla_agenda(r);
				}
			    } else {  /* el cambio es una activacion */
				for(vp_thing1=0;vp_thing1<12; vp_thing1++)
				if (activ_cond1_mab_get_key_to_unlock[vp_thing1])
				if (activ_cond2_mab_get_key_to_unlock[vp_thing1])
				if (activ_cond3_mab_get_key_to_unlock[vp_chest1][vp_thing1])
				if (mab_R3[vp_thing1][vp_chest1]==0) {
					r.instancias[0]=vp_thing1;
					mab_insregla_agenda(r);
				}
			    }
			    ncamb++;
			}
			num_cambios_cond4_mab_get_key_to_unlock=0;
		}
	} else {
		mab_elim_agenda(3);
	}
	LIz_mab_get_key_to_unlock=FALSE;
}

void Iz_mab_walk_holding_nothing()
{
	int ncamb;
	mab_REGAGENDA r;

	if ((activ_cond0_mab_walk_holding_nothing) && (activ_cond1_mab_walk_holding_nothing) && (activ_cond2_mab_walk_holding_nothing) && (activ_cond3_mab_walk_holding_nothing)) {
		r.num_regla = 22;
		r.prioridad = 0;
		mab_insregla_agenda(r);
	} else {
		mab_elim_agenda(22);
	}
	LIz_mab_walk_holding_nothing=FALSE;
}

void Iz_mab_climb_ladder_to_hold()
{
	int ncamb;
	mab_REGAGENDA r;
	int  vp_thing1;
	int  vp_thing2;

	if ((activ_cond0_mab_climb_ladder_to_hold) && (activ_cond7_mab_climb_ladder_to_hold)) {
		if (num_cambios_cond1_mab_climb_ladder_to_hold>0) {
			ncamb=0;
			r.num_regla = 8;
			r.prioridad = 0;
			while (ncamb<num_cambios_cond1_mab_climb_ladder_to_hold) {
			    vp_thing1=cambios_cond1_mab_climb_ladder_to_hold[ncamb].instancias[0];
			    r.instancias[0]=vp_thing1;
			    camb_cond1_mab_climb_ladder_to_hold[vp_thing1]=CELDA_VACIA;
			    if (cambios_cond1_mab_climb_ladder_to_hold[ncamb].tipo_cambio==desactivacion) {
				for(vp_thing2=0;vp_thing2<12; vp_thing2++)
				if (mab_R8[vp_thing1][vp_thing2]>0) {
					r.instancias[1]=vp_thing2;
					mab_elimregla_agenda(r);
				}
			    } else {  /* el cambio es una activacion */
				if (activ_cond2_mab_climb_ladder_to_hold[vp_thing1])
				if (activ_cond3_mab_climb_ladder_to_hold[vp_thing1])
				for(vp_thing2=0;vp_thing2<12; vp_thing2++)
				if (activ_cond4_mab_climb_ladder_to_hold[vp_thing2])
				if (activ_cond5_mab_climb_ladder_to_hold[vp_thing2][vp_thing1])
				if (activ_cond6_mab_climb_ladder_to_hold[vp_thing2])
				if (mab_R8[vp_thing1][vp_thing2]==0) {
					r.instancias[1]=vp_thing2;
					mab_insregla_agenda(r);
				}
			    }
			    ncamb++;
			}
			num_cambios_cond1_mab_climb_ladder_to_hold=0;
		}
		if (num_cambios_cond2_mab_climb_ladder_to_hold>0) {
			ncamb=0;
			r.num_regla = 8;
			r.prioridad = 0;
			while (ncamb<num_cambios_cond2_mab_climb_ladder_to_hold) {
			    vp_thing1=cambios_cond2_mab_climb_ladder_to_hold[ncamb].instancias[0];
			    r.instancias[0]=vp_thing1;
			    camb_cond2_mab_climb_ladder_to_hold[vp_thing1]=CELDA_VACIA;
			    if (cambios_cond2_mab_climb_ladder_to_hold[ncamb].tipo_cambio==desactivacion) {
				for(vp_thing2=0;vp_thing2<12; vp_thing2++)
				if (mab_R8[vp_thing1][vp_thing2]>0) {
					r.instancias[1]=vp_thing2;
					mab_elimregla_agenda(r);
				}
			    } else {  /* el cambio es una activacion */
				if (activ_cond1_mab_climb_ladder_to_hold[vp_thing1])
				if (activ_cond3_mab_climb_ladder_to_hold[vp_thing1])
				for(vp_thing2=0;vp_thing2<12; vp_thing2++)
				if (activ_cond4_mab_climb_ladder_to_hold[vp_thing2])
				if (activ_cond5_mab_climb_ladder_to_hold[vp_thing2][vp_thing1])
				if (activ_cond6_mab_climb_ladder_to_hold[vp_thing2])
				if (mab_R8[vp_thing1][vp_thing2]==0) {
					r.instancias[1]=vp_thing2;
					mab_insregla_agenda(r);
				}
			    }
			    ncamb++;
			}
			num_cambios_cond2_mab_climb_ladder_to_hold=0;
		}
		if (num_cambios_cond3_mab_climb_ladder_to_hold>0) {
			ncamb=0;
			r.num_regla = 8;
			r.prioridad = 0;
			while (ncamb<num_cambios_cond3_mab_climb_ladder_to_hold) {
			    vp_thing1=cambios_cond3_mab_climb_ladder_to_hold[ncamb].instancias[0];
			    r.instancias[0]=vp_thing1;
			    camb_cond3_mab_climb_ladder_to_hold[vp_thing1]=CELDA_VACIA;
			    if (cambios_cond3_mab_climb_ladder_to_hold[ncamb].tipo_cambio==desactivacion) {
				for(vp_thing2=0;vp_thing2<12; vp_thing2++)
				if (mab_R8[vp_thing1][vp_thing2]>0) {
					r.instancias[1]=vp_thing2;
					mab_elimregla_agenda(r);
				}
			    } else {  /* el cambio es una activacion */
				if (activ_cond1_mab_climb_ladder_to_hold[vp_thing1])
				if (activ_cond2_mab_climb_ladder_to_hold[vp_thing1])
				for(vp_thing2=0;vp_thing2<12; vp_thing2++)
				if (activ_cond4_mab_climb_ladder_to_hold[vp_thing2])
				if (activ_cond5_mab_climb_ladder_to_hold[vp_thing2][vp_thing1])
				if (activ_cond6_mab_climb_ladder_to_hold[vp_thing2])
				if (mab_R8[vp_thing1][vp_thing2]==0) {
					r.instancias[1]=vp_thing2;
					mab_insregla_agenda(r);
				}
			    }
			    ncamb++;
			}
			num_cambios_cond3_mab_climb_ladder_to_hold=0;
		}
		if (num_cambios_cond4_mab_climb_ladder_to_hold>0) {
			ncamb=0;
			r.num_regla = 8;
			r.prioridad = 0;
			while (ncamb<num_cambios_cond4_mab_climb_ladder_to_hold) {
			    vp_thing2=cambios_cond4_mab_climb_ladder_to_hold[ncamb].instancias[0];
			    r.instancias[1]=vp_thing2;
			    camb_cond4_mab_climb_ladder_to_hold[vp_thing2]=CELDA_VACIA;
			    if (cambios_cond4_mab_climb_ladder_to_hold[ncamb].tipo_cambio==desactivacion) {
				for(vp_thing1=0;vp_thing1<12; vp_thing1++)
				if (mab_R8[vp_thing1][vp_thing2]>0) {
					r.instancias[0]=vp_thing1;
					mab_elimregla_agenda(r);
				}
			    } else {  /* el cambio es una activacion */
				if (activ_cond6_mab_climb_ladder_to_hold[vp_thing2])
				for(vp_thing1=0;vp_thing1<12; vp_thing1++)
				if (activ_cond1_mab_climb_ladder_to_hold[vp_thing1])
				if (activ_cond2_mab_climb_ladder_to_hold[vp_thing1])
				if (activ_cond3_mab_climb_ladder_to_hold[vp_thing1])
				if (activ_cond5_mab_climb_ladder_to_hold[vp_thing2][vp_thing1])
				if (mab_R8[vp_thing1][vp_thing2]==0) {
					r.instancias[0]=vp_thing1;
					mab_insregla_agenda(r);
				}
			    }
			    ncamb++;
			}
			num_cambios_cond4_mab_climb_ladder_to_hold=0;
		}
		if (num_cambios_cond5_mab_climb_ladder_to_hold>0) {
			ncamb=0;
			r.num_regla = 8;
			r.prioridad = 0;
			while (ncamb<num_cambios_cond5_mab_climb_ladder_to_hold) {
			    vp_thing2=cambios_cond5_mab_climb_ladder_to_hold[ncamb].instancias[0];
			    r.instancias[1]=vp_thing2;
			    vp_thing1=cambios_cond5_mab_climb_ladder_to_hold[ncamb].instancias[1];
			    r.instancias[0]=vp_thing1;
			    camb_cond5_mab_climb_ladder_to_hold[vp_thing2][vp_thing1]=CELDA_VACIA;
			    if (cambios_cond5_mab_climb_ladder_to_hold[ncamb].tipo_cambio==desactivacion) {
				if (mab_R8[vp_thing1][vp_thing2]>0) {
					mab_elimregla_agenda(r);
				}
			    } else {  /* el cambio es una activacion */
				if (activ_cond1_mab_climb_ladder_to_hold[vp_thing1])
				if (activ_cond2_mab_climb_ladder_to_hold[vp_thing1])
				if (activ_cond3_mab_climb_ladder_to_hold[vp_thing1])
				if (activ_cond4_mab_climb_ladder_to_hold[vp_thing2])
				if (activ_cond6_mab_climb_ladder_to_hold[vp_thing2])
				if (mab_R8[vp_thing1][vp_thing2]==0) {
					mab_insregla_agenda(r);
				}
			    }
			    ncamb++;
			}
			num_cambios_cond5_mab_climb_ladder_to_hold=0;
		}
		if (num_cambios_cond6_mab_climb_ladder_to_hold>0) {
			ncamb=0;
			r.num_regla = 8;
			r.prioridad = 0;
			while (ncamb<num_cambios_cond6_mab_climb_ladder_to_hold) {
			    vp_thing2=cambios_cond6_mab_climb_ladder_to_hold[ncamb].instancias[0];
			    r.instancias[1]=vp_thing2;
			    camb_cond6_mab_climb_ladder_to_hold[vp_thing2]=CELDA_VACIA;
			    if (cambios_cond6_mab_climb_ladder_to_hold[ncamb].tipo_cambio==desactivacion) {
				for(vp_thing1=0;vp_thing1<12; vp_thing1++)
				if (mab_R8[vp_thing1][vp_thing2]>0) {
					r.instancias[0]=vp_thing1;
					mab_elimregla_agenda(r);
				}
			    } else {  /* el cambio es una activacion */
				if (activ_cond4_mab_climb_ladder_to_hold[vp_thing2])
				for(vp_thing1=0;vp_thing1<12; vp_thing1++)
				if (activ_cond1_mab_climb_ladder_to_hold[vp_thing1])
				if (activ_cond2_mab_climb_ladder_to_hold[vp_thing1])
				if (activ_cond3_mab_climb_ladder_to_hold[vp_thing1])
				if (activ_cond5_mab_climb_ladder_to_hold[vp_thing2][vp_thing1])
				if (mab_R8[vp_thing1][vp_thing2]==0) {
					r.instancias[0]=vp_thing1;
					mab_insregla_agenda(r);
				}
			    }
			    ncamb++;
			}
			num_cambios_cond6_mab_climb_ladder_to_hold=0;
		}
	} else {
		mab_elim_agenda(8);
	}
	LIz_mab_climb_ladder_to_hold=FALSE;
}

void Iz_mab_get_on_floor_to_walk()
{
	int ncamb;
	mab_REGAGENDA r;

	if ((activ_cond0_mab_walk_holding_nothing) && (activ_cond1_mab_walk_holding_nothing) && (activ_cond2_mab_get_on_floor_to_walk)) {
		r.num_regla = 21;
		r.prioridad = 0;
		mab_insregla_agenda(r);
	} else {
		mab_elim_agenda(21);
	}
	LIz_mab_get_on_floor_to_walk=FALSE;
}

void Iz_mab_drop_to_climb()
{
	int ncamb;
	mab_REGAGENDA r;
	int  vp_thing1;

	if ((activ_cond0_mab_drop_to_climb) && (activ_cond3_mab_drop_to_climb)) {
		if (num_cambios_cond1_mab_drop_to_climb>0) {
			ncamb=0;
			r.num_regla = 26;
			r.prioridad = 0;
			while (ncamb<num_cambios_cond1_mab_drop_to_climb) {
			    vp_thing1=cambios_cond1_mab_climb_ladder_to_hold[ncamb].instancias[0];
			    r.instancias[0]=vp_thing1;
			    if (cambios_cond1_mab_climb_ladder_to_hold[ncamb].tipo_cambio==desactivacion) {
				if (mab_R26[vp_thing1]>0) {
					mab_elimregla_agenda(r);
				}
			    } else {  /* el cambio es una activacion */
				if (activ_cond2_mab_drop_to_climb[vp_thing1])
				if (mab_R26[vp_thing1]==0) {
					mab_insregla_agenda(r);
				}
			    }
			    ncamb++;
			}
			num_cambios_cond1_mab_drop_to_climb=0;
		}
		if (num_cambios_cond2_mab_drop_to_climb>0) {
			ncamb=0;
			r.num_regla = 26;
			r.prioridad = 0;
			while (ncamb<num_cambios_cond2_mab_drop_to_climb) {
			    vp_thing1=cambios_cond2_mab_drop_to_climb[ncamb].instancias[0];
			    r.instancias[0]=vp_thing1;
			    camb_cond2_mab_drop_to_climb[vp_thing1]=CELDA_VACIA;
			    if (cambios_cond2_mab_drop_to_climb[ncamb].tipo_cambio==desactivacion) {
				if (mab_R26[vp_thing1]>0) {
					mab_elimregla_agenda(r);
				}
			    } else {  /* el cambio es una activacion */
				if (activ_cond1_mab_climb_ladder_to_hold[vp_thing1])
				if (mab_R26[vp_thing1]==0) {
					mab_insregla_agenda(r);
				}
			    }
			    ncamb++;
			}
			num_cambios_cond2_mab_drop_to_climb=0;
		}
	} else {
		mab_elim_agenda(26);
	}
	LIz_mab_drop_to_climb=FALSE;
}

void Iz_mab_grab_object_from_ladder()
{
	int ncamb;
	mab_REGAGENDA r;
	int  vp_thing1;
	int  vp_thing2;

	if ((activ_cond0_mab_climb_ladder_to_hold) && (activ_cond7_mab_grab_object_from_ladder) && (activ_cond3_mab_walk_holding_nothing)) {
		if (num_cambios_cond1_mab_grab_object_from_ladder>0) {
			ncamb=0;
			r.num_regla = 9;
			r.prioridad = 0;
			while (ncamb<num_cambios_cond1_mab_grab_object_from_ladder) {
			    vp_thing1=cambios_cond1_mab_climb_ladder_to_hold[ncamb].instancias[0];
			    r.instancias[0]=vp_thing1;
			    if (cambios_cond1_mab_climb_ladder_to_hold[ncamb].tipo_cambio==desactivacion) {
				for(vp_thing2=0;vp_thing2<12; vp_thing2++)
				if (mab_R9[vp_thing1][vp_thing2]>0) {
					r.instancias[1]=vp_thing2;
					mab_elimregla_agenda(r);
				}
			    } else {  /* el cambio es una activacion */
				if (activ_cond2_mab_climb_ladder_to_hold[vp_thing1])
				if (activ_cond3_mab_climb_ladder_to_hold[vp_thing1])
				if (activ_cond2_mab_drop_to_climb[vp_thing1])
				for(vp_thing2=0;vp_thing2<12; vp_thing2++)
				if (activ_cond4_mab_climb_ladder_to_hold[vp_thing2])
				if (activ_cond5_mab_climb_ladder_to_hold[vp_thing2][vp_thing1])
				if (mab_R9[vp_thing1][vp_thing2]==0) {
					r.instancias[1]=vp_thing2;
					mab_insregla_agenda(r);
				}
			    }
			    ncamb++;
			}
			num_cambios_cond1_mab_grab_object_from_ladder=0;
		}
		if (num_cambios_cond2_mab_grab_object_from_ladder>0) {
			ncamb=0;
			r.num_regla = 9;
			r.prioridad = 0;
			while (ncamb<num_cambios_cond2_mab_grab_object_from_ladder) {
			    vp_thing1=cambios_cond2_mab_climb_ladder_to_hold[ncamb].instancias[0];
			    r.instancias[0]=vp_thing1;
			    if (cambios_cond2_mab_climb_ladder_to_hold[ncamb].tipo_cambio==desactivacion) {
				for(vp_thing2=0;vp_thing2<12; vp_thing2++)
				if (mab_R9[vp_thing1][vp_thing2]>0) {
					r.instancias[1]=vp_thing2;
					mab_elimregla_agenda(r);
				}
			    } else {  /* el cambio es una activacion */
				if (activ_cond1_mab_climb_ladder_to_hold[vp_thing1])
				if (activ_cond3_mab_climb_ladder_to_hold[vp_thing1])
				if (activ_cond2_mab_drop_to_climb[vp_thing1])
				for(vp_thing2=0;vp_thing2<12; vp_thing2++)
				if (activ_cond4_mab_climb_ladder_to_hold[vp_thing2])
				if (activ_cond5_mab_climb_ladder_to_hold[vp_thing2][vp_thing1])
				if (mab_R9[vp_thing1][vp_thing2]==0) {
					r.instancias[1]=vp_thing2;
					mab_insregla_agenda(r);
				}
			    }
			    ncamb++;
			}
			num_cambios_cond2_mab_grab_object_from_ladder=0;
		}
		if (num_cambios_cond3_mab_grab_object_from_ladder>0) {
			ncamb=0;
			r.num_regla = 9;
			r.prioridad = 0;
			while (ncamb<num_cambios_cond3_mab_grab_object_from_ladder) {
			    vp_thing1=cambios_cond3_mab_climb_ladder_to_hold[ncamb].instancias[0];
			    r.instancias[0]=vp_thing1;
			    if (cambios_cond3_mab_climb_ladder_to_hold[ncamb].tipo_cambio==desactivacion) {
				for(vp_thing2=0;vp_thing2<12; vp_thing2++)
				if (mab_R9[vp_thing1][vp_thing2]>0) {
					r.instancias[1]=vp_thing2;
					mab_elimregla_agenda(r);
				}
			    } else {  /* el cambio es una activacion */
				if (activ_cond1_mab_climb_ladder_to_hold[vp_thing1])
				if (activ_cond2_mab_climb_ladder_to_hold[vp_thing1])
				if (activ_cond2_mab_drop_to_climb[vp_thing1])
				for(vp_thing2=0;vp_thing2<12; vp_thing2++)
				if (activ_cond4_mab_climb_ladder_to_hold[vp_thing2])
				if (activ_cond5_mab_climb_ladder_to_hold[vp_thing2][vp_thing1])
				if (mab_R9[vp_thing1][vp_thing2]==0) {
					r.instancias[1]=vp_thing2;
					mab_insregla_agenda(r);
				}
			    }
			    ncamb++;
			}
			num_cambios_cond3_mab_grab_object_from_ladder=0;
		}
		if (num_cambios_cond4_mab_grab_object_from_ladder>0) {
			ncamb=0;
			r.num_regla = 9;
			r.prioridad = 0;
			while (ncamb<num_cambios_cond4_mab_grab_object_from_ladder) {
			    vp_thing2=cambios_cond4_mab_climb_ladder_to_hold[ncamb].instancias[0];
			    r.instancias[1]=vp_thing2;
			    if (cambios_cond4_mab_climb_ladder_to_hold[ncamb].tipo_cambio==desactivacion) {
				for(vp_thing1=0;vp_thing1<12; vp_thing1++)
				if (mab_R9[vp_thing1][vp_thing2]>0) {
					r.instancias[0]=vp_thing1;
					mab_elimregla_agenda(r);
				}
			    } else {  /* el cambio es una activacion */
				for(vp_thing1=0;vp_thing1<12; vp_thing1++)
				if (activ_cond1_mab_climb_ladder_to_hold[vp_thing1])
				if (activ_cond2_mab_climb_ladder_to_hold[vp_thing1])
				if (activ_cond3_mab_climb_ladder_to_hold[vp_thing1])
				if (activ_cond5_mab_climb_ladder_to_hold[vp_thing2][vp_thing1])
				if (activ_cond2_mab_drop_to_climb[vp_thing1])
				if (mab_R9[vp_thing1][vp_thing2]==0) {
					r.instancias[0]=vp_thing1;
					mab_insregla_agenda(r);
				}
			    }
			    ncamb++;
			}
			num_cambios_cond4_mab_grab_object_from_ladder=0;
		}
		if (num_cambios_cond5_mab_grab_object_from_ladder>0) {
			ncamb=0;
			r.num_regla = 9;
			r.prioridad = 0;
			while (ncamb<num_cambios_cond5_mab_grab_object_from_ladder) {
			    vp_thing2=cambios_cond5_mab_climb_ladder_to_hold[ncamb].instancias[0];
			    r.instancias[1]=vp_thing2;
			    vp_thing1=cambios_cond5_mab_climb_ladder_to_hold[ncamb].instancias[1];
			    r.instancias[0]=vp_thing1;
			    if (cambios_cond5_mab_climb_ladder_to_hold[ncamb].tipo_cambio==desactivacion) {
				if (mab_R9[vp_thing1][vp_thing2]>0) {
					mab_elimregla_agenda(r);
				}
			    } else {  /* el cambio es una activacion */
				if (activ_cond1_mab_climb_ladder_to_hold[vp_thing1])
				if (activ_cond2_mab_climb_ladder_to_hold[vp_thing1])
				if (activ_cond3_mab_climb_ladder_to_hold[vp_thing1])
				if (activ_cond4_mab_climb_ladder_to_hold[vp_thing2])
				if (activ_cond2_mab_drop_to_climb[vp_thing1])
				if (mab_R9[vp_thing1][vp_thing2]==0) {
					mab_insregla_agenda(r);
				}
			    }
			    ncamb++;
			}
			num_cambios_cond5_mab_grab_object_from_ladder=0;
		}
		if (num_cambios_cond6_mab_grab_object_from_ladder>0) {
			ncamb=0;
			r.num_regla = 9;
			r.prioridad = 0;
			while (ncamb<num_cambios_cond6_mab_grab_object_from_ladder) {
			    vp_thing1=cambios_cond2_mab_drop_to_climb[ncamb].instancias[0];
			    r.instancias[0]=vp_thing1;
			    if (cambios_cond2_mab_drop_to_climb[ncamb].tipo_cambio==desactivacion) {
				for(vp_thing2=0;vp_thing2<12; vp_thing2++)
				if (mab_R9[vp_thing1][vp_thing2]>0) {
					r.instancias[1]=vp_thing2;
					mab_elimregla_agenda(r);
				}
			    } else {  /* el cambio es una activacion */
				if (activ_cond1_mab_climb_ladder_to_hold[vp_thing1])
				if (activ_cond2_mab_climb_ladder_to_hold[vp_thing1])
				if (activ_cond3_mab_climb_ladder_to_hold[vp_thing1])
				for(vp_thing2=0;vp_thing2<12; vp_thing2++)
				if (activ_cond4_mab_climb_ladder_to_hold[vp_thing2])
				if (activ_cond5_mab_climb_ladder_to_hold[vp_thing2][vp_thing1])
				if (mab_R9[vp_thing1][vp_thing2]==0) {
					r.instancias[1]=vp_thing2;
					mab_insregla_agenda(r);
				}
			    }
			    ncamb++;
			}
			num_cambios_cond6_mab_grab_object_from_ladder=0;
		}
	} else {
		mab_elim_agenda(9);
	}
	LIz_mab_grab_object_from_ladder=FALSE;
}

void Iz_mab_hold_to_eat()
{
	int ncamb;
	mab_REGAGENDA r;

	if ((activ_cond0_mab_hold_to_eat) && (activ_cond1_mab_hold_to_eat)) {
		r.num_regla = 30;
		r.prioridad = 0;
		mab_insregla_agenda(r);
	} else {
		mab_elim_agenda(30);
	}
	LIz_mab_hold_to_eat=FALSE;
}

void Iz_mab_walk_holding_object()
{
	int ncamb;
	mab_REGAGENDA r;
	int  vp_thing1;

	if ((activ_cond0_mab_walk_holding_nothing) && (activ_cond1_mab_walk_holding_nothing) && (activ_cond2_mab_walk_holding_nothing)) {
		if (num_cambios_cond3_mab_walk_holding_object>0) {
			ncamb=0;
			r.num_regla = 23;
			r.prioridad = 0;
			while (ncamb<num_cambios_cond3_mab_walk_holding_object) {
			    vp_thing1=cambios_cond3_mab_walk_holding_object[ncamb].instancias[0];
			    r.instancias[0]=vp_thing1;
			    camb_cond3_mab_walk_holding_object[vp_thing1]=CELDA_VACIA;
			    if (cambios_cond3_mab_walk_holding_object[ncamb].tipo_cambio==desactivacion) {
				if (mab_R23[vp_thing1]>0) {
					mab_elimregla_agenda(r);
				}
			    } else {  /* el cambio es una activacion */
				if (mab_R23[vp_thing1]==0) {
					mab_insregla_agenda(r);
				}
			    }
			    ncamb++;
			}
			num_cambios_cond3_mab_walk_holding_object=0;
		}
	} else {
		mab_elim_agenda(23);
	}
	LIz_mab_walk_holding_object=FALSE;
}

void Iz_mab_walk_to_place_to_climb()
{
	int ncamb;
	mab_REGAGENDA r;
	int  vp_thing1;

	if ((activ_cond0_mab_drop_to_climb)) {
		if (num_cambios_cond1_mab_walk_to_place_to_climb>0) {
			ncamb=0;
			r.num_regla = 25;
			r.prioridad = 0;
			while (ncamb<num_cambios_cond1_mab_walk_to_place_to_climb) {
			    vp_thing1=cambios_cond1_mab_climb_ladder_to_hold[ncamb].instancias[0];
			    r.instancias[0]=vp_thing1;
			    if (cambios_cond1_mab_climb_ladder_to_hold[ncamb].tipo_cambio==desactivacion) {
				if (mab_R25[vp_thing1]>0) {
					mab_elimregla_agenda(r);
				}
			    } else {  /* el cambio es una activacion */
				if (activ_cond2_mab_walk_to_place_to_climb[vp_thing1])
				if (mab_R25[vp_thing1]==0) {
					mab_insregla_agenda(r);
				}
			    }
			    ncamb++;
			}
			num_cambios_cond1_mab_walk_to_place_to_climb=0;
		}
		if (num_cambios_cond2_mab_walk_to_place_to_climb>0) {
			ncamb=0;
			r.num_regla = 25;
			r.prioridad = 0;
			while (ncamb<num_cambios_cond2_mab_walk_to_place_to_climb) {
			    vp_thing1=cambios_cond2_mab_walk_to_place_to_climb[ncamb].instancias[0];
			    r.instancias[0]=vp_thing1;
			    camb_cond2_mab_walk_to_place_to_climb[vp_thing1]=CELDA_VACIA;
			    if (cambios_cond2_mab_walk_to_place_to_climb[ncamb].tipo_cambio==desactivacion) {
				if (mab_R25[vp_thing1]>0) {
					mab_elimregla_agenda(r);
				}
			    } else {  /* el cambio es una activacion */
				if (activ_cond1_mab_climb_ladder_to_hold[vp_thing1])
				if (mab_R25[vp_thing1]==0) {
					mab_insregla_agenda(r);
				}
			    }
			    ncamb++;
			}
			num_cambios_cond2_mab_walk_to_place_to_climb=0;
		}
	} else {
		mab_elim_agenda(25);
	}
	LIz_mab_walk_to_place_to_climb=FALSE;
}

void Iz_mab_satisfy_hunger()
{
	int ncamb;
	mab_REGAGENDA r;
	int  vp_thing1;

	if ((activ_cond0_mab_hold_to_eat) && (activ_cond1_mab_satisfy_hunger)) {
		if (num_cambios_cond2_mab_satisfy_hunger>0) {
			ncamb=0;
			r.num_regla = 31;
			r.prioridad = 0;
			while (ncamb<num_cambios_cond2_mab_satisfy_hunger) {
			    vp_thing1=cambios_cond3_mab_walk_holding_object[ncamb].instancias[0];
			    r.instancias[0]=vp_thing1;
			    if (cambios_cond3_mab_walk_holding_object[ncamb].tipo_cambio==desactivacion) {
				if (mab_R31[vp_thing1]>0) {
					mab_elimregla_agenda(r);
				}
			    } else {  /* el cambio es una activacion */
				if (mab_R31[vp_thing1]==0) {
					mab_insregla_agenda(r);
				}
			    }
			    ncamb++;
			}
			num_cambios_cond2_mab_satisfy_hunger=0;
		}
	} else {
		mab_elim_agenda(31);
	}
	LIz_mab_satisfy_hunger=FALSE;
}

void Iz_mab_move_to_chest_with_key()
{
	int ncamb;
	mab_REGAGENDA r;
	int  vp_thing1;
	int  vp_chest1;

	if ((activ_cond0_mab_get_key_to_unlock)) {
		if (num_cambios_cond1_mab_move_to_chest_with_key>0) {
			ncamb=0;
			r.num_regla = 4;
			r.prioridad = 0;
			while (ncamb<num_cambios_cond1_mab_move_to_chest_with_key) {
			    vp_thing1=cambios_cond1_mab_climb_ladder_to_hold[ncamb].instancias[0];
			    r.instancias[0]=vp_thing1;
			    if (cambios_cond1_mab_climb_ladder_to_hold[ncamb].tipo_cambio==desactivacion) {
				for(vp_chest1=0;vp_chest1<3; vp_chest1++)
				if (mab_R4[vp_thing1][vp_chest1]>0) {
					r.instancias[1]=vp_chest1;
					mab_elimregla_agenda(r);
				}
			    } else {  /* el cambio es una activacion */
				if (activ_cond2_mab_get_key_to_unlock[vp_thing1])
				if (activ_cond2_mab_walk_to_place_to_climb[vp_thing1])
				for(vp_chest1=0;vp_chest1<3; vp_chest1++)
				if (activ_cond4_mab_move_to_chest_with_key[vp_chest1])
				if (activ_cond5_mab_move_to_chest_with_key[vp_chest1])
				if (mab_R4[vp_thing1][vp_chest1]==0) {
					r.instancias[1]=vp_chest1;
					mab_insregla_agenda(r);
				}
			    }
			    ncamb++;
			}
			num_cambios_cond1_mab_move_to_chest_with_key=0;
		}
		if (num_cambios_cond2_mab_move_to_chest_with_key>0) {
			ncamb=0;
			r.num_regla = 4;
			r.prioridad = 0;
			while (ncamb<num_cambios_cond2_mab_move_to_chest_with_key) {
			    vp_thing1=cambios_cond2_mab_get_key_to_unlock[ncamb].instancias[0];
			    r.instancias[0]=vp_thing1;
			    if (cambios_cond2_mab_get_key_to_unlock[ncamb].tipo_cambio==desactivacion) {
				for(vp_chest1=0;vp_chest1<3; vp_chest1++)
				if (mab_R4[vp_thing1][vp_chest1]>0) {
					r.instancias[1]=vp_chest1;
					mab_elimregla_agenda(r);
				}
			    } else {  /* el cambio es una activacion */
				if (activ_cond1_mab_climb_ladder_to_hold[vp_thing1])
				if (activ_cond2_mab_walk_to_place_to_climb[vp_thing1])
				for(vp_chest1=0;vp_chest1<3; vp_chest1++)
				if (activ_cond4_mab_move_to_chest_with_key[vp_chest1])
				if (activ_cond5_mab_move_to_chest_with_key[vp_chest1])
				if (mab_R4[vp_thing1][vp_chest1]==0) {
					r.instancias[1]=vp_chest1;
					mab_insregla_agenda(r);
				}
			    }
			    ncamb++;
			}
			num_cambios_cond2_mab_move_to_chest_with_key=0;
		}
		if (num_cambios_cond3_mab_move_to_chest_with_key>0) {
			ncamb=0;
			r.num_regla = 4;
			r.prioridad = 0;
			while (ncamb<num_cambios_cond3_mab_move_to_chest_with_key) {
			    vp_thing1=cambios_cond2_mab_walk_to_place_to_climb[ncamb].instancias[0];
			    r.instancias[0]=vp_thing1;
			    if (cambios_cond2_mab_walk_to_place_to_climb[ncamb].tipo_cambio==desactivacion) {
				for(vp_chest1=0;vp_chest1<3; vp_chest1++)
				if (mab_R4[vp_thing1][vp_chest1]>0) {
					r.instancias[1]=vp_chest1;
					mab_elimregla_agenda(r);
				}
			    } else {  /* el cambio es una activacion */
				if (activ_cond1_mab_climb_ladder_to_hold[vp_thing1])
				if (activ_cond2_mab_get_key_to_unlock[vp_thing1])
				for(vp_chest1=0;vp_chest1<3; vp_chest1++)
				if (activ_cond4_mab_move_to_chest_with_key[vp_chest1])
				if (activ_cond5_mab_move_to_chest_with_key[vp_chest1])
				if (mab_R4[vp_thing1][vp_chest1]==0) {
					r.instancias[1]=vp_chest1;
					mab_insregla_agenda(r);
				}
			    }
			    ncamb++;
			}
			num_cambios_cond3_mab_move_to_chest_with_key=0;
		}
		if (num_cambios_cond4_mab_move_to_chest_with_key>0) {
			ncamb=0;
			r.num_regla = 4;
			r.prioridad = 0;
			while (ncamb<num_cambios_cond4_mab_move_to_chest_with_key) {
			    vp_chest1=cambios_cond4_mab_move_to_chest_with_key[ncamb].instancias[0];
			    r.instancias[1]=vp_chest1;
			    camb_cond4_mab_move_to_chest_with_key[vp_chest1]=CELDA_VACIA;
			    if (cambios_cond4_mab_move_to_chest_with_key[ncamb].tipo_cambio==desactivacion) {
				for(vp_thing1=0;vp_thing1<12; vp_thing1++)
				if (mab_R4[vp_thing1][vp_chest1]>0) {
					r.instancias[0]=vp_thing1;
					mab_elimregla_agenda(r);
				}
			    } else {  /* el cambio es una activacion */
				if (activ_cond5_mab_move_to_chest_with_key[vp_chest1])
				for(vp_thing1=0;vp_thing1<12; vp_thing1++)
				if (activ_cond1_mab_climb_ladder_to_hold[vp_thing1])
				if (activ_cond2_mab_get_key_to_unlock[vp_thing1])
				if (activ_cond2_mab_walk_to_place_to_climb[vp_thing1])
				if (mab_R4[vp_thing1][vp_chest1]==0) {
					r.instancias[0]=vp_thing1;
					mab_insregla_agenda(r);
				}
			    }
			    ncamb++;
			}
			num_cambios_cond4_mab_move_to_chest_with_key=0;
		}
		if (num_cambios_cond5_mab_move_to_chest_with_key>0) {
			ncamb=0;
			r.num_regla = 4;
			r.prioridad = 0;
			while (ncamb<num_cambios_cond5_mab_move_to_chest_with_key) {
			    vp_chest1=cambios_cond5_mab_move_to_chest_with_key[ncamb].instancias[0];
			    r.instancias[1]=vp_chest1;
			    camb_cond5_mab_move_to_chest_with_key[vp_chest1]=CELDA_VACIA;
			    if (cambios_cond5_mab_move_to_chest_with_key[ncamb].tipo_cambio==desactivacion) {
				for(vp_thing1=0;vp_thing1<12; vp_thing1++)
				if (mab_R4[vp_thing1][vp_chest1]>0) {
					r.instancias[0]=vp_thing1;
					mab_elimregla_agenda(r);
				}
			    } else {  /* el cambio es una activacion */
				if (activ_cond4_mab_move_to_chest_with_key[vp_chest1])
				for(vp_thing1=0;vp_thing1<12; vp_thing1++)
				if (activ_cond1_mab_climb_ladder_to_hold[vp_thing1])
				if (activ_cond2_mab_get_key_to_unlock[vp_thing1])
				if (activ_cond2_mab_walk_to_place_to_climb[vp_thing1])
				if (mab_R4[vp_thing1][vp_chest1]==0) {
					r.instancias[0]=vp_thing1;
					mab_insregla_agenda(r);
				}
			    }
			    ncamb++;
			}
			num_cambios_cond5_mab_move_to_chest_with_key=0;
		}
	} else {
		mab_elim_agenda(4);
	}
	LIz_mab_move_to_chest_with_key=FALSE;
}

void Iz_mab_drop_object()
{
	int ncamb;
	mab_REGAGENDA r;
	int  vp_thing1;

	if ((activ_cond0_mab_climb_ladder_to_hold) && (activ_cond1_mab_drop_object) && (activ_cond3_mab_drop_to_climb)) {
		if (num_cambios_cond3_mab_drop_object>0) {
			ncamb=0;
			r.num_regla = 14;
			r.prioridad = 0;
			while (ncamb<num_cambios_cond3_mab_drop_object) {
			    vp_thing1=cambios_cond3_mab_walk_holding_object[ncamb].instancias[0];
			    r.instancias[0]=vp_thing1;
			    if (cambios_cond3_mab_walk_holding_object[ncamb].tipo_cambio==desactivacion) {
				if (mab_R14[vp_thing1]>0) {
					mab_elimregla_agenda(r);
				}
			    } else {  /* el cambio es una activacion */
				if (mab_R14[vp_thing1]==0) {
					mab_insregla_agenda(r);
				}
			    }
			    ncamb++;
			}
			num_cambios_cond3_mab_drop_object=0;
		}
	} else {
		mab_elim_agenda(14);
	}
	LIz_mab_drop_object=FALSE;
}

void Iz_mab_climb_indirectly()
{
	int ncamb;
	mab_REGAGENDA r;
	int  vp_thing1;

	if ((activ_cond0_mab_drop_to_climb) && (activ_cond4_mab_climb_indirectly) && (activ_cond3_mab_walk_holding_nothing)) {
		if (num_cambios_cond1_mab_climb_indirectly>0) {
			ncamb=0;
			r.num_regla = 27;
			r.prioridad = 0;
			while (ncamb<num_cambios_cond1_mab_climb_indirectly) {
			    vp_thing1=cambios_cond1_mab_climb_ladder_to_hold[ncamb].instancias[0];
			    r.instancias[0]=vp_thing1;
			    if (cambios_cond1_mab_climb_ladder_to_hold[ncamb].tipo_cambio==desactivacion) {
				if (mab_R27[vp_thing1]>0) {
					mab_elimregla_agenda(r);
				}
			    } else {  /* el cambio es una activacion */
				if (activ_cond2_mab_drop_to_climb[vp_thing1])
				if (activ_cond3_mab_climb_indirectly[vp_thing1])
				if (mab_R27[vp_thing1]==0) {
					mab_insregla_agenda(r);
				}
			    }
			    ncamb++;
			}
			num_cambios_cond1_mab_climb_indirectly=0;
		}
		if (num_cambios_cond2_mab_climb_indirectly>0) {
			ncamb=0;
			r.num_regla = 27;
			r.prioridad = 0;
			while (ncamb<num_cambios_cond2_mab_climb_indirectly) {
			    vp_thing1=cambios_cond2_mab_drop_to_climb[ncamb].instancias[0];
			    r.instancias[0]=vp_thing1;
			    if (cambios_cond2_mab_drop_to_climb[ncamb].tipo_cambio==desactivacion) {
				if (mab_R27[vp_thing1]>0) {
					mab_elimregla_agenda(r);
				}
			    } else {  /* el cambio es una activacion */
				if (activ_cond1_mab_climb_ladder_to_hold[vp_thing1])
				if (activ_cond3_mab_climb_indirectly[vp_thing1])
				if (mab_R27[vp_thing1]==0) {
					mab_insregla_agenda(r);
				}
			    }
			    ncamb++;
			}
			num_cambios_cond2_mab_climb_indirectly=0;
		}
		if (num_cambios_cond3_mab_climb_indirectly>0) {
			ncamb=0;
			r.num_regla = 27;
			r.prioridad = 0;
			while (ncamb<num_cambios_cond3_mab_climb_indirectly) {
			    vp_thing1=cambios_cond3_mab_climb_indirectly[ncamb].instancias[0];
			    r.instancias[0]=vp_thing1;
			    camb_cond3_mab_climb_indirectly[vp_thing1]=CELDA_VACIA;
			    if (cambios_cond3_mab_climb_indirectly[ncamb].tipo_cambio==desactivacion) {
				if (mab_R27[vp_thing1]>0) {
					mab_elimregla_agenda(r);
				}
			    } else {  /* el cambio es una activacion */
				if (activ_cond1_mab_climb_ladder_to_hold[vp_thing1])
				if (activ_cond2_mab_drop_to_climb[vp_thing1])
				if (mab_R27[vp_thing1]==0) {
					mab_insregla_agenda(r);
				}
			    }
			    ncamb++;
			}
			num_cambios_cond3_mab_climb_indirectly=0;
		}
	} else {
		mab_elim_agenda(27);
	}
	LIz_mab_climb_indirectly=FALSE;
}

void Iz_mab_already_on_object()
{
	int ncamb;
	mab_REGAGENDA r;

	if ((activ_cond0_mab_drop_to_climb) && (activ_cond1_mab_already_on_object)) {
		r.num_regla = 29;
		r.prioridad = 0;
		mab_insregla_agenda(r);
	} else {
		mab_elim_agenda(29);
	}
	LIz_mab_already_on_object=FALSE;
}

void Iz_mab_hold_object_to_move()
{
	int ncamb;
	mab_REGAGENDA r;
	int  vp_thing1;

	if ((activ_cond0_mab_hold_object_to_move) && (activ_cond1_mab_hold_to_eat)) {
		if (num_cambios_cond1_mab_hold_object_to_move>0) {
			ncamb=0;
			r.num_regla = 16;
			r.prioridad = 0;
			while (ncamb<num_cambios_cond1_mab_hold_object_to_move) {
			    vp_thing1=cambios_cond1_mab_climb_ladder_to_hold[ncamb].instancias[0];
			    r.instancias[0]=vp_thing1;
			    if (cambios_cond1_mab_climb_ladder_to_hold[ncamb].tipo_cambio==desactivacion) {
				if (mab_R16[vp_thing1]>0) {
					mab_elimregla_agenda(r);
				}
			    } else {  /* el cambio es una activacion */
				if (activ_cond2_mab_hold_object_to_move[vp_thing1])
				if (activ_cond3_mab_climb_ladder_to_hold[vp_thing1])
				if (mab_R16[vp_thing1]==0) {
					mab_insregla_agenda(r);
				}
			    }
			    ncamb++;
			}
			num_cambios_cond1_mab_hold_object_to_move=0;
		}
		if (num_cambios_cond2_mab_hold_object_to_move>0) {
			ncamb=0;
			r.num_regla = 16;
			r.prioridad = 0;
			while (ncamb<num_cambios_cond2_mab_hold_object_to_move) {
			    vp_thing1=cambios_cond2_mab_hold_object_to_move[ncamb].instancias[0];
			    r.instancias[0]=vp_thing1;
			    camb_cond2_mab_hold_object_to_move[vp_thing1]=CELDA_VACIA;
			    if (cambios_cond2_mab_hold_object_to_move[ncamb].tipo_cambio==desactivacion) {
				if (mab_R16[vp_thing1]>0) {
					mab_elimregla_agenda(r);
				}
			    } else {  /* el cambio es una activacion */
				if (activ_cond1_mab_climb_ladder_to_hold[vp_thing1])
				if (activ_cond3_mab_climb_ladder_to_hold[vp_thing1])
				if (mab_R16[vp_thing1]==0) {
					mab_insregla_agenda(r);
				}
			    }
			    ncamb++;
			}
			num_cambios_cond2_mab_hold_object_to_move=0;
		}
		if (num_cambios_cond3_mab_hold_object_to_move>0) {
			ncamb=0;
			r.num_regla = 16;
			r.prioridad = 0;
			while (ncamb<num_cambios_cond3_mab_hold_object_to_move) {
			    vp_thing1=cambios_cond3_mab_climb_ladder_to_hold[ncamb].instancias[0];
			    r.instancias[0]=vp_thing1;
			    if (cambios_cond3_mab_climb_ladder_to_hold[ncamb].tipo_cambio==desactivacion) {
				if (mab_R16[vp_thing1]>0) {
					mab_elimregla_agenda(r);
				}
			    } else {  /* el cambio es una activacion */
				if (activ_cond1_mab_climb_ladder_to_hold[vp_thing1])
				if (activ_cond2_mab_hold_object_to_move[vp_thing1])
				if (mab_R16[vp_thing1]==0) {
					mab_insregla_agenda(r);
				}
			    }
			    ncamb++;
			}
			num_cambios_cond3_mab_hold_object_to_move=0;
		}
	} else {
		mab_elim_agenda(16);
	}
	LIz_mab_hold_object_to_move=FALSE;
}

void Iz_mab_drop_object_once_moved()
{
	int ncamb;
	mab_REGAGENDA r;
	int  vp_thing1;

	if ((activ_cond0_mab_hold_object_to_move) && (activ_cond1_mab_drop_object_once_moved)) {
		if (num_cambios_cond2_mab_drop_object_once_moved>0) {
			ncamb=0;
			r.num_regla = 18;
			r.prioridad = 0;
			while (ncamb<num_cambios_cond2_mab_drop_object_once_moved) {
			    vp_thing1=cambios_cond1_mab_climb_ladder_to_hold[ncamb].instancias[0];
			    r.instancias[0]=vp_thing1;
			    if (cambios_cond1_mab_climb_ladder_to_hold[ncamb].tipo_cambio==desactivacion) {
				if (mab_R18[vp_thing1]>0) {
					mab_elimregla_agenda(r);
				}
			    } else {  /* el cambio es una activacion */
				if (activ_cond3_mab_climb_ladder_to_hold[vp_thing1])
				if (mab_R18[vp_thing1]==0) {
					mab_insregla_agenda(r);
				}
			    }
			    ncamb++;
			}
			num_cambios_cond2_mab_drop_object_once_moved=0;
		}
		if (num_cambios_cond3_mab_drop_object_once_moved>0) {
			ncamb=0;
			r.num_regla = 18;
			r.prioridad = 0;
			while (ncamb<num_cambios_cond3_mab_drop_object_once_moved) {
			    vp_thing1=cambios_cond3_mab_climb_ladder_to_hold[ncamb].instancias[0];
			    r.instancias[0]=vp_thing1;
			    if (cambios_cond3_mab_climb_ladder_to_hold[ncamb].tipo_cambio==desactivacion) {
				if (mab_R18[vp_thing1]>0) {
					mab_elimregla_agenda(r);
				}
			    } else {  /* el cambio es una activacion */
				if (activ_cond1_mab_climb_ladder_to_hold[vp_thing1])
				if (mab_R18[vp_thing1]==0) {
					mab_insregla_agenda(r);
				}
			    }
			    ncamb++;
			}
			num_cambios_cond3_mab_drop_object_once_moved=0;
		}
	} else {
		mab_elim_agenda(18);
	}
	LIz_mab_drop_object_once_moved=FALSE;
}

void Iz_mab_climb_directly()
{
	int ncamb;
	mab_REGAGENDA r;
	int  vp_thing1;

	if ((activ_cond0_mab_drop_to_climb) && (activ_cond3_mab_walk_holding_nothing)) {
		if (num_cambios_cond1_mab_climb_directly>0) {
			ncamb=0;
			r.num_regla = 28;
			r.prioridad = 0;
			while (ncamb<num_cambios_cond1_mab_climb_directly) {
			    vp_thing1=cambios_cond1_mab_climb_ladder_to_hold[ncamb].instancias[0];
			    r.instancias[0]=vp_thing1;
			    if (cambios_cond1_mab_climb_ladder_to_hold[ncamb].tipo_cambio==desactivacion) {
				if (mab_R28[vp_thing1]>0) {
					mab_elimregla_agenda(r);
				}
			    } else {  /* el cambio es una activacion */
				if (activ_cond2_mab_drop_to_climb[vp_thing1])
				if (activ_cond3_mab_climb_directly[vp_thing1])
				if (mab_R28[vp_thing1]==0) {
					mab_insregla_agenda(r);
				}
			    }
			    ncamb++;
			}
			num_cambios_cond1_mab_climb_directly=0;
		}
		if (num_cambios_cond2_mab_climb_directly>0) {
			ncamb=0;
			r.num_regla = 28;
			r.prioridad = 0;
			while (ncamb<num_cambios_cond2_mab_climb_directly) {
			    vp_thing1=cambios_cond2_mab_drop_to_climb[ncamb].instancias[0];
			    r.instancias[0]=vp_thing1;
			    if (cambios_cond2_mab_drop_to_climb[ncamb].tipo_cambio==desactivacion) {
				if (mab_R28[vp_thing1]>0) {
					mab_elimregla_agenda(r);
				}
			    } else {  /* el cambio es una activacion */
				if (activ_cond1_mab_climb_ladder_to_hold[vp_thing1])
				if (activ_cond3_mab_climb_directly[vp_thing1])
				if (mab_R28[vp_thing1]==0) {
					mab_insregla_agenda(r);
				}
			    }
			    ncamb++;
			}
			num_cambios_cond2_mab_climb_directly=0;
		}
		if (num_cambios_cond3_mab_climb_directly>0) {
			ncamb=0;
			r.num_regla = 28;
			r.prioridad = 0;
			while (ncamb<num_cambios_cond3_mab_climb_directly) {
			    vp_thing1=cambios_cond3_mab_climb_directly[ncamb].instancias[0];
			    r.instancias[0]=vp_thing1;
			    camb_cond3_mab_climb_directly[vp_thing1]=CELDA_VACIA;
			    if (cambios_cond3_mab_climb_directly[ncamb].tipo_cambio==desactivacion) {
				if (mab_R28[vp_thing1]>0) {
					mab_elimregla_agenda(r);
				}
			    } else {  /* el cambio es una activacion */
				if (activ_cond1_mab_climb_ladder_to_hold[vp_thing1])
				if (activ_cond2_mab_drop_to_climb[vp_thing1])
				if (mab_R28[vp_thing1]==0) {
					mab_insregla_agenda(r);
				}
			    }
			    ncamb++;
			}
			num_cambios_cond3_mab_climb_directly=0;
		}
	} else {
		mab_elim_agenda(28);
	}
	LIz_mab_climb_directly=FALSE;
}

void Iz_mab_unlock_chest_to_hold_object()
{
	int ncamb;
	mab_REGAGENDA r;
	int  vp_chest1;

	if ((activ_cond0_mab_climb_ladder_to_hold)) {
		if (num_cambios_cond1_mab_unlock_chest_to_hold_object>0) {
			ncamb=0;
			r.num_regla = 6;
			r.prioridad = 0;
			while (ncamb<num_cambios_cond1_mab_unlock_chest_to_hold_object) {
			    vp_chest1=cambios_cond1_mab_unlock_chest_to_hold_object[ncamb].instancias[0];
			    r.instancias[0]=vp_chest1;
			    camb_cond1_mab_unlock_chest_to_hold_object[vp_chest1]=CELDA_VACIA;
			    if (cambios_cond1_mab_unlock_chest_to_hold_object[ncamb].tipo_cambio==desactivacion) {
				if (mab_R6[vp_chest1]>0) {
					mab_elimregla_agenda(r);
				}
			    } else {  /* el cambio es una activacion */
				if (mab_R6[vp_chest1]==0) {
					mab_insregla_agenda(r);
				}
			    }
			    ncamb++;
			}
			num_cambios_cond1_mab_unlock_chest_to_hold_object=0;
		}
	} else {
		mab_elim_agenda(6);
	}
	LIz_mab_unlock_chest_to_hold_object=FALSE;
}

void Iz_mab_already_moved_object()
{
	int ncamb;
	mab_REGAGENDA r;
	int  vp_thing1;

	if ((activ_cond0_mab_hold_object_to_move)) {
		if (num_cambios_cond1_mab_already_moved_object>0) {
			ncamb=0;
			r.num_regla = 19;
			r.prioridad = 0;
			while (ncamb<num_cambios_cond1_mab_already_moved_object) {
			    vp_thing1=cambios_cond1_mab_climb_ladder_to_hold[ncamb].instancias[0];
			    r.instancias[0]=vp_thing1;
			    if (cambios_cond1_mab_climb_ladder_to_hold[ncamb].tipo_cambio==desactivacion) {
				if (mab_R19[vp_thing1]>0) {
					mab_elimregla_agenda(r);
				}
			    } else {  /* el cambio es una activacion */
				if (activ_cond2_mab_already_moved_object[vp_thing1])
				if (mab_R19[vp_thing1]==0) {
					mab_insregla_agenda(r);
				}
			    }
			    ncamb++;
			}
			num_cambios_cond1_mab_already_moved_object=0;
		}
		if (num_cambios_cond2_mab_already_moved_object>0) {
			ncamb=0;
			r.num_regla = 19;
			r.prioridad = 0;
			while (ncamb<num_cambios_cond2_mab_already_moved_object) {
			    vp_thing1=cambios_cond2_mab_already_moved_object[ncamb].instancias[0];
			    r.instancias[0]=vp_thing1;
			    camb_cond2_mab_already_moved_object[vp_thing1]=CELDA_VACIA;
			    if (cambios_cond2_mab_already_moved_object[ncamb].tipo_cambio==desactivacion) {
				if (mab_R19[vp_thing1]>0) {
					mab_elimregla_agenda(r);
				}
			    } else {  /* el cambio es una activacion */
				if (activ_cond1_mab_climb_ladder_to_hold[vp_thing1])
				if (mab_R19[vp_thing1]==0) {
					mab_insregla_agenda(r);
				}
			    }
			    ncamb++;
			}
			num_cambios_cond2_mab_already_moved_object=0;
		}
	} else {
		mab_elim_agenda(19);
	}
	LIz_mab_already_moved_object=FALSE;
}

void Iz_mab_move_object_to_place()
{
	int ncamb;
	mab_REGAGENDA r;

	if ((activ_cond0_mab_hold_object_to_move) && (activ_cond1_mab_move_object_to_place) && (activ_cond1_mab_satisfy_hunger)) {
		r.num_regla = 17;
		r.prioridad = 0;
		mab_insregla_agenda(r);
	} else {
		mab_elim_agenda(17);
	}
	LIz_mab_move_object_to_place=FALSE;
}

void Iz_mab_already_at_place()
{
	int ncamb;
	mab_REGAGENDA r;

	if ((activ_cond0_mab_walk_holding_nothing) && (activ_cond1_mab_already_at_place)) {
		r.num_regla = 20;
		r.prioridad = 0;
		mab_insregla_agenda(r);
	} else {
		mab_elim_agenda(20);
	}
	LIz_mab_already_at_place=FALSE;
}

void Iz_mab_put_chest_on_floor()
{
	int ncamb;
	mab_REGAGENDA r;
	int  vp_thing1;

	if ((activ_cond0_mab_get_key_to_unlock) && (activ_cond1_mab_satisfy_hunger)) {
		if (num_cambios_cond2_mab_put_chest_on_floor>0) {
			ncamb=0;
			r.num_regla = 2;
			r.prioridad = 0;
			while (ncamb<num_cambios_cond2_mab_put_chest_on_floor) {
			    vp_thing1=cambios_cond3_mab_walk_holding_object[ncamb].instancias[0];
			    r.instancias[0]=vp_thing1;
			    if (cambios_cond3_mab_walk_holding_object[ncamb].tipo_cambio==desactivacion) {
				if (mab_R2[vp_thing1]>0) {
					mab_elimregla_agenda(r);
				}
			    } else {  /* el cambio es una activacion */
				if (mab_R2[vp_thing1]==0) {
					mab_insregla_agenda(r);
				}
			    }
			    ncamb++;
			}
			num_cambios_cond2_mab_put_chest_on_floor=0;
		}
	} else {
		mab_elim_agenda(2);
	}
	LIz_mab_put_chest_on_floor=FALSE;
}

void Iz_mab_hold_chest_to_put_on_floor()
{
	int ncamb;
	mab_REGAGENDA r;
	int  vp_thing1;

	if ((activ_cond0_mab_get_key_to_unlock) && (activ_cond1_mab_hold_to_eat)) {
		if (num_cambios_cond1_mab_hold_chest_to_put_on_floor>0) {
			ncamb=0;
			r.num_regla = 1;
			r.prioridad = 0;
			while (ncamb<num_cambios_cond1_mab_hold_chest_to_put_on_floor) {
			    vp_thing1=cambios_cond1_mab_get_key_to_unlock[ncamb].instancias[0];
			    r.instancias[0]=vp_thing1;
			    if (cambios_cond1_mab_get_key_to_unlock[ncamb].tipo_cambio==desactivacion) {
				if (mab_R1[vp_thing1]>0) {
					mab_elimregla_agenda(r);
				}
			    } else {  /* el cambio es una activacion */
				if (activ_cond2_mab_hold_chest_to_put_on_floor[vp_thing1])
				if (activ_cond3_mab_climb_ladder_to_hold[vp_thing1])
				if (mab_R1[vp_thing1]==0) {
					mab_insregla_agenda(r);
				}
			    }
			    ncamb++;
			}
			num_cambios_cond1_mab_hold_chest_to_put_on_floor=0;
		}
		if (num_cambios_cond2_mab_hold_chest_to_put_on_floor>0) {
			ncamb=0;
			r.num_regla = 1;
			r.prioridad = 0;
			while (ncamb<num_cambios_cond2_mab_hold_chest_to_put_on_floor) {
			    vp_thing1=cambios_cond2_mab_hold_chest_to_put_on_floor[ncamb].instancias[0];
			    r.instancias[0]=vp_thing1;
			    camb_cond2_mab_hold_chest_to_put_on_floor[vp_thing1]=CELDA_VACIA;
			    if (cambios_cond2_mab_hold_chest_to_put_on_floor[ncamb].tipo_cambio==desactivacion) {
				if (mab_R1[vp_thing1]>0) {
					mab_elimregla_agenda(r);
				}
			    } else {  /* el cambio es una activacion */
				if (activ_cond1_mab_get_key_to_unlock[vp_thing1])
				if (activ_cond3_mab_climb_ladder_to_hold[vp_thing1])
				if (mab_R1[vp_thing1]==0) {
					mab_insregla_agenda(r);
				}
			    }
			    ncamb++;
			}
			num_cambios_cond2_mab_hold_chest_to_put_on_floor=0;
		}
		if (num_cambios_cond3_mab_hold_chest_to_put_on_floor>0) {
			ncamb=0;
			r.num_regla = 1;
			r.prioridad = 0;
			while (ncamb<num_cambios_cond3_mab_hold_chest_to_put_on_floor) {
			    vp_thing1=cambios_cond3_mab_climb_ladder_to_hold[ncamb].instancias[0];
			    r.instancias[0]=vp_thing1;
			    if (cambios_cond3_mab_climb_ladder_to_hold[ncamb].tipo_cambio==desactivacion) {
				if (mab_R1[vp_thing1]>0) {
					mab_elimregla_agenda(r);
				}
			    } else {  /* el cambio es una activacion */
				if (activ_cond1_mab_get_key_to_unlock[vp_thing1])
				if (activ_cond2_mab_hold_chest_to_put_on_floor[vp_thing1])
				if (mab_R1[vp_thing1]==0) {
					mab_insregla_agenda(r);
				}
			    }
			    ncamb++;
			}
			num_cambios_cond3_mab_hold_chest_to_put_on_floor=0;
		}
	} else {
		mab_elim_agenda(1);
	}
	LIz_mab_hold_chest_to_put_on_floor=FALSE;
}

void Iz_mab_jump_onto_floor()
{
	int ncamb;
	mab_REGAGENDA r;

	if ((activ_cond0_mab_drop_to_climb) && (activ_cond1_mab_jump_onto_floor) && (activ_cond2_mab_get_on_floor_to_walk)) {
		r.num_regla = 24;
		r.prioridad = 0;
		mab_insregla_agenda(r);
	} else {
		mab_elim_agenda(24);
	}
	LIz_mab_jump_onto_floor=FALSE;
}

void Iz_mab_unlock_chest_with_key()
{
	int ncamb;
	mab_REGAGENDA r;
	int  vp_chest1;
	int  vp_thing1;
	int  vp_thing2;

	if ((activ_cond0_mab_get_key_to_unlock)) {
		if (num_cambios_cond1_mab_unlock_chest_with_key>0) {
			ncamb=0;
			r.num_regla = 5;
			r.prioridad = 0;
			while (ncamb<num_cambios_cond1_mab_unlock_chest_with_key) {
			    vp_chest1=cambios_cond4_mab_move_to_chest_with_key[ncamb].instancias[0];
			    r.instancias[0]=vp_chest1;
			    if (cambios_cond4_mab_move_to_chest_with_key[ncamb].tipo_cambio==desactivacion) {
				for(vp_thing1=0;vp_thing1<12; vp_thing1++)
				for(vp_thing2=0;vp_thing2<12; vp_thing2++)
				if (mab_R5[vp_chest1][vp_thing1][vp_thing2]>0) {
					r.instancias[1]=vp_thing1;
					r.instancias[2]=vp_thing2;
					mab_elimregla_agenda(r);
				}
			    } else {  /* el cambio es una activacion */
				if (activ_cond5_mab_unlock_chest_with_key[vp_chest1])
				for(vp_thing1=0;vp_thing1<12; vp_thing1++)
				for(vp_thing2=0;vp_thing2<12; vp_thing2++)
				if (activ_cond1_mab_climb_ladder_to_hold[vp_thing1])
				if (activ_cond2_mab_drop_to_climb[vp_thing1])
				if (activ_cond3_mab_climb_directly[vp_thing1])
				if (activ_cond6_mab_unlock_chest_with_key[vp_thing2])
				if (mab_R5[vp_chest1][vp_thing1][vp_thing2]==0) {
					r.instancias[1]=vp_thing1;
					r.instancias[2]=vp_thing2;
					mab_insregla_agenda(r);
				}
			    }
			    ncamb++;
			}
			num_cambios_cond1_mab_unlock_chest_with_key=0;
		}
		if (num_cambios_cond2_mab_unlock_chest_with_key>0) {
			ncamb=0;
			r.num_regla = 5;
			r.prioridad = 0;
			while (ncamb<num_cambios_cond2_mab_unlock_chest_with_key) {
			    vp_thing1=cambios_cond1_mab_climb_ladder_to_hold[ncamb].instancias[0];
			    r.instancias[1]=vp_thing1;
			    if (cambios_cond1_mab_climb_ladder_to_hold[ncamb].tipo_cambio==desactivacion) {
				for(vp_chest1=0;vp_chest1<3; vp_chest1++)
				for(vp_thing2=0;vp_thing2<12; vp_thing2++)
				if (mab_R5[vp_chest1][vp_thing1][vp_thing2]>0) {
					r.instancias[0]=vp_chest1;
					r.instancias[2]=vp_thing2;
					mab_elimregla_agenda(r);
				}
			    } else {  /* el cambio es una activacion */
				if (activ_cond2_mab_drop_to_climb[vp_thing1])
				if (activ_cond3_mab_climb_directly[vp_thing1])
				for(vp_chest1=0;vp_chest1<3; vp_chest1++)
				for(vp_thing2=0;vp_thing2<12; vp_thing2++)
				if (activ_cond4_mab_move_to_chest_with_key[vp_chest1])
				if (activ_cond5_mab_unlock_chest_with_key[vp_chest1])
				if (activ_cond6_mab_unlock_chest_with_key[vp_thing2])
				if (mab_R5[vp_chest1][vp_thing1][vp_thing2]==0) {
					r.instancias[0]=vp_chest1;
					r.instancias[2]=vp_thing2;
					mab_insregla_agenda(r);
				}
			    }
			    ncamb++;
			}
			num_cambios_cond2_mab_unlock_chest_with_key=0;
		}
		if (num_cambios_cond3_mab_unlock_chest_with_key>0) {
			ncamb=0;
			r.num_regla = 5;
			r.prioridad = 0;
			while (ncamb<num_cambios_cond3_mab_unlock_chest_with_key) {
			    vp_thing1=cambios_cond2_mab_drop_to_climb[ncamb].instancias[0];
			    r.instancias[1]=vp_thing1;
			    if (cambios_cond2_mab_drop_to_climb[ncamb].tipo_cambio==desactivacion) {
				for(vp_chest1=0;vp_chest1<3; vp_chest1++)
				for(vp_thing2=0;vp_thing2<12; vp_thing2++)
				if (mab_R5[vp_chest1][vp_thing1][vp_thing2]>0) {
					r.instancias[0]=vp_chest1;
					r.instancias[2]=vp_thing2;
					mab_elimregla_agenda(r);
				}
			    } else {  /* el cambio es una activacion */
				if (activ_cond1_mab_climb_ladder_to_hold[vp_thing1])
				if (activ_cond3_mab_climb_directly[vp_thing1])
				for(vp_chest1=0;vp_chest1<3; vp_chest1++)
				for(vp_thing2=0;vp_thing2<12; vp_thing2++)
				if (activ_cond4_mab_move_to_chest_with_key[vp_chest1])
				if (activ_cond5_mab_unlock_chest_with_key[vp_chest1])
				if (activ_cond6_mab_unlock_chest_with_key[vp_thing2])
				if (mab_R5[vp_chest1][vp_thing1][vp_thing2]==0) {
					r.instancias[0]=vp_chest1;
					r.instancias[2]=vp_thing2;
					mab_insregla_agenda(r);
				}
			    }
			    ncamb++;
			}
			num_cambios_cond3_mab_unlock_chest_with_key=0;
		}
		if (num_cambios_cond4_mab_unlock_chest_with_key>0) {
			ncamb=0;
			r.num_regla = 5;
			r.prioridad = 0;
			while (ncamb<num_cambios_cond4_mab_unlock_chest_with_key) {
			    vp_thing1=cambios_cond3_mab_climb_directly[ncamb].instancias[0];
			    r.instancias[1]=vp_thing1;
			    if (cambios_cond3_mab_climb_directly[ncamb].tipo_cambio==desactivacion) {
				for(vp_chest1=0;vp_chest1<3; vp_chest1++)
				for(vp_thing2=0;vp_thing2<12; vp_thing2++)
				if (mab_R5[vp_chest1][vp_thing1][vp_thing2]>0) {
					r.instancias[0]=vp_chest1;
					r.instancias[2]=vp_thing2;
					mab_elimregla_agenda(r);
				}
			    } else {  /* el cambio es una activacion */
				if (activ_cond1_mab_climb_ladder_to_hold[vp_thing1])
				if (activ_cond2_mab_drop_to_climb[vp_thing1])
				for(vp_chest1=0;vp_chest1<3; vp_chest1++)
				for(vp_thing2=0;vp_thing2<12; vp_thing2++)
				if (activ_cond4_mab_move_to_chest_with_key[vp_chest1])
				if (activ_cond5_mab_unlock_chest_with_key[vp_chest1])
				if (activ_cond6_mab_unlock_chest_with_key[vp_thing2])
				if (mab_R5[vp_chest1][vp_thing1][vp_thing2]==0) {
					r.instancias[0]=vp_chest1;
					r.instancias[2]=vp_thing2;
					mab_insregla_agenda(r);
				}
			    }
			    ncamb++;
			}
			num_cambios_cond4_mab_unlock_chest_with_key=0;
		}
		if (num_cambios_cond5_mab_unlock_chest_with_key>0) {
			ncamb=0;
			r.num_regla = 5;
			r.prioridad = 0;
			while (ncamb<num_cambios_cond5_mab_unlock_chest_with_key) {
			    vp_chest1=cambios_cond5_mab_unlock_chest_with_key[ncamb].instancias[0];
			    r.instancias[0]=vp_chest1;
			    camb_cond5_mab_unlock_chest_with_key[vp_chest1]=CELDA_VACIA;
			    if (cambios_cond5_mab_unlock_chest_with_key[ncamb].tipo_cambio==desactivacion) {
				for(vp_thing1=0;vp_thing1<12; vp_thing1++)
				for(vp_thing2=0;vp_thing2<12; vp_thing2++)
				if (mab_R5[vp_chest1][vp_thing1][vp_thing2]>0) {
					r.instancias[1]=vp_thing1;
					r.instancias[2]=vp_thing2;
					mab_elimregla_agenda(r);
				}
			    } else {  /* el cambio es una activacion */
				if (activ_cond4_mab_move_to_chest_with_key[vp_chest1])
				for(vp_thing1=0;vp_thing1<12; vp_thing1++)
				for(vp_thing2=0;vp_thing2<12; vp_thing2++)
				if (activ_cond1_mab_climb_ladder_to_hold[vp_thing1])
				if (activ_cond2_mab_drop_to_climb[vp_thing1])
				if (activ_cond3_mab_climb_directly[vp_thing1])
				if (activ_cond6_mab_unlock_chest_with_key[vp_thing2])
				if (mab_R5[vp_chest1][vp_thing1][vp_thing2]==0) {
					r.instancias[1]=vp_thing1;
					r.instancias[2]=vp_thing2;
					mab_insregla_agenda(r);
				}
			    }
			    ncamb++;
			}
			num_cambios_cond5_mab_unlock_chest_with_key=0;
		}
		if (num_cambios_cond6_mab_unlock_chest_with_key>0) {
			ncamb=0;
			r.num_regla = 5;
			r.prioridad = 0;
			while (ncamb<num_cambios_cond6_mab_unlock_chest_with_key) {
			    vp_thing2=cambios_cond6_mab_unlock_chest_with_key[ncamb].instancias[0];
			    r.instancias[2]=vp_thing2;
			    camb_cond6_mab_unlock_chest_with_key[vp_thing2]=CELDA_VACIA;
			    if (cambios_cond6_mab_unlock_chest_with_key[ncamb].tipo_cambio==desactivacion) {
				for(vp_chest1=0;vp_chest1<3; vp_chest1++)
				for(vp_thing1=0;vp_thing1<12; vp_thing1++)
				if (mab_R5[vp_chest1][vp_thing1][vp_thing2]>0) {
					r.instancias[0]=vp_chest1;
					r.instancias[1]=vp_thing1;
					mab_elimregla_agenda(r);
				}
			    } else {  /* el cambio es una activacion */
				for(vp_chest1=0;vp_chest1<3; vp_chest1++)
				for(vp_thing1=0;vp_thing1<12; vp_thing1++)
				if (activ_cond4_mab_move_to_chest_with_key[vp_chest1])
				if (activ_cond1_mab_climb_ladder_to_hold[vp_thing1])
				if (activ_cond2_mab_drop_to_climb[vp_thing1])
				if (activ_cond3_mab_climb_directly[vp_thing1])
				if (activ_cond5_mab_unlock_chest_with_key[vp_chest1])
				if (mab_R5[vp_chest1][vp_thing1][vp_thing2]==0) {
					r.instancias[0]=vp_chest1;
					r.instancias[1]=vp_thing1;
					mab_insregla_agenda(r);
				}
			    }
			    ncamb++;
			}
			num_cambios_cond6_mab_unlock_chest_with_key=0;
		}
	} else {
		mab_elim_agenda(5);
	}
	LIz_mab_unlock_chest_with_key=FALSE;
}

void Iz_mab_walk_to_hold()
{
	int ncamb;
	mab_REGAGENDA r;
	int  vp_thing1;

	if ((activ_cond0_mab_climb_ladder_to_hold)) {
		if (num_cambios_cond1_mab_walk_to_hold>0) {
			ncamb=0;
			r.num_regla = 11;
			r.prioridad = 0;
			while (ncamb<num_cambios_cond1_mab_walk_to_hold) {
			    vp_thing1=cambios_cond1_mab_climb_ladder_to_hold[ncamb].instancias[0];
			    r.instancias[0]=vp_thing1;
			    if (cambios_cond1_mab_climb_ladder_to_hold[ncamb].tipo_cambio==desactivacion) {
				if (mab_R11[vp_thing1]>0) {
					mab_elimregla_agenda(r);
				}
			    } else {  /* el cambio es una activacion */
				if (activ_cond2_mab_walk_to_hold[vp_thing1])
				if (activ_cond3_mab_climb_ladder_to_hold[vp_thing1])
				if (activ_cond2_mab_walk_to_place_to_climb[vp_thing1])
				if (mab_R11[vp_thing1]==0) {
					mab_insregla_agenda(r);
				}
			    }
			    ncamb++;
			}
			num_cambios_cond1_mab_walk_to_hold=0;
		}
		if (num_cambios_cond2_mab_walk_to_hold>0) {
			ncamb=0;
			r.num_regla = 11;
			r.prioridad = 0;
			while (ncamb<num_cambios_cond2_mab_walk_to_hold) {
			    vp_thing1=cambios_cond2_mab_walk_to_hold[ncamb].instancias[0];
			    r.instancias[0]=vp_thing1;
			    camb_cond2_mab_walk_to_hold[vp_thing1]=CELDA_VACIA;
			    if (cambios_cond2_mab_walk_to_hold[ncamb].tipo_cambio==desactivacion) {
				if (mab_R11[vp_thing1]>0) {
					mab_elimregla_agenda(r);
				}
			    } else {  /* el cambio es una activacion */
				if (activ_cond1_mab_climb_ladder_to_hold[vp_thing1])
				if (activ_cond3_mab_climb_ladder_to_hold[vp_thing1])
				if (activ_cond2_mab_walk_to_place_to_climb[vp_thing1])
				if (mab_R11[vp_thing1]==0) {
					mab_insregla_agenda(r);
				}
			    }
			    ncamb++;
			}
			num_cambios_cond2_mab_walk_to_hold=0;
		}
		if (num_cambios_cond3_mab_walk_to_hold>0) {
			ncamb=0;
			r.num_regla = 11;
			r.prioridad = 0;
			while (ncamb<num_cambios_cond3_mab_walk_to_hold) {
			    vp_thing1=cambios_cond3_mab_climb_ladder_to_hold[ncamb].instancias[0];
			    r.instancias[0]=vp_thing1;
			    if (cambios_cond3_mab_climb_ladder_to_hold[ncamb].tipo_cambio==desactivacion) {
				if (mab_R11[vp_thing1]>0) {
					mab_elimregla_agenda(r);
				}
			    } else {  /* el cambio es una activacion */
				if (activ_cond1_mab_climb_ladder_to_hold[vp_thing1])
				if (activ_cond2_mab_walk_to_hold[vp_thing1])
				if (activ_cond2_mab_walk_to_place_to_climb[vp_thing1])
				if (mab_R11[vp_thing1]==0) {
					mab_insregla_agenda(r);
				}
			    }
			    ncamb++;
			}
			num_cambios_cond3_mab_walk_to_hold=0;
		}
		if (num_cambios_cond4_mab_walk_to_hold>0) {
			ncamb=0;
			r.num_regla = 11;
			r.prioridad = 0;
			while (ncamb<num_cambios_cond4_mab_walk_to_hold) {
			    vp_thing1=cambios_cond2_mab_walk_to_place_to_climb[ncamb].instancias[0];
			    r.instancias[0]=vp_thing1;
			    if (cambios_cond2_mab_walk_to_place_to_climb[ncamb].tipo_cambio==desactivacion) {
				if (mab_R11[vp_thing1]>0) {
					mab_elimregla_agenda(r);
				}
			    } else {  /* el cambio es una activacion */
				if (activ_cond1_mab_climb_ladder_to_hold[vp_thing1])
				if (activ_cond2_mab_walk_to_hold[vp_thing1])
				if (activ_cond3_mab_climb_ladder_to_hold[vp_thing1])
				if (mab_R11[vp_thing1]==0) {
					mab_insregla_agenda(r);
				}
			    }
			    ncamb++;
			}
			num_cambios_cond4_mab_walk_to_hold=0;
		}
	} else {
		mab_elim_agenda(11);
	}
	LIz_mab_walk_to_hold=FALSE;
}

void Iz_mab_use_ladder_to_hold()
{
	int ncamb;
	mab_REGAGENDA r;
	int  vp_thing1;

	if ((activ_cond0_mab_climb_ladder_to_hold)) {
		if (num_cambios_cond1_mab_use_ladder_to_hold>0) {
			ncamb=0;
			r.num_regla = 7;
			r.prioridad = 0;
			while (ncamb<num_cambios_cond1_mab_use_ladder_to_hold) {
			    vp_thing1=cambios_cond1_mab_climb_ladder_to_hold[ncamb].instancias[0];
			    r.instancias[0]=vp_thing1;
			    if (cambios_cond1_mab_climb_ladder_to_hold[ncamb].tipo_cambio==desactivacion) {
				if (mab_R7[vp_thing1]>0) {
					mab_elimregla_agenda(r);
				}
			    } else {  /* el cambio es una activacion */
				if (activ_cond2_mab_climb_ladder_to_hold[vp_thing1])
				if (activ_cond3_mab_climb_ladder_to_hold[vp_thing1])
				if (mab_R7[vp_thing1]==0) {
					mab_insregla_agenda(r);
				}
			    }
			    ncamb++;
			}
			num_cambios_cond1_mab_use_ladder_to_hold=0;
		}
		if (num_cambios_cond2_mab_use_ladder_to_hold>0) {
			ncamb=0;
			r.num_regla = 7;
			r.prioridad = 0;
			while (ncamb<num_cambios_cond2_mab_use_ladder_to_hold) {
			    vp_thing1=cambios_cond2_mab_climb_ladder_to_hold[ncamb].instancias[0];
			    r.instancias[0]=vp_thing1;
			    if (cambios_cond2_mab_climb_ladder_to_hold[ncamb].tipo_cambio==desactivacion) {
				if (mab_R7[vp_thing1]>0) {
					mab_elimregla_agenda(r);
				}
			    } else {  /* el cambio es una activacion */
				if (activ_cond1_mab_climb_ladder_to_hold[vp_thing1])
				if (activ_cond3_mab_climb_ladder_to_hold[vp_thing1])
				if (mab_R7[vp_thing1]==0) {
					mab_insregla_agenda(r);
				}
			    }
			    ncamb++;
			}
			num_cambios_cond2_mab_use_ladder_to_hold=0;
		}
		if (num_cambios_cond3_mab_use_ladder_to_hold>0) {
			ncamb=0;
			r.num_regla = 7;
			r.prioridad = 0;
			while (ncamb<num_cambios_cond3_mab_use_ladder_to_hold) {
			    vp_thing1=cambios_cond3_mab_climb_ladder_to_hold[ncamb].instancias[0];
			    r.instancias[0]=vp_thing1;
			    if (cambios_cond3_mab_climb_ladder_to_hold[ncamb].tipo_cambio==desactivacion) {
				if (mab_R7[vp_thing1]>0) {
					mab_elimregla_agenda(r);
				}
			    } else {  /* el cambio es una activacion */
				if (activ_cond1_mab_climb_ladder_to_hold[vp_thing1])
				if (activ_cond2_mab_climb_ladder_to_hold[vp_thing1])
				if (mab_R7[vp_thing1]==0) {
					mab_insregla_agenda(r);
				}
			    }
			    ncamb++;
			}
			num_cambios_cond3_mab_use_ladder_to_hold=0;
		}
	} else {
		mab_elim_agenda(7);
	}
	LIz_mab_use_ladder_to_hold=FALSE;
}

void Iz_mab_climb_to_hold()
{
	int ncamb;
	mab_REGAGENDA r;
	int  vp_thing1;

	if ((activ_cond0_mab_climb_ladder_to_hold)) {
		if (num_cambios_cond1_mab_climb_to_hold>0) {
			ncamb=0;
			r.num_regla = 10;
			r.prioridad = 0;
			while (ncamb<num_cambios_cond1_mab_climb_to_hold) {
			    vp_thing1=cambios_cond1_mab_climb_ladder_to_hold[ncamb].instancias[0];
			    r.instancias[0]=vp_thing1;
			    if (cambios_cond1_mab_climb_ladder_to_hold[ncamb].tipo_cambio==desactivacion) {
				if (mab_R10[vp_thing1]>0) {
					mab_elimregla_agenda(r);
				}
			    } else {  /* el cambio es una activacion */
				if (activ_cond2_mab_climb_to_hold[vp_thing1])
				if (activ_cond3_mab_climb_ladder_to_hold[vp_thing1])
				if (activ_cond2_mab_drop_to_climb[vp_thing1])
				if (activ_cond3_mab_climb_indirectly[vp_thing1])
				if (mab_R10[vp_thing1]==0) {
					mab_insregla_agenda(r);
				}
			    }
			    ncamb++;
			}
			num_cambios_cond1_mab_climb_to_hold=0;
		}
		if (num_cambios_cond2_mab_climb_to_hold>0) {
			ncamb=0;
			r.num_regla = 10;
			r.prioridad = 0;
			while (ncamb<num_cambios_cond2_mab_climb_to_hold) {
			    vp_thing1=cambios_cond2_mab_climb_to_hold[ncamb].instancias[0];
			    r.instancias[0]=vp_thing1;
			    camb_cond2_mab_climb_to_hold[vp_thing1]=CELDA_VACIA;
			    if (cambios_cond2_mab_climb_to_hold[ncamb].tipo_cambio==desactivacion) {
				if (mab_R10[vp_thing1]>0) {
					mab_elimregla_agenda(r);
				}
			    } else {  /* el cambio es una activacion */
				if (activ_cond1_mab_climb_ladder_to_hold[vp_thing1])
				if (activ_cond3_mab_climb_ladder_to_hold[vp_thing1])
				if (activ_cond2_mab_drop_to_climb[vp_thing1])
				if (activ_cond3_mab_climb_indirectly[vp_thing1])
				if (mab_R10[vp_thing1]==0) {
					mab_insregla_agenda(r);
				}
			    }
			    ncamb++;
			}
			num_cambios_cond2_mab_climb_to_hold=0;
		}
		if (num_cambios_cond3_mab_climb_to_hold>0) {
			ncamb=0;
			r.num_regla = 10;
			r.prioridad = 0;
			while (ncamb<num_cambios_cond3_mab_climb_to_hold) {
			    vp_thing1=cambios_cond3_mab_climb_ladder_to_hold[ncamb].instancias[0];
			    r.instancias[0]=vp_thing1;
			    if (cambios_cond3_mab_climb_ladder_to_hold[ncamb].tipo_cambio==desactivacion) {
				if (mab_R10[vp_thing1]>0) {
					mab_elimregla_agenda(r);
				}
			    } else {  /* el cambio es una activacion */
				if (activ_cond1_mab_climb_ladder_to_hold[vp_thing1])
				if (activ_cond2_mab_climb_to_hold[vp_thing1])
				if (activ_cond2_mab_drop_to_climb[vp_thing1])
				if (activ_cond3_mab_climb_indirectly[vp_thing1])
				if (mab_R10[vp_thing1]==0) {
					mab_insregla_agenda(r);
				}
			    }
			    ncamb++;
			}
			num_cambios_cond3_mab_climb_to_hold=0;
		}
		if (num_cambios_cond4_mab_climb_to_hold>0) {
			ncamb=0;
			r.num_regla = 10;
			r.prioridad = 0;
			while (ncamb<num_cambios_cond4_mab_climb_to_hold) {
			    vp_thing1=cambios_cond2_mab_drop_to_climb[ncamb].instancias[0];
			    r.instancias[0]=vp_thing1;
			    if (cambios_cond2_mab_drop_to_climb[ncamb].tipo_cambio==desactivacion) {
				if (mab_R10[vp_thing1]>0) {
					mab_elimregla_agenda(r);
				}
			    } else {  /* el cambio es una activacion */
				if (activ_cond1_mab_climb_ladder_to_hold[vp_thing1])
				if (activ_cond2_mab_climb_to_hold[vp_thing1])
				if (activ_cond3_mab_climb_ladder_to_hold[vp_thing1])
				if (activ_cond3_mab_climb_indirectly[vp_thing1])
				if (mab_R10[vp_thing1]==0) {
					mab_insregla_agenda(r);
				}
			    }
			    ncamb++;
			}
			num_cambios_cond4_mab_climb_to_hold=0;
		}
		if (num_cambios_cond5_mab_climb_to_hold>0) {
			ncamb=0;
			r.num_regla = 10;
			r.prioridad = 0;
			while (ncamb<num_cambios_cond5_mab_climb_to_hold) {
			    vp_thing1=cambios_cond3_mab_climb_indirectly[ncamb].instancias[0];
			    r.instancias[0]=vp_thing1;
			    if (cambios_cond3_mab_climb_indirectly[ncamb].tipo_cambio==desactivacion) {
				if (mab_R10[vp_thing1]>0) {
					mab_elimregla_agenda(r);
				}
			    } else {  /* el cambio es una activacion */
				if (activ_cond1_mab_climb_ladder_to_hold[vp_thing1])
				if (activ_cond2_mab_climb_to_hold[vp_thing1])
				if (activ_cond3_mab_climb_ladder_to_hold[vp_thing1])
				if (activ_cond2_mab_drop_to_climb[vp_thing1])
				if (mab_R10[vp_thing1]==0) {
					mab_insregla_agenda(r);
				}
			    }
			    ncamb++;
			}
			num_cambios_cond5_mab_climb_to_hold=0;
		}
	} else {
		mab_elim_agenda(10);
	}
	LIz_mab_climb_to_hold=FALSE;
}

void Iz_mab_grab_object()
{
	int ncamb;
	mab_REGAGENDA r;
	int  vp_thing1;

	if ((activ_cond0_mab_climb_ladder_to_hold) && (activ_cond3_mab_walk_holding_nothing)) {
		if (num_cambios_cond1_mab_grab_object>0) {
			ncamb=0;
			r.num_regla = 13;
			r.prioridad = 0;
			while (ncamb<num_cambios_cond1_mab_grab_object) {
			    vp_thing1=cambios_cond1_mab_climb_ladder_to_hold[ncamb].instancias[0];
			    r.instancias[0]=vp_thing1;
			    if (cambios_cond1_mab_climb_ladder_to_hold[ncamb].tipo_cambio==desactivacion) {
				if (mab_R13[vp_thing1]>0) {
					mab_elimregla_agenda(r);
				}
			    } else {  /* el cambio es una activacion */
				if (activ_cond3_mab_climb_ladder_to_hold[vp_thing1])
				if (activ_cond2_mab_drop_to_climb[vp_thing1])
				if (activ_cond3_mab_climb_directly[vp_thing1])
				if (mab_R13[vp_thing1]==0) {
					mab_insregla_agenda(r);
				}
			    }
			    ncamb++;
			}
			num_cambios_cond1_mab_grab_object=0;
		}
		if (num_cambios_cond2_mab_grab_object>0) {
			ncamb=0;
			r.num_regla = 13;
			r.prioridad = 0;
			while (ncamb<num_cambios_cond2_mab_grab_object) {
			    vp_thing1=cambios_cond3_mab_climb_ladder_to_hold[ncamb].instancias[0];
			    r.instancias[0]=vp_thing1;
			    if (cambios_cond3_mab_climb_ladder_to_hold[ncamb].tipo_cambio==desactivacion) {
				if (mab_R13[vp_thing1]>0) {
					mab_elimregla_agenda(r);
				}
			    } else {  /* el cambio es una activacion */
				if (activ_cond1_mab_climb_ladder_to_hold[vp_thing1])
				if (activ_cond2_mab_drop_to_climb[vp_thing1])
				if (activ_cond3_mab_climb_directly[vp_thing1])
				if (mab_R13[vp_thing1]==0) {
					mab_insregla_agenda(r);
				}
			    }
			    ncamb++;
			}
			num_cambios_cond2_mab_grab_object=0;
		}
		if (num_cambios_cond3_mab_grab_object>0) {
			ncamb=0;
			r.num_regla = 13;
			r.prioridad = 0;
			while (ncamb<num_cambios_cond3_mab_grab_object) {
			    vp_thing1=cambios_cond2_mab_drop_to_climb[ncamb].instancias[0];
			    r.instancias[0]=vp_thing1;
			    if (cambios_cond2_mab_drop_to_climb[ncamb].tipo_cambio==desactivacion) {
				if (mab_R13[vp_thing1]>0) {
					mab_elimregla_agenda(r);
				}
			    } else {  /* el cambio es una activacion */
				if (activ_cond1_mab_climb_ladder_to_hold[vp_thing1])
				if (activ_cond3_mab_climb_ladder_to_hold[vp_thing1])
				if (activ_cond3_mab_climb_directly[vp_thing1])
				if (mab_R13[vp_thing1]==0) {
					mab_insregla_agenda(r);
				}
			    }
			    ncamb++;
			}
			num_cambios_cond3_mab_grab_object=0;
		}
		if (num_cambios_cond4_mab_grab_object>0) {
			ncamb=0;
			r.num_regla = 13;
			r.prioridad = 0;
			while (ncamb<num_cambios_cond4_mab_grab_object) {
			    vp_thing1=cambios_cond3_mab_climb_directly[ncamb].instancias[0];
			    r.instancias[0]=vp_thing1;
			    if (cambios_cond3_mab_climb_directly[ncamb].tipo_cambio==desactivacion) {
				if (mab_R13[vp_thing1]>0) {
					mab_elimregla_agenda(r);
				}
			    } else {  /* el cambio es una activacion */
				if (activ_cond1_mab_climb_ladder_to_hold[vp_thing1])
				if (activ_cond3_mab_climb_ladder_to_hold[vp_thing1])
				if (activ_cond2_mab_drop_to_climb[vp_thing1])
				if (mab_R13[vp_thing1]==0) {
					mab_insregla_agenda(r);
				}
			    }
			    ncamb++;
			}
			num_cambios_cond4_mab_grab_object=0;
		}
	} else {
		mab_elim_agenda(13);
	}
	LIz_mab_grab_object=FALSE;
}

void Iz_mab_unlock_chest_to_move_object()
{
	int ncamb;
	mab_REGAGENDA r;
	int  vp_chest1;

	if ((activ_cond0_mab_hold_object_to_move)) {
		if (num_cambios_cond1_mab_unlock_chest_to_move_object>0) {
			ncamb=0;
			r.num_regla = 15;
			r.prioridad = 0;
			while (ncamb<num_cambios_cond1_mab_unlock_chest_to_move_object) {
			    vp_chest1=cambios_cond1_mab_unlock_chest_to_move_object[ncamb].instancias[0];
			    r.instancias[0]=vp_chest1;
			    camb_cond1_mab_unlock_chest_to_move_object[vp_chest1]=CELDA_VACIA;
			    if (cambios_cond1_mab_unlock_chest_to_move_object[ncamb].tipo_cambio==desactivacion) {
				if (mab_R15[vp_chest1]>0) {
					mab_elimregla_agenda(r);
				}
			    } else {  /* el cambio es una activacion */
				if (mab_R15[vp_chest1]==0) {
					mab_insregla_agenda(r);
				}
			    }
			    ncamb++;
			}
			num_cambios_cond1_mab_unlock_chest_to_move_object=0;
		}
	} else {
		mab_elim_agenda(15);
	}
	LIz_mab_unlock_chest_to_move_object=FALSE;
}

void Iz_mab_drop_to_hold()
{
	int ncamb;
	mab_REGAGENDA r;
	int  vp_thing1;

	if ((activ_cond0_mab_climb_ladder_to_hold) && (activ_cond3_mab_drop_to_climb)) {
		if (num_cambios_cond1_mab_drop_to_hold>0) {
			ncamb=0;
			r.num_regla = 12;
			r.prioridad = 0;
			while (ncamb<num_cambios_cond1_mab_drop_to_hold) {
			    vp_thing1=cambios_cond1_mab_climb_ladder_to_hold[ncamb].instancias[0];
			    r.instancias[0]=vp_thing1;
			    if (cambios_cond1_mab_climb_ladder_to_hold[ncamb].tipo_cambio==desactivacion) {
				if (mab_R12[vp_thing1]>0) {
					mab_elimregla_agenda(r);
				}
			    } else {  /* el cambio es una activacion */
				if (activ_cond3_mab_climb_ladder_to_hold[vp_thing1])
				if (activ_cond2_mab_drop_to_climb[vp_thing1])
				if (activ_cond3_mab_climb_directly[vp_thing1])
				if (mab_R12[vp_thing1]==0) {
					mab_insregla_agenda(r);
				}
			    }
			    ncamb++;
			}
			num_cambios_cond1_mab_drop_to_hold=0;
		}
		if (num_cambios_cond2_mab_drop_to_hold>0) {
			ncamb=0;
			r.num_regla = 12;
			r.prioridad = 0;
			while (ncamb<num_cambios_cond2_mab_drop_to_hold) {
			    vp_thing1=cambios_cond3_mab_climb_ladder_to_hold[ncamb].instancias[0];
			    r.instancias[0]=vp_thing1;
			    if (cambios_cond3_mab_climb_ladder_to_hold[ncamb].tipo_cambio==desactivacion) {
				if (mab_R12[vp_thing1]>0) {
					mab_elimregla_agenda(r);
				}
			    } else {  /* el cambio es una activacion */
				if (activ_cond1_mab_climb_ladder_to_hold[vp_thing1])
				if (activ_cond2_mab_drop_to_climb[vp_thing1])
				if (activ_cond3_mab_climb_directly[vp_thing1])
				if (mab_R12[vp_thing1]==0) {
					mab_insregla_agenda(r);
				}
			    }
			    ncamb++;
			}
			num_cambios_cond2_mab_drop_to_hold=0;
		}
		if (num_cambios_cond3_mab_drop_to_hold>0) {
			ncamb=0;
			r.num_regla = 12;
			r.prioridad = 0;
			while (ncamb<num_cambios_cond3_mab_drop_to_hold) {
			    vp_thing1=cambios_cond2_mab_drop_to_climb[ncamb].instancias[0];
			    r.instancias[0]=vp_thing1;
			    if (cambios_cond2_mab_drop_to_climb[ncamb].tipo_cambio==desactivacion) {
				if (mab_R12[vp_thing1]>0) {
					mab_elimregla_agenda(r);
				}
			    } else {  /* el cambio es una activacion */
				if (activ_cond1_mab_climb_ladder_to_hold[vp_thing1])
				if (activ_cond3_mab_climb_ladder_to_hold[vp_thing1])
				if (activ_cond3_mab_climb_directly[vp_thing1])
				if (mab_R12[vp_thing1]==0) {
					mab_insregla_agenda(r);
				}
			    }
			    ncamb++;
			}
			num_cambios_cond3_mab_drop_to_hold=0;
		}
		if (num_cambios_cond4_mab_drop_to_hold>0) {
			ncamb=0;
			r.num_regla = 12;
			r.prioridad = 0;
			while (ncamb<num_cambios_cond4_mab_drop_to_hold) {
			    vp_thing1=cambios_cond3_mab_climb_directly[ncamb].instancias[0];
			    r.instancias[0]=vp_thing1;
			    if (cambios_cond3_mab_climb_directly[ncamb].tipo_cambio==desactivacion) {
				if (mab_R12[vp_thing1]>0) {
					mab_elimregla_agenda(r);
				}
			    } else {  /* el cambio es una activacion */
				if (activ_cond1_mab_climb_ladder_to_hold[vp_thing1])
				if (activ_cond3_mab_climb_ladder_to_hold[vp_thing1])
				if (activ_cond2_mab_drop_to_climb[vp_thing1])
				if (mab_R12[vp_thing1]==0) {
					mab_insregla_agenda(r);
				}
			    }
			    ncamb++;
			}
			num_cambios_cond4_mab_drop_to_hold=0;
		}
	} else {
		mab_elim_agenda(12);
	}
	LIz_mab_drop_to_hold=FALSE;
}

/*--------------- PARTES DERECHA DE LAS REGLAS ----------------*/
void De_mab_get_key_to_unlock(vp_thing1,vp_chest1)
	int vp_thing1;
	int vp_chest1;
{

	add_tail_lent(25, &mab_i_goal_is_to[0].action);
		LIz_mab_hold_chest_to_put_on_floor=TRUE;
		LIz_mab_put_chest_on_floor=TRUE;
		cond0_mab_get_key_to_unlock();
		LIz_mab_get_key_to_unlock=TRUE;
		LIz_mab_move_to_chest_with_key=TRUE;
		LIz_mab_unlock_chest_with_key=TRUE;
		LIz_mab_unlock_chest_to_hold_object=TRUE;
		LIz_mab_use_ladder_to_hold=TRUE;
		cond0_mab_climb_ladder_to_hold();
		LIz_mab_climb_ladder_to_hold=TRUE;
		LIz_mab_grab_object_from_ladder=TRUE;
		LIz_mab_climb_to_hold=TRUE;
		LIz_mab_walk_to_hold=TRUE;
		LIz_mab_drop_to_hold=TRUE;
		LIz_mab_grab_object=TRUE;
		LIz_mab_drop_object=TRUE;
		LIz_mab_unlock_chest_to_move_object=TRUE;
		cond0_mab_hold_object_to_move();
		LIz_mab_hold_object_to_move=TRUE;
		LIz_mab_move_object_to_place=TRUE;
		LIz_mab_drop_object_once_moved=TRUE;
		LIz_mab_already_moved_object=TRUE;
		LIz_mab_already_at_place=TRUE;
		LIz_mab_get_on_floor_to_walk=TRUE;
		cond0_mab_walk_holding_nothing();
		LIz_mab_walk_holding_nothing=TRUE;
		LIz_mab_walk_holding_object=TRUE;
		LIz_mab_jump_onto_floor=TRUE;
		LIz_mab_walk_to_place_to_climb=TRUE;
		cond0_mab_drop_to_climb();
		LIz_mab_drop_to_climb=TRUE;
		LIz_mab_climb_indirectly=TRUE;
		LIz_mab_climb_directly=TRUE;
		LIz_mab_already_on_object=TRUE;
		cond0_mab_hold_to_eat();
		LIz_mab_hold_to_eat=TRUE;
		LIz_mab_satisfy_hunger=TRUE;

	add_tail_lent(mab_i_chest[vp_chest1].unlocked_by, &mab_i_goal_is_to[0].argument_1);
		LIz_mab_hold_chest_to_put_on_floor=TRUE;
		LIz_mab_put_chest_on_floor=TRUE;
		cond1_mab_get_key_to_unlock(-1);
		LIz_mab_get_key_to_unlock=TRUE;
		LIz_mab_move_to_chest_with_key=TRUE;
		cond4_mab_move_to_chest_with_key(-1);
		LIz_mab_unlock_chest_with_key=TRUE;
		cond6_mab_unlock_chest_with_key(-1);
		cond1_mab_unlock_chest_to_hold_object(-1);
		LIz_mab_unlock_chest_to_hold_object=TRUE;
		LIz_mab_use_ladder_to_hold=TRUE;
		cond1_mab_climb_ladder_to_hold(-1);
		LIz_mab_climb_ladder_to_hold=TRUE;
		LIz_mab_grab_object_from_ladder=TRUE;
		LIz_mab_climb_to_hold=TRUE;
		LIz_mab_walk_to_hold=TRUE;
		LIz_mab_drop_to_hold=TRUE;
		LIz_mab_grab_object=TRUE;
		cond1_mab_drop_object();
		LIz_mab_drop_object=TRUE;
		cond1_mab_unlock_chest_to_move_object(-1);
		LIz_mab_unlock_chest_to_move_object=TRUE;
		LIz_mab_hold_object_to_move=TRUE;
		LIz_mab_move_object_to_place=TRUE;
		LIz_mab_drop_object_once_moved=TRUE;
		LIz_mab_already_moved_object=TRUE;
		cond1_mab_already_at_place();
		LIz_mab_already_at_place=TRUE;
		LIz_mab_get_on_floor_to_walk=TRUE;
		cond1_mab_walk_holding_nothing();
		LIz_mab_walk_holding_nothing=TRUE;
		LIz_mab_walk_holding_object=TRUE;
		cond1_mab_jump_onto_floor();
		LIz_mab_jump_onto_floor=TRUE;
		LIz_mab_walk_to_place_to_climb=TRUE;
		LIz_mab_drop_to_climb=TRUE;
		LIz_mab_climb_indirectly=TRUE;
		cond4_mab_climb_indirectly();
		LIz_mab_climb_directly=TRUE;
		cond1_mab_already_on_object();
		LIz_mab_already_on_object=TRUE;
		cond1_mab_hold_to_eat();
		LIz_mab_hold_to_eat=TRUE;
		cond1_mab_satisfy_hunger();
		LIz_mab_satisfy_hunger=TRUE;

	add_tail_lent(30, &mab_i_goal_is_to[0].argument_2);
		cond2_mab_hold_object_to_move(-1);
		LIz_mab_hold_object_to_move=TRUE;
		cond1_mab_move_object_to_place();
		LIz_mab_move_object_to_place=TRUE;
		cond1_mab_drop_object_once_moved();
		LIz_mab_drop_object_once_moved=TRUE;
		cond2_mab_already_moved_object(-1);
		LIz_mab_already_moved_object=TRUE;

	if (LIz_mab_hold_chest_to_put_on_floor) Iz_mab_hold_chest_to_put_on_floor();
	if (LIz_mab_put_chest_on_floor) Iz_mab_put_chest_on_floor();
	if (LIz_mab_get_key_to_unlock) Iz_mab_get_key_to_unlock();
	if (LIz_mab_move_to_chest_with_key) Iz_mab_move_to_chest_with_key();
	if (LIz_mab_unlock_chest_with_key) Iz_mab_unlock_chest_with_key();
	if (LIz_mab_unlock_chest_to_hold_object) Iz_mab_unlock_chest_to_hold_object();
	if (LIz_mab_use_ladder_to_hold) Iz_mab_use_ladder_to_hold();
	if (LIz_mab_climb_ladder_to_hold) Iz_mab_climb_ladder_to_hold();
	if (LIz_mab_grab_object_from_ladder) Iz_mab_grab_object_from_ladder();
	if (LIz_mab_climb_to_hold) Iz_mab_climb_to_hold();
	if (LIz_mab_walk_to_hold) Iz_mab_walk_to_hold();
	if (LIz_mab_drop_to_hold) Iz_mab_drop_to_hold();
	if (LIz_mab_grab_object) Iz_mab_grab_object();
	if (LIz_mab_drop_object) Iz_mab_drop_object();
	if (LIz_mab_unlock_chest_to_move_object) Iz_mab_unlock_chest_to_move_object();
	if (LIz_mab_hold_object_to_move) Iz_mab_hold_object_to_move();
	if (LIz_mab_move_object_to_place) Iz_mab_move_object_to_place();
	if (LIz_mab_drop_object_once_moved) Iz_mab_drop_object_once_moved();
	if (LIz_mab_already_moved_object) Iz_mab_already_moved_object();
	if (LIz_mab_already_at_place) Iz_mab_already_at_place();
	if (LIz_mab_get_on_floor_to_walk) Iz_mab_get_on_floor_to_walk();
	if (LIz_mab_walk_holding_nothing) Iz_mab_walk_holding_nothing();
	if (LIz_mab_walk_holding_object) Iz_mab_walk_holding_object();
	if (LIz_mab_jump_onto_floor) Iz_mab_jump_onto_floor();
	if (LIz_mab_walk_to_place_to_climb) Iz_mab_walk_to_place_to_climb();
	if (LIz_mab_drop_to_climb) Iz_mab_drop_to_climb();
	if (LIz_mab_climb_indirectly) Iz_mab_climb_indirectly();
	if (LIz_mab_climb_directly) Iz_mab_climb_directly();
	if (LIz_mab_already_on_object) Iz_mab_already_on_object();
	if (LIz_mab_hold_to_eat) Iz_mab_hold_to_eat();
	if (LIz_mab_satisfy_hunger) Iz_mab_satisfy_hunger();

}
void De_mab_walk_holding_nothing()
{
	int   cambio_asig[1];
	int   old_value_ent;
	float old_value_real;
	int   iter;

	for(iter=0;iter<1; iter++) cambio_asig[iter]=FALSE;

	printf("Monkey walks to ");
	printf("%d", tail_lent(&mab_i_goal_is_to[0].argument_1));
	printf(".\n");

	old_value_ent=mab_i_monkey[0].location;
	mab_i_monkey[0].location=tail_lent(&mab_i_goal_is_to[0].argument_1);
	cambio_asig[0]=	old_value_ent != mab_i_monkey[0].location;
	if (cambio_asig[0]) {
		LIz_mab_move_to_chest_with_key=TRUE;
		LIz_mab_unlock_chest_with_key=TRUE;
		LIz_mab_grab_object_from_ladder=TRUE;
		LIz_mab_climb_to_hold=TRUE;
		LIz_mab_walk_to_hold=TRUE;
		LIz_mab_drop_to_hold=TRUE;
		LIz_mab_grab_object=TRUE;
		cond1_mab_move_object_to_place();
		LIz_mab_move_object_to_place=TRUE;
		cond1_mab_drop_object_once_moved();
		LIz_mab_drop_object_once_moved=TRUE;
		cond1_mab_already_at_place();
		LIz_mab_already_at_place=TRUE;
		LIz_mab_get_on_floor_to_walk=TRUE;
		cond1_mab_walk_holding_nothing();
		LIz_mab_walk_holding_nothing=TRUE;
		LIz_mab_walk_holding_object=TRUE;
		cond2_mab_walk_to_place_to_climb(-1);
		LIz_mab_walk_to_place_to_climb=TRUE;
		cond2_mab_drop_to_climb(-1);
		LIz_mab_drop_to_climb=TRUE;
		LIz_mab_climb_indirectly=TRUE;
		LIz_mab_climb_directly=TRUE;
	}

	mab_var_aux=pop_tail_lent(&mab_i_goal_is_to[0].action);
		LIz_mab_hold_chest_to_put_on_floor=TRUE;
		LIz_mab_put_chest_on_floor=TRUE;
		cond0_mab_get_key_to_unlock();
		LIz_mab_get_key_to_unlock=TRUE;
		LIz_mab_move_to_chest_with_key=TRUE;
		LIz_mab_unlock_chest_with_key=TRUE;
		LIz_mab_unlock_chest_to_hold_object=TRUE;
		LIz_mab_use_ladder_to_hold=TRUE;
		cond0_mab_climb_ladder_to_hold();
		LIz_mab_climb_ladder_to_hold=TRUE;
		LIz_mab_grab_object_from_ladder=TRUE;
		LIz_mab_climb_to_hold=TRUE;
		LIz_mab_walk_to_hold=TRUE;
		LIz_mab_drop_to_hold=TRUE;
		LIz_mab_grab_object=TRUE;
		LIz_mab_drop_object=TRUE;
		LIz_mab_unlock_chest_to_move_object=TRUE;
		cond0_mab_hold_object_to_move();
		LIz_mab_hold_object_to_move=TRUE;
		LIz_mab_move_object_to_place=TRUE;
		LIz_mab_drop_object_once_moved=TRUE;
		LIz_mab_already_moved_object=TRUE;
		LIz_mab_already_at_place=TRUE;
		LIz_mab_get_on_floor_to_walk=TRUE;
		cond0_mab_walk_holding_nothing();
		LIz_mab_walk_holding_nothing=TRUE;
		LIz_mab_walk_holding_object=TRUE;
		LIz_mab_jump_onto_floor=TRUE;
		LIz_mab_walk_to_place_to_climb=TRUE;
		cond0_mab_drop_to_climb();
		LIz_mab_drop_to_climb=TRUE;
		LIz_mab_climb_indirectly=TRUE;
		LIz_mab_climb_directly=TRUE;
		LIz_mab_already_on_object=TRUE;
		cond0_mab_hold_to_eat();
		LIz_mab_hold_to_eat=TRUE;
		LIz_mab_satisfy_hunger=TRUE;

	mab_var_aux=pop_tail_lent(&mab_i_goal_is_to[0].argument_1);
		LIz_mab_hold_chest_to_put_on_floor=TRUE;
		LIz_mab_put_chest_on_floor=TRUE;
		cond1_mab_get_key_to_unlock(-1);
		LIz_mab_get_key_to_unlock=TRUE;
		LIz_mab_move_to_chest_with_key=TRUE;
		cond4_mab_move_to_chest_with_key(-1);
		LIz_mab_unlock_chest_with_key=TRUE;
		cond6_mab_unlock_chest_with_key(-1);
		cond1_mab_unlock_chest_to_hold_object(-1);
		LIz_mab_unlock_chest_to_hold_object=TRUE;
		LIz_mab_use_ladder_to_hold=TRUE;
		cond1_mab_climb_ladder_to_hold(-1);
		LIz_mab_climb_ladder_to_hold=TRUE;
		LIz_mab_grab_object_from_ladder=TRUE;
		LIz_mab_climb_to_hold=TRUE;
		LIz_mab_walk_to_hold=TRUE;
		LIz_mab_drop_to_hold=TRUE;
		LIz_mab_grab_object=TRUE;
		cond1_mab_drop_object();
		LIz_mab_drop_object=TRUE;
		cond1_mab_unlock_chest_to_move_object(-1);
		LIz_mab_unlock_chest_to_move_object=TRUE;
		LIz_mab_hold_object_to_move=TRUE;
		LIz_mab_move_object_to_place=TRUE;
		LIz_mab_drop_object_once_moved=TRUE;
		LIz_mab_already_moved_object=TRUE;
		cond1_mab_already_at_place();
		LIz_mab_already_at_place=TRUE;
		LIz_mab_get_on_floor_to_walk=TRUE;
		cond1_mab_walk_holding_nothing();
		LIz_mab_walk_holding_nothing=TRUE;
		LIz_mab_walk_holding_object=TRUE;
		cond1_mab_jump_onto_floor();
		LIz_mab_jump_onto_floor=TRUE;
		LIz_mab_walk_to_place_to_climb=TRUE;
		LIz_mab_drop_to_climb=TRUE;
		LIz_mab_climb_indirectly=TRUE;
		cond4_mab_climb_indirectly();
		LIz_mab_climb_directly=TRUE;
		cond1_mab_already_on_object();
		LIz_mab_already_on_object=TRUE;
		cond1_mab_hold_to_eat();
		LIz_mab_hold_to_eat=TRUE;
		cond1_mab_satisfy_hunger();
		LIz_mab_satisfy_hunger=TRUE;

	mab_var_aux=pop_tail_lent(&mab_i_goal_is_to[0].argument_2);
		cond2_mab_hold_object_to_move(-1);
		LIz_mab_hold_object_to_move=TRUE;
		cond1_mab_move_object_to_place();
		LIz_mab_move_object_to_place=TRUE;
		cond1_mab_drop_object_once_moved();
		LIz_mab_drop_object_once_moved=TRUE;
		cond2_mab_already_moved_object(-1);
		LIz_mab_already_moved_object=TRUE;

	if (LIz_mab_move_to_chest_with_key) Iz_mab_move_to_chest_with_key();
	if (LIz_mab_unlock_chest_with_key) Iz_mab_unlock_chest_with_key();
	if (LIz_mab_grab_object_from_ladder) Iz_mab_grab_object_from_ladder();
	if (LIz_mab_climb_to_hold) Iz_mab_climb_to_hold();
	if (LIz_mab_walk_to_hold) Iz_mab_walk_to_hold();
	if (LIz_mab_drop_to_hold) Iz_mab_drop_to_hold();
	if (LIz_mab_grab_object) Iz_mab_grab_object();
	if (LIz_mab_move_object_to_place) Iz_mab_move_object_to_place();
	if (LIz_mab_drop_object_once_moved) Iz_mab_drop_object_once_moved();
	if (LIz_mab_already_at_place) Iz_mab_already_at_place();
	if (LIz_mab_get_on_floor_to_walk) Iz_mab_get_on_floor_to_walk();
	if (LIz_mab_walk_holding_nothing) Iz_mab_walk_holding_nothing();
	if (LIz_mab_walk_holding_object) Iz_mab_walk_holding_object();
	if (LIz_mab_walk_to_place_to_climb) Iz_mab_walk_to_place_to_climb();
	if (LIz_mab_drop_to_climb) Iz_mab_drop_to_climb();
	if (LIz_mab_climb_indirectly) Iz_mab_climb_indirectly();
	if (LIz_mab_climb_directly) Iz_mab_climb_directly();
	if (LIz_mab_hold_chest_to_put_on_floor) Iz_mab_hold_chest_to_put_on_floor();
	if (LIz_mab_put_chest_on_floor) Iz_mab_put_chest_on_floor();
	if (LIz_mab_get_key_to_unlock) Iz_mab_get_key_to_unlock();
	if (LIz_mab_unlock_chest_to_hold_object) Iz_mab_unlock_chest_to_hold_object();
	if (LIz_mab_use_ladder_to_hold) Iz_mab_use_ladder_to_hold();
	if (LIz_mab_climb_ladder_to_hold) Iz_mab_climb_ladder_to_hold();
	if (LIz_mab_drop_object) Iz_mab_drop_object();
	if (LIz_mab_unlock_chest_to_move_object) Iz_mab_unlock_chest_to_move_object();
	if (LIz_mab_hold_object_to_move) Iz_mab_hold_object_to_move();
	if (LIz_mab_already_moved_object) Iz_mab_already_moved_object();
	if (LIz_mab_jump_onto_floor) Iz_mab_jump_onto_floor();
	if (LIz_mab_already_on_object) Iz_mab_already_on_object();
	if (LIz_mab_hold_to_eat) Iz_mab_hold_to_eat();
	if (LIz_mab_satisfy_hunger) Iz_mab_satisfy_hunger();

}
void De_mab_climb_ladder_to_hold(vp_thing1,vp_thing2)
	int vp_thing1;
	int vp_thing2;
{

	add_tail_lent(28, &mab_i_goal_is_to[0].action);
		LIz_mab_hold_chest_to_put_on_floor=TRUE;
		LIz_mab_put_chest_on_floor=TRUE;
		cond0_mab_get_key_to_unlock();
		LIz_mab_get_key_to_unlock=TRUE;
		LIz_mab_move_to_chest_with_key=TRUE;
		LIz_mab_unlock_chest_with_key=TRUE;
		LIz_mab_unlock_chest_to_hold_object=TRUE;
		LIz_mab_use_ladder_to_hold=TRUE;
		cond0_mab_climb_ladder_to_hold();
		LIz_mab_climb_ladder_to_hold=TRUE;
		LIz_mab_grab_object_from_ladder=TRUE;
		LIz_mab_climb_to_hold=TRUE;
		LIz_mab_walk_to_hold=TRUE;
		LIz_mab_drop_to_hold=TRUE;
		LIz_mab_grab_object=TRUE;
		LIz_mab_drop_object=TRUE;
		LIz_mab_unlock_chest_to_move_object=TRUE;
		cond0_mab_hold_object_to_move();
		LIz_mab_hold_object_to_move=TRUE;
		LIz_mab_move_object_to_place=TRUE;
		LIz_mab_drop_object_once_moved=TRUE;
		LIz_mab_already_moved_object=TRUE;
		LIz_mab_already_at_place=TRUE;
		LIz_mab_get_on_floor_to_walk=TRUE;
		cond0_mab_walk_holding_nothing();
		LIz_mab_walk_holding_nothing=TRUE;
		LIz_mab_walk_holding_object=TRUE;
		LIz_mab_jump_onto_floor=TRUE;
		LIz_mab_walk_to_place_to_climb=TRUE;
		cond0_mab_drop_to_climb();
		LIz_mab_drop_to_climb=TRUE;
		LIz_mab_climb_indirectly=TRUE;
		LIz_mab_climb_directly=TRUE;
		LIz_mab_already_on_object=TRUE;
		cond0_mab_hold_to_eat();
		LIz_mab_hold_to_eat=TRUE;
		LIz_mab_satisfy_hunger=TRUE;

	add_tail_lent(8, &mab_i_goal_is_to[0].argument_1);
		LIz_mab_hold_chest_to_put_on_floor=TRUE;
		LIz_mab_put_chest_on_floor=TRUE;
		cond1_mab_get_key_to_unlock(-1);
		LIz_mab_get_key_to_unlock=TRUE;
		LIz_mab_move_to_chest_with_key=TRUE;
		cond4_mab_move_to_chest_with_key(-1);
		LIz_mab_unlock_chest_with_key=TRUE;
		cond6_mab_unlock_chest_with_key(-1);
		cond1_mab_unlock_chest_to_hold_object(-1);
		LIz_mab_unlock_chest_to_hold_object=TRUE;
		LIz_mab_use_ladder_to_hold=TRUE;
		cond1_mab_climb_ladder_to_hold(-1);
		LIz_mab_climb_ladder_to_hold=TRUE;
		LIz_mab_grab_object_from_ladder=TRUE;
		LIz_mab_climb_to_hold=TRUE;
		LIz_mab_walk_to_hold=TRUE;
		LIz_mab_drop_to_hold=TRUE;
		LIz_mab_grab_object=TRUE;
		cond1_mab_drop_object();
		LIz_mab_drop_object=TRUE;
		cond1_mab_unlock_chest_to_move_object(-1);
		LIz_mab_unlock_chest_to_move_object=TRUE;
		LIz_mab_hold_object_to_move=TRUE;
		LIz_mab_move_object_to_place=TRUE;
		LIz_mab_drop_object_once_moved=TRUE;
		LIz_mab_already_moved_object=TRUE;
		cond1_mab_already_at_place();
		LIz_mab_already_at_place=TRUE;
		LIz_mab_get_on_floor_to_walk=TRUE;
		cond1_mab_walk_holding_nothing();
		LIz_mab_walk_holding_nothing=TRUE;
		LIz_mab_walk_holding_object=TRUE;
		cond1_mab_jump_onto_floor();
		LIz_mab_jump_onto_floor=TRUE;
		LIz_mab_walk_to_place_to_climb=TRUE;
		LIz_mab_drop_to_climb=TRUE;
		LIz_mab_climb_indirectly=TRUE;
		cond4_mab_climb_indirectly();
		LIz_mab_climb_directly=TRUE;
		cond1_mab_already_on_object();
		LIz_mab_already_on_object=TRUE;
		cond1_mab_hold_to_eat();
		LIz_mab_hold_to_eat=TRUE;
		cond1_mab_satisfy_hunger();
		LIz_mab_satisfy_hunger=TRUE;

	if (LIz_mab_hold_chest_to_put_on_floor) Iz_mab_hold_chest_to_put_on_floor();
	if (LIz_mab_put_chest_on_floor) Iz_mab_put_chest_on_floor();
	if (LIz_mab_get_key_to_unlock) Iz_mab_get_key_to_unlock();
	if (LIz_mab_move_to_chest_with_key) Iz_mab_move_to_chest_with_key();
	if (LIz_mab_unlock_chest_with_key) Iz_mab_unlock_chest_with_key();
	if (LIz_mab_unlock_chest_to_hold_object) Iz_mab_unlock_chest_to_hold_object();
	if (LIz_mab_use_ladder_to_hold) Iz_mab_use_ladder_to_hold();
	if (LIz_mab_climb_ladder_to_hold) Iz_mab_climb_ladder_to_hold();
	if (LIz_mab_grab_object_from_ladder) Iz_mab_grab_object_from_ladder();
	if (LIz_mab_climb_to_hold) Iz_mab_climb_to_hold();
	if (LIz_mab_walk_to_hold) Iz_mab_walk_to_hold();
	if (LIz_mab_drop_to_hold) Iz_mab_drop_to_hold();
	if (LIz_mab_grab_object) Iz_mab_grab_object();
	if (LIz_mab_drop_object) Iz_mab_drop_object();
	if (LIz_mab_unlock_chest_to_move_object) Iz_mab_unlock_chest_to_move_object();
	if (LIz_mab_hold_object_to_move) Iz_mab_hold_object_to_move();
	if (LIz_mab_move_object_to_place) Iz_mab_move_object_to_place();
	if (LIz_mab_drop_object_once_moved) Iz_mab_drop_object_once_moved();
	if (LIz_mab_already_moved_object) Iz_mab_already_moved_object();
	if (LIz_mab_already_at_place) Iz_mab_already_at_place();
	if (LIz_mab_get_on_floor_to_walk) Iz_mab_get_on_floor_to_walk();
	if (LIz_mab_walk_holding_nothing) Iz_mab_walk_holding_nothing();
	if (LIz_mab_walk_holding_object) Iz_mab_walk_holding_object();
	if (LIz_mab_jump_onto_floor) Iz_mab_jump_onto_floor();
	if (LIz_mab_walk_to_place_to_climb) Iz_mab_walk_to_place_to_climb();
	if (LIz_mab_drop_to_climb) Iz_mab_drop_to_climb();
	if (LIz_mab_climb_indirectly) Iz_mab_climb_indirectly();
	if (LIz_mab_climb_directly) Iz_mab_climb_directly();
	if (LIz_mab_already_on_object) Iz_mab_already_on_object();
	if (LIz_mab_hold_to_eat) Iz_mab_hold_to_eat();
	if (LIz_mab_satisfy_hunger) Iz_mab_satisfy_hunger();

}
void De_mab_get_on_floor_to_walk()
{

	add_tail_lent(28, &mab_i_goal_is_to[0].action);
		LIz_mab_hold_chest_to_put_on_floor=TRUE;
		LIz_mab_put_chest_on_floor=TRUE;
		cond0_mab_get_key_to_unlock();
		LIz_mab_get_key_to_unlock=TRUE;
		LIz_mab_move_to_chest_with_key=TRUE;
		LIz_mab_unlock_chest_with_key=TRUE;
		LIz_mab_unlock_chest_to_hold_object=TRUE;
		LIz_mab_use_ladder_to_hold=TRUE;
		cond0_mab_climb_ladder_to_hold();
		LIz_mab_climb_ladder_to_hold=TRUE;
		LIz_mab_grab_object_from_ladder=TRUE;
		LIz_mab_climb_to_hold=TRUE;
		LIz_mab_walk_to_hold=TRUE;
		LIz_mab_drop_to_hold=TRUE;
		LIz_mab_grab_object=TRUE;
		LIz_mab_drop_object=TRUE;
		LIz_mab_unlock_chest_to_move_object=TRUE;
		cond0_mab_hold_object_to_move();
		LIz_mab_hold_object_to_move=TRUE;
		LIz_mab_move_object_to_place=TRUE;
		LIz_mab_drop_object_once_moved=TRUE;
		LIz_mab_already_moved_object=TRUE;
		LIz_mab_already_at_place=TRUE;
		LIz_mab_get_on_floor_to_walk=TRUE;
		cond0_mab_walk_holding_nothing();
		LIz_mab_walk_holding_nothing=TRUE;
		LIz_mab_walk_holding_object=TRUE;
		LIz_mab_jump_onto_floor=TRUE;
		LIz_mab_walk_to_place_to_climb=TRUE;
		cond0_mab_drop_to_climb();
		LIz_mab_drop_to_climb=TRUE;
		LIz_mab_climb_indirectly=TRUE;
		LIz_mab_climb_directly=TRUE;
		LIz_mab_already_on_object=TRUE;
		cond0_mab_hold_to_eat();
		LIz_mab_hold_to_eat=TRUE;
		LIz_mab_satisfy_hunger=TRUE;

	add_tail_lent(12, &mab_i_goal_is_to[0].argument_1);
		LIz_mab_hold_chest_to_put_on_floor=TRUE;
		LIz_mab_put_chest_on_floor=TRUE;
		cond1_mab_get_key_to_unlock(-1);
		LIz_mab_get_key_to_unlock=TRUE;
		LIz_mab_move_to_chest_with_key=TRUE;
		cond4_mab_move_to_chest_with_key(-1);
		LIz_mab_unlock_chest_with_key=TRUE;
		cond6_mab_unlock_chest_with_key(-1);
		cond1_mab_unlock_chest_to_hold_object(-1);
		LIz_mab_unlock_chest_to_hold_object=TRUE;
		LIz_mab_use_ladder_to_hold=TRUE;
		cond1_mab_climb_ladder_to_hold(-1);
		LIz_mab_climb_ladder_to_hold=TRUE;
		LIz_mab_grab_object_from_ladder=TRUE;
		LIz_mab_climb_to_hold=TRUE;
		LIz_mab_walk_to_hold=TRUE;
		LIz_mab_drop_to_hold=TRUE;
		LIz_mab_grab_object=TRUE;
		cond1_mab_drop_object();
		LIz_mab_drop_object=TRUE;
		cond1_mab_unlock_chest_to_move_object(-1);
		LIz_mab_unlock_chest_to_move_object=TRUE;
		LIz_mab_hold_object_to_move=TRUE;
		LIz_mab_move_object_to_place=TRUE;
		LIz_mab_drop_object_once_moved=TRUE;
		LIz_mab_already_moved_object=TRUE;
		cond1_mab_already_at_place();
		LIz_mab_already_at_place=TRUE;
		LIz_mab_get_on_floor_to_walk=TRUE;
		cond1_mab_walk_holding_nothing();
		LIz_mab_walk_holding_nothing=TRUE;
		LIz_mab_walk_holding_object=TRUE;
		cond1_mab_jump_onto_floor();
		LIz_mab_jump_onto_floor=TRUE;
		LIz_mab_walk_to_place_to_climb=TRUE;
		LIz_mab_drop_to_climb=TRUE;
		LIz_mab_climb_indirectly=TRUE;
		cond4_mab_climb_indirectly();
		LIz_mab_climb_directly=TRUE;
		cond1_mab_already_on_object();
		LIz_mab_already_on_object=TRUE;
		cond1_mab_hold_to_eat();
		LIz_mab_hold_to_eat=TRUE;
		cond1_mab_satisfy_hunger();
		LIz_mab_satisfy_hunger=TRUE;

	add_tail_lent(30, &mab_i_goal_is_to[0].argument_2);
		cond2_mab_hold_object_to_move(-1);
		LIz_mab_hold_object_to_move=TRUE;
		cond1_mab_move_object_to_place();
		LIz_mab_move_object_to_place=TRUE;
		cond1_mab_drop_object_once_moved();
		LIz_mab_drop_object_once_moved=TRUE;
		cond2_mab_already_moved_object(-1);
		LIz_mab_already_moved_object=TRUE;

	if (LIz_mab_hold_chest_to_put_on_floor) Iz_mab_hold_chest_to_put_on_floor();
	if (LIz_mab_put_chest_on_floor) Iz_mab_put_chest_on_floor();
	if (LIz_mab_get_key_to_unlock) Iz_mab_get_key_to_unlock();
	if (LIz_mab_move_to_chest_with_key) Iz_mab_move_to_chest_with_key();
	if (LIz_mab_unlock_chest_with_key) Iz_mab_unlock_chest_with_key();
	if (LIz_mab_unlock_chest_to_hold_object) Iz_mab_unlock_chest_to_hold_object();
	if (LIz_mab_use_ladder_to_hold) Iz_mab_use_ladder_to_hold();
	if (LIz_mab_climb_ladder_to_hold) Iz_mab_climb_ladder_to_hold();
	if (LIz_mab_grab_object_from_ladder) Iz_mab_grab_object_from_ladder();
	if (LIz_mab_climb_to_hold) Iz_mab_climb_to_hold();
	if (LIz_mab_walk_to_hold) Iz_mab_walk_to_hold();
	if (LIz_mab_drop_to_hold) Iz_mab_drop_to_hold();
	if (LIz_mab_grab_object) Iz_mab_grab_object();
	if (LIz_mab_drop_object) Iz_mab_drop_object();
	if (LIz_mab_unlock_chest_to_move_object) Iz_mab_unlock_chest_to_move_object();
	if (LIz_mab_hold_object_to_move) Iz_mab_hold_object_to_move();
	if (LIz_mab_move_object_to_place) Iz_mab_move_object_to_place();
	if (LIz_mab_drop_object_once_moved) Iz_mab_drop_object_once_moved();
	if (LIz_mab_already_moved_object) Iz_mab_already_moved_object();
	if (LIz_mab_already_at_place) Iz_mab_already_at_place();
	if (LIz_mab_get_on_floor_to_walk) Iz_mab_get_on_floor_to_walk();
	if (LIz_mab_walk_holding_nothing) Iz_mab_walk_holding_nothing();
	if (LIz_mab_walk_holding_object) Iz_mab_walk_holding_object();
	if (LIz_mab_jump_onto_floor) Iz_mab_jump_onto_floor();
	if (LIz_mab_walk_to_place_to_climb) Iz_mab_walk_to_place_to_climb();
	if (LIz_mab_drop_to_climb) Iz_mab_drop_to_climb();
	if (LIz_mab_climb_indirectly) Iz_mab_climb_indirectly();
	if (LIz_mab_climb_directly) Iz_mab_climb_directly();
	if (LIz_mab_already_on_object) Iz_mab_already_on_object();
	if (LIz_mab_hold_to_eat) Iz_mab_hold_to_eat();
	if (LIz_mab_satisfy_hunger) Iz_mab_satisfy_hunger();

}
void De_mab_drop_to_climb(vp_thing1)
	int vp_thing1;
{

	add_tail_lent(25, &mab_i_goal_is_to[0].action);
		LIz_mab_hold_chest_to_put_on_floor=TRUE;
		LIz_mab_put_chest_on_floor=TRUE;
		cond0_mab_get_key_to_unlock();
		LIz_mab_get_key_to_unlock=TRUE;
		LIz_mab_move_to_chest_with_key=TRUE;
		LIz_mab_unlock_chest_with_key=TRUE;
		LIz_mab_unlock_chest_to_hold_object=TRUE;
		LIz_mab_use_ladder_to_hold=TRUE;
		cond0_mab_climb_ladder_to_hold();
		LIz_mab_climb_ladder_to_hold=TRUE;
		LIz_mab_grab_object_from_ladder=TRUE;
		LIz_mab_climb_to_hold=TRUE;
		LIz_mab_walk_to_hold=TRUE;
		LIz_mab_drop_to_hold=TRUE;
		LIz_mab_grab_object=TRUE;
		LIz_mab_drop_object=TRUE;
		LIz_mab_unlock_chest_to_move_object=TRUE;
		cond0_mab_hold_object_to_move();
		LIz_mab_hold_object_to_move=TRUE;
		LIz_mab_move_object_to_place=TRUE;
		LIz_mab_drop_object_once_moved=TRUE;
		LIz_mab_already_moved_object=TRUE;
		LIz_mab_already_at_place=TRUE;
		LIz_mab_get_on_floor_to_walk=TRUE;
		cond0_mab_walk_holding_nothing();
		LIz_mab_walk_holding_nothing=TRUE;
		LIz_mab_walk_holding_object=TRUE;
		LIz_mab_jump_onto_floor=TRUE;
		LIz_mab_walk_to_place_to_climb=TRUE;
		cond0_mab_drop_to_climb();
		LIz_mab_drop_to_climb=TRUE;
		LIz_mab_climb_indirectly=TRUE;
		LIz_mab_climb_directly=TRUE;
		LIz_mab_already_on_object=TRUE;
		cond0_mab_hold_to_eat();
		LIz_mab_hold_to_eat=TRUE;
		LIz_mab_satisfy_hunger=TRUE;

	add_tail_lent(21, &mab_i_goal_is_to[0].argument_1);
		LIz_mab_hold_chest_to_put_on_floor=TRUE;
		LIz_mab_put_chest_on_floor=TRUE;
		cond1_mab_get_key_to_unlock(-1);
		LIz_mab_get_key_to_unlock=TRUE;
		LIz_mab_move_to_chest_with_key=TRUE;
		cond4_mab_move_to_chest_with_key(-1);
		LIz_mab_unlock_chest_with_key=TRUE;
		cond6_mab_unlock_chest_with_key(-1);
		cond1_mab_unlock_chest_to_hold_object(-1);
		LIz_mab_unlock_chest_to_hold_object=TRUE;
		LIz_mab_use_ladder_to_hold=TRUE;
		cond1_mab_climb_ladder_to_hold(-1);
		LIz_mab_climb_ladder_to_hold=TRUE;
		LIz_mab_grab_object_from_ladder=TRUE;
		LIz_mab_climb_to_hold=TRUE;
		LIz_mab_walk_to_hold=TRUE;
		LIz_mab_drop_to_hold=TRUE;
		LIz_mab_grab_object=TRUE;
		cond1_mab_drop_object();
		LIz_mab_drop_object=TRUE;
		cond1_mab_unlock_chest_to_move_object(-1);
		LIz_mab_unlock_chest_to_move_object=TRUE;
		LIz_mab_hold_object_to_move=TRUE;
		LIz_mab_move_object_to_place=TRUE;
		LIz_mab_drop_object_once_moved=TRUE;
		LIz_mab_already_moved_object=TRUE;
		cond1_mab_already_at_place();
		LIz_mab_already_at_place=TRUE;
		LIz_mab_get_on_floor_to_walk=TRUE;
		cond1_mab_walk_holding_nothing();
		LIz_mab_walk_holding_nothing=TRUE;
		LIz_mab_walk_holding_object=TRUE;
		cond1_mab_jump_onto_floor();
		LIz_mab_jump_onto_floor=TRUE;
		LIz_mab_walk_to_place_to_climb=TRUE;
		LIz_mab_drop_to_climb=TRUE;
		LIz_mab_climb_indirectly=TRUE;
		cond4_mab_climb_indirectly();
		LIz_mab_climb_directly=TRUE;
		cond1_mab_already_on_object();
		LIz_mab_already_on_object=TRUE;
		cond1_mab_hold_to_eat();
		LIz_mab_hold_to_eat=TRUE;
		cond1_mab_satisfy_hunger();
		LIz_mab_satisfy_hunger=TRUE;

	add_tail_lent(30, &mab_i_goal_is_to[0].argument_2);
		cond2_mab_hold_object_to_move(-1);
		LIz_mab_hold_object_to_move=TRUE;
		cond1_mab_move_object_to_place();
		LIz_mab_move_object_to_place=TRUE;
		cond1_mab_drop_object_once_moved();
		LIz_mab_drop_object_once_moved=TRUE;
		cond2_mab_already_moved_object(-1);
		LIz_mab_already_moved_object=TRUE;

	if (LIz_mab_hold_chest_to_put_on_floor) Iz_mab_hold_chest_to_put_on_floor();
	if (LIz_mab_put_chest_on_floor) Iz_mab_put_chest_on_floor();
	if (LIz_mab_get_key_to_unlock) Iz_mab_get_key_to_unlock();
	if (LIz_mab_move_to_chest_with_key) Iz_mab_move_to_chest_with_key();
	if (LIz_mab_unlock_chest_with_key) Iz_mab_unlock_chest_with_key();
	if (LIz_mab_unlock_chest_to_hold_object) Iz_mab_unlock_chest_to_hold_object();
	if (LIz_mab_use_ladder_to_hold) Iz_mab_use_ladder_to_hold();
	if (LIz_mab_climb_ladder_to_hold) Iz_mab_climb_ladder_to_hold();
	if (LIz_mab_grab_object_from_ladder) Iz_mab_grab_object_from_ladder();
	if (LIz_mab_climb_to_hold) Iz_mab_climb_to_hold();
	if (LIz_mab_walk_to_hold) Iz_mab_walk_to_hold();
	if (LIz_mab_drop_to_hold) Iz_mab_drop_to_hold();
	if (LIz_mab_grab_object) Iz_mab_grab_object();
	if (LIz_mab_drop_object) Iz_mab_drop_object();
	if (LIz_mab_unlock_chest_to_move_object) Iz_mab_unlock_chest_to_move_object();
	if (LIz_mab_hold_object_to_move) Iz_mab_hold_object_to_move();
	if (LIz_mab_move_object_to_place) Iz_mab_move_object_to_place();
	if (LIz_mab_drop_object_once_moved) Iz_mab_drop_object_once_moved();
	if (LIz_mab_already_moved_object) Iz_mab_already_moved_object();
	if (LIz_mab_already_at_place) Iz_mab_already_at_place();
	if (LIz_mab_get_on_floor_to_walk) Iz_mab_get_on_floor_to_walk();
	if (LIz_mab_walk_holding_nothing) Iz_mab_walk_holding_nothing();
	if (LIz_mab_walk_holding_object) Iz_mab_walk_holding_object();
	if (LIz_mab_jump_onto_floor) Iz_mab_jump_onto_floor();
	if (LIz_mab_walk_to_place_to_climb) Iz_mab_walk_to_place_to_climb();
	if (LIz_mab_drop_to_climb) Iz_mab_drop_to_climb();
	if (LIz_mab_climb_indirectly) Iz_mab_climb_indirectly();
	if (LIz_mab_climb_directly) Iz_mab_climb_directly();
	if (LIz_mab_already_on_object) Iz_mab_already_on_object();
	if (LIz_mab_hold_to_eat) Iz_mab_hold_to_eat();
	if (LIz_mab_satisfy_hunger) Iz_mab_satisfy_hunger();

}
void De_mab_grab_object_from_ladder(vp_thing1,vp_thing2)
	int vp_thing1;
	int vp_thing2;
{
	int   cambio_asig[3];
	int   old_value_ent;
	float old_value_real;
	int   iter;

	for(iter=0;iter<3; iter++) cambio_asig[iter]=FALSE;

	printf("Monkey grabs the ");
	printf("%d", mab_i_thing[vp_thing1].name);
	printf(".\n");

	old_value_ent=mab_i_thing[vp_thing1].location;
	mab_i_thing[vp_thing1].location=33;
	cambio_asig[0]=	old_value_ent != mab_i_thing[vp_thing1].location;
	if (cambio_asig[0]) {
		LIz_mab_move_to_chest_with_key=TRUE;
		LIz_mab_unlock_chest_with_key=TRUE;
		cond5_mab_climb_ladder_to_hold(vp_thing1,-1);
		cond5_mab_climb_ladder_to_hold(-1,vp_thing1);
		LIz_mab_climb_ladder_to_hold=TRUE;
		LIz_mab_grab_object_from_ladder=TRUE;
		cond2_mab_climb_to_hold(vp_thing1);
		LIz_mab_climb_to_hold=TRUE;
		LIz_mab_walk_to_hold=TRUE;
		LIz_mab_drop_to_hold=TRUE;
		LIz_mab_grab_object=TRUE;
		cond2_mab_hold_object_to_move(vp_thing1);
		LIz_mab_hold_object_to_move=TRUE;
		cond2_mab_already_moved_object(vp_thing1);
		LIz_mab_already_moved_object=TRUE;
		cond2_mab_walk_to_place_to_climb(vp_thing1);
		LIz_mab_walk_to_place_to_climb=TRUE;
		cond2_mab_drop_to_climb(vp_thing1);
		LIz_mab_drop_to_climb=TRUE;
		LIz_mab_climb_indirectly=TRUE;
		LIz_mab_climb_directly=TRUE;
	}

	old_value_ent=mab_i_thing[vp_thing1].on_top_of;
	mab_i_thing[vp_thing1].on_top_of=33;
	cambio_asig[1]=	old_value_ent != mab_i_thing[vp_thing1].on_top_of;
	if (cambio_asig[1]) {
		cond2_mab_hold_chest_to_put_on_floor(vp_thing1);
		LIz_mab_hold_chest_to_put_on_floor=TRUE;
		cond2_mab_get_key_to_unlock(vp_thing1);
		LIz_mab_get_key_to_unlock=TRUE;
		LIz_mab_move_to_chest_with_key=TRUE;
		LIz_mab_unlock_chest_with_key=TRUE;
		LIz_mab_use_ladder_to_hold=TRUE;
		cond2_mab_climb_ladder_to_hold(vp_thing1);
		LIz_mab_climb_ladder_to_hold=TRUE;
		cond6_mab_climb_ladder_to_hold(vp_thing1);
		LIz_mab_grab_object_from_ladder=TRUE;
		LIz_mab_climb_to_hold=TRUE;
		cond2_mab_walk_to_hold(vp_thing1);
		LIz_mab_walk_to_hold=TRUE;
		LIz_mab_drop_to_hold=TRUE;
		LIz_mab_grab_object=TRUE;
		cond3_mab_climb_indirectly(vp_thing1);
		LIz_mab_climb_indirectly=TRUE;
		cond3_mab_climb_directly(vp_thing1);
		LIz_mab_climb_directly=TRUE;
	}

	old_value_ent=mab_i_monkey[0].holding;
	mab_i_monkey[0].holding=mab_i_thing[vp_thing1].name;
	cambio_asig[2]=	old_value_ent != mab_i_monkey[0].holding;
	if (cambio_asig[2]) {
		LIz_mab_hold_chest_to_put_on_floor=TRUE;
		LIz_mab_put_chest_on_floor=TRUE;
		cond4_mab_get_key_to_unlock(-1);
		LIz_mab_get_key_to_unlock=TRUE;
		cond5_mab_move_to_chest_with_key(-1);
		LIz_mab_move_to_chest_with_key=TRUE;
		cond5_mab_unlock_chest_with_key(-1);
		LIz_mab_unlock_chest_with_key=TRUE;
		LIz_mab_grab_object_from_ladder=TRUE;
		LIz_mab_drop_to_hold=TRUE;
		LIz_mab_grab_object=TRUE;
		LIz_mab_drop_object=TRUE;
		LIz_mab_hold_object_to_move=TRUE;
		LIz_mab_move_object_to_place=TRUE;
		cond3_mab_walk_holding_nothing();
		LIz_mab_walk_holding_nothing=TRUE;
		cond3_mab_walk_holding_object(-1);
		LIz_mab_walk_holding_object=TRUE;
		cond3_mab_drop_to_climb();
		LIz_mab_drop_to_climb=TRUE;
		LIz_mab_climb_indirectly=TRUE;
		LIz_mab_climb_directly=TRUE;
		cond1_mab_hold_to_eat();
		LIz_mab_hold_to_eat=TRUE;
		cond1_mab_satisfy_hunger();
		LIz_mab_satisfy_hunger=TRUE;
	}

	mab_var_aux=pop_tail_lent(&mab_i_goal_is_to[0].action);
		LIz_mab_hold_chest_to_put_on_floor=TRUE;
		LIz_mab_put_chest_on_floor=TRUE;
		cond0_mab_get_key_to_unlock();
		LIz_mab_get_key_to_unlock=TRUE;
		LIz_mab_move_to_chest_with_key=TRUE;
		LIz_mab_unlock_chest_with_key=TRUE;
		LIz_mab_unlock_chest_to_hold_object=TRUE;
		LIz_mab_use_ladder_to_hold=TRUE;
		cond0_mab_climb_ladder_to_hold();
		LIz_mab_climb_ladder_to_hold=TRUE;
		LIz_mab_grab_object_from_ladder=TRUE;
		LIz_mab_climb_to_hold=TRUE;
		LIz_mab_walk_to_hold=TRUE;
		LIz_mab_drop_to_hold=TRUE;
		LIz_mab_grab_object=TRUE;
		LIz_mab_drop_object=TRUE;
		LIz_mab_unlock_chest_to_move_object=TRUE;
		cond0_mab_hold_object_to_move();
		LIz_mab_hold_object_to_move=TRUE;
		LIz_mab_move_object_to_place=TRUE;
		LIz_mab_drop_object_once_moved=TRUE;
		LIz_mab_already_moved_object=TRUE;
		LIz_mab_already_at_place=TRUE;
		LIz_mab_get_on_floor_to_walk=TRUE;
		cond0_mab_walk_holding_nothing();
		LIz_mab_walk_holding_nothing=TRUE;
		LIz_mab_walk_holding_object=TRUE;
		LIz_mab_jump_onto_floor=TRUE;
		LIz_mab_walk_to_place_to_climb=TRUE;
		cond0_mab_drop_to_climb();
		LIz_mab_drop_to_climb=TRUE;
		LIz_mab_climb_indirectly=TRUE;
		LIz_mab_climb_directly=TRUE;
		LIz_mab_already_on_object=TRUE;
		cond0_mab_hold_to_eat();
		LIz_mab_hold_to_eat=TRUE;
		LIz_mab_satisfy_hunger=TRUE;

	mab_var_aux=pop_tail_lent(&mab_i_goal_is_to[0].argument_1);
		LIz_mab_hold_chest_to_put_on_floor=TRUE;
		LIz_mab_put_chest_on_floor=TRUE;
		cond1_mab_get_key_to_unlock(-1);
		LIz_mab_get_key_to_unlock=TRUE;
		LIz_mab_move_to_chest_with_key=TRUE;
		cond4_mab_move_to_chest_with_key(-1);
		LIz_mab_unlock_chest_with_key=TRUE;
		cond6_mab_unlock_chest_with_key(-1);
		cond1_mab_unlock_chest_to_hold_object(-1);
		LIz_mab_unlock_chest_to_hold_object=TRUE;
		LIz_mab_use_ladder_to_hold=TRUE;
		cond1_mab_climb_ladder_to_hold(-1);
		LIz_mab_climb_ladder_to_hold=TRUE;
		LIz_mab_grab_object_from_ladder=TRUE;
		LIz_mab_climb_to_hold=TRUE;
		LIz_mab_walk_to_hold=TRUE;
		LIz_mab_drop_to_hold=TRUE;
		LIz_mab_grab_object=TRUE;
		cond1_mab_drop_object();
		LIz_mab_drop_object=TRUE;
		cond1_mab_unlock_chest_to_move_object(-1);
		LIz_mab_unlock_chest_to_move_object=TRUE;
		LIz_mab_hold_object_to_move=TRUE;
		LIz_mab_move_object_to_place=TRUE;
		LIz_mab_drop_object_once_moved=TRUE;
		LIz_mab_already_moved_object=TRUE;
		cond1_mab_already_at_place();
		LIz_mab_already_at_place=TRUE;
		LIz_mab_get_on_floor_to_walk=TRUE;
		cond1_mab_walk_holding_nothing();
		LIz_mab_walk_holding_nothing=TRUE;
		LIz_mab_walk_holding_object=TRUE;
		cond1_mab_jump_onto_floor();
		LIz_mab_jump_onto_floor=TRUE;
		LIz_mab_walk_to_place_to_climb=TRUE;
		LIz_mab_drop_to_climb=TRUE;
		LIz_mab_climb_indirectly=TRUE;
		cond4_mab_climb_indirectly();
		LIz_mab_climb_directly=TRUE;
		cond1_mab_already_on_object();
		LIz_mab_already_on_object=TRUE;
		cond1_mab_hold_to_eat();
		LIz_mab_hold_to_eat=TRUE;
		cond1_mab_satisfy_hunger();
		LIz_mab_satisfy_hunger=TRUE;

	mab_var_aux=pop_tail_lent(&mab_i_goal_is_to[0].argument_2);
		cond2_mab_hold_object_to_move(-1);
		LIz_mab_hold_object_to_move=TRUE;
		cond1_mab_move_object_to_place();
		LIz_mab_move_object_to_place=TRUE;
		cond1_mab_drop_object_once_moved();
		LIz_mab_drop_object_once_moved=TRUE;
		cond2_mab_already_moved_object(-1);
		LIz_mab_already_moved_object=TRUE;

	if (LIz_mab_move_to_chest_with_key) Iz_mab_move_to_chest_with_key();
	if (LIz_mab_unlock_chest_with_key) Iz_mab_unlock_chest_with_key();
	if (LIz_mab_climb_ladder_to_hold) Iz_mab_climb_ladder_to_hold();
	if (LIz_mab_grab_object_from_ladder) Iz_mab_grab_object_from_ladder();
	if (LIz_mab_climb_to_hold) Iz_mab_climb_to_hold();
	if (LIz_mab_walk_to_hold) Iz_mab_walk_to_hold();
	if (LIz_mab_drop_to_hold) Iz_mab_drop_to_hold();
	if (LIz_mab_grab_object) Iz_mab_grab_object();
	if (LIz_mab_hold_object_to_move) Iz_mab_hold_object_to_move();
	if (LIz_mab_already_moved_object) Iz_mab_already_moved_object();
	if (LIz_mab_walk_to_place_to_climb) Iz_mab_walk_to_place_to_climb();
	if (LIz_mab_drop_to_climb) Iz_mab_drop_to_climb();
	if (LIz_mab_climb_indirectly) Iz_mab_climb_indirectly();
	if (LIz_mab_climb_directly) Iz_mab_climb_directly();
	if (LIz_mab_hold_chest_to_put_on_floor) Iz_mab_hold_chest_to_put_on_floor();
	if (LIz_mab_get_key_to_unlock) Iz_mab_get_key_to_unlock();
	if (LIz_mab_use_ladder_to_hold) Iz_mab_use_ladder_to_hold();
	if (LIz_mab_put_chest_on_floor) Iz_mab_put_chest_on_floor();
	if (LIz_mab_drop_object) Iz_mab_drop_object();
	if (LIz_mab_move_object_to_place) Iz_mab_move_object_to_place();
	if (LIz_mab_walk_holding_nothing) Iz_mab_walk_holding_nothing();
	if (LIz_mab_walk_holding_object) Iz_mab_walk_holding_object();
	if (LIz_mab_hold_to_eat) Iz_mab_hold_to_eat();
	if (LIz_mab_satisfy_hunger) Iz_mab_satisfy_hunger();
	if (LIz_mab_unlock_chest_to_hold_object) Iz_mab_unlock_chest_to_hold_object();
	if (LIz_mab_unlock_chest_to_move_object) Iz_mab_unlock_chest_to_move_object();
	if (LIz_mab_drop_object_once_moved) Iz_mab_drop_object_once_moved();
	if (LIz_mab_already_at_place) Iz_mab_already_at_place();
	if (LIz_mab_get_on_floor_to_walk) Iz_mab_get_on_floor_to_walk();
	if (LIz_mab_jump_onto_floor) Iz_mab_jump_onto_floor();
	if (LIz_mab_already_on_object) Iz_mab_already_on_object();

}
void De_mab_hold_to_eat()
{

	add_tail_lent(25, &mab_i_goal_is_to[0].action);
		LIz_mab_hold_chest_to_put_on_floor=TRUE;
		LIz_mab_put_chest_on_floor=TRUE;
		cond0_mab_get_key_to_unlock();
		LIz_mab_get_key_to_unlock=TRUE;
		LIz_mab_move_to_chest_with_key=TRUE;
		LIz_mab_unlock_chest_with_key=TRUE;
		LIz_mab_unlock_chest_to_hold_object=TRUE;
		LIz_mab_use_ladder_to_hold=TRUE;
		cond0_mab_climb_ladder_to_hold();
		LIz_mab_climb_ladder_to_hold=TRUE;
		LIz_mab_grab_object_from_ladder=TRUE;
		LIz_mab_climb_to_hold=TRUE;
		LIz_mab_walk_to_hold=TRUE;
		LIz_mab_drop_to_hold=TRUE;
		LIz_mab_grab_object=TRUE;
		LIz_mab_drop_object=TRUE;
		LIz_mab_unlock_chest_to_move_object=TRUE;
		cond0_mab_hold_object_to_move();
		LIz_mab_hold_object_to_move=TRUE;
		LIz_mab_move_object_to_place=TRUE;
		LIz_mab_drop_object_once_moved=TRUE;
		LIz_mab_already_moved_object=TRUE;
		LIz_mab_already_at_place=TRUE;
		LIz_mab_get_on_floor_to_walk=TRUE;
		cond0_mab_walk_holding_nothing();
		LIz_mab_walk_holding_nothing=TRUE;
		LIz_mab_walk_holding_object=TRUE;
		LIz_mab_jump_onto_floor=TRUE;
		LIz_mab_walk_to_place_to_climb=TRUE;
		cond0_mab_drop_to_climb();
		LIz_mab_drop_to_climb=TRUE;
		LIz_mab_climb_indirectly=TRUE;
		LIz_mab_climb_directly=TRUE;
		LIz_mab_already_on_object=TRUE;
		cond0_mab_hold_to_eat();
		LIz_mab_hold_to_eat=TRUE;
		LIz_mab_satisfy_hunger=TRUE;

	add_tail_lent(tail_lent(&mab_i_goal_is_to[0].argument_1), &mab_i_goal_is_to[0].argument_1);
		LIz_mab_hold_chest_to_put_on_floor=TRUE;
		LIz_mab_put_chest_on_floor=TRUE;
		cond1_mab_get_key_to_unlock(-1);
		LIz_mab_get_key_to_unlock=TRUE;
		LIz_mab_move_to_chest_with_key=TRUE;
		cond4_mab_move_to_chest_with_key(-1);
		LIz_mab_unlock_chest_with_key=TRUE;
		cond6_mab_unlock_chest_with_key(-1);
		cond1_mab_unlock_chest_to_hold_object(-1);
		LIz_mab_unlock_chest_to_hold_object=TRUE;
		LIz_mab_use_ladder_to_hold=TRUE;
		cond1_mab_climb_ladder_to_hold(-1);
		LIz_mab_climb_ladder_to_hold=TRUE;
		LIz_mab_grab_object_from_ladder=TRUE;
		LIz_mab_climb_to_hold=TRUE;
		LIz_mab_walk_to_hold=TRUE;
		LIz_mab_drop_to_hold=TRUE;
		LIz_mab_grab_object=TRUE;
		cond1_mab_drop_object();
		LIz_mab_drop_object=TRUE;
		cond1_mab_unlock_chest_to_move_object(-1);
		LIz_mab_unlock_chest_to_move_object=TRUE;
		LIz_mab_hold_object_to_move=TRUE;
		LIz_mab_move_object_to_place=TRUE;
		LIz_mab_drop_object_once_moved=TRUE;
		LIz_mab_already_moved_object=TRUE;
		cond1_mab_already_at_place();
		LIz_mab_already_at_place=TRUE;
		LIz_mab_get_on_floor_to_walk=TRUE;
		cond1_mab_walk_holding_nothing();
		LIz_mab_walk_holding_nothing=TRUE;
		LIz_mab_walk_holding_object=TRUE;
		cond1_mab_jump_onto_floor();
		LIz_mab_jump_onto_floor=TRUE;
		LIz_mab_walk_to_place_to_climb=TRUE;
		LIz_mab_drop_to_climb=TRUE;
		LIz_mab_climb_indirectly=TRUE;
		cond4_mab_climb_indirectly();
		LIz_mab_climb_directly=TRUE;
		cond1_mab_already_on_object();
		LIz_mab_already_on_object=TRUE;
		cond1_mab_hold_to_eat();
		LIz_mab_hold_to_eat=TRUE;
		cond1_mab_satisfy_hunger();
		LIz_mab_satisfy_hunger=TRUE;

	add_tail_lent(30, &mab_i_goal_is_to[0].argument_2);
		cond2_mab_hold_object_to_move(-1);
		LIz_mab_hold_object_to_move=TRUE;
		cond1_mab_move_object_to_place();
		LIz_mab_move_object_to_place=TRUE;
		cond1_mab_drop_object_once_moved();
		LIz_mab_drop_object_once_moved=TRUE;
		cond2_mab_already_moved_object(-1);
		LIz_mab_already_moved_object=TRUE;

	if (LIz_mab_hold_chest_to_put_on_floor) Iz_mab_hold_chest_to_put_on_floor();
	if (LIz_mab_put_chest_on_floor) Iz_mab_put_chest_on_floor();
	if (LIz_mab_get_key_to_unlock) Iz_mab_get_key_to_unlock();
	if (LIz_mab_move_to_chest_with_key) Iz_mab_move_to_chest_with_key();
	if (LIz_mab_unlock_chest_with_key) Iz_mab_unlock_chest_with_key();
	if (LIz_mab_unlock_chest_to_hold_object) Iz_mab_unlock_chest_to_hold_object();
	if (LIz_mab_use_ladder_to_hold) Iz_mab_use_ladder_to_hold();
	if (LIz_mab_climb_ladder_to_hold) Iz_mab_climb_ladder_to_hold();
	if (LIz_mab_grab_object_from_ladder) Iz_mab_grab_object_from_ladder();
	if (LIz_mab_climb_to_hold) Iz_mab_climb_to_hold();
	if (LIz_mab_walk_to_hold) Iz_mab_walk_to_hold();
	if (LIz_mab_drop_to_hold) Iz_mab_drop_to_hold();
	if (LIz_mab_grab_object) Iz_mab_grab_object();
	if (LIz_mab_drop_object) Iz_mab_drop_object();
	if (LIz_mab_unlock_chest_to_move_object) Iz_mab_unlock_chest_to_move_object();
	if (LIz_mab_hold_object_to_move) Iz_mab_hold_object_to_move();
	if (LIz_mab_move_object_to_place) Iz_mab_move_object_to_place();
	if (LIz_mab_drop_object_once_moved) Iz_mab_drop_object_once_moved();
	if (LIz_mab_already_moved_object) Iz_mab_already_moved_object();
	if (LIz_mab_already_at_place) Iz_mab_already_at_place();
	if (LIz_mab_get_on_floor_to_walk) Iz_mab_get_on_floor_to_walk();
	if (LIz_mab_walk_holding_nothing) Iz_mab_walk_holding_nothing();
	if (LIz_mab_walk_holding_object) Iz_mab_walk_holding_object();
	if (LIz_mab_jump_onto_floor) Iz_mab_jump_onto_floor();
	if (LIz_mab_walk_to_place_to_climb) Iz_mab_walk_to_place_to_climb();
	if (LIz_mab_drop_to_climb) Iz_mab_drop_to_climb();
	if (LIz_mab_climb_indirectly) Iz_mab_climb_indirectly();
	if (LIz_mab_climb_directly) Iz_mab_climb_directly();
	if (LIz_mab_already_on_object) Iz_mab_already_on_object();
	if (LIz_mab_hold_to_eat) Iz_mab_hold_to_eat();
	if (LIz_mab_satisfy_hunger) Iz_mab_satisfy_hunger();

}
void De_mab_walk_holding_object(vp_thing1)
	int vp_thing1;
{
	int   cambio_asig[1];
	int   old_value_ent;
	float old_value_real;
	int   iter;

	for(iter=0;iter<1; iter++) cambio_asig[iter]=FALSE;

	printf("Monkey walks to ");
	printf("%d", tail_lent(&mab_i_goal_is_to[0].argument_1));
	printf(" holding the ");
	printf("%d", mab_i_monkey[0].holding);
	printf(".\n");

	old_value_ent=mab_i_monkey[0].location;
	mab_i_monkey[0].location=tail_lent(&mab_i_goal_is_to[0].argument_1);
	cambio_asig[0]=	old_value_ent != mab_i_monkey[0].location;
	if (cambio_asig[0]) {
		LIz_mab_move_to_chest_with_key=TRUE;
		LIz_mab_unlock_chest_with_key=TRUE;
		LIz_mab_grab_object_from_ladder=TRUE;
		LIz_mab_climb_to_hold=TRUE;
		LIz_mab_walk_to_hold=TRUE;
		LIz_mab_drop_to_hold=TRUE;
		LIz_mab_grab_object=TRUE;
		cond1_mab_move_object_to_place();
		LIz_mab_move_object_to_place=TRUE;
		cond1_mab_drop_object_once_moved();
		LIz_mab_drop_object_once_moved=TRUE;
		cond1_mab_already_at_place();
		LIz_mab_already_at_place=TRUE;
		LIz_mab_get_on_floor_to_walk=TRUE;
		cond1_mab_walk_holding_nothing();
		LIz_mab_walk_holding_nothing=TRUE;
		LIz_mab_walk_holding_object=TRUE;
		cond2_mab_walk_to_place_to_climb(-1);
		LIz_mab_walk_to_place_to_climb=TRUE;
		cond2_mab_drop_to_climb(-1);
		LIz_mab_drop_to_climb=TRUE;
		LIz_mab_climb_indirectly=TRUE;
		LIz_mab_climb_directly=TRUE;
	}

	mab_var_aux=pop_tail_lent(&mab_i_goal_is_to[0].action);
		LIz_mab_hold_chest_to_put_on_floor=TRUE;
		LIz_mab_put_chest_on_floor=TRUE;
		cond0_mab_get_key_to_unlock();
		LIz_mab_get_key_to_unlock=TRUE;
		LIz_mab_move_to_chest_with_key=TRUE;
		LIz_mab_unlock_chest_with_key=TRUE;
		LIz_mab_unlock_chest_to_hold_object=TRUE;
		LIz_mab_use_ladder_to_hold=TRUE;
		cond0_mab_climb_ladder_to_hold();
		LIz_mab_climb_ladder_to_hold=TRUE;
		LIz_mab_grab_object_from_ladder=TRUE;
		LIz_mab_climb_to_hold=TRUE;
		LIz_mab_walk_to_hold=TRUE;
		LIz_mab_drop_to_hold=TRUE;
		LIz_mab_grab_object=TRUE;
		LIz_mab_drop_object=TRUE;
		LIz_mab_unlock_chest_to_move_object=TRUE;
		cond0_mab_hold_object_to_move();
		LIz_mab_hold_object_to_move=TRUE;
		LIz_mab_move_object_to_place=TRUE;
		LIz_mab_drop_object_once_moved=TRUE;
		LIz_mab_already_moved_object=TRUE;
		LIz_mab_already_at_place=TRUE;
		LIz_mab_get_on_floor_to_walk=TRUE;
		cond0_mab_walk_holding_nothing();
		LIz_mab_walk_holding_nothing=TRUE;
		LIz_mab_walk_holding_object=TRUE;
		LIz_mab_jump_onto_floor=TRUE;
		LIz_mab_walk_to_place_to_climb=TRUE;
		cond0_mab_drop_to_climb();
		LIz_mab_drop_to_climb=TRUE;
		LIz_mab_climb_indirectly=TRUE;
		LIz_mab_climb_directly=TRUE;
		LIz_mab_already_on_object=TRUE;
		cond0_mab_hold_to_eat();
		LIz_mab_hold_to_eat=TRUE;
		LIz_mab_satisfy_hunger=TRUE;

	mab_var_aux=pop_tail_lent(&mab_i_goal_is_to[0].argument_1);
		LIz_mab_hold_chest_to_put_on_floor=TRUE;
		LIz_mab_put_chest_on_floor=TRUE;
		cond1_mab_get_key_to_unlock(-1);
		LIz_mab_get_key_to_unlock=TRUE;
		LIz_mab_move_to_chest_with_key=TRUE;
		cond4_mab_move_to_chest_with_key(-1);
		LIz_mab_unlock_chest_with_key=TRUE;
		cond6_mab_unlock_chest_with_key(-1);
		cond1_mab_unlock_chest_to_hold_object(-1);
		LIz_mab_unlock_chest_to_hold_object=TRUE;
		LIz_mab_use_ladder_to_hold=TRUE;
		cond1_mab_climb_ladder_to_hold(-1);
		LIz_mab_climb_ladder_to_hold=TRUE;
		LIz_mab_grab_object_from_ladder=TRUE;
		LIz_mab_climb_to_hold=TRUE;
		LIz_mab_walk_to_hold=TRUE;
		LIz_mab_drop_to_hold=TRUE;
		LIz_mab_grab_object=TRUE;
		cond1_mab_drop_object();
		LIz_mab_drop_object=TRUE;
		cond1_mab_unlock_chest_to_move_object(-1);
		LIz_mab_unlock_chest_to_move_object=TRUE;
		LIz_mab_hold_object_to_move=TRUE;
		LIz_mab_move_object_to_place=TRUE;
		LIz_mab_drop_object_once_moved=TRUE;
		LIz_mab_already_moved_object=TRUE;
		cond1_mab_already_at_place();
		LIz_mab_already_at_place=TRUE;
		LIz_mab_get_on_floor_to_walk=TRUE;
		cond1_mab_walk_holding_nothing();
		LIz_mab_walk_holding_nothing=TRUE;
		LIz_mab_walk_holding_object=TRUE;
		cond1_mab_jump_onto_floor();
		LIz_mab_jump_onto_floor=TRUE;
		LIz_mab_walk_to_place_to_climb=TRUE;
		LIz_mab_drop_to_climb=TRUE;
		LIz_mab_climb_indirectly=TRUE;
		cond4_mab_climb_indirectly();
		LIz_mab_climb_directly=TRUE;
		cond1_mab_already_on_object();
		LIz_mab_already_on_object=TRUE;
		cond1_mab_hold_to_eat();
		LIz_mab_hold_to_eat=TRUE;
		cond1_mab_satisfy_hunger();
		LIz_mab_satisfy_hunger=TRUE;

	mab_var_aux=pop_tail_lent(&mab_i_goal_is_to[0].argument_2);
		cond2_mab_hold_object_to_move(-1);
		LIz_mab_hold_object_to_move=TRUE;
		cond1_mab_move_object_to_place();
		LIz_mab_move_object_to_place=TRUE;
		cond1_mab_drop_object_once_moved();
		LIz_mab_drop_object_once_moved=TRUE;
		cond2_mab_already_moved_object(-1);
		LIz_mab_already_moved_object=TRUE;

	if (LIz_mab_move_to_chest_with_key) Iz_mab_move_to_chest_with_key();
	if (LIz_mab_unlock_chest_with_key) Iz_mab_unlock_chest_with_key();
	if (LIz_mab_grab_object_from_ladder) Iz_mab_grab_object_from_ladder();
	if (LIz_mab_climb_to_hold) Iz_mab_climb_to_hold();
	if (LIz_mab_walk_to_hold) Iz_mab_walk_to_hold();
	if (LIz_mab_drop_to_hold) Iz_mab_drop_to_hold();
	if (LIz_mab_grab_object) Iz_mab_grab_object();
	if (LIz_mab_move_object_to_place) Iz_mab_move_object_to_place();
	if (LIz_mab_drop_object_once_moved) Iz_mab_drop_object_once_moved();
	if (LIz_mab_already_at_place) Iz_mab_already_at_place();
	if (LIz_mab_get_on_floor_to_walk) Iz_mab_get_on_floor_to_walk();
	if (LIz_mab_walk_holding_nothing) Iz_mab_walk_holding_nothing();
	if (LIz_mab_walk_holding_object) Iz_mab_walk_holding_object();
	if (LIz_mab_walk_to_place_to_climb) Iz_mab_walk_to_place_to_climb();
	if (LIz_mab_drop_to_climb) Iz_mab_drop_to_climb();
	if (LIz_mab_climb_indirectly) Iz_mab_climb_indirectly();
	if (LIz_mab_climb_directly) Iz_mab_climb_directly();
	if (LIz_mab_hold_chest_to_put_on_floor) Iz_mab_hold_chest_to_put_on_floor();
	if (LIz_mab_put_chest_on_floor) Iz_mab_put_chest_on_floor();
	if (LIz_mab_get_key_to_unlock) Iz_mab_get_key_to_unlock();
	if (LIz_mab_unlock_chest_to_hold_object) Iz_mab_unlock_chest_to_hold_object();
	if (LIz_mab_use_ladder_to_hold) Iz_mab_use_ladder_to_hold();
	if (LIz_mab_climb_ladder_to_hold) Iz_mab_climb_ladder_to_hold();
	if (LIz_mab_drop_object) Iz_mab_drop_object();
	if (LIz_mab_unlock_chest_to_move_object) Iz_mab_unlock_chest_to_move_object();
	if (LIz_mab_hold_object_to_move) Iz_mab_hold_object_to_move();
	if (LIz_mab_already_moved_object) Iz_mab_already_moved_object();
	if (LIz_mab_jump_onto_floor) Iz_mab_jump_onto_floor();
	if (LIz_mab_already_on_object) Iz_mab_already_on_object();
	if (LIz_mab_hold_to_eat) Iz_mab_hold_to_eat();
	if (LIz_mab_satisfy_hunger) Iz_mab_satisfy_hunger();

}
void De_mab_walk_to_place_to_climb(vp_thing1)
	int vp_thing1;
{

	add_tail_lent(26, &mab_i_goal_is_to[0].action);
		LIz_mab_hold_chest_to_put_on_floor=TRUE;
		LIz_mab_put_chest_on_floor=TRUE;
		cond0_mab_get_key_to_unlock();
		LIz_mab_get_key_to_unlock=TRUE;
		LIz_mab_move_to_chest_with_key=TRUE;
		LIz_mab_unlock_chest_with_key=TRUE;
		LIz_mab_unlock_chest_to_hold_object=TRUE;
		LIz_mab_use_ladder_to_hold=TRUE;
		cond0_mab_climb_ladder_to_hold();
		LIz_mab_climb_ladder_to_hold=TRUE;
		LIz_mab_grab_object_from_ladder=TRUE;
		LIz_mab_climb_to_hold=TRUE;
		LIz_mab_walk_to_hold=TRUE;
		LIz_mab_drop_to_hold=TRUE;
		LIz_mab_grab_object=TRUE;
		LIz_mab_drop_object=TRUE;
		LIz_mab_unlock_chest_to_move_object=TRUE;
		cond0_mab_hold_object_to_move();
		LIz_mab_hold_object_to_move=TRUE;
		LIz_mab_move_object_to_place=TRUE;
		LIz_mab_drop_object_once_moved=TRUE;
		LIz_mab_already_moved_object=TRUE;
		LIz_mab_already_at_place=TRUE;
		LIz_mab_get_on_floor_to_walk=TRUE;
		cond0_mab_walk_holding_nothing();
		LIz_mab_walk_holding_nothing=TRUE;
		LIz_mab_walk_holding_object=TRUE;
		LIz_mab_jump_onto_floor=TRUE;
		LIz_mab_walk_to_place_to_climb=TRUE;
		cond0_mab_drop_to_climb();
		LIz_mab_drop_to_climb=TRUE;
		LIz_mab_climb_indirectly=TRUE;
		LIz_mab_climb_directly=TRUE;
		LIz_mab_already_on_object=TRUE;
		cond0_mab_hold_to_eat();
		LIz_mab_hold_to_eat=TRUE;
		LIz_mab_satisfy_hunger=TRUE;

	add_tail_lent(mab_i_thing[vp_thing1].location, &mab_i_goal_is_to[0].argument_1);
		LIz_mab_hold_chest_to_put_on_floor=TRUE;
		LIz_mab_put_chest_on_floor=TRUE;
		cond1_mab_get_key_to_unlock(-1);
		LIz_mab_get_key_to_unlock=TRUE;
		LIz_mab_move_to_chest_with_key=TRUE;
		cond4_mab_move_to_chest_with_key(-1);
		LIz_mab_unlock_chest_with_key=TRUE;
		cond6_mab_unlock_chest_with_key(-1);
		cond1_mab_unlock_chest_to_hold_object(-1);
		LIz_mab_unlock_chest_to_hold_object=TRUE;
		LIz_mab_use_ladder_to_hold=TRUE;
		cond1_mab_climb_ladder_to_hold(-1);
		LIz_mab_climb_ladder_to_hold=TRUE;
		LIz_mab_grab_object_from_ladder=TRUE;
		LIz_mab_climb_to_hold=TRUE;
		LIz_mab_walk_to_hold=TRUE;
		LIz_mab_drop_to_hold=TRUE;
		LIz_mab_grab_object=TRUE;
		cond1_mab_drop_object();
		LIz_mab_drop_object=TRUE;
		cond1_mab_unlock_chest_to_move_object(-1);
		LIz_mab_unlock_chest_to_move_object=TRUE;
		LIz_mab_hold_object_to_move=TRUE;
		LIz_mab_move_object_to_place=TRUE;
		LIz_mab_drop_object_once_moved=TRUE;
		LIz_mab_already_moved_object=TRUE;
		cond1_mab_already_at_place();
		LIz_mab_already_at_place=TRUE;
		LIz_mab_get_on_floor_to_walk=TRUE;
		cond1_mab_walk_holding_nothing();
		LIz_mab_walk_holding_nothing=TRUE;
		LIz_mab_walk_holding_object=TRUE;
		cond1_mab_jump_onto_floor();
		LIz_mab_jump_onto_floor=TRUE;
		LIz_mab_walk_to_place_to_climb=TRUE;
		LIz_mab_drop_to_climb=TRUE;
		LIz_mab_climb_indirectly=TRUE;
		cond4_mab_climb_indirectly();
		LIz_mab_climb_directly=TRUE;
		cond1_mab_already_on_object();
		LIz_mab_already_on_object=TRUE;
		cond1_mab_hold_to_eat();
		LIz_mab_hold_to_eat=TRUE;
		cond1_mab_satisfy_hunger();
		LIz_mab_satisfy_hunger=TRUE;

	add_tail_lent(30, &mab_i_goal_is_to[0].argument_2);
		cond2_mab_hold_object_to_move(-1);
		LIz_mab_hold_object_to_move=TRUE;
		cond1_mab_move_object_to_place();
		LIz_mab_move_object_to_place=TRUE;
		cond1_mab_drop_object_once_moved();
		LIz_mab_drop_object_once_moved=TRUE;
		cond2_mab_already_moved_object(-1);
		LIz_mab_already_moved_object=TRUE;

	if (LIz_mab_hold_chest_to_put_on_floor) Iz_mab_hold_chest_to_put_on_floor();
	if (LIz_mab_put_chest_on_floor) Iz_mab_put_chest_on_floor();
	if (LIz_mab_get_key_to_unlock) Iz_mab_get_key_to_unlock();
	if (LIz_mab_move_to_chest_with_key) Iz_mab_move_to_chest_with_key();
	if (LIz_mab_unlock_chest_with_key) Iz_mab_unlock_chest_with_key();
	if (LIz_mab_unlock_chest_to_hold_object) Iz_mab_unlock_chest_to_hold_object();
	if (LIz_mab_use_ladder_to_hold) Iz_mab_use_ladder_to_hold();
	if (LIz_mab_climb_ladder_to_hold) Iz_mab_climb_ladder_to_hold();
	if (LIz_mab_grab_object_from_ladder) Iz_mab_grab_object_from_ladder();
	if (LIz_mab_climb_to_hold) Iz_mab_climb_to_hold();
	if (LIz_mab_walk_to_hold) Iz_mab_walk_to_hold();
	if (LIz_mab_drop_to_hold) Iz_mab_drop_to_hold();
	if (LIz_mab_grab_object) Iz_mab_grab_object();
	if (LIz_mab_drop_object) Iz_mab_drop_object();
	if (LIz_mab_unlock_chest_to_move_object) Iz_mab_unlock_chest_to_move_object();
	if (LIz_mab_hold_object_to_move) Iz_mab_hold_object_to_move();
	if (LIz_mab_move_object_to_place) Iz_mab_move_object_to_place();
	if (LIz_mab_drop_object_once_moved) Iz_mab_drop_object_once_moved();
	if (LIz_mab_already_moved_object) Iz_mab_already_moved_object();
	if (LIz_mab_already_at_place) Iz_mab_already_at_place();
	if (LIz_mab_get_on_floor_to_walk) Iz_mab_get_on_floor_to_walk();
	if (LIz_mab_walk_holding_nothing) Iz_mab_walk_holding_nothing();
	if (LIz_mab_walk_holding_object) Iz_mab_walk_holding_object();
	if (LIz_mab_jump_onto_floor) Iz_mab_jump_onto_floor();
	if (LIz_mab_walk_to_place_to_climb) Iz_mab_walk_to_place_to_climb();
	if (LIz_mab_drop_to_climb) Iz_mab_drop_to_climb();
	if (LIz_mab_climb_indirectly) Iz_mab_climb_indirectly();
	if (LIz_mab_climb_directly) Iz_mab_climb_directly();
	if (LIz_mab_already_on_object) Iz_mab_already_on_object();
	if (LIz_mab_hold_to_eat) Iz_mab_hold_to_eat();
	if (LIz_mab_satisfy_hunger) Iz_mab_satisfy_hunger();

}
void De_mab_satisfy_hunger(vp_thing1)
	int vp_thing1;
{
	int   cambio_asig[2];
	int   old_value_ent;
	float old_value_real;
	int   iter;

	for(iter=0;iter<2; iter++) cambio_asig[iter]=FALSE;

	printf("Monnkey eats the ");
	printf("%d", mab_i_monkey[0].holding);
	printf(".\n");

	old_value_ent=mab_i_monkey[0].holding;
	mab_i_monkey[0].holding=21;
	cambio_asig[0]=	old_value_ent != mab_i_monkey[0].holding;
	if (cambio_asig[0]) {
		LIz_mab_hold_chest_to_put_on_floor=TRUE;
		LIz_mab_put_chest_on_floor=TRUE;
		cond4_mab_get_key_to_unlock(-1);
		LIz_mab_get_key_to_unlock=TRUE;
		cond5_mab_move_to_chest_with_key(-1);
		LIz_mab_move_to_chest_with_key=TRUE;
		cond5_mab_unlock_chest_with_key(-1);
		LIz_mab_unlock_chest_with_key=TRUE;
		LIz_mab_grab_object_from_ladder=TRUE;
		LIz_mab_drop_to_hold=TRUE;
		LIz_mab_grab_object=TRUE;
		LIz_mab_drop_object=TRUE;
		LIz_mab_hold_object_to_move=TRUE;
		LIz_mab_move_object_to_place=TRUE;
		cond3_mab_walk_holding_nothing();
		LIz_mab_walk_holding_nothing=TRUE;
		cond3_mab_walk_holding_object(-1);
		LIz_mab_walk_holding_object=TRUE;
		cond3_mab_drop_to_climb();
		LIz_mab_drop_to_climb=TRUE;
		LIz_mab_climb_indirectly=TRUE;
		LIz_mab_climb_directly=TRUE;
		cond1_mab_hold_to_eat();
		LIz_mab_hold_to_eat=TRUE;
		cond1_mab_satisfy_hunger();
		LIz_mab_satisfy_hunger=TRUE;
	}

	old_value_ent=mab_i_thing[vp_thing1].name;
	mab_i_thing[vp_thing1].name=30;
	cambio_asig[1]=	old_value_ent != mab_i_thing[vp_thing1].name;
	if (cambio_asig[1]) {
		LIz_mab_hold_chest_to_put_on_floor=TRUE;
		LIz_mab_put_chest_on_floor=TRUE;
		cond1_mab_get_key_to_unlock(vp_thing1);
		LIz_mab_get_key_to_unlock=TRUE;
		cond3_mab_get_key_to_unlock(-1,vp_thing1);
		LIz_mab_move_to_chest_with_key=TRUE;
		LIz_mab_unlock_chest_with_key=TRUE;
		LIz_mab_use_ladder_to_hold=TRUE;
		cond1_mab_climb_ladder_to_hold(vp_thing1);
		LIz_mab_climb_ladder_to_hold=TRUE;
		cond4_mab_climb_ladder_to_hold(vp_thing1);
		LIz_mab_grab_object_from_ladder=TRUE;
		LIz_mab_climb_to_hold=TRUE;
		LIz_mab_walk_to_hold=TRUE;
		LIz_mab_drop_to_hold=TRUE;
		LIz_mab_grab_object=TRUE;
		LIz_mab_drop_object=TRUE;
		LIz_mab_hold_object_to_move=TRUE;
		LIz_mab_drop_object_once_moved=TRUE;
		LIz_mab_already_moved_object=TRUE;
		cond3_mab_walk_holding_object(vp_thing1);
		LIz_mab_walk_holding_object=TRUE;
		LIz_mab_walk_to_place_to_climb=TRUE;
		LIz_mab_drop_to_climb=TRUE;
		LIz_mab_climb_indirectly=TRUE;
		LIz_mab_climb_directly=TRUE;
		LIz_mab_satisfy_hunger=TRUE;
	}

	mab_var_aux=pop_tail_lent(&mab_i_goal_is_to[0].action);
		LIz_mab_hold_chest_to_put_on_floor=TRUE;
		LIz_mab_put_chest_on_floor=TRUE;
		cond0_mab_get_key_to_unlock();
		LIz_mab_get_key_to_unlock=TRUE;
		LIz_mab_move_to_chest_with_key=TRUE;
		LIz_mab_unlock_chest_with_key=TRUE;
		LIz_mab_unlock_chest_to_hold_object=TRUE;
		LIz_mab_use_ladder_to_hold=TRUE;
		cond0_mab_climb_ladder_to_hold();
		LIz_mab_climb_ladder_to_hold=TRUE;
		LIz_mab_grab_object_from_ladder=TRUE;
		LIz_mab_climb_to_hold=TRUE;
		LIz_mab_walk_to_hold=TRUE;
		LIz_mab_drop_to_hold=TRUE;
		LIz_mab_grab_object=TRUE;
		LIz_mab_drop_object=TRUE;
		LIz_mab_unlock_chest_to_move_object=TRUE;
		cond0_mab_hold_object_to_move();
		LIz_mab_hold_object_to_move=TRUE;
		LIz_mab_move_object_to_place=TRUE;
		LIz_mab_drop_object_once_moved=TRUE;
		LIz_mab_already_moved_object=TRUE;
		LIz_mab_already_at_place=TRUE;
		LIz_mab_get_on_floor_to_walk=TRUE;
		cond0_mab_walk_holding_nothing();
		LIz_mab_walk_holding_nothing=TRUE;
		LIz_mab_walk_holding_object=TRUE;
		LIz_mab_jump_onto_floor=TRUE;
		LIz_mab_walk_to_place_to_climb=TRUE;
		cond0_mab_drop_to_climb();
		LIz_mab_drop_to_climb=TRUE;
		LIz_mab_climb_indirectly=TRUE;
		LIz_mab_climb_directly=TRUE;
		LIz_mab_already_on_object=TRUE;
		cond0_mab_hold_to_eat();
		LIz_mab_hold_to_eat=TRUE;
		LIz_mab_satisfy_hunger=TRUE;

	mab_var_aux=pop_tail_lent(&mab_i_goal_is_to[0].argument_1);
		LIz_mab_hold_chest_to_put_on_floor=TRUE;
		LIz_mab_put_chest_on_floor=TRUE;
		cond1_mab_get_key_to_unlock(-1);
		LIz_mab_get_key_to_unlock=TRUE;
		LIz_mab_move_to_chest_with_key=TRUE;
		cond4_mab_move_to_chest_with_key(-1);
		LIz_mab_unlock_chest_with_key=TRUE;
		cond6_mab_unlock_chest_with_key(-1);
		cond1_mab_unlock_chest_to_hold_object(-1);
		LIz_mab_unlock_chest_to_hold_object=TRUE;
		LIz_mab_use_ladder_to_hold=TRUE;
		cond1_mab_climb_ladder_to_hold(-1);
		LIz_mab_climb_ladder_to_hold=TRUE;
		LIz_mab_grab_object_from_ladder=TRUE;
		LIz_mab_climb_to_hold=TRUE;
		LIz_mab_walk_to_hold=TRUE;
		LIz_mab_drop_to_hold=TRUE;
		LIz_mab_grab_object=TRUE;
		cond1_mab_drop_object();
		LIz_mab_drop_object=TRUE;
		cond1_mab_unlock_chest_to_move_object(-1);
		LIz_mab_unlock_chest_to_move_object=TRUE;
		LIz_mab_hold_object_to_move=TRUE;
		LIz_mab_move_object_to_place=TRUE;
		LIz_mab_drop_object_once_moved=TRUE;
		LIz_mab_already_moved_object=TRUE;
		cond1_mab_already_at_place();
		LIz_mab_already_at_place=TRUE;
		LIz_mab_get_on_floor_to_walk=TRUE;
		cond1_mab_walk_holding_nothing();
		LIz_mab_walk_holding_nothing=TRUE;
		LIz_mab_walk_holding_object=TRUE;
		cond1_mab_jump_onto_floor();
		LIz_mab_jump_onto_floor=TRUE;
		LIz_mab_walk_to_place_to_climb=TRUE;
		LIz_mab_drop_to_climb=TRUE;
		LIz_mab_climb_indirectly=TRUE;
		cond4_mab_climb_indirectly();
		LIz_mab_climb_directly=TRUE;
		cond1_mab_already_on_object();
		LIz_mab_already_on_object=TRUE;
		cond1_mab_hold_to_eat();
		LIz_mab_hold_to_eat=TRUE;
		cond1_mab_satisfy_hunger();
		LIz_mab_satisfy_hunger=TRUE;

	mab_var_aux=pop_tail_lent(&mab_i_goal_is_to[0].argument_2);
		cond2_mab_hold_object_to_move(-1);
		LIz_mab_hold_object_to_move=TRUE;
		cond1_mab_move_object_to_place();
		LIz_mab_move_object_to_place=TRUE;
		cond1_mab_drop_object_once_moved();
		LIz_mab_drop_object_once_moved=TRUE;
		cond2_mab_already_moved_object(-1);
		LIz_mab_already_moved_object=TRUE;

	if (LIz_mab_hold_chest_to_put_on_floor) Iz_mab_hold_chest_to_put_on_floor();
	if (LIz_mab_put_chest_on_floor) Iz_mab_put_chest_on_floor();
	if (LIz_mab_get_key_to_unlock) Iz_mab_get_key_to_unlock();
	if (LIz_mab_move_to_chest_with_key) Iz_mab_move_to_chest_with_key();
	if (LIz_mab_unlock_chest_with_key) Iz_mab_unlock_chest_with_key();
	if (LIz_mab_grab_object_from_ladder) Iz_mab_grab_object_from_ladder();
	if (LIz_mab_drop_to_hold) Iz_mab_drop_to_hold();
	if (LIz_mab_grab_object) Iz_mab_grab_object();
	if (LIz_mab_drop_object) Iz_mab_drop_object();
	if (LIz_mab_hold_object_to_move) Iz_mab_hold_object_to_move();
	if (LIz_mab_move_object_to_place) Iz_mab_move_object_to_place();
	if (LIz_mab_walk_holding_nothing) Iz_mab_walk_holding_nothing();
	if (LIz_mab_walk_holding_object) Iz_mab_walk_holding_object();
	if (LIz_mab_drop_to_climb) Iz_mab_drop_to_climb();
	if (LIz_mab_climb_indirectly) Iz_mab_climb_indirectly();
	if (LIz_mab_climb_directly) Iz_mab_climb_directly();
	if (LIz_mab_hold_to_eat) Iz_mab_hold_to_eat();
	if (LIz_mab_satisfy_hunger) Iz_mab_satisfy_hunger();
	if (LIz_mab_use_ladder_to_hold) Iz_mab_use_ladder_to_hold();
	if (LIz_mab_climb_ladder_to_hold) Iz_mab_climb_ladder_to_hold();
	if (LIz_mab_climb_to_hold) Iz_mab_climb_to_hold();
	if (LIz_mab_walk_to_hold) Iz_mab_walk_to_hold();
	if (LIz_mab_drop_object_once_moved) Iz_mab_drop_object_once_moved();
	if (LIz_mab_already_moved_object) Iz_mab_already_moved_object();
	if (LIz_mab_walk_to_place_to_climb) Iz_mab_walk_to_place_to_climb();
	if (LIz_mab_unlock_chest_to_hold_object) Iz_mab_unlock_chest_to_hold_object();
	if (LIz_mab_unlock_chest_to_move_object) Iz_mab_unlock_chest_to_move_object();
	if (LIz_mab_already_at_place) Iz_mab_already_at_place();
	if (LIz_mab_get_on_floor_to_walk) Iz_mab_get_on_floor_to_walk();
	if (LIz_mab_jump_onto_floor) Iz_mab_jump_onto_floor();
	if (LIz_mab_already_on_object) Iz_mab_already_on_object();

}
void De_mab_move_to_chest_with_key(vp_thing1,vp_chest1)
	int vp_thing1;
	int vp_chest1;
{

	add_tail_lent(26, &mab_i_goal_is_to[0].action);
		LIz_mab_hold_chest_to_put_on_floor=TRUE;
		LIz_mab_put_chest_on_floor=TRUE;
		cond0_mab_get_key_to_unlock();
		LIz_mab_get_key_to_unlock=TRUE;
		LIz_mab_move_to_chest_with_key=TRUE;
		LIz_mab_unlock_chest_with_key=TRUE;
		LIz_mab_unlock_chest_to_hold_object=TRUE;
		LIz_mab_use_ladder_to_hold=TRUE;
		cond0_mab_climb_ladder_to_hold();
		LIz_mab_climb_ladder_to_hold=TRUE;
		LIz_mab_grab_object_from_ladder=TRUE;
		LIz_mab_climb_to_hold=TRUE;
		LIz_mab_walk_to_hold=TRUE;
		LIz_mab_drop_to_hold=TRUE;
		LIz_mab_grab_object=TRUE;
		LIz_mab_drop_object=TRUE;
		LIz_mab_unlock_chest_to_move_object=TRUE;
		cond0_mab_hold_object_to_move();
		LIz_mab_hold_object_to_move=TRUE;
		LIz_mab_move_object_to_place=TRUE;
		LIz_mab_drop_object_once_moved=TRUE;
		LIz_mab_already_moved_object=TRUE;
		LIz_mab_already_at_place=TRUE;
		LIz_mab_get_on_floor_to_walk=TRUE;
		cond0_mab_walk_holding_nothing();
		LIz_mab_walk_holding_nothing=TRUE;
		LIz_mab_walk_holding_object=TRUE;
		LIz_mab_jump_onto_floor=TRUE;
		LIz_mab_walk_to_place_to_climb=TRUE;
		cond0_mab_drop_to_climb();
		LIz_mab_drop_to_climb=TRUE;
		LIz_mab_climb_indirectly=TRUE;
		LIz_mab_climb_directly=TRUE;
		LIz_mab_already_on_object=TRUE;
		cond0_mab_hold_to_eat();
		LIz_mab_hold_to_eat=TRUE;
		LIz_mab_satisfy_hunger=TRUE;

	add_tail_lent(mab_i_thing[vp_thing1].location, &mab_i_goal_is_to[0].argument_1);
		LIz_mab_hold_chest_to_put_on_floor=TRUE;
		LIz_mab_put_chest_on_floor=TRUE;
		cond1_mab_get_key_to_unlock(-1);
		LIz_mab_get_key_to_unlock=TRUE;
		LIz_mab_move_to_chest_with_key=TRUE;
		cond4_mab_move_to_chest_with_key(-1);
		LIz_mab_unlock_chest_with_key=TRUE;
		cond6_mab_unlock_chest_with_key(-1);
		cond1_mab_unlock_chest_to_hold_object(-1);
		LIz_mab_unlock_chest_to_hold_object=TRUE;
		LIz_mab_use_ladder_to_hold=TRUE;
		cond1_mab_climb_ladder_to_hold(-1);
		LIz_mab_climb_ladder_to_hold=TRUE;
		LIz_mab_grab_object_from_ladder=TRUE;
		LIz_mab_climb_to_hold=TRUE;
		LIz_mab_walk_to_hold=TRUE;
		LIz_mab_drop_to_hold=TRUE;
		LIz_mab_grab_object=TRUE;
		cond1_mab_drop_object();
		LIz_mab_drop_object=TRUE;
		cond1_mab_unlock_chest_to_move_object(-1);
		LIz_mab_unlock_chest_to_move_object=TRUE;
		LIz_mab_hold_object_to_move=TRUE;
		LIz_mab_move_object_to_place=TRUE;
		LIz_mab_drop_object_once_moved=TRUE;
		LIz_mab_already_moved_object=TRUE;
		cond1_mab_already_at_place();
		LIz_mab_already_at_place=TRUE;
		LIz_mab_get_on_floor_to_walk=TRUE;
		cond1_mab_walk_holding_nothing();
		LIz_mab_walk_holding_nothing=TRUE;
		LIz_mab_walk_holding_object=TRUE;
		cond1_mab_jump_onto_floor();
		LIz_mab_jump_onto_floor=TRUE;
		LIz_mab_walk_to_place_to_climb=TRUE;
		LIz_mab_drop_to_climb=TRUE;
		LIz_mab_climb_indirectly=TRUE;
		cond4_mab_climb_indirectly();
		LIz_mab_climb_directly=TRUE;
		cond1_mab_already_on_object();
		LIz_mab_already_on_object=TRUE;
		cond1_mab_hold_to_eat();
		LIz_mab_hold_to_eat=TRUE;
		cond1_mab_satisfy_hunger();
		LIz_mab_satisfy_hunger=TRUE;

	add_tail_lent(30, &mab_i_goal_is_to[0].argument_2);
		cond2_mab_hold_object_to_move(-1);
		LIz_mab_hold_object_to_move=TRUE;
		cond1_mab_move_object_to_place();
		LIz_mab_move_object_to_place=TRUE;
		cond1_mab_drop_object_once_moved();
		LIz_mab_drop_object_once_moved=TRUE;
		cond2_mab_already_moved_object(-1);
		LIz_mab_already_moved_object=TRUE;

	if (LIz_mab_hold_chest_to_put_on_floor) Iz_mab_hold_chest_to_put_on_floor();
	if (LIz_mab_put_chest_on_floor) Iz_mab_put_chest_on_floor();
	if (LIz_mab_get_key_to_unlock) Iz_mab_get_key_to_unlock();
	if (LIz_mab_move_to_chest_with_key) Iz_mab_move_to_chest_with_key();
	if (LIz_mab_unlock_chest_with_key) Iz_mab_unlock_chest_with_key();
	if (LIz_mab_unlock_chest_to_hold_object) Iz_mab_unlock_chest_to_hold_object();
	if (LIz_mab_use_ladder_to_hold) Iz_mab_use_ladder_to_hold();
	if (LIz_mab_climb_ladder_to_hold) Iz_mab_climb_ladder_to_hold();
	if (LIz_mab_grab_object_from_ladder) Iz_mab_grab_object_from_ladder();
	if (LIz_mab_climb_to_hold) Iz_mab_climb_to_hold();
	if (LIz_mab_walk_to_hold) Iz_mab_walk_to_hold();
	if (LIz_mab_drop_to_hold) Iz_mab_drop_to_hold();
	if (LIz_mab_grab_object) Iz_mab_grab_object();
	if (LIz_mab_drop_object) Iz_mab_drop_object();
	if (LIz_mab_unlock_chest_to_move_object) Iz_mab_unlock_chest_to_move_object();
	if (LIz_mab_hold_object_to_move) Iz_mab_hold_object_to_move();
	if (LIz_mab_move_object_to_place) Iz_mab_move_object_to_place();
	if (LIz_mab_drop_object_once_moved) Iz_mab_drop_object_once_moved();
	if (LIz_mab_already_moved_object) Iz_mab_already_moved_object();
	if (LIz_mab_already_at_place) Iz_mab_already_at_place();
	if (LIz_mab_get_on_floor_to_walk) Iz_mab_get_on_floor_to_walk();
	if (LIz_mab_walk_holding_nothing) Iz_mab_walk_holding_nothing();
	if (LIz_mab_walk_holding_object) Iz_mab_walk_holding_object();
	if (LIz_mab_jump_onto_floor) Iz_mab_jump_onto_floor();
	if (LIz_mab_walk_to_place_to_climb) Iz_mab_walk_to_place_to_climb();
	if (LIz_mab_drop_to_climb) Iz_mab_drop_to_climb();
	if (LIz_mab_climb_indirectly) Iz_mab_climb_indirectly();
	if (LIz_mab_climb_directly) Iz_mab_climb_directly();
	if (LIz_mab_already_on_object) Iz_mab_already_on_object();
	if (LIz_mab_hold_to_eat) Iz_mab_hold_to_eat();
	if (LIz_mab_satisfy_hunger) Iz_mab_satisfy_hunger();

}
void De_mab_drop_object(vp_thing1)
	int vp_thing1;
{
	int   cambio_asig[3];
	int   old_value_ent;
	float old_value_real;
	int   iter;

	for(iter=0;iter<3; iter++) cambio_asig[iter]=FALSE;

	printf("Monkey drops the ");
	printf("%d", mab_i_monkey[0].holding);
	printf(".\n");

	old_value_ent=mab_i_monkey[0].holding;
	mab_i_monkey[0].holding=21;
	cambio_asig[0]=	old_value_ent != mab_i_monkey[0].holding;
	if (cambio_asig[0]) {
		LIz_mab_hold_chest_to_put_on_floor=TRUE;
		LIz_mab_put_chest_on_floor=TRUE;
		cond4_mab_get_key_to_unlock(-1);
		LIz_mab_get_key_to_unlock=TRUE;
		cond5_mab_move_to_chest_with_key(-1);
		LIz_mab_move_to_chest_with_key=TRUE;
		cond5_mab_unlock_chest_with_key(-1);
		LIz_mab_unlock_chest_with_key=TRUE;
		LIz_mab_grab_object_from_ladder=TRUE;
		LIz_mab_drop_to_hold=TRUE;
		LIz_mab_grab_object=TRUE;
		LIz_mab_drop_object=TRUE;
		LIz_mab_hold_object_to_move=TRUE;
		LIz_mab_move_object_to_place=TRUE;
		cond3_mab_walk_holding_nothing();
		LIz_mab_walk_holding_nothing=TRUE;
		cond3_mab_walk_holding_object(-1);
		LIz_mab_walk_holding_object=TRUE;
		cond3_mab_drop_to_climb();
		LIz_mab_drop_to_climb=TRUE;
		LIz_mab_climb_indirectly=TRUE;
		LIz_mab_climb_directly=TRUE;
		cond1_mab_hold_to_eat();
		LIz_mab_hold_to_eat=TRUE;
		cond1_mab_satisfy_hunger();
		LIz_mab_satisfy_hunger=TRUE;
	}

	old_value_ent=mab_i_thing[vp_thing1].location;
	mab_i_thing[vp_thing1].location=mab_i_monkey[0].location;
	cambio_asig[1]=	old_value_ent != mab_i_thing[vp_thing1].location;
	if (cambio_asig[1]) {
		LIz_mab_move_to_chest_with_key=TRUE;
		LIz_mab_unlock_chest_with_key=TRUE;
		cond5_mab_climb_ladder_to_hold(vp_thing1,-1);
		cond5_mab_climb_ladder_to_hold(-1,vp_thing1);
		LIz_mab_climb_ladder_to_hold=TRUE;
		LIz_mab_grab_object_from_ladder=TRUE;
		cond2_mab_climb_to_hold(vp_thing1);
		LIz_mab_climb_to_hold=TRUE;
		LIz_mab_walk_to_hold=TRUE;
		LIz_mab_drop_to_hold=TRUE;
		LIz_mab_grab_object=TRUE;
		cond2_mab_hold_object_to_move(vp_thing1);
		LIz_mab_hold_object_to_move=TRUE;
		cond2_mab_already_moved_object(vp_thing1);
		LIz_mab_already_moved_object=TRUE;
		cond2_mab_walk_to_place_to_climb(vp_thing1);
		LIz_mab_walk_to_place_to_climb=TRUE;
		cond2_mab_drop_to_climb(vp_thing1);
		LIz_mab_drop_to_climb=TRUE;
		LIz_mab_climb_indirectly=TRUE;
		LIz_mab_climb_directly=TRUE;
	}

	old_value_ent=mab_i_thing[vp_thing1].on_top_of;
	mab_i_thing[vp_thing1].on_top_of=mab_i_monkey[0].on_top_of;
	cambio_asig[2]=	old_value_ent != mab_i_thing[vp_thing1].on_top_of;
	if (cambio_asig[2]) {
		cond2_mab_hold_chest_to_put_on_floor(vp_thing1);
		LIz_mab_hold_chest_to_put_on_floor=TRUE;
		cond2_mab_get_key_to_unlock(vp_thing1);
		LIz_mab_get_key_to_unlock=TRUE;
		LIz_mab_move_to_chest_with_key=TRUE;
		LIz_mab_unlock_chest_with_key=TRUE;
		LIz_mab_use_ladder_to_hold=TRUE;
		cond2_mab_climb_ladder_to_hold(vp_thing1);
		LIz_mab_climb_ladder_to_hold=TRUE;
		cond6_mab_climb_ladder_to_hold(vp_thing1);
		LIz_mab_grab_object_from_ladder=TRUE;
		LIz_mab_climb_to_hold=TRUE;
		cond2_mab_walk_to_hold(vp_thing1);
		LIz_mab_walk_to_hold=TRUE;
		LIz_mab_drop_to_hold=TRUE;
		LIz_mab_grab_object=TRUE;
		cond3_mab_climb_indirectly(vp_thing1);
		LIz_mab_climb_indirectly=TRUE;
		cond3_mab_climb_directly(vp_thing1);
		LIz_mab_climb_directly=TRUE;
	}

	mab_var_aux=pop_tail_lent(&mab_i_goal_is_to[0].action);
		LIz_mab_hold_chest_to_put_on_floor=TRUE;
		LIz_mab_put_chest_on_floor=TRUE;
		cond0_mab_get_key_to_unlock();
		LIz_mab_get_key_to_unlock=TRUE;
		LIz_mab_move_to_chest_with_key=TRUE;
		LIz_mab_unlock_chest_with_key=TRUE;
		LIz_mab_unlock_chest_to_hold_object=TRUE;
		LIz_mab_use_ladder_to_hold=TRUE;
		cond0_mab_climb_ladder_to_hold();
		LIz_mab_climb_ladder_to_hold=TRUE;
		LIz_mab_grab_object_from_ladder=TRUE;
		LIz_mab_climb_to_hold=TRUE;
		LIz_mab_walk_to_hold=TRUE;
		LIz_mab_drop_to_hold=TRUE;
		LIz_mab_grab_object=TRUE;
		LIz_mab_drop_object=TRUE;
		LIz_mab_unlock_chest_to_move_object=TRUE;
		cond0_mab_hold_object_to_move();
		LIz_mab_hold_object_to_move=TRUE;
		LIz_mab_move_object_to_place=TRUE;
		LIz_mab_drop_object_once_moved=TRUE;
		LIz_mab_already_moved_object=TRUE;
		LIz_mab_already_at_place=TRUE;
		LIz_mab_get_on_floor_to_walk=TRUE;
		cond0_mab_walk_holding_nothing();
		LIz_mab_walk_holding_nothing=TRUE;
		LIz_mab_walk_holding_object=TRUE;
		LIz_mab_jump_onto_floor=TRUE;
		LIz_mab_walk_to_place_to_climb=TRUE;
		cond0_mab_drop_to_climb();
		LIz_mab_drop_to_climb=TRUE;
		LIz_mab_climb_indirectly=TRUE;
		LIz_mab_climb_directly=TRUE;
		LIz_mab_already_on_object=TRUE;
		cond0_mab_hold_to_eat();
		LIz_mab_hold_to_eat=TRUE;
		LIz_mab_satisfy_hunger=TRUE;

	mab_var_aux=pop_tail_lent(&mab_i_goal_is_to[0].argument_1);
		LIz_mab_hold_chest_to_put_on_floor=TRUE;
		LIz_mab_put_chest_on_floor=TRUE;
		cond1_mab_get_key_to_unlock(-1);
		LIz_mab_get_key_to_unlock=TRUE;
		LIz_mab_move_to_chest_with_key=TRUE;
		cond4_mab_move_to_chest_with_key(-1);
		LIz_mab_unlock_chest_with_key=TRUE;
		cond6_mab_unlock_chest_with_key(-1);
		cond1_mab_unlock_chest_to_hold_object(-1);
		LIz_mab_unlock_chest_to_hold_object=TRUE;
		LIz_mab_use_ladder_to_hold=TRUE;
		cond1_mab_climb_ladder_to_hold(-1);
		LIz_mab_climb_ladder_to_hold=TRUE;
		LIz_mab_grab_object_from_ladder=TRUE;
		LIz_mab_climb_to_hold=TRUE;
		LIz_mab_walk_to_hold=TRUE;
		LIz_mab_drop_to_hold=TRUE;
		LIz_mab_grab_object=TRUE;
		cond1_mab_drop_object();
		LIz_mab_drop_object=TRUE;
		cond1_mab_unlock_chest_to_move_object(-1);
		LIz_mab_unlock_chest_to_move_object=TRUE;
		LIz_mab_hold_object_to_move=TRUE;
		LIz_mab_move_object_to_place=TRUE;
		LIz_mab_drop_object_once_moved=TRUE;
		LIz_mab_already_moved_object=TRUE;
		cond1_mab_already_at_place();
		LIz_mab_already_at_place=TRUE;
		LIz_mab_get_on_floor_to_walk=TRUE;
		cond1_mab_walk_holding_nothing();
		LIz_mab_walk_holding_nothing=TRUE;
		LIz_mab_walk_holding_object=TRUE;
		cond1_mab_jump_onto_floor();
		LIz_mab_jump_onto_floor=TRUE;
		LIz_mab_walk_to_place_to_climb=TRUE;
		LIz_mab_drop_to_climb=TRUE;
		LIz_mab_climb_indirectly=TRUE;
		cond4_mab_climb_indirectly();
		LIz_mab_climb_directly=TRUE;
		cond1_mab_already_on_object();
		LIz_mab_already_on_object=TRUE;
		cond1_mab_hold_to_eat();
		LIz_mab_hold_to_eat=TRUE;
		cond1_mab_satisfy_hunger();
		LIz_mab_satisfy_hunger=TRUE;

	mab_var_aux=pop_tail_lent(&mab_i_goal_is_to[0].argument_2);
		cond2_mab_hold_object_to_move(-1);
		LIz_mab_hold_object_to_move=TRUE;
		cond1_mab_move_object_to_place();
		LIz_mab_move_object_to_place=TRUE;
		cond1_mab_drop_object_once_moved();
		LIz_mab_drop_object_once_moved=TRUE;
		cond2_mab_already_moved_object(-1);
		LIz_mab_already_moved_object=TRUE;

	if (LIz_mab_hold_chest_to_put_on_floor) Iz_mab_hold_chest_to_put_on_floor();
	if (LIz_mab_put_chest_on_floor) Iz_mab_put_chest_on_floor();
	if (LIz_mab_get_key_to_unlock) Iz_mab_get_key_to_unlock();
	if (LIz_mab_move_to_chest_with_key) Iz_mab_move_to_chest_with_key();
	if (LIz_mab_unlock_chest_with_key) Iz_mab_unlock_chest_with_key();
	if (LIz_mab_grab_object_from_ladder) Iz_mab_grab_object_from_ladder();
	if (LIz_mab_drop_to_hold) Iz_mab_drop_to_hold();
	if (LIz_mab_grab_object) Iz_mab_grab_object();
	if (LIz_mab_drop_object) Iz_mab_drop_object();
	if (LIz_mab_hold_object_to_move) Iz_mab_hold_object_to_move();
	if (LIz_mab_move_object_to_place) Iz_mab_move_object_to_place();
	if (LIz_mab_walk_holding_nothing) Iz_mab_walk_holding_nothing();
	if (LIz_mab_walk_holding_object) Iz_mab_walk_holding_object();
	if (LIz_mab_drop_to_climb) Iz_mab_drop_to_climb();
	if (LIz_mab_climb_indirectly) Iz_mab_climb_indirectly();
	if (LIz_mab_climb_directly) Iz_mab_climb_directly();
	if (LIz_mab_hold_to_eat) Iz_mab_hold_to_eat();
	if (LIz_mab_satisfy_hunger) Iz_mab_satisfy_hunger();
	if (LIz_mab_climb_ladder_to_hold) Iz_mab_climb_ladder_to_hold();
	if (LIz_mab_climb_to_hold) Iz_mab_climb_to_hold();
	if (LIz_mab_walk_to_hold) Iz_mab_walk_to_hold();
	if (LIz_mab_already_moved_object) Iz_mab_already_moved_object();
	if (LIz_mab_walk_to_place_to_climb) Iz_mab_walk_to_place_to_climb();
	if (LIz_mab_use_ladder_to_hold) Iz_mab_use_ladder_to_hold();
	if (LIz_mab_unlock_chest_to_hold_object) Iz_mab_unlock_chest_to_hold_object();
	if (LIz_mab_unlock_chest_to_move_object) Iz_mab_unlock_chest_to_move_object();
	if (LIz_mab_drop_object_once_moved) Iz_mab_drop_object_once_moved();
	if (LIz_mab_already_at_place) Iz_mab_already_at_place();
	if (LIz_mab_get_on_floor_to_walk) Iz_mab_get_on_floor_to_walk();
	if (LIz_mab_jump_onto_floor) Iz_mab_jump_onto_floor();
	if (LIz_mab_already_on_object) Iz_mab_already_on_object();

}
void De_mab_climb_indirectly(vp_thing1)
	int vp_thing1;
{

	add_tail_lent(28, &mab_i_goal_is_to[0].action);
		LIz_mab_hold_chest_to_put_on_floor=TRUE;
		LIz_mab_put_chest_on_floor=TRUE;
		cond0_mab_get_key_to_unlock();
		LIz_mab_get_key_to_unlock=TRUE;
		LIz_mab_move_to_chest_with_key=TRUE;
		LIz_mab_unlock_chest_with_key=TRUE;
		LIz_mab_unlock_chest_to_hold_object=TRUE;
		LIz_mab_use_ladder_to_hold=TRUE;
		cond0_mab_climb_ladder_to_hold();
		LIz_mab_climb_ladder_to_hold=TRUE;
		LIz_mab_grab_object_from_ladder=TRUE;
		LIz_mab_climb_to_hold=TRUE;
		LIz_mab_walk_to_hold=TRUE;
		LIz_mab_drop_to_hold=TRUE;
		LIz_mab_grab_object=TRUE;
		LIz_mab_drop_object=TRUE;
		LIz_mab_unlock_chest_to_move_object=TRUE;
		cond0_mab_hold_object_to_move();
		LIz_mab_hold_object_to_move=TRUE;
		LIz_mab_move_object_to_place=TRUE;
		LIz_mab_drop_object_once_moved=TRUE;
		LIz_mab_already_moved_object=TRUE;
		LIz_mab_already_at_place=TRUE;
		LIz_mab_get_on_floor_to_walk=TRUE;
		cond0_mab_walk_holding_nothing();
		LIz_mab_walk_holding_nothing=TRUE;
		LIz_mab_walk_holding_object=TRUE;
		LIz_mab_jump_onto_floor=TRUE;
		LIz_mab_walk_to_place_to_climb=TRUE;
		cond0_mab_drop_to_climb();
		LIz_mab_drop_to_climb=TRUE;
		LIz_mab_climb_indirectly=TRUE;
		LIz_mab_climb_directly=TRUE;
		LIz_mab_already_on_object=TRUE;
		cond0_mab_hold_to_eat();
		LIz_mab_hold_to_eat=TRUE;
		LIz_mab_satisfy_hunger=TRUE;

	add_tail_lent(mab_i_thing[vp_thing1].on_top_of, &mab_i_goal_is_to[0].argument_1);
		LIz_mab_hold_chest_to_put_on_floor=TRUE;
		LIz_mab_put_chest_on_floor=TRUE;
		cond1_mab_get_key_to_unlock(-1);
		LIz_mab_get_key_to_unlock=TRUE;
		LIz_mab_move_to_chest_with_key=TRUE;
		cond4_mab_move_to_chest_with_key(-1);
		LIz_mab_unlock_chest_with_key=TRUE;
		cond6_mab_unlock_chest_with_key(-1);
		cond1_mab_unlock_chest_to_hold_object(-1);
		LIz_mab_unlock_chest_to_hold_object=TRUE;
		LIz_mab_use_ladder_to_hold=TRUE;
		cond1_mab_climb_ladder_to_hold(-1);
		LIz_mab_climb_ladder_to_hold=TRUE;
		LIz_mab_grab_object_from_ladder=TRUE;
		LIz_mab_climb_to_hold=TRUE;
		LIz_mab_walk_to_hold=TRUE;
		LIz_mab_drop_to_hold=TRUE;
		LIz_mab_grab_object=TRUE;
		cond1_mab_drop_object();
		LIz_mab_drop_object=TRUE;
		cond1_mab_unlock_chest_to_move_object(-1);
		LIz_mab_unlock_chest_to_move_object=TRUE;
		LIz_mab_hold_object_to_move=TRUE;
		LIz_mab_move_object_to_place=TRUE;
		LIz_mab_drop_object_once_moved=TRUE;
		LIz_mab_already_moved_object=TRUE;
		cond1_mab_already_at_place();
		LIz_mab_already_at_place=TRUE;
		LIz_mab_get_on_floor_to_walk=TRUE;
		cond1_mab_walk_holding_nothing();
		LIz_mab_walk_holding_nothing=TRUE;
		LIz_mab_walk_holding_object=TRUE;
		cond1_mab_jump_onto_floor();
		LIz_mab_jump_onto_floor=TRUE;
		LIz_mab_walk_to_place_to_climb=TRUE;
		LIz_mab_drop_to_climb=TRUE;
		LIz_mab_climb_indirectly=TRUE;
		cond4_mab_climb_indirectly();
		LIz_mab_climb_directly=TRUE;
		cond1_mab_already_on_object();
		LIz_mab_already_on_object=TRUE;
		cond1_mab_hold_to_eat();
		LIz_mab_hold_to_eat=TRUE;
		cond1_mab_satisfy_hunger();
		LIz_mab_satisfy_hunger=TRUE;

	add_tail_lent(30, &mab_i_goal_is_to[0].argument_2);
		cond2_mab_hold_object_to_move(-1);
		LIz_mab_hold_object_to_move=TRUE;
		cond1_mab_move_object_to_place();
		LIz_mab_move_object_to_place=TRUE;
		cond1_mab_drop_object_once_moved();
		LIz_mab_drop_object_once_moved=TRUE;
		cond2_mab_already_moved_object(-1);
		LIz_mab_already_moved_object=TRUE;

	if (LIz_mab_hold_chest_to_put_on_floor) Iz_mab_hold_chest_to_put_on_floor();
	if (LIz_mab_put_chest_on_floor) Iz_mab_put_chest_on_floor();
	if (LIz_mab_get_key_to_unlock) Iz_mab_get_key_to_unlock();
	if (LIz_mab_move_to_chest_with_key) Iz_mab_move_to_chest_with_key();
	if (LIz_mab_unlock_chest_with_key) Iz_mab_unlock_chest_with_key();
	if (LIz_mab_unlock_chest_to_hold_object) Iz_mab_unlock_chest_to_hold_object();
	if (LIz_mab_use_ladder_to_hold) Iz_mab_use_ladder_to_hold();
	if (LIz_mab_climb_ladder_to_hold) Iz_mab_climb_ladder_to_hold();
	if (LIz_mab_grab_object_from_ladder) Iz_mab_grab_object_from_ladder();
	if (LIz_mab_climb_to_hold) Iz_mab_climb_to_hold();
	if (LIz_mab_walk_to_hold) Iz_mab_walk_to_hold();
	if (LIz_mab_drop_to_hold) Iz_mab_drop_to_hold();
	if (LIz_mab_grab_object) Iz_mab_grab_object();
	if (LIz_mab_drop_object) Iz_mab_drop_object();
	if (LIz_mab_unlock_chest_to_move_object) Iz_mab_unlock_chest_to_move_object();
	if (LIz_mab_hold_object_to_move) Iz_mab_hold_object_to_move();
	if (LIz_mab_move_object_to_place) Iz_mab_move_object_to_place();
	if (LIz_mab_drop_object_once_moved) Iz_mab_drop_object_once_moved();
	if (LIz_mab_already_moved_object) Iz_mab_already_moved_object();
	if (LIz_mab_already_at_place) Iz_mab_already_at_place();
	if (LIz_mab_get_on_floor_to_walk) Iz_mab_get_on_floor_to_walk();
	if (LIz_mab_walk_holding_nothing) Iz_mab_walk_holding_nothing();
	if (LIz_mab_walk_holding_object) Iz_mab_walk_holding_object();
	if (LIz_mab_jump_onto_floor) Iz_mab_jump_onto_floor();
	if (LIz_mab_walk_to_place_to_climb) Iz_mab_walk_to_place_to_climb();
	if (LIz_mab_drop_to_climb) Iz_mab_drop_to_climb();
	if (LIz_mab_climb_indirectly) Iz_mab_climb_indirectly();
	if (LIz_mab_climb_directly) Iz_mab_climb_directly();
	if (LIz_mab_already_on_object) Iz_mab_already_on_object();
	if (LIz_mab_hold_to_eat) Iz_mab_hold_to_eat();
	if (LIz_mab_satisfy_hunger) Iz_mab_satisfy_hunger();

}
void De_mab_already_on_object()
{

	mab_var_aux=pop_tail_lent(&mab_i_goal_is_to[0].action);
		LIz_mab_hold_chest_to_put_on_floor=TRUE;
		LIz_mab_put_chest_on_floor=TRUE;
		cond0_mab_get_key_to_unlock();
		LIz_mab_get_key_to_unlock=TRUE;
		LIz_mab_move_to_chest_with_key=TRUE;
		LIz_mab_unlock_chest_with_key=TRUE;
		LIz_mab_unlock_chest_to_hold_object=TRUE;
		LIz_mab_use_ladder_to_hold=TRUE;
		cond0_mab_climb_ladder_to_hold();
		LIz_mab_climb_ladder_to_hold=TRUE;
		LIz_mab_grab_object_from_ladder=TRUE;
		LIz_mab_climb_to_hold=TRUE;
		LIz_mab_walk_to_hold=TRUE;
		LIz_mab_drop_to_hold=TRUE;
		LIz_mab_grab_object=TRUE;
		LIz_mab_drop_object=TRUE;
		LIz_mab_unlock_chest_to_move_object=TRUE;
		cond0_mab_hold_object_to_move();
		LIz_mab_hold_object_to_move=TRUE;
		LIz_mab_move_object_to_place=TRUE;
		LIz_mab_drop_object_once_moved=TRUE;
		LIz_mab_already_moved_object=TRUE;
		LIz_mab_already_at_place=TRUE;
		LIz_mab_get_on_floor_to_walk=TRUE;
		cond0_mab_walk_holding_nothing();
		LIz_mab_walk_holding_nothing=TRUE;
		LIz_mab_walk_holding_object=TRUE;
		LIz_mab_jump_onto_floor=TRUE;
		LIz_mab_walk_to_place_to_climb=TRUE;
		cond0_mab_drop_to_climb();
		LIz_mab_drop_to_climb=TRUE;
		LIz_mab_climb_indirectly=TRUE;
		LIz_mab_climb_directly=TRUE;
		LIz_mab_already_on_object=TRUE;
		cond0_mab_hold_to_eat();
		LIz_mab_hold_to_eat=TRUE;
		LIz_mab_satisfy_hunger=TRUE;

	mab_var_aux=pop_tail_lent(&mab_i_goal_is_to[0].argument_1);
		LIz_mab_hold_chest_to_put_on_floor=TRUE;
		LIz_mab_put_chest_on_floor=TRUE;
		cond1_mab_get_key_to_unlock(-1);
		LIz_mab_get_key_to_unlock=TRUE;
		LIz_mab_move_to_chest_with_key=TRUE;
		cond4_mab_move_to_chest_with_key(-1);
		LIz_mab_unlock_chest_with_key=TRUE;
		cond6_mab_unlock_chest_with_key(-1);
		cond1_mab_unlock_chest_to_hold_object(-1);
		LIz_mab_unlock_chest_to_hold_object=TRUE;
		LIz_mab_use_ladder_to_hold=TRUE;
		cond1_mab_climb_ladder_to_hold(-1);
		LIz_mab_climb_ladder_to_hold=TRUE;
		LIz_mab_grab_object_from_ladder=TRUE;
		LIz_mab_climb_to_hold=TRUE;
		LIz_mab_walk_to_hold=TRUE;
		LIz_mab_drop_to_hold=TRUE;
		LIz_mab_grab_object=TRUE;
		cond1_mab_drop_object();
		LIz_mab_drop_object=TRUE;
		cond1_mab_unlock_chest_to_move_object(-1);
		LIz_mab_unlock_chest_to_move_object=TRUE;
		LIz_mab_hold_object_to_move=TRUE;
		LIz_mab_move_object_to_place=TRUE;
		LIz_mab_drop_object_once_moved=TRUE;
		LIz_mab_already_moved_object=TRUE;
		cond1_mab_already_at_place();
		LIz_mab_already_at_place=TRUE;
		LIz_mab_get_on_floor_to_walk=TRUE;
		cond1_mab_walk_holding_nothing();
		LIz_mab_walk_holding_nothing=TRUE;
		LIz_mab_walk_holding_object=TRUE;
		cond1_mab_jump_onto_floor();
		LIz_mab_jump_onto_floor=TRUE;
		LIz_mab_walk_to_place_to_climb=TRUE;
		LIz_mab_drop_to_climb=TRUE;
		LIz_mab_climb_indirectly=TRUE;
		cond4_mab_climb_indirectly();
		LIz_mab_climb_directly=TRUE;
		cond1_mab_already_on_object();
		LIz_mab_already_on_object=TRUE;
		cond1_mab_hold_to_eat();
		LIz_mab_hold_to_eat=TRUE;
		cond1_mab_satisfy_hunger();
		LIz_mab_satisfy_hunger=TRUE;

	mab_var_aux=pop_tail_lent(&mab_i_goal_is_to[0].argument_2);
		cond2_mab_hold_object_to_move(-1);
		LIz_mab_hold_object_to_move=TRUE;
		cond1_mab_move_object_to_place();
		LIz_mab_move_object_to_place=TRUE;
		cond1_mab_drop_object_once_moved();
		LIz_mab_drop_object_once_moved=TRUE;
		cond2_mab_already_moved_object(-1);
		LIz_mab_already_moved_object=TRUE;

	if (LIz_mab_hold_chest_to_put_on_floor) Iz_mab_hold_chest_to_put_on_floor();
	if (LIz_mab_put_chest_on_floor) Iz_mab_put_chest_on_floor();
	if (LIz_mab_get_key_to_unlock) Iz_mab_get_key_to_unlock();
	if (LIz_mab_move_to_chest_with_key) Iz_mab_move_to_chest_with_key();
	if (LIz_mab_unlock_chest_with_key) Iz_mab_unlock_chest_with_key();
	if (LIz_mab_unlock_chest_to_hold_object) Iz_mab_unlock_chest_to_hold_object();
	if (LIz_mab_use_ladder_to_hold) Iz_mab_use_ladder_to_hold();
	if (LIz_mab_climb_ladder_to_hold) Iz_mab_climb_ladder_to_hold();
	if (LIz_mab_grab_object_from_ladder) Iz_mab_grab_object_from_ladder();
	if (LIz_mab_climb_to_hold) Iz_mab_climb_to_hold();
	if (LIz_mab_walk_to_hold) Iz_mab_walk_to_hold();
	if (LIz_mab_drop_to_hold) Iz_mab_drop_to_hold();
	if (LIz_mab_grab_object) Iz_mab_grab_object();
	if (LIz_mab_drop_object) Iz_mab_drop_object();
	if (LIz_mab_unlock_chest_to_move_object) Iz_mab_unlock_chest_to_move_object();
	if (LIz_mab_hold_object_to_move) Iz_mab_hold_object_to_move();
	if (LIz_mab_move_object_to_place) Iz_mab_move_object_to_place();
	if (LIz_mab_drop_object_once_moved) Iz_mab_drop_object_once_moved();
	if (LIz_mab_already_moved_object) Iz_mab_already_moved_object();
	if (LIz_mab_already_at_place) Iz_mab_already_at_place();
	if (LIz_mab_get_on_floor_to_walk) Iz_mab_get_on_floor_to_walk();
	if (LIz_mab_walk_holding_nothing) Iz_mab_walk_holding_nothing();
	if (LIz_mab_walk_holding_object) Iz_mab_walk_holding_object();
	if (LIz_mab_jump_onto_floor) Iz_mab_jump_onto_floor();
	if (LIz_mab_walk_to_place_to_climb) Iz_mab_walk_to_place_to_climb();
	if (LIz_mab_drop_to_climb) Iz_mab_drop_to_climb();
	if (LIz_mab_climb_indirectly) Iz_mab_climb_indirectly();
	if (LIz_mab_climb_directly) Iz_mab_climb_directly();
	if (LIz_mab_already_on_object) Iz_mab_already_on_object();
	if (LIz_mab_hold_to_eat) Iz_mab_hold_to_eat();
	if (LIz_mab_satisfy_hunger) Iz_mab_satisfy_hunger();

}
void De_mab_hold_object_to_move(vp_thing1)
	int vp_thing1;
{

	add_tail_lent(25, &mab_i_goal_is_to[0].action);
		LIz_mab_hold_chest_to_put_on_floor=TRUE;
		LIz_mab_put_chest_on_floor=TRUE;
		cond0_mab_get_key_to_unlock();
		LIz_mab_get_key_to_unlock=TRUE;
		LIz_mab_move_to_chest_with_key=TRUE;
		LIz_mab_unlock_chest_with_key=TRUE;
		LIz_mab_unlock_chest_to_hold_object=TRUE;
		LIz_mab_use_ladder_to_hold=TRUE;
		cond0_mab_climb_ladder_to_hold();
		LIz_mab_climb_ladder_to_hold=TRUE;
		LIz_mab_grab_object_from_ladder=TRUE;
		LIz_mab_climb_to_hold=TRUE;
		LIz_mab_walk_to_hold=TRUE;
		LIz_mab_drop_to_hold=TRUE;
		LIz_mab_grab_object=TRUE;
		LIz_mab_drop_object=TRUE;
		LIz_mab_unlock_chest_to_move_object=TRUE;
		cond0_mab_hold_object_to_move();
		LIz_mab_hold_object_to_move=TRUE;
		LIz_mab_move_object_to_place=TRUE;
		LIz_mab_drop_object_once_moved=TRUE;
		LIz_mab_already_moved_object=TRUE;
		LIz_mab_already_at_place=TRUE;
		LIz_mab_get_on_floor_to_walk=TRUE;
		cond0_mab_walk_holding_nothing();
		LIz_mab_walk_holding_nothing=TRUE;
		LIz_mab_walk_holding_object=TRUE;
		LIz_mab_jump_onto_floor=TRUE;
		LIz_mab_walk_to_place_to_climb=TRUE;
		cond0_mab_drop_to_climb();
		LIz_mab_drop_to_climb=TRUE;
		LIz_mab_climb_indirectly=TRUE;
		LIz_mab_climb_directly=TRUE;
		LIz_mab_already_on_object=TRUE;
		cond0_mab_hold_to_eat();
		LIz_mab_hold_to_eat=TRUE;
		LIz_mab_satisfy_hunger=TRUE;

	add_tail_lent(mab_i_thing[vp_thing1].name, &mab_i_goal_is_to[0].argument_1);
		LIz_mab_hold_chest_to_put_on_floor=TRUE;
		LIz_mab_put_chest_on_floor=TRUE;
		cond1_mab_get_key_to_unlock(-1);
		LIz_mab_get_key_to_unlock=TRUE;
		LIz_mab_move_to_chest_with_key=TRUE;
		cond4_mab_move_to_chest_with_key(-1);
		LIz_mab_unlock_chest_with_key=TRUE;
		cond6_mab_unlock_chest_with_key(-1);
		cond1_mab_unlock_chest_to_hold_object(-1);
		LIz_mab_unlock_chest_to_hold_object=TRUE;
		LIz_mab_use_ladder_to_hold=TRUE;
		cond1_mab_climb_ladder_to_hold(-1);
		LIz_mab_climb_ladder_to_hold=TRUE;
		LIz_mab_grab_object_from_ladder=TRUE;
		LIz_mab_climb_to_hold=TRUE;
		LIz_mab_walk_to_hold=TRUE;
		LIz_mab_drop_to_hold=TRUE;
		LIz_mab_grab_object=TRUE;
		cond1_mab_drop_object();
		LIz_mab_drop_object=TRUE;
		cond1_mab_unlock_chest_to_move_object(-1);
		LIz_mab_unlock_chest_to_move_object=TRUE;
		LIz_mab_hold_object_to_move=TRUE;
		LIz_mab_move_object_to_place=TRUE;
		LIz_mab_drop_object_once_moved=TRUE;
		LIz_mab_already_moved_object=TRUE;
		cond1_mab_already_at_place();
		LIz_mab_already_at_place=TRUE;
		LIz_mab_get_on_floor_to_walk=TRUE;
		cond1_mab_walk_holding_nothing();
		LIz_mab_walk_holding_nothing=TRUE;
		LIz_mab_walk_holding_object=TRUE;
		cond1_mab_jump_onto_floor();
		LIz_mab_jump_onto_floor=TRUE;
		LIz_mab_walk_to_place_to_climb=TRUE;
		LIz_mab_drop_to_climb=TRUE;
		LIz_mab_climb_indirectly=TRUE;
		cond4_mab_climb_indirectly();
		LIz_mab_climb_directly=TRUE;
		cond1_mab_already_on_object();
		LIz_mab_already_on_object=TRUE;
		cond1_mab_hold_to_eat();
		LIz_mab_hold_to_eat=TRUE;
		cond1_mab_satisfy_hunger();
		LIz_mab_satisfy_hunger=TRUE;

	add_tail_lent(30, &mab_i_goal_is_to[0].argument_2);
		cond2_mab_hold_object_to_move(-1);
		LIz_mab_hold_object_to_move=TRUE;
		cond1_mab_move_object_to_place();
		LIz_mab_move_object_to_place=TRUE;
		cond1_mab_drop_object_once_moved();
		LIz_mab_drop_object_once_moved=TRUE;
		cond2_mab_already_moved_object(-1);
		LIz_mab_already_moved_object=TRUE;

	if (LIz_mab_hold_chest_to_put_on_floor) Iz_mab_hold_chest_to_put_on_floor();
	if (LIz_mab_put_chest_on_floor) Iz_mab_put_chest_on_floor();
	if (LIz_mab_get_key_to_unlock) Iz_mab_get_key_to_unlock();
	if (LIz_mab_move_to_chest_with_key) Iz_mab_move_to_chest_with_key();
	if (LIz_mab_unlock_chest_with_key) Iz_mab_unlock_chest_with_key();
	if (LIz_mab_unlock_chest_to_hold_object) Iz_mab_unlock_chest_to_hold_object();
	if (LIz_mab_use_ladder_to_hold) Iz_mab_use_ladder_to_hold();
	if (LIz_mab_climb_ladder_to_hold) Iz_mab_climb_ladder_to_hold();
	if (LIz_mab_grab_object_from_ladder) Iz_mab_grab_object_from_ladder();
	if (LIz_mab_climb_to_hold) Iz_mab_climb_to_hold();
	if (LIz_mab_walk_to_hold) Iz_mab_walk_to_hold();
	if (LIz_mab_drop_to_hold) Iz_mab_drop_to_hold();
	if (LIz_mab_grab_object) Iz_mab_grab_object();
	if (LIz_mab_drop_object) Iz_mab_drop_object();
	if (LIz_mab_unlock_chest_to_move_object) Iz_mab_unlock_chest_to_move_object();
	if (LIz_mab_hold_object_to_move) Iz_mab_hold_object_to_move();
	if (LIz_mab_move_object_to_place) Iz_mab_move_object_to_place();
	if (LIz_mab_drop_object_once_moved) Iz_mab_drop_object_once_moved();
	if (LIz_mab_already_moved_object) Iz_mab_already_moved_object();
	if (LIz_mab_already_at_place) Iz_mab_already_at_place();
	if (LIz_mab_get_on_floor_to_walk) Iz_mab_get_on_floor_to_walk();
	if (LIz_mab_walk_holding_nothing) Iz_mab_walk_holding_nothing();
	if (LIz_mab_walk_holding_object) Iz_mab_walk_holding_object();
	if (LIz_mab_jump_onto_floor) Iz_mab_jump_onto_floor();
	if (LIz_mab_walk_to_place_to_climb) Iz_mab_walk_to_place_to_climb();
	if (LIz_mab_drop_to_climb) Iz_mab_drop_to_climb();
	if (LIz_mab_climb_indirectly) Iz_mab_climb_indirectly();
	if (LIz_mab_climb_directly) Iz_mab_climb_directly();
	if (LIz_mab_already_on_object) Iz_mab_already_on_object();
	if (LIz_mab_hold_to_eat) Iz_mab_hold_to_eat();
	if (LIz_mab_satisfy_hunger) Iz_mab_satisfy_hunger();

}
void De_mab_drop_object_once_moved(vp_thing1)
	int vp_thing1;
{
	int   cambio_asig[3];
	int   old_value_ent;
	float old_value_real;
	int   iter;

	for(iter=0;iter<3; iter++) cambio_asig[iter]=FALSE;

	printf("Monkey drops the ");
	printf("%d", mab_i_thing[vp_thing1].name);
	printf(".\n");

	old_value_ent=mab_i_monkey[0].holding;
	mab_i_monkey[0].holding=21;
	cambio_asig[0]=	old_value_ent != mab_i_monkey[0].holding;
	if (cambio_asig[0]) {
		LIz_mab_hold_chest_to_put_on_floor=TRUE;
		LIz_mab_put_chest_on_floor=TRUE;
		cond4_mab_get_key_to_unlock(-1);
		LIz_mab_get_key_to_unlock=TRUE;
		cond5_mab_move_to_chest_with_key(-1);
		LIz_mab_move_to_chest_with_key=TRUE;
		cond5_mab_unlock_chest_with_key(-1);
		LIz_mab_unlock_chest_with_key=TRUE;
		LIz_mab_grab_object_from_ladder=TRUE;
		LIz_mab_drop_to_hold=TRUE;
		LIz_mab_grab_object=TRUE;
		LIz_mab_drop_object=TRUE;
		LIz_mab_hold_object_to_move=TRUE;
		LIz_mab_move_object_to_place=TRUE;
		cond3_mab_walk_holding_nothing();
		LIz_mab_walk_holding_nothing=TRUE;
		cond3_mab_walk_holding_object(-1);
		LIz_mab_walk_holding_object=TRUE;
		cond3_mab_drop_to_climb();
		LIz_mab_drop_to_climb=TRUE;
		LIz_mab_climb_indirectly=TRUE;
		LIz_mab_climb_directly=TRUE;
		cond1_mab_hold_to_eat();
		LIz_mab_hold_to_eat=TRUE;
		cond1_mab_satisfy_hunger();
		LIz_mab_satisfy_hunger=TRUE;
	}

	old_value_ent=mab_i_thing[vp_thing1].location;
	mab_i_thing[vp_thing1].location=mab_i_monkey[0].location;
	cambio_asig[1]=	old_value_ent != mab_i_thing[vp_thing1].location;
	if (cambio_asig[1]) {
		LIz_mab_move_to_chest_with_key=TRUE;
		LIz_mab_unlock_chest_with_key=TRUE;
		cond5_mab_climb_ladder_to_hold(vp_thing1,-1);
		cond5_mab_climb_ladder_to_hold(-1,vp_thing1);
		LIz_mab_climb_ladder_to_hold=TRUE;
		LIz_mab_grab_object_from_ladder=TRUE;
		cond2_mab_climb_to_hold(vp_thing1);
		LIz_mab_climb_to_hold=TRUE;
		LIz_mab_walk_to_hold=TRUE;
		LIz_mab_drop_to_hold=TRUE;
		LIz_mab_grab_object=TRUE;
		cond2_mab_hold_object_to_move(vp_thing1);
		LIz_mab_hold_object_to_move=TRUE;
		cond2_mab_already_moved_object(vp_thing1);
		LIz_mab_already_moved_object=TRUE;
		cond2_mab_walk_to_place_to_climb(vp_thing1);
		LIz_mab_walk_to_place_to_climb=TRUE;
		cond2_mab_drop_to_climb(vp_thing1);
		LIz_mab_drop_to_climb=TRUE;
		LIz_mab_climb_indirectly=TRUE;
		LIz_mab_climb_directly=TRUE;
	}

	old_value_ent=mab_i_thing[vp_thing1].on_top_of;
	mab_i_thing[vp_thing1].on_top_of=12;
	cambio_asig[2]=	old_value_ent != mab_i_thing[vp_thing1].on_top_of;
	if (cambio_asig[2]) {
		cond2_mab_hold_chest_to_put_on_floor(vp_thing1);
		LIz_mab_hold_chest_to_put_on_floor=TRUE;
		cond2_mab_get_key_to_unlock(vp_thing1);
		LIz_mab_get_key_to_unlock=TRUE;
		LIz_mab_move_to_chest_with_key=TRUE;
		LIz_mab_unlock_chest_with_key=TRUE;
		LIz_mab_use_ladder_to_hold=TRUE;
		cond2_mab_climb_ladder_to_hold(vp_thing1);
		LIz_mab_climb_ladder_to_hold=TRUE;
		cond6_mab_climb_ladder_to_hold(vp_thing1);
		LIz_mab_grab_object_from_ladder=TRUE;
		LIz_mab_climb_to_hold=TRUE;
		cond2_mab_walk_to_hold(vp_thing1);
		LIz_mab_walk_to_hold=TRUE;
		LIz_mab_drop_to_hold=TRUE;
		LIz_mab_grab_object=TRUE;
		cond3_mab_climb_indirectly(vp_thing1);
		LIz_mab_climb_indirectly=TRUE;
		cond3_mab_climb_directly(vp_thing1);
		LIz_mab_climb_directly=TRUE;
	}

	mab_var_aux=pop_tail_lent(&mab_i_goal_is_to[0].action);
		LIz_mab_hold_chest_to_put_on_floor=TRUE;
		LIz_mab_put_chest_on_floor=TRUE;
		cond0_mab_get_key_to_unlock();
		LIz_mab_get_key_to_unlock=TRUE;
		LIz_mab_move_to_chest_with_key=TRUE;
		LIz_mab_unlock_chest_with_key=TRUE;
		LIz_mab_unlock_chest_to_hold_object=TRUE;
		LIz_mab_use_ladder_to_hold=TRUE;
		cond0_mab_climb_ladder_to_hold();
		LIz_mab_climb_ladder_to_hold=TRUE;
		LIz_mab_grab_object_from_ladder=TRUE;
		LIz_mab_climb_to_hold=TRUE;
		LIz_mab_walk_to_hold=TRUE;
		LIz_mab_drop_to_hold=TRUE;
		LIz_mab_grab_object=TRUE;
		LIz_mab_drop_object=TRUE;
		LIz_mab_unlock_chest_to_move_object=TRUE;
		cond0_mab_hold_object_to_move();
		LIz_mab_hold_object_to_move=TRUE;
		LIz_mab_move_object_to_place=TRUE;
		LIz_mab_drop_object_once_moved=TRUE;
		LIz_mab_already_moved_object=TRUE;
		LIz_mab_already_at_place=TRUE;
		LIz_mab_get_on_floor_to_walk=TRUE;
		cond0_mab_walk_holding_nothing();
		LIz_mab_walk_holding_nothing=TRUE;
		LIz_mab_walk_holding_object=TRUE;
		LIz_mab_jump_onto_floor=TRUE;
		LIz_mab_walk_to_place_to_climb=TRUE;
		cond0_mab_drop_to_climb();
		LIz_mab_drop_to_climb=TRUE;
		LIz_mab_climb_indirectly=TRUE;
		LIz_mab_climb_directly=TRUE;
		LIz_mab_already_on_object=TRUE;
		cond0_mab_hold_to_eat();
		LIz_mab_hold_to_eat=TRUE;
		LIz_mab_satisfy_hunger=TRUE;

	mab_var_aux=pop_tail_lent(&mab_i_goal_is_to[0].argument_1);
		LIz_mab_hold_chest_to_put_on_floor=TRUE;
		LIz_mab_put_chest_on_floor=TRUE;
		cond1_mab_get_key_to_unlock(-1);
		LIz_mab_get_key_to_unlock=TRUE;
		LIz_mab_move_to_chest_with_key=TRUE;
		cond4_mab_move_to_chest_with_key(-1);
		LIz_mab_unlock_chest_with_key=TRUE;
		cond6_mab_unlock_chest_with_key(-1);
		cond1_mab_unlock_chest_to_hold_object(-1);
		LIz_mab_unlock_chest_to_hold_object=TRUE;
		LIz_mab_use_ladder_to_hold=TRUE;
		cond1_mab_climb_ladder_to_hold(-1);
		LIz_mab_climb_ladder_to_hold=TRUE;
		LIz_mab_grab_object_from_ladder=TRUE;
		LIz_mab_climb_to_hold=TRUE;
		LIz_mab_walk_to_hold=TRUE;
		LIz_mab_drop_to_hold=TRUE;
		LIz_mab_grab_object=TRUE;
		cond1_mab_drop_object();
		LIz_mab_drop_object=TRUE;
		cond1_mab_unlock_chest_to_move_object(-1);
		LIz_mab_unlock_chest_to_move_object=TRUE;
		LIz_mab_hold_object_to_move=TRUE;
		LIz_mab_move_object_to_place=TRUE;
		LIz_mab_drop_object_once_moved=TRUE;
		LIz_mab_already_moved_object=TRUE;
		cond1_mab_already_at_place();
		LIz_mab_already_at_place=TRUE;
		LIz_mab_get_on_floor_to_walk=TRUE;
		cond1_mab_walk_holding_nothing();
		LIz_mab_walk_holding_nothing=TRUE;
		LIz_mab_walk_holding_object=TRUE;
		cond1_mab_jump_onto_floor();
		LIz_mab_jump_onto_floor=TRUE;
		LIz_mab_walk_to_place_to_climb=TRUE;
		LIz_mab_drop_to_climb=TRUE;
		LIz_mab_climb_indirectly=TRUE;
		cond4_mab_climb_indirectly();
		LIz_mab_climb_directly=TRUE;
		cond1_mab_already_on_object();
		LIz_mab_already_on_object=TRUE;
		cond1_mab_hold_to_eat();
		LIz_mab_hold_to_eat=TRUE;
		cond1_mab_satisfy_hunger();
		LIz_mab_satisfy_hunger=TRUE;

	mab_var_aux=pop_tail_lent(&mab_i_goal_is_to[0].argument_2);
		cond2_mab_hold_object_to_move(-1);
		LIz_mab_hold_object_to_move=TRUE;
		cond1_mab_move_object_to_place();
		LIz_mab_move_object_to_place=TRUE;
		cond1_mab_drop_object_once_moved();
		LIz_mab_drop_object_once_moved=TRUE;
		cond2_mab_already_moved_object(-1);
		LIz_mab_already_moved_object=TRUE;

	if (LIz_mab_hold_chest_to_put_on_floor) Iz_mab_hold_chest_to_put_on_floor();
	if (LIz_mab_put_chest_on_floor) Iz_mab_put_chest_on_floor();
	if (LIz_mab_get_key_to_unlock) Iz_mab_get_key_to_unlock();
	if (LIz_mab_move_to_chest_with_key) Iz_mab_move_to_chest_with_key();
	if (LIz_mab_unlock_chest_with_key) Iz_mab_unlock_chest_with_key();
	if (LIz_mab_grab_object_from_ladder) Iz_mab_grab_object_from_ladder();
	if (LIz_mab_drop_to_hold) Iz_mab_drop_to_hold();
	if (LIz_mab_grab_object) Iz_mab_grab_object();
	if (LIz_mab_drop_object) Iz_mab_drop_object();
	if (LIz_mab_hold_object_to_move) Iz_mab_hold_object_to_move();
	if (LIz_mab_move_object_to_place) Iz_mab_move_object_to_place();
	if (LIz_mab_walk_holding_nothing) Iz_mab_walk_holding_nothing();
	if (LIz_mab_walk_holding_object) Iz_mab_walk_holding_object();
	if (LIz_mab_drop_to_climb) Iz_mab_drop_to_climb();
	if (LIz_mab_climb_indirectly) Iz_mab_climb_indirectly();
	if (LIz_mab_climb_directly) Iz_mab_climb_directly();
	if (LIz_mab_hold_to_eat) Iz_mab_hold_to_eat();
	if (LIz_mab_satisfy_hunger) Iz_mab_satisfy_hunger();
	if (LIz_mab_climb_ladder_to_hold) Iz_mab_climb_ladder_to_hold();
	if (LIz_mab_climb_to_hold) Iz_mab_climb_to_hold();
	if (LIz_mab_walk_to_hold) Iz_mab_walk_to_hold();
	if (LIz_mab_already_moved_object) Iz_mab_already_moved_object();
	if (LIz_mab_walk_to_place_to_climb) Iz_mab_walk_to_place_to_climb();
	if (LIz_mab_use_ladder_to_hold) Iz_mab_use_ladder_to_hold();
	if (LIz_mab_unlock_chest_to_hold_object) Iz_mab_unlock_chest_to_hold_object();
	if (LIz_mab_unlock_chest_to_move_object) Iz_mab_unlock_chest_to_move_object();
	if (LIz_mab_drop_object_once_moved) Iz_mab_drop_object_once_moved();
	if (LIz_mab_already_at_place) Iz_mab_already_at_place();
	if (LIz_mab_get_on_floor_to_walk) Iz_mab_get_on_floor_to_walk();
	if (LIz_mab_jump_onto_floor) Iz_mab_jump_onto_floor();
	if (LIz_mab_already_on_object) Iz_mab_already_on_object();

}
void De_mab_climb_directly(vp_thing1)
	int vp_thing1;
{
	int   cambio_asig[1];
	int   old_value_ent;
	float old_value_real;
	int   iter;

	for(iter=0;iter<1; iter++) cambio_asig[iter]=FALSE;

	printf("Monkey climbs onto the ");
	printf("%d", mab_i_thing[vp_thing1].name);
	printf(".\n");

	old_value_ent=mab_i_monkey[0].on_top_of;
	mab_i_monkey[0].on_top_of=mab_i_thing[vp_thing1].name;
	cambio_asig[0]=	old_value_ent != mab_i_monkey[0].on_top_of;
	if (cambio_asig[0]) {
		LIz_mab_unlock_chest_with_key=TRUE;
		cond7_mab_climb_ladder_to_hold();
		LIz_mab_climb_ladder_to_hold=TRUE;
		cond7_mab_grab_object_from_ladder();
		LIz_mab_grab_object_from_ladder=TRUE;
		LIz_mab_climb_to_hold=TRUE;
		LIz_mab_drop_to_hold=TRUE;
		LIz_mab_grab_object=TRUE;
		cond2_mab_get_on_floor_to_walk();
		LIz_mab_get_on_floor_to_walk=TRUE;
		cond2_mab_walk_holding_nothing();
		LIz_mab_walk_holding_nothing=TRUE;
		LIz_mab_walk_holding_object=TRUE;
		LIz_mab_jump_onto_floor=TRUE;
		cond3_mab_climb_indirectly(-1);
		LIz_mab_climb_indirectly=TRUE;
		cond4_mab_climb_indirectly();
		cond3_mab_climb_directly(-1);
		LIz_mab_climb_directly=TRUE;
		cond1_mab_already_on_object();
		LIz_mab_already_on_object=TRUE;
	}

	mab_var_aux=pop_tail_lent(&mab_i_goal_is_to[0].action);
		LIz_mab_hold_chest_to_put_on_floor=TRUE;
		LIz_mab_put_chest_on_floor=TRUE;
		cond0_mab_get_key_to_unlock();
		LIz_mab_get_key_to_unlock=TRUE;
		LIz_mab_move_to_chest_with_key=TRUE;
		LIz_mab_unlock_chest_with_key=TRUE;
		LIz_mab_unlock_chest_to_hold_object=TRUE;
		LIz_mab_use_ladder_to_hold=TRUE;
		cond0_mab_climb_ladder_to_hold();
		LIz_mab_climb_ladder_to_hold=TRUE;
		LIz_mab_grab_object_from_ladder=TRUE;
		LIz_mab_climb_to_hold=TRUE;
		LIz_mab_walk_to_hold=TRUE;
		LIz_mab_drop_to_hold=TRUE;
		LIz_mab_grab_object=TRUE;
		LIz_mab_drop_object=TRUE;
		LIz_mab_unlock_chest_to_move_object=TRUE;
		cond0_mab_hold_object_to_move();
		LIz_mab_hold_object_to_move=TRUE;
		LIz_mab_move_object_to_place=TRUE;
		LIz_mab_drop_object_once_moved=TRUE;
		LIz_mab_already_moved_object=TRUE;
		LIz_mab_already_at_place=TRUE;
		LIz_mab_get_on_floor_to_walk=TRUE;
		cond0_mab_walk_holding_nothing();
		LIz_mab_walk_holding_nothing=TRUE;
		LIz_mab_walk_holding_object=TRUE;
		LIz_mab_jump_onto_floor=TRUE;
		LIz_mab_walk_to_place_to_climb=TRUE;
		cond0_mab_drop_to_climb();
		LIz_mab_drop_to_climb=TRUE;
		LIz_mab_climb_indirectly=TRUE;
		LIz_mab_climb_directly=TRUE;
		LIz_mab_already_on_object=TRUE;
		cond0_mab_hold_to_eat();
		LIz_mab_hold_to_eat=TRUE;
		LIz_mab_satisfy_hunger=TRUE;

	mab_var_aux=pop_tail_lent(&mab_i_goal_is_to[0].argument_1);
		LIz_mab_hold_chest_to_put_on_floor=TRUE;
		LIz_mab_put_chest_on_floor=TRUE;
		cond1_mab_get_key_to_unlock(-1);
		LIz_mab_get_key_to_unlock=TRUE;
		LIz_mab_move_to_chest_with_key=TRUE;
		cond4_mab_move_to_chest_with_key(-1);
		LIz_mab_unlock_chest_with_key=TRUE;
		cond6_mab_unlock_chest_with_key(-1);
		cond1_mab_unlock_chest_to_hold_object(-1);
		LIz_mab_unlock_chest_to_hold_object=TRUE;
		LIz_mab_use_ladder_to_hold=TRUE;
		cond1_mab_climb_ladder_to_hold(-1);
		LIz_mab_climb_ladder_to_hold=TRUE;
		LIz_mab_grab_object_from_ladder=TRUE;
		LIz_mab_climb_to_hold=TRUE;
		LIz_mab_walk_to_hold=TRUE;
		LIz_mab_drop_to_hold=TRUE;
		LIz_mab_grab_object=TRUE;
		cond1_mab_drop_object();
		LIz_mab_drop_object=TRUE;
		cond1_mab_unlock_chest_to_move_object(-1);
		LIz_mab_unlock_chest_to_move_object=TRUE;
		LIz_mab_hold_object_to_move=TRUE;
		LIz_mab_move_object_to_place=TRUE;
		LIz_mab_drop_object_once_moved=TRUE;
		LIz_mab_already_moved_object=TRUE;
		cond1_mab_already_at_place();
		LIz_mab_already_at_place=TRUE;
		LIz_mab_get_on_floor_to_walk=TRUE;
		cond1_mab_walk_holding_nothing();
		LIz_mab_walk_holding_nothing=TRUE;
		LIz_mab_walk_holding_object=TRUE;
		cond1_mab_jump_onto_floor();
		LIz_mab_jump_onto_floor=TRUE;
		LIz_mab_walk_to_place_to_climb=TRUE;
		LIz_mab_drop_to_climb=TRUE;
		LIz_mab_climb_indirectly=TRUE;
		cond4_mab_climb_indirectly();
		LIz_mab_climb_directly=TRUE;
		cond1_mab_already_on_object();
		LIz_mab_already_on_object=TRUE;
		cond1_mab_hold_to_eat();
		LIz_mab_hold_to_eat=TRUE;
		cond1_mab_satisfy_hunger();
		LIz_mab_satisfy_hunger=TRUE;

	mab_var_aux=pop_tail_lent(&mab_i_goal_is_to[0].argument_2);
		cond2_mab_hold_object_to_move(-1);
		LIz_mab_hold_object_to_move=TRUE;
		cond1_mab_move_object_to_place();
		LIz_mab_move_object_to_place=TRUE;
		cond1_mab_drop_object_once_moved();
		LIz_mab_drop_object_once_moved=TRUE;
		cond2_mab_already_moved_object(-1);
		LIz_mab_already_moved_object=TRUE;

	if (LIz_mab_unlock_chest_with_key) Iz_mab_unlock_chest_with_key();
	if (LIz_mab_climb_ladder_to_hold) Iz_mab_climb_ladder_to_hold();
	if (LIz_mab_grab_object_from_ladder) Iz_mab_grab_object_from_ladder();
	if (LIz_mab_climb_to_hold) Iz_mab_climb_to_hold();
	if (LIz_mab_drop_to_hold) Iz_mab_drop_to_hold();
	if (LIz_mab_grab_object) Iz_mab_grab_object();
	if (LIz_mab_get_on_floor_to_walk) Iz_mab_get_on_floor_to_walk();
	if (LIz_mab_walk_holding_nothing) Iz_mab_walk_holding_nothing();
	if (LIz_mab_walk_holding_object) Iz_mab_walk_holding_object();
	if (LIz_mab_jump_onto_floor) Iz_mab_jump_onto_floor();
	if (LIz_mab_climb_indirectly) Iz_mab_climb_indirectly();
	if (LIz_mab_climb_directly) Iz_mab_climb_directly();
	if (LIz_mab_already_on_object) Iz_mab_already_on_object();
	if (LIz_mab_hold_chest_to_put_on_floor) Iz_mab_hold_chest_to_put_on_floor();
	if (LIz_mab_put_chest_on_floor) Iz_mab_put_chest_on_floor();
	if (LIz_mab_get_key_to_unlock) Iz_mab_get_key_to_unlock();
	if (LIz_mab_move_to_chest_with_key) Iz_mab_move_to_chest_with_key();
	if (LIz_mab_unlock_chest_to_hold_object) Iz_mab_unlock_chest_to_hold_object();
	if (LIz_mab_use_ladder_to_hold) Iz_mab_use_ladder_to_hold();
	if (LIz_mab_walk_to_hold) Iz_mab_walk_to_hold();
	if (LIz_mab_drop_object) Iz_mab_drop_object();
	if (LIz_mab_unlock_chest_to_move_object) Iz_mab_unlock_chest_to_move_object();
	if (LIz_mab_hold_object_to_move) Iz_mab_hold_object_to_move();
	if (LIz_mab_move_object_to_place) Iz_mab_move_object_to_place();
	if (LIz_mab_drop_object_once_moved) Iz_mab_drop_object_once_moved();
	if (LIz_mab_already_moved_object) Iz_mab_already_moved_object();
	if (LIz_mab_already_at_place) Iz_mab_already_at_place();
	if (LIz_mab_walk_to_place_to_climb) Iz_mab_walk_to_place_to_climb();
	if (LIz_mab_drop_to_climb) Iz_mab_drop_to_climb();
	if (LIz_mab_hold_to_eat) Iz_mab_hold_to_eat();
	if (LIz_mab_satisfy_hunger) Iz_mab_satisfy_hunger();

}
void De_mab_unlock_chest_to_hold_object(vp_chest1)
	int vp_chest1;
{

	add_tail_lent(24, &mab_i_goal_is_to[0].action);
		LIz_mab_hold_chest_to_put_on_floor=TRUE;
		LIz_mab_put_chest_on_floor=TRUE;
		cond0_mab_get_key_to_unlock();
		LIz_mab_get_key_to_unlock=TRUE;
		LIz_mab_move_to_chest_with_key=TRUE;
		LIz_mab_unlock_chest_with_key=TRUE;
		LIz_mab_unlock_chest_to_hold_object=TRUE;
		LIz_mab_use_ladder_to_hold=TRUE;
		cond0_mab_climb_ladder_to_hold();
		LIz_mab_climb_ladder_to_hold=TRUE;
		LIz_mab_grab_object_from_ladder=TRUE;
		LIz_mab_climb_to_hold=TRUE;
		LIz_mab_walk_to_hold=TRUE;
		LIz_mab_drop_to_hold=TRUE;
		LIz_mab_grab_object=TRUE;
		LIz_mab_drop_object=TRUE;
		LIz_mab_unlock_chest_to_move_object=TRUE;
		cond0_mab_hold_object_to_move();
		LIz_mab_hold_object_to_move=TRUE;
		LIz_mab_move_object_to_place=TRUE;
		LIz_mab_drop_object_once_moved=TRUE;
		LIz_mab_already_moved_object=TRUE;
		LIz_mab_already_at_place=TRUE;
		LIz_mab_get_on_floor_to_walk=TRUE;
		cond0_mab_walk_holding_nothing();
		LIz_mab_walk_holding_nothing=TRUE;
		LIz_mab_walk_holding_object=TRUE;
		LIz_mab_jump_onto_floor=TRUE;
		LIz_mab_walk_to_place_to_climb=TRUE;
		cond0_mab_drop_to_climb();
		LIz_mab_drop_to_climb=TRUE;
		LIz_mab_climb_indirectly=TRUE;
		LIz_mab_climb_directly=TRUE;
		LIz_mab_already_on_object=TRUE;
		cond0_mab_hold_to_eat();
		LIz_mab_hold_to_eat=TRUE;
		LIz_mab_satisfy_hunger=TRUE;

	add_tail_lent(mab_i_chest[vp_chest1].name, &mab_i_goal_is_to[0].argument_1);
		LIz_mab_hold_chest_to_put_on_floor=TRUE;
		LIz_mab_put_chest_on_floor=TRUE;
		cond1_mab_get_key_to_unlock(-1);
		LIz_mab_get_key_to_unlock=TRUE;
		LIz_mab_move_to_chest_with_key=TRUE;
		cond4_mab_move_to_chest_with_key(-1);
		LIz_mab_unlock_chest_with_key=TRUE;
		cond6_mab_unlock_chest_with_key(-1);
		cond1_mab_unlock_chest_to_hold_object(-1);
		LIz_mab_unlock_chest_to_hold_object=TRUE;
		LIz_mab_use_ladder_to_hold=TRUE;
		cond1_mab_climb_ladder_to_hold(-1);
		LIz_mab_climb_ladder_to_hold=TRUE;
		LIz_mab_grab_object_from_ladder=TRUE;
		LIz_mab_climb_to_hold=TRUE;
		LIz_mab_walk_to_hold=TRUE;
		LIz_mab_drop_to_hold=TRUE;
		LIz_mab_grab_object=TRUE;
		cond1_mab_drop_object();
		LIz_mab_drop_object=TRUE;
		cond1_mab_unlock_chest_to_move_object(-1);
		LIz_mab_unlock_chest_to_move_object=TRUE;
		LIz_mab_hold_object_to_move=TRUE;
		LIz_mab_move_object_to_place=TRUE;
		LIz_mab_drop_object_once_moved=TRUE;
		LIz_mab_already_moved_object=TRUE;
		cond1_mab_already_at_place();
		LIz_mab_already_at_place=TRUE;
		LIz_mab_get_on_floor_to_walk=TRUE;
		cond1_mab_walk_holding_nothing();
		LIz_mab_walk_holding_nothing=TRUE;
		LIz_mab_walk_holding_object=TRUE;
		cond1_mab_jump_onto_floor();
		LIz_mab_jump_onto_floor=TRUE;
		LIz_mab_walk_to_place_to_climb=TRUE;
		LIz_mab_drop_to_climb=TRUE;
		LIz_mab_climb_indirectly=TRUE;
		cond4_mab_climb_indirectly();
		LIz_mab_climb_directly=TRUE;
		cond1_mab_already_on_object();
		LIz_mab_already_on_object=TRUE;
		cond1_mab_hold_to_eat();
		LIz_mab_hold_to_eat=TRUE;
		cond1_mab_satisfy_hunger();
		LIz_mab_satisfy_hunger=TRUE;

	add_tail_lent(30, &mab_i_goal_is_to[0].argument_2);
		cond2_mab_hold_object_to_move(-1);
		LIz_mab_hold_object_to_move=TRUE;
		cond1_mab_move_object_to_place();
		LIz_mab_move_object_to_place=TRUE;
		cond1_mab_drop_object_once_moved();
		LIz_mab_drop_object_once_moved=TRUE;
		cond2_mab_already_moved_object(-1);
		LIz_mab_already_moved_object=TRUE;

	if (LIz_mab_hold_chest_to_put_on_floor) Iz_mab_hold_chest_to_put_on_floor();
	if (LIz_mab_put_chest_on_floor) Iz_mab_put_chest_on_floor();
	if (LIz_mab_get_key_to_unlock) Iz_mab_get_key_to_unlock();
	if (LIz_mab_move_to_chest_with_key) Iz_mab_move_to_chest_with_key();
	if (LIz_mab_unlock_chest_with_key) Iz_mab_unlock_chest_with_key();
	if (LIz_mab_unlock_chest_to_hold_object) Iz_mab_unlock_chest_to_hold_object();
	if (LIz_mab_use_ladder_to_hold) Iz_mab_use_ladder_to_hold();
	if (LIz_mab_climb_ladder_to_hold) Iz_mab_climb_ladder_to_hold();
	if (LIz_mab_grab_object_from_ladder) Iz_mab_grab_object_from_ladder();
	if (LIz_mab_climb_to_hold) Iz_mab_climb_to_hold();
	if (LIz_mab_walk_to_hold) Iz_mab_walk_to_hold();
	if (LIz_mab_drop_to_hold) Iz_mab_drop_to_hold();
	if (LIz_mab_grab_object) Iz_mab_grab_object();
	if (LIz_mab_drop_object) Iz_mab_drop_object();
	if (LIz_mab_unlock_chest_to_move_object) Iz_mab_unlock_chest_to_move_object();
	if (LIz_mab_hold_object_to_move) Iz_mab_hold_object_to_move();
	if (LIz_mab_move_object_to_place) Iz_mab_move_object_to_place();
	if (LIz_mab_drop_object_once_moved) Iz_mab_drop_object_once_moved();
	if (LIz_mab_already_moved_object) Iz_mab_already_moved_object();
	if (LIz_mab_already_at_place) Iz_mab_already_at_place();
	if (LIz_mab_get_on_floor_to_walk) Iz_mab_get_on_floor_to_walk();
	if (LIz_mab_walk_holding_nothing) Iz_mab_walk_holding_nothing();
	if (LIz_mab_walk_holding_object) Iz_mab_walk_holding_object();
	if (LIz_mab_jump_onto_floor) Iz_mab_jump_onto_floor();
	if (LIz_mab_walk_to_place_to_climb) Iz_mab_walk_to_place_to_climb();
	if (LIz_mab_drop_to_climb) Iz_mab_drop_to_climb();
	if (LIz_mab_climb_indirectly) Iz_mab_climb_indirectly();
	if (LIz_mab_climb_directly) Iz_mab_climb_directly();
	if (LIz_mab_already_on_object) Iz_mab_already_on_object();
	if (LIz_mab_hold_to_eat) Iz_mab_hold_to_eat();
	if (LIz_mab_satisfy_hunger) Iz_mab_satisfy_hunger();

}
void De_mab_already_moved_object(vp_thing1)
	int vp_thing1;
{

	mab_var_aux=pop_tail_lent(&mab_i_goal_is_to[0].action);
		LIz_mab_hold_chest_to_put_on_floor=TRUE;
		LIz_mab_put_chest_on_floor=TRUE;
		cond0_mab_get_key_to_unlock();
		LIz_mab_get_key_to_unlock=TRUE;
		LIz_mab_move_to_chest_with_key=TRUE;
		LIz_mab_unlock_chest_with_key=TRUE;
		LIz_mab_unlock_chest_to_hold_object=TRUE;
		LIz_mab_use_ladder_to_hold=TRUE;
		cond0_mab_climb_ladder_to_hold();
		LIz_mab_climb_ladder_to_hold=TRUE;
		LIz_mab_grab_object_from_ladder=TRUE;
		LIz_mab_climb_to_hold=TRUE;
		LIz_mab_walk_to_hold=TRUE;
		LIz_mab_drop_to_hold=TRUE;
		LIz_mab_grab_object=TRUE;
		LIz_mab_drop_object=TRUE;
		LIz_mab_unlock_chest_to_move_object=TRUE;
		cond0_mab_hold_object_to_move();
		LIz_mab_hold_object_to_move=TRUE;
		LIz_mab_move_object_to_place=TRUE;
		LIz_mab_drop_object_once_moved=TRUE;
		LIz_mab_already_moved_object=TRUE;
		LIz_mab_already_at_place=TRUE;
		LIz_mab_get_on_floor_to_walk=TRUE;
		cond0_mab_walk_holding_nothing();
		LIz_mab_walk_holding_nothing=TRUE;
		LIz_mab_walk_holding_object=TRUE;
		LIz_mab_jump_onto_floor=TRUE;
		LIz_mab_walk_to_place_to_climb=TRUE;
		cond0_mab_drop_to_climb();
		LIz_mab_drop_to_climb=TRUE;
		LIz_mab_climb_indirectly=TRUE;
		LIz_mab_climb_directly=TRUE;
		LIz_mab_already_on_object=TRUE;
		cond0_mab_hold_to_eat();
		LIz_mab_hold_to_eat=TRUE;
		LIz_mab_satisfy_hunger=TRUE;

	mab_var_aux=pop_tail_lent(&mab_i_goal_is_to[0].argument_1);
		LIz_mab_hold_chest_to_put_on_floor=TRUE;
		LIz_mab_put_chest_on_floor=TRUE;
		cond1_mab_get_key_to_unlock(-1);
		LIz_mab_get_key_to_unlock=TRUE;
		LIz_mab_move_to_chest_with_key=TRUE;
		cond4_mab_move_to_chest_with_key(-1);
		LIz_mab_unlock_chest_with_key=TRUE;
		cond6_mab_unlock_chest_with_key(-1);
		cond1_mab_unlock_chest_to_hold_object(-1);
		LIz_mab_unlock_chest_to_hold_object=TRUE;
		LIz_mab_use_ladder_to_hold=TRUE;
		cond1_mab_climb_ladder_to_hold(-1);
		LIz_mab_climb_ladder_to_hold=TRUE;
		LIz_mab_grab_object_from_ladder=TRUE;
		LIz_mab_climb_to_hold=TRUE;
		LIz_mab_walk_to_hold=TRUE;
		LIz_mab_drop_to_hold=TRUE;
		LIz_mab_grab_object=TRUE;
		cond1_mab_drop_object();
		LIz_mab_drop_object=TRUE;
		cond1_mab_unlock_chest_to_move_object(-1);
		LIz_mab_unlock_chest_to_move_object=TRUE;
		LIz_mab_hold_object_to_move=TRUE;
		LIz_mab_move_object_to_place=TRUE;
		LIz_mab_drop_object_once_moved=TRUE;
		LIz_mab_already_moved_object=TRUE;
		cond1_mab_already_at_place();
		LIz_mab_already_at_place=TRUE;
		LIz_mab_get_on_floor_to_walk=TRUE;
		cond1_mab_walk_holding_nothing();
		LIz_mab_walk_holding_nothing=TRUE;
		LIz_mab_walk_holding_object=TRUE;
		cond1_mab_jump_onto_floor();
		LIz_mab_jump_onto_floor=TRUE;
		LIz_mab_walk_to_place_to_climb=TRUE;
		LIz_mab_drop_to_climb=TRUE;
		LIz_mab_climb_indirectly=TRUE;
		cond4_mab_climb_indirectly();
		LIz_mab_climb_directly=TRUE;
		cond1_mab_already_on_object();
		LIz_mab_already_on_object=TRUE;
		cond1_mab_hold_to_eat();
		LIz_mab_hold_to_eat=TRUE;
		cond1_mab_satisfy_hunger();
		LIz_mab_satisfy_hunger=TRUE;

	mab_var_aux=pop_tail_lent(&mab_i_goal_is_to[0].argument_2);
		cond2_mab_hold_object_to_move(-1);
		LIz_mab_hold_object_to_move=TRUE;
		cond1_mab_move_object_to_place();
		LIz_mab_move_object_to_place=TRUE;
		cond1_mab_drop_object_once_moved();
		LIz_mab_drop_object_once_moved=TRUE;
		cond2_mab_already_moved_object(-1);
		LIz_mab_already_moved_object=TRUE;

	if (LIz_mab_hold_chest_to_put_on_floor) Iz_mab_hold_chest_to_put_on_floor();
	if (LIz_mab_put_chest_on_floor) Iz_mab_put_chest_on_floor();
	if (LIz_mab_get_key_to_unlock) Iz_mab_get_key_to_unlock();
	if (LIz_mab_move_to_chest_with_key) Iz_mab_move_to_chest_with_key();
	if (LIz_mab_unlock_chest_with_key) Iz_mab_unlock_chest_with_key();
	if (LIz_mab_unlock_chest_to_hold_object) Iz_mab_unlock_chest_to_hold_object();
	if (LIz_mab_use_ladder_to_hold) Iz_mab_use_ladder_to_hold();
	if (LIz_mab_climb_ladder_to_hold) Iz_mab_climb_ladder_to_hold();
	if (LIz_mab_grab_object_from_ladder) Iz_mab_grab_object_from_ladder();
	if (LIz_mab_climb_to_hold) Iz_mab_climb_to_hold();
	if (LIz_mab_walk_to_hold) Iz_mab_walk_to_hold();
	if (LIz_mab_drop_to_hold) Iz_mab_drop_to_hold();
	if (LIz_mab_grab_object) Iz_mab_grab_object();
	if (LIz_mab_drop_object) Iz_mab_drop_object();
	if (LIz_mab_unlock_chest_to_move_object) Iz_mab_unlock_chest_to_move_object();
	if (LIz_mab_hold_object_to_move) Iz_mab_hold_object_to_move();
	if (LIz_mab_move_object_to_place) Iz_mab_move_object_to_place();
	if (LIz_mab_drop_object_once_moved) Iz_mab_drop_object_once_moved();
	if (LIz_mab_already_moved_object) Iz_mab_already_moved_object();
	if (LIz_mab_already_at_place) Iz_mab_already_at_place();
	if (LIz_mab_get_on_floor_to_walk) Iz_mab_get_on_floor_to_walk();
	if (LIz_mab_walk_holding_nothing) Iz_mab_walk_holding_nothing();
	if (LIz_mab_walk_holding_object) Iz_mab_walk_holding_object();
	if (LIz_mab_jump_onto_floor) Iz_mab_jump_onto_floor();
	if (LIz_mab_walk_to_place_to_climb) Iz_mab_walk_to_place_to_climb();
	if (LIz_mab_drop_to_climb) Iz_mab_drop_to_climb();
	if (LIz_mab_climb_indirectly) Iz_mab_climb_indirectly();
	if (LIz_mab_climb_directly) Iz_mab_climb_directly();
	if (LIz_mab_already_on_object) Iz_mab_already_on_object();
	if (LIz_mab_hold_to_eat) Iz_mab_hold_to_eat();
	if (LIz_mab_satisfy_hunger) Iz_mab_satisfy_hunger();

}
void De_mab_move_object_to_place()
{

	add_tail_lent(26, &mab_i_goal_is_to[0].action);
		LIz_mab_hold_chest_to_put_on_floor=TRUE;
		LIz_mab_put_chest_on_floor=TRUE;
		cond0_mab_get_key_to_unlock();
		LIz_mab_get_key_to_unlock=TRUE;
		LIz_mab_move_to_chest_with_key=TRUE;
		LIz_mab_unlock_chest_with_key=TRUE;
		LIz_mab_unlock_chest_to_hold_object=TRUE;
		LIz_mab_use_ladder_to_hold=TRUE;
		cond0_mab_climb_ladder_to_hold();
		LIz_mab_climb_ladder_to_hold=TRUE;
		LIz_mab_grab_object_from_ladder=TRUE;
		LIz_mab_climb_to_hold=TRUE;
		LIz_mab_walk_to_hold=TRUE;
		LIz_mab_drop_to_hold=TRUE;
		LIz_mab_grab_object=TRUE;
		LIz_mab_drop_object=TRUE;
		LIz_mab_unlock_chest_to_move_object=TRUE;
		cond0_mab_hold_object_to_move();
		LIz_mab_hold_object_to_move=TRUE;
		LIz_mab_move_object_to_place=TRUE;
		LIz_mab_drop_object_once_moved=TRUE;
		LIz_mab_already_moved_object=TRUE;
		LIz_mab_already_at_place=TRUE;
		LIz_mab_get_on_floor_to_walk=TRUE;
		cond0_mab_walk_holding_nothing();
		LIz_mab_walk_holding_nothing=TRUE;
		LIz_mab_walk_holding_object=TRUE;
		LIz_mab_jump_onto_floor=TRUE;
		LIz_mab_walk_to_place_to_climb=TRUE;
		cond0_mab_drop_to_climb();
		LIz_mab_drop_to_climb=TRUE;
		LIz_mab_climb_indirectly=TRUE;
		LIz_mab_climb_directly=TRUE;
		LIz_mab_already_on_object=TRUE;
		cond0_mab_hold_to_eat();
		LIz_mab_hold_to_eat=TRUE;
		LIz_mab_satisfy_hunger=TRUE;

	add_tail_lent(tail_lent(&mab_i_goal_is_to[0].argument_2), &mab_i_goal_is_to[0].argument_1);
		LIz_mab_hold_chest_to_put_on_floor=TRUE;
		LIz_mab_put_chest_on_floor=TRUE;
		cond1_mab_get_key_to_unlock(-1);
		LIz_mab_get_key_to_unlock=TRUE;
		LIz_mab_move_to_chest_with_key=TRUE;
		cond4_mab_move_to_chest_with_key(-1);
		LIz_mab_unlock_chest_with_key=TRUE;
		cond6_mab_unlock_chest_with_key(-1);
		cond1_mab_unlock_chest_to_hold_object(-1);
		LIz_mab_unlock_chest_to_hold_object=TRUE;
		LIz_mab_use_ladder_to_hold=TRUE;
		cond1_mab_climb_ladder_to_hold(-1);
		LIz_mab_climb_ladder_to_hold=TRUE;
		LIz_mab_grab_object_from_ladder=TRUE;
		LIz_mab_climb_to_hold=TRUE;
		LIz_mab_walk_to_hold=TRUE;
		LIz_mab_drop_to_hold=TRUE;
		LIz_mab_grab_object=TRUE;
		cond1_mab_drop_object();
		LIz_mab_drop_object=TRUE;
		cond1_mab_unlock_chest_to_move_object(-1);
		LIz_mab_unlock_chest_to_move_object=TRUE;
		LIz_mab_hold_object_to_move=TRUE;
		LIz_mab_move_object_to_place=TRUE;
		LIz_mab_drop_object_once_moved=TRUE;
		LIz_mab_already_moved_object=TRUE;
		cond1_mab_already_at_place();
		LIz_mab_already_at_place=TRUE;
		LIz_mab_get_on_floor_to_walk=TRUE;
		cond1_mab_walk_holding_nothing();
		LIz_mab_walk_holding_nothing=TRUE;
		LIz_mab_walk_holding_object=TRUE;
		cond1_mab_jump_onto_floor();
		LIz_mab_jump_onto_floor=TRUE;
		LIz_mab_walk_to_place_to_climb=TRUE;
		LIz_mab_drop_to_climb=TRUE;
		LIz_mab_climb_indirectly=TRUE;
		cond4_mab_climb_indirectly();
		LIz_mab_climb_directly=TRUE;
		cond1_mab_already_on_object();
		LIz_mab_already_on_object=TRUE;
		cond1_mab_hold_to_eat();
		LIz_mab_hold_to_eat=TRUE;
		cond1_mab_satisfy_hunger();
		LIz_mab_satisfy_hunger=TRUE;

	add_tail_lent(30, &mab_i_goal_is_to[0].argument_2);
		cond2_mab_hold_object_to_move(-1);
		LIz_mab_hold_object_to_move=TRUE;
		cond1_mab_move_object_to_place();
		LIz_mab_move_object_to_place=TRUE;
		cond1_mab_drop_object_once_moved();
		LIz_mab_drop_object_once_moved=TRUE;
		cond2_mab_already_moved_object(-1);
		LIz_mab_already_moved_object=TRUE;

	if (LIz_mab_hold_chest_to_put_on_floor) Iz_mab_hold_chest_to_put_on_floor();
	if (LIz_mab_put_chest_on_floor) Iz_mab_put_chest_on_floor();
	if (LIz_mab_get_key_to_unlock) Iz_mab_get_key_to_unlock();
	if (LIz_mab_move_to_chest_with_key) Iz_mab_move_to_chest_with_key();
	if (LIz_mab_unlock_chest_with_key) Iz_mab_unlock_chest_with_key();
	if (LIz_mab_unlock_chest_to_hold_object) Iz_mab_unlock_chest_to_hold_object();
	if (LIz_mab_use_ladder_to_hold) Iz_mab_use_ladder_to_hold();
	if (LIz_mab_climb_ladder_to_hold) Iz_mab_climb_ladder_to_hold();
	if (LIz_mab_grab_object_from_ladder) Iz_mab_grab_object_from_ladder();
	if (LIz_mab_climb_to_hold) Iz_mab_climb_to_hold();
	if (LIz_mab_walk_to_hold) Iz_mab_walk_to_hold();
	if (LIz_mab_drop_to_hold) Iz_mab_drop_to_hold();
	if (LIz_mab_grab_object) Iz_mab_grab_object();
	if (LIz_mab_drop_object) Iz_mab_drop_object();
	if (LIz_mab_unlock_chest_to_move_object) Iz_mab_unlock_chest_to_move_object();
	if (LIz_mab_hold_object_to_move) Iz_mab_hold_object_to_move();
	if (LIz_mab_move_object_to_place) Iz_mab_move_object_to_place();
	if (LIz_mab_drop_object_once_moved) Iz_mab_drop_object_once_moved();
	if (LIz_mab_already_moved_object) Iz_mab_already_moved_object();
	if (LIz_mab_already_at_place) Iz_mab_already_at_place();
	if (LIz_mab_get_on_floor_to_walk) Iz_mab_get_on_floor_to_walk();
	if (LIz_mab_walk_holding_nothing) Iz_mab_walk_holding_nothing();
	if (LIz_mab_walk_holding_object) Iz_mab_walk_holding_object();
	if (LIz_mab_jump_onto_floor) Iz_mab_jump_onto_floor();
	if (LIz_mab_walk_to_place_to_climb) Iz_mab_walk_to_place_to_climb();
	if (LIz_mab_drop_to_climb) Iz_mab_drop_to_climb();
	if (LIz_mab_climb_indirectly) Iz_mab_climb_indirectly();
	if (LIz_mab_climb_directly) Iz_mab_climb_directly();
	if (LIz_mab_already_on_object) Iz_mab_already_on_object();
	if (LIz_mab_hold_to_eat) Iz_mab_hold_to_eat();
	if (LIz_mab_satisfy_hunger) Iz_mab_satisfy_hunger();

}
void De_mab_already_at_place()
{

	mab_var_aux=pop_tail_lent(&mab_i_goal_is_to[0].action);
		LIz_mab_hold_chest_to_put_on_floor=TRUE;
		LIz_mab_put_chest_on_floor=TRUE;
		cond0_mab_get_key_to_unlock();
		LIz_mab_get_key_to_unlock=TRUE;
		LIz_mab_move_to_chest_with_key=TRUE;
		LIz_mab_unlock_chest_with_key=TRUE;
		LIz_mab_unlock_chest_to_hold_object=TRUE;
		LIz_mab_use_ladder_to_hold=TRUE;
		cond0_mab_climb_ladder_to_hold();
		LIz_mab_climb_ladder_to_hold=TRUE;
		LIz_mab_grab_object_from_ladder=TRUE;
		LIz_mab_climb_to_hold=TRUE;
		LIz_mab_walk_to_hold=TRUE;
		LIz_mab_drop_to_hold=TRUE;
		LIz_mab_grab_object=TRUE;
		LIz_mab_drop_object=TRUE;
		LIz_mab_unlock_chest_to_move_object=TRUE;
		cond0_mab_hold_object_to_move();
		LIz_mab_hold_object_to_move=TRUE;
		LIz_mab_move_object_to_place=TRUE;
		LIz_mab_drop_object_once_moved=TRUE;
		LIz_mab_already_moved_object=TRUE;
		LIz_mab_already_at_place=TRUE;
		LIz_mab_get_on_floor_to_walk=TRUE;
		cond0_mab_walk_holding_nothing();
		LIz_mab_walk_holding_nothing=TRUE;
		LIz_mab_walk_holding_object=TRUE;
		LIz_mab_jump_onto_floor=TRUE;
		LIz_mab_walk_to_place_to_climb=TRUE;
		cond0_mab_drop_to_climb();
		LIz_mab_drop_to_climb=TRUE;
		LIz_mab_climb_indirectly=TRUE;
		LIz_mab_climb_directly=TRUE;
		LIz_mab_already_on_object=TRUE;
		cond0_mab_hold_to_eat();
		LIz_mab_hold_to_eat=TRUE;
		LIz_mab_satisfy_hunger=TRUE;

	mab_var_aux=pop_tail_lent(&mab_i_goal_is_to[0].argument_1);
		LIz_mab_hold_chest_to_put_on_floor=TRUE;
		LIz_mab_put_chest_on_floor=TRUE;
		cond1_mab_get_key_to_unlock(-1);
		LIz_mab_get_key_to_unlock=TRUE;
		LIz_mab_move_to_chest_with_key=TRUE;
		cond4_mab_move_to_chest_with_key(-1);
		LIz_mab_unlock_chest_with_key=TRUE;
		cond6_mab_unlock_chest_with_key(-1);
		cond1_mab_unlock_chest_to_hold_object(-1);
		LIz_mab_unlock_chest_to_hold_object=TRUE;
		LIz_mab_use_ladder_to_hold=TRUE;
		cond1_mab_climb_ladder_to_hold(-1);
		LIz_mab_climb_ladder_to_hold=TRUE;
		LIz_mab_grab_object_from_ladder=TRUE;
		LIz_mab_climb_to_hold=TRUE;
		LIz_mab_walk_to_hold=TRUE;
		LIz_mab_drop_to_hold=TRUE;
		LIz_mab_grab_object=TRUE;
		cond1_mab_drop_object();
		LIz_mab_drop_object=TRUE;
		cond1_mab_unlock_chest_to_move_object(-1);
		LIz_mab_unlock_chest_to_move_object=TRUE;
		LIz_mab_hold_object_to_move=TRUE;
		LIz_mab_move_object_to_place=TRUE;
		LIz_mab_drop_object_once_moved=TRUE;
		LIz_mab_already_moved_object=TRUE;
		cond1_mab_already_at_place();
		LIz_mab_already_at_place=TRUE;
		LIz_mab_get_on_floor_to_walk=TRUE;
		cond1_mab_walk_holding_nothing();
		LIz_mab_walk_holding_nothing=TRUE;
		LIz_mab_walk_holding_object=TRUE;
		cond1_mab_jump_onto_floor();
		LIz_mab_jump_onto_floor=TRUE;
		LIz_mab_walk_to_place_to_climb=TRUE;
		LIz_mab_drop_to_climb=TRUE;
		LIz_mab_climb_indirectly=TRUE;
		cond4_mab_climb_indirectly();
		LIz_mab_climb_directly=TRUE;
		cond1_mab_already_on_object();
		LIz_mab_already_on_object=TRUE;
		cond1_mab_hold_to_eat();
		LIz_mab_hold_to_eat=TRUE;
		cond1_mab_satisfy_hunger();
		LIz_mab_satisfy_hunger=TRUE;

	mab_var_aux=pop_tail_lent(&mab_i_goal_is_to[0].argument_2);
		cond2_mab_hold_object_to_move(-1);
		LIz_mab_hold_object_to_move=TRUE;
		cond1_mab_move_object_to_place();
		LIz_mab_move_object_to_place=TRUE;
		cond1_mab_drop_object_once_moved();
		LIz_mab_drop_object_once_moved=TRUE;
		cond2_mab_already_moved_object(-1);
		LIz_mab_already_moved_object=TRUE;

	if (LIz_mab_hold_chest_to_put_on_floor) Iz_mab_hold_chest_to_put_on_floor();
	if (LIz_mab_put_chest_on_floor) Iz_mab_put_chest_on_floor();
	if (LIz_mab_get_key_to_unlock) Iz_mab_get_key_to_unlock();
	if (LIz_mab_move_to_chest_with_key) Iz_mab_move_to_chest_with_key();
	if (LIz_mab_unlock_chest_with_key) Iz_mab_unlock_chest_with_key();
	if (LIz_mab_unlock_chest_to_hold_object) Iz_mab_unlock_chest_to_hold_object();
	if (LIz_mab_use_ladder_to_hold) Iz_mab_use_ladder_to_hold();
	if (LIz_mab_climb_ladder_to_hold) Iz_mab_climb_ladder_to_hold();
	if (LIz_mab_grab_object_from_ladder) Iz_mab_grab_object_from_ladder();
	if (LIz_mab_climb_to_hold) Iz_mab_climb_to_hold();
	if (LIz_mab_walk_to_hold) Iz_mab_walk_to_hold();
	if (LIz_mab_drop_to_hold) Iz_mab_drop_to_hold();
	if (LIz_mab_grab_object) Iz_mab_grab_object();
	if (LIz_mab_drop_object) Iz_mab_drop_object();
	if (LIz_mab_unlock_chest_to_move_object) Iz_mab_unlock_chest_to_move_object();
	if (LIz_mab_hold_object_to_move) Iz_mab_hold_object_to_move();
	if (LIz_mab_move_object_to_place) Iz_mab_move_object_to_place();
	if (LIz_mab_drop_object_once_moved) Iz_mab_drop_object_once_moved();
	if (LIz_mab_already_moved_object) Iz_mab_already_moved_object();
	if (LIz_mab_already_at_place) Iz_mab_already_at_place();
	if (LIz_mab_get_on_floor_to_walk) Iz_mab_get_on_floor_to_walk();
	if (LIz_mab_walk_holding_nothing) Iz_mab_walk_holding_nothing();
	if (LIz_mab_walk_holding_object) Iz_mab_walk_holding_object();
	if (LIz_mab_jump_onto_floor) Iz_mab_jump_onto_floor();
	if (LIz_mab_walk_to_place_to_climb) Iz_mab_walk_to_place_to_climb();
	if (LIz_mab_drop_to_climb) Iz_mab_drop_to_climb();
	if (LIz_mab_climb_indirectly) Iz_mab_climb_indirectly();
	if (LIz_mab_climb_directly) Iz_mab_climb_directly();
	if (LIz_mab_already_on_object) Iz_mab_already_on_object();
	if (LIz_mab_hold_to_eat) Iz_mab_hold_to_eat();
	if (LIz_mab_satisfy_hunger) Iz_mab_satisfy_hunger();

}
void De_mab_put_chest_on_floor(vp_thing1)
	int vp_thing1;
{
	int   cambio_asig[3];
	int   old_value_ent;
	float old_value_real;
	int   iter;

	for(iter=0;iter<3; iter++) cambio_asig[iter]=FALSE;

	printf("Monkey throws the ");
	printf("%d", mab_i_monkey[0].holding);
	printf(" off the ");
	printf("%d", mab_i_monkey[0].on_top_of);
	printf(" onto the floor\n");

	old_value_ent=mab_i_monkey[0].holding;
	mab_i_monkey[0].holding=21;
	cambio_asig[0]=	old_value_ent != mab_i_monkey[0].holding;
	if (cambio_asig[0]) {
		LIz_mab_hold_chest_to_put_on_floor=TRUE;
		LIz_mab_put_chest_on_floor=TRUE;
		cond4_mab_get_key_to_unlock(-1);
		LIz_mab_get_key_to_unlock=TRUE;
		cond5_mab_move_to_chest_with_key(-1);
		LIz_mab_move_to_chest_with_key=TRUE;
		cond5_mab_unlock_chest_with_key(-1);
		LIz_mab_unlock_chest_with_key=TRUE;
		LIz_mab_grab_object_from_ladder=TRUE;
		LIz_mab_drop_to_hold=TRUE;
		LIz_mab_grab_object=TRUE;
		LIz_mab_drop_object=TRUE;
		LIz_mab_hold_object_to_move=TRUE;
		LIz_mab_move_object_to_place=TRUE;
		cond3_mab_walk_holding_nothing();
		LIz_mab_walk_holding_nothing=TRUE;
		cond3_mab_walk_holding_object(-1);
		LIz_mab_walk_holding_object=TRUE;
		cond3_mab_drop_to_climb();
		LIz_mab_drop_to_climb=TRUE;
		LIz_mab_climb_indirectly=TRUE;
		LIz_mab_climb_directly=TRUE;
		cond1_mab_hold_to_eat();
		LIz_mab_hold_to_eat=TRUE;
		cond1_mab_satisfy_hunger();
		LIz_mab_satisfy_hunger=TRUE;
	}

	old_value_ent=mab_i_thing[vp_thing1].location;
	mab_i_thing[vp_thing1].location=mab_i_monkey[0].location;
	cambio_asig[1]=	old_value_ent != mab_i_thing[vp_thing1].location;
	if (cambio_asig[1]) {
		LIz_mab_move_to_chest_with_key=TRUE;
		LIz_mab_unlock_chest_with_key=TRUE;
		cond5_mab_climb_ladder_to_hold(vp_thing1,-1);
		cond5_mab_climb_ladder_to_hold(-1,vp_thing1);
		LIz_mab_climb_ladder_to_hold=TRUE;
		LIz_mab_grab_object_from_ladder=TRUE;
		cond2_mab_climb_to_hold(vp_thing1);
		LIz_mab_climb_to_hold=TRUE;
		LIz_mab_walk_to_hold=TRUE;
		LIz_mab_drop_to_hold=TRUE;
		LIz_mab_grab_object=TRUE;
		cond2_mab_hold_object_to_move(vp_thing1);
		LIz_mab_hold_object_to_move=TRUE;
		cond2_mab_already_moved_object(vp_thing1);
		LIz_mab_already_moved_object=TRUE;
		cond2_mab_walk_to_place_to_climb(vp_thing1);
		LIz_mab_walk_to_place_to_climb=TRUE;
		cond2_mab_drop_to_climb(vp_thing1);
		LIz_mab_drop_to_climb=TRUE;
		LIz_mab_climb_indirectly=TRUE;
		LIz_mab_climb_directly=TRUE;
	}

	old_value_ent=mab_i_thing[vp_thing1].on_top_of;
	mab_i_thing[vp_thing1].on_top_of=12;
	cambio_asig[2]=	old_value_ent != mab_i_thing[vp_thing1].on_top_of;
	if (cambio_asig[2]) {
		cond2_mab_hold_chest_to_put_on_floor(vp_thing1);
		LIz_mab_hold_chest_to_put_on_floor=TRUE;
		cond2_mab_get_key_to_unlock(vp_thing1);
		LIz_mab_get_key_to_unlock=TRUE;
		LIz_mab_move_to_chest_with_key=TRUE;
		LIz_mab_unlock_chest_with_key=TRUE;
		LIz_mab_use_ladder_to_hold=TRUE;
		cond2_mab_climb_ladder_to_hold(vp_thing1);
		LIz_mab_climb_ladder_to_hold=TRUE;
		cond6_mab_climb_ladder_to_hold(vp_thing1);
		LIz_mab_grab_object_from_ladder=TRUE;
		LIz_mab_climb_to_hold=TRUE;
		cond2_mab_walk_to_hold(vp_thing1);
		LIz_mab_walk_to_hold=TRUE;
		LIz_mab_drop_to_hold=TRUE;
		LIz_mab_grab_object=TRUE;
		cond3_mab_climb_indirectly(vp_thing1);
		LIz_mab_climb_indirectly=TRUE;
		cond3_mab_climb_directly(vp_thing1);
		LIz_mab_climb_directly=TRUE;
	}

	if (LIz_mab_hold_chest_to_put_on_floor) Iz_mab_hold_chest_to_put_on_floor();
	if (LIz_mab_put_chest_on_floor) Iz_mab_put_chest_on_floor();
	if (LIz_mab_get_key_to_unlock) Iz_mab_get_key_to_unlock();
	if (LIz_mab_move_to_chest_with_key) Iz_mab_move_to_chest_with_key();
	if (LIz_mab_unlock_chest_with_key) Iz_mab_unlock_chest_with_key();
	if (LIz_mab_grab_object_from_ladder) Iz_mab_grab_object_from_ladder();
	if (LIz_mab_drop_to_hold) Iz_mab_drop_to_hold();
	if (LIz_mab_grab_object) Iz_mab_grab_object();
	if (LIz_mab_drop_object) Iz_mab_drop_object();
	if (LIz_mab_hold_object_to_move) Iz_mab_hold_object_to_move();
	if (LIz_mab_move_object_to_place) Iz_mab_move_object_to_place();
	if (LIz_mab_walk_holding_nothing) Iz_mab_walk_holding_nothing();
	if (LIz_mab_walk_holding_object) Iz_mab_walk_holding_object();
	if (LIz_mab_drop_to_climb) Iz_mab_drop_to_climb();
	if (LIz_mab_climb_indirectly) Iz_mab_climb_indirectly();
	if (LIz_mab_climb_directly) Iz_mab_climb_directly();
	if (LIz_mab_hold_to_eat) Iz_mab_hold_to_eat();
	if (LIz_mab_satisfy_hunger) Iz_mab_satisfy_hunger();
	if (LIz_mab_climb_ladder_to_hold) Iz_mab_climb_ladder_to_hold();
	if (LIz_mab_climb_to_hold) Iz_mab_climb_to_hold();
	if (LIz_mab_walk_to_hold) Iz_mab_walk_to_hold();
	if (LIz_mab_already_moved_object) Iz_mab_already_moved_object();
	if (LIz_mab_walk_to_place_to_climb) Iz_mab_walk_to_place_to_climb();
	if (LIz_mab_use_ladder_to_hold) Iz_mab_use_ladder_to_hold();

}
void De_mab_hold_chest_to_put_on_floor(vp_thing1)
	int vp_thing1;
{

	add_tail_lent(25, &mab_i_goal_is_to[0].action);
		LIz_mab_hold_chest_to_put_on_floor=TRUE;
		LIz_mab_put_chest_on_floor=TRUE;
		cond0_mab_get_key_to_unlock();
		LIz_mab_get_key_to_unlock=TRUE;
		LIz_mab_move_to_chest_with_key=TRUE;
		LIz_mab_unlock_chest_with_key=TRUE;
		LIz_mab_unlock_chest_to_hold_object=TRUE;
		LIz_mab_use_ladder_to_hold=TRUE;
		cond0_mab_climb_ladder_to_hold();
		LIz_mab_climb_ladder_to_hold=TRUE;
		LIz_mab_grab_object_from_ladder=TRUE;
		LIz_mab_climb_to_hold=TRUE;
		LIz_mab_walk_to_hold=TRUE;
		LIz_mab_drop_to_hold=TRUE;
		LIz_mab_grab_object=TRUE;
		LIz_mab_drop_object=TRUE;
		LIz_mab_unlock_chest_to_move_object=TRUE;
		cond0_mab_hold_object_to_move();
		LIz_mab_hold_object_to_move=TRUE;
		LIz_mab_move_object_to_place=TRUE;
		LIz_mab_drop_object_once_moved=TRUE;
		LIz_mab_already_moved_object=TRUE;
		LIz_mab_already_at_place=TRUE;
		LIz_mab_get_on_floor_to_walk=TRUE;
		cond0_mab_walk_holding_nothing();
		LIz_mab_walk_holding_nothing=TRUE;
		LIz_mab_walk_holding_object=TRUE;
		LIz_mab_jump_onto_floor=TRUE;
		LIz_mab_walk_to_place_to_climb=TRUE;
		cond0_mab_drop_to_climb();
		LIz_mab_drop_to_climb=TRUE;
		LIz_mab_climb_indirectly=TRUE;
		LIz_mab_climb_directly=TRUE;
		LIz_mab_already_on_object=TRUE;
		cond0_mab_hold_to_eat();
		LIz_mab_hold_to_eat=TRUE;
		LIz_mab_satisfy_hunger=TRUE;

	add_tail_lent(mab_i_thing[vp_thing1].name, &mab_i_goal_is_to[0].argument_1);
		LIz_mab_hold_chest_to_put_on_floor=TRUE;
		LIz_mab_put_chest_on_floor=TRUE;
		cond1_mab_get_key_to_unlock(-1);
		LIz_mab_get_key_to_unlock=TRUE;
		LIz_mab_move_to_chest_with_key=TRUE;
		cond4_mab_move_to_chest_with_key(-1);
		LIz_mab_unlock_chest_with_key=TRUE;
		cond6_mab_unlock_chest_with_key(-1);
		cond1_mab_unlock_chest_to_hold_object(-1);
		LIz_mab_unlock_chest_to_hold_object=TRUE;
		LIz_mab_use_ladder_to_hold=TRUE;
		cond1_mab_climb_ladder_to_hold(-1);
		LIz_mab_climb_ladder_to_hold=TRUE;
		LIz_mab_grab_object_from_ladder=TRUE;
		LIz_mab_climb_to_hold=TRUE;
		LIz_mab_walk_to_hold=TRUE;
		LIz_mab_drop_to_hold=TRUE;
		LIz_mab_grab_object=TRUE;
		cond1_mab_drop_object();
		LIz_mab_drop_object=TRUE;
		cond1_mab_unlock_chest_to_move_object(-1);
		LIz_mab_unlock_chest_to_move_object=TRUE;
		LIz_mab_hold_object_to_move=TRUE;
		LIz_mab_move_object_to_place=TRUE;
		LIz_mab_drop_object_once_moved=TRUE;
		LIz_mab_already_moved_object=TRUE;
		cond1_mab_already_at_place();
		LIz_mab_already_at_place=TRUE;
		LIz_mab_get_on_floor_to_walk=TRUE;
		cond1_mab_walk_holding_nothing();
		LIz_mab_walk_holding_nothing=TRUE;
		LIz_mab_walk_holding_object=TRUE;
		cond1_mab_jump_onto_floor();
		LIz_mab_jump_onto_floor=TRUE;
		LIz_mab_walk_to_place_to_climb=TRUE;
		LIz_mab_drop_to_climb=TRUE;
		LIz_mab_climb_indirectly=TRUE;
		cond4_mab_climb_indirectly();
		LIz_mab_climb_directly=TRUE;
		cond1_mab_already_on_object();
		LIz_mab_already_on_object=TRUE;
		cond1_mab_hold_to_eat();
		LIz_mab_hold_to_eat=TRUE;
		cond1_mab_satisfy_hunger();
		LIz_mab_satisfy_hunger=TRUE;

	add_tail_lent(30, &mab_i_goal_is_to[0].argument_2);
		cond2_mab_hold_object_to_move(-1);
		LIz_mab_hold_object_to_move=TRUE;
		cond1_mab_move_object_to_place();
		LIz_mab_move_object_to_place=TRUE;
		cond1_mab_drop_object_once_moved();
		LIz_mab_drop_object_once_moved=TRUE;
		cond2_mab_already_moved_object(-1);
		LIz_mab_already_moved_object=TRUE;

	if (LIz_mab_hold_chest_to_put_on_floor) Iz_mab_hold_chest_to_put_on_floor();
	if (LIz_mab_put_chest_on_floor) Iz_mab_put_chest_on_floor();
	if (LIz_mab_get_key_to_unlock) Iz_mab_get_key_to_unlock();
	if (LIz_mab_move_to_chest_with_key) Iz_mab_move_to_chest_with_key();
	if (LIz_mab_unlock_chest_with_key) Iz_mab_unlock_chest_with_key();
	if (LIz_mab_unlock_chest_to_hold_object) Iz_mab_unlock_chest_to_hold_object();
	if (LIz_mab_use_ladder_to_hold) Iz_mab_use_ladder_to_hold();
	if (LIz_mab_climb_ladder_to_hold) Iz_mab_climb_ladder_to_hold();
	if (LIz_mab_grab_object_from_ladder) Iz_mab_grab_object_from_ladder();
	if (LIz_mab_climb_to_hold) Iz_mab_climb_to_hold();
	if (LIz_mab_walk_to_hold) Iz_mab_walk_to_hold();
	if (LIz_mab_drop_to_hold) Iz_mab_drop_to_hold();
	if (LIz_mab_grab_object) Iz_mab_grab_object();
	if (LIz_mab_drop_object) Iz_mab_drop_object();
	if (LIz_mab_unlock_chest_to_move_object) Iz_mab_unlock_chest_to_move_object();
	if (LIz_mab_hold_object_to_move) Iz_mab_hold_object_to_move();
	if (LIz_mab_move_object_to_place) Iz_mab_move_object_to_place();
	if (LIz_mab_drop_object_once_moved) Iz_mab_drop_object_once_moved();
	if (LIz_mab_already_moved_object) Iz_mab_already_moved_object();
	if (LIz_mab_already_at_place) Iz_mab_already_at_place();
	if (LIz_mab_get_on_floor_to_walk) Iz_mab_get_on_floor_to_walk();
	if (LIz_mab_walk_holding_nothing) Iz_mab_walk_holding_nothing();
	if (LIz_mab_walk_holding_object) Iz_mab_walk_holding_object();
	if (LIz_mab_jump_onto_floor) Iz_mab_jump_onto_floor();
	if (LIz_mab_walk_to_place_to_climb) Iz_mab_walk_to_place_to_climb();
	if (LIz_mab_drop_to_climb) Iz_mab_drop_to_climb();
	if (LIz_mab_climb_indirectly) Iz_mab_climb_indirectly();
	if (LIz_mab_climb_directly) Iz_mab_climb_directly();
	if (LIz_mab_already_on_object) Iz_mab_already_on_object();
	if (LIz_mab_hold_to_eat) Iz_mab_hold_to_eat();
	if (LIz_mab_satisfy_hunger) Iz_mab_satisfy_hunger();

}
void De_mab_jump_onto_floor()
{
	int   cambio_asig[1];
	int   old_value_ent;
	float old_value_real;
	int   iter;

	for(iter=0;iter<1; iter++) cambio_asig[iter]=FALSE;

	printf("Monkey jumps off the ");
	printf("%d", mab_i_monkey[0].on_top_of);
	printf(" onto the floor.\n");

	old_value_ent=mab_i_monkey[0].on_top_of;
	mab_i_monkey[0].on_top_of=12;
	cambio_asig[0]=	old_value_ent != mab_i_monkey[0].on_top_of;
	if (cambio_asig[0]) {
		LIz_mab_unlock_chest_with_key=TRUE;
		cond7_mab_climb_ladder_to_hold();
		LIz_mab_climb_ladder_to_hold=TRUE;
		cond7_mab_grab_object_from_ladder();
		LIz_mab_grab_object_from_ladder=TRUE;
		LIz_mab_climb_to_hold=TRUE;
		LIz_mab_drop_to_hold=TRUE;
		LIz_mab_grab_object=TRUE;
		cond2_mab_get_on_floor_to_walk();
		LIz_mab_get_on_floor_to_walk=TRUE;
		cond2_mab_walk_holding_nothing();
		LIz_mab_walk_holding_nothing=TRUE;
		LIz_mab_walk_holding_object=TRUE;
		LIz_mab_jump_onto_floor=TRUE;
		cond3_mab_climb_indirectly(-1);
		LIz_mab_climb_indirectly=TRUE;
		cond4_mab_climb_indirectly();
		cond3_mab_climb_directly(-1);
		LIz_mab_climb_directly=TRUE;
		cond1_mab_already_on_object();
		LIz_mab_already_on_object=TRUE;
	}

	mab_var_aux=pop_tail_lent(&mab_i_goal_is_to[0].action);
		LIz_mab_hold_chest_to_put_on_floor=TRUE;
		LIz_mab_put_chest_on_floor=TRUE;
		cond0_mab_get_key_to_unlock();
		LIz_mab_get_key_to_unlock=TRUE;
		LIz_mab_move_to_chest_with_key=TRUE;
		LIz_mab_unlock_chest_with_key=TRUE;
		LIz_mab_unlock_chest_to_hold_object=TRUE;
		LIz_mab_use_ladder_to_hold=TRUE;
		cond0_mab_climb_ladder_to_hold();
		LIz_mab_climb_ladder_to_hold=TRUE;
		LIz_mab_grab_object_from_ladder=TRUE;
		LIz_mab_climb_to_hold=TRUE;
		LIz_mab_walk_to_hold=TRUE;
		LIz_mab_drop_to_hold=TRUE;
		LIz_mab_grab_object=TRUE;
		LIz_mab_drop_object=TRUE;
		LIz_mab_unlock_chest_to_move_object=TRUE;
		cond0_mab_hold_object_to_move();
		LIz_mab_hold_object_to_move=TRUE;
		LIz_mab_move_object_to_place=TRUE;
		LIz_mab_drop_object_once_moved=TRUE;
		LIz_mab_already_moved_object=TRUE;
		LIz_mab_already_at_place=TRUE;
		LIz_mab_get_on_floor_to_walk=TRUE;
		cond0_mab_walk_holding_nothing();
		LIz_mab_walk_holding_nothing=TRUE;
		LIz_mab_walk_holding_object=TRUE;
		LIz_mab_jump_onto_floor=TRUE;
		LIz_mab_walk_to_place_to_climb=TRUE;
		cond0_mab_drop_to_climb();
		LIz_mab_drop_to_climb=TRUE;
		LIz_mab_climb_indirectly=TRUE;
		LIz_mab_climb_directly=TRUE;
		LIz_mab_already_on_object=TRUE;
		cond0_mab_hold_to_eat();
		LIz_mab_hold_to_eat=TRUE;
		LIz_mab_satisfy_hunger=TRUE;

	mab_var_aux=pop_tail_lent(&mab_i_goal_is_to[0].argument_1);
		LIz_mab_hold_chest_to_put_on_floor=TRUE;
		LIz_mab_put_chest_on_floor=TRUE;
		cond1_mab_get_key_to_unlock(-1);
		LIz_mab_get_key_to_unlock=TRUE;
		LIz_mab_move_to_chest_with_key=TRUE;
		cond4_mab_move_to_chest_with_key(-1);
		LIz_mab_unlock_chest_with_key=TRUE;
		cond6_mab_unlock_chest_with_key(-1);
		cond1_mab_unlock_chest_to_hold_object(-1);
		LIz_mab_unlock_chest_to_hold_object=TRUE;
		LIz_mab_use_ladder_to_hold=TRUE;
		cond1_mab_climb_ladder_to_hold(-1);
		LIz_mab_climb_ladder_to_hold=TRUE;
		LIz_mab_grab_object_from_ladder=TRUE;
		LIz_mab_climb_to_hold=TRUE;
		LIz_mab_walk_to_hold=TRUE;
		LIz_mab_drop_to_hold=TRUE;
		LIz_mab_grab_object=TRUE;
		cond1_mab_drop_object();
		LIz_mab_drop_object=TRUE;
		cond1_mab_unlock_chest_to_move_object(-1);
		LIz_mab_unlock_chest_to_move_object=TRUE;
		LIz_mab_hold_object_to_move=TRUE;
		LIz_mab_move_object_to_place=TRUE;
		LIz_mab_drop_object_once_moved=TRUE;
		LIz_mab_already_moved_object=TRUE;
		cond1_mab_already_at_place();
		LIz_mab_already_at_place=TRUE;
		LIz_mab_get_on_floor_to_walk=TRUE;
		cond1_mab_walk_holding_nothing();
		LIz_mab_walk_holding_nothing=TRUE;
		LIz_mab_walk_holding_object=TRUE;
		cond1_mab_jump_onto_floor();
		LIz_mab_jump_onto_floor=TRUE;
		LIz_mab_walk_to_place_to_climb=TRUE;
		LIz_mab_drop_to_climb=TRUE;
		LIz_mab_climb_indirectly=TRUE;
		cond4_mab_climb_indirectly();
		LIz_mab_climb_directly=TRUE;
		cond1_mab_already_on_object();
		LIz_mab_already_on_object=TRUE;
		cond1_mab_hold_to_eat();
		LIz_mab_hold_to_eat=TRUE;
		cond1_mab_satisfy_hunger();
		LIz_mab_satisfy_hunger=TRUE;

	mab_var_aux=pop_tail_lent(&mab_i_goal_is_to[0].argument_2);
		cond2_mab_hold_object_to_move(-1);
		LIz_mab_hold_object_to_move=TRUE;
		cond1_mab_move_object_to_place();
		LIz_mab_move_object_to_place=TRUE;
		cond1_mab_drop_object_once_moved();
		LIz_mab_drop_object_once_moved=TRUE;
		cond2_mab_already_moved_object(-1);
		LIz_mab_already_moved_object=TRUE;

	if (LIz_mab_unlock_chest_with_key) Iz_mab_unlock_chest_with_key();
	if (LIz_mab_climb_ladder_to_hold) Iz_mab_climb_ladder_to_hold();
	if (LIz_mab_grab_object_from_ladder) Iz_mab_grab_object_from_ladder();
	if (LIz_mab_climb_to_hold) Iz_mab_climb_to_hold();
	if (LIz_mab_drop_to_hold) Iz_mab_drop_to_hold();
	if (LIz_mab_grab_object) Iz_mab_grab_object();
	if (LIz_mab_get_on_floor_to_walk) Iz_mab_get_on_floor_to_walk();
	if (LIz_mab_walk_holding_nothing) Iz_mab_walk_holding_nothing();
	if (LIz_mab_walk_holding_object) Iz_mab_walk_holding_object();
	if (LIz_mab_jump_onto_floor) Iz_mab_jump_onto_floor();
	if (LIz_mab_climb_indirectly) Iz_mab_climb_indirectly();
	if (LIz_mab_climb_directly) Iz_mab_climb_directly();
	if (LIz_mab_already_on_object) Iz_mab_already_on_object();
	if (LIz_mab_hold_chest_to_put_on_floor) Iz_mab_hold_chest_to_put_on_floor();
	if (LIz_mab_put_chest_on_floor) Iz_mab_put_chest_on_floor();
	if (LIz_mab_get_key_to_unlock) Iz_mab_get_key_to_unlock();
	if (LIz_mab_move_to_chest_with_key) Iz_mab_move_to_chest_with_key();
	if (LIz_mab_unlock_chest_to_hold_object) Iz_mab_unlock_chest_to_hold_object();
	if (LIz_mab_use_ladder_to_hold) Iz_mab_use_ladder_to_hold();
	if (LIz_mab_walk_to_hold) Iz_mab_walk_to_hold();
	if (LIz_mab_drop_object) Iz_mab_drop_object();
	if (LIz_mab_unlock_chest_to_move_object) Iz_mab_unlock_chest_to_move_object();
	if (LIz_mab_hold_object_to_move) Iz_mab_hold_object_to_move();
	if (LIz_mab_move_object_to_place) Iz_mab_move_object_to_place();
	if (LIz_mab_drop_object_once_moved) Iz_mab_drop_object_once_moved();
	if (LIz_mab_already_moved_object) Iz_mab_already_moved_object();
	if (LIz_mab_already_at_place) Iz_mab_already_at_place();
	if (LIz_mab_walk_to_place_to_climb) Iz_mab_walk_to_place_to_climb();
	if (LIz_mab_drop_to_climb) Iz_mab_drop_to_climb();
	if (LIz_mab_hold_to_eat) Iz_mab_hold_to_eat();
	if (LIz_mab_satisfy_hunger) Iz_mab_satisfy_hunger();

}
void De_mab_unlock_chest_with_key(vp_chest1,vp_thing1,vp_thing2)
	int vp_chest1;
	int vp_thing1;
	int vp_thing2;
{
	int   cambio_asig[6];
	int   old_value_ent;
	float old_value_real;
	int   iter;

	for(iter=0;iter<6; iter++) cambio_asig[iter]=FALSE;

	mab_var_aux=pop_tail_lent(&mab_i_goal_is_to[0].argument_2);
		cond2_mab_hold_object_to_move(-1);
		LIz_mab_hold_object_to_move=TRUE;
		cond1_mab_move_object_to_place();
		LIz_mab_move_object_to_place=TRUE;
		cond1_mab_drop_object_once_moved();
		LIz_mab_drop_object_once_moved=TRUE;
		cond2_mab_already_moved_object(-1);
		LIz_mab_already_moved_object=TRUE;

	mab_var_aux=pop_tail_lent(&mab_i_goal_is_to[0].action);
		LIz_mab_hold_chest_to_put_on_floor=TRUE;
		LIz_mab_put_chest_on_floor=TRUE;
		cond0_mab_get_key_to_unlock();
		LIz_mab_get_key_to_unlock=TRUE;
		LIz_mab_move_to_chest_with_key=TRUE;
		LIz_mab_unlock_chest_with_key=TRUE;
		LIz_mab_unlock_chest_to_hold_object=TRUE;
		LIz_mab_use_ladder_to_hold=TRUE;
		cond0_mab_climb_ladder_to_hold();
		LIz_mab_climb_ladder_to_hold=TRUE;
		LIz_mab_grab_object_from_ladder=TRUE;
		LIz_mab_climb_to_hold=TRUE;
		LIz_mab_walk_to_hold=TRUE;
		LIz_mab_drop_to_hold=TRUE;
		LIz_mab_grab_object=TRUE;
		LIz_mab_drop_object=TRUE;
		LIz_mab_unlock_chest_to_move_object=TRUE;
		cond0_mab_hold_object_to_move();
		LIz_mab_hold_object_to_move=TRUE;
		LIz_mab_move_object_to_place=TRUE;
		LIz_mab_drop_object_once_moved=TRUE;
		LIz_mab_already_moved_object=TRUE;
		LIz_mab_already_at_place=TRUE;
		LIz_mab_get_on_floor_to_walk=TRUE;
		cond0_mab_walk_holding_nothing();
		LIz_mab_walk_holding_nothing=TRUE;
		LIz_mab_walk_holding_object=TRUE;
		LIz_mab_jump_onto_floor=TRUE;
		LIz_mab_walk_to_place_to_climb=TRUE;
		cond0_mab_drop_to_climb();
		LIz_mab_drop_to_climb=TRUE;
		LIz_mab_climb_indirectly=TRUE;
		LIz_mab_climb_directly=TRUE;
		LIz_mab_already_on_object=TRUE;
		cond0_mab_hold_to_eat();
		LIz_mab_hold_to_eat=TRUE;
		LIz_mab_satisfy_hunger=TRUE;

	mab_var_aux=pop_tail_lent(&mab_i_goal_is_to[0].argument_1);
		LIz_mab_hold_chest_to_put_on_floor=TRUE;
		LIz_mab_put_chest_on_floor=TRUE;
		cond1_mab_get_key_to_unlock(-1);
		LIz_mab_get_key_to_unlock=TRUE;
		LIz_mab_move_to_chest_with_key=TRUE;
		cond4_mab_move_to_chest_with_key(-1);
		LIz_mab_unlock_chest_with_key=TRUE;
		cond6_mab_unlock_chest_with_key(-1);
		cond1_mab_unlock_chest_to_hold_object(-1);
		LIz_mab_unlock_chest_to_hold_object=TRUE;
		LIz_mab_use_ladder_to_hold=TRUE;
		cond1_mab_climb_ladder_to_hold(-1);
		LIz_mab_climb_ladder_to_hold=TRUE;
		LIz_mab_grab_object_from_ladder=TRUE;
		LIz_mab_climb_to_hold=TRUE;
		LIz_mab_walk_to_hold=TRUE;
		LIz_mab_drop_to_hold=TRUE;
		LIz_mab_grab_object=TRUE;
		cond1_mab_drop_object();
		LIz_mab_drop_object=TRUE;
		cond1_mab_unlock_chest_to_move_object(-1);
		LIz_mab_unlock_chest_to_move_object=TRUE;
		LIz_mab_hold_object_to_move=TRUE;
		LIz_mab_move_object_to_place=TRUE;
		LIz_mab_drop_object_once_moved=TRUE;
		LIz_mab_already_moved_object=TRUE;
		cond1_mab_already_at_place();
		LIz_mab_already_at_place=TRUE;
		LIz_mab_get_on_floor_to_walk=TRUE;
		cond1_mab_walk_holding_nothing();
		LIz_mab_walk_holding_nothing=TRUE;
		LIz_mab_walk_holding_object=TRUE;
		cond1_mab_jump_onto_floor();
		LIz_mab_jump_onto_floor=TRUE;
		LIz_mab_walk_to_place_to_climb=TRUE;
		LIz_mab_drop_to_climb=TRUE;
		LIz_mab_climb_indirectly=TRUE;
		cond4_mab_climb_indirectly();
		LIz_mab_climb_directly=TRUE;
		cond1_mab_already_on_object();
		LIz_mab_already_on_object=TRUE;
		cond1_mab_hold_to_eat();
		LIz_mab_hold_to_eat=TRUE;
		cond1_mab_satisfy_hunger();
		LIz_mab_satisfy_hunger=TRUE;

	printf("Monkey opens the ");
	printf("%d", mab_var_aux);
	printf(" with key ");
	printf("%d", mab_i_monkey[0].holding);
	printf(" revealing the ");
	printf("%d", mab_i_chest[vp_chest1].contents);
	printf(".\n");

	old_value_ent=mab_i_thing[vp_thing2].name;
	mab_i_thing[vp_thing2].name=mab_i_chest[vp_chest1].contents;
	cambio_asig[0]=	old_value_ent != mab_i_thing[vp_thing2].name;
	if (cambio_asig[0]) {
		LIz_mab_hold_chest_to_put_on_floor=TRUE;
		LIz_mab_put_chest_on_floor=TRUE;
		cond1_mab_get_key_to_unlock(vp_thing2);
		LIz_mab_get_key_to_unlock=TRUE;
		cond3_mab_get_key_to_unlock(-1,vp_thing2);
		LIz_mab_move_to_chest_with_key=TRUE;
		LIz_mab_unlock_chest_with_key=TRUE;
		LIz_mab_use_ladder_to_hold=TRUE;
		cond1_mab_climb_ladder_to_hold(vp_thing2);
		LIz_mab_climb_ladder_to_hold=TRUE;
		cond4_mab_climb_ladder_to_hold(vp_thing2);
		LIz_mab_grab_object_from_ladder=TRUE;
		LIz_mab_climb_to_hold=TRUE;
		LIz_mab_walk_to_hold=TRUE;
		LIz_mab_drop_to_hold=TRUE;
		LIz_mab_grab_object=TRUE;
		LIz_mab_drop_object=TRUE;
		LIz_mab_hold_object_to_move=TRUE;
		LIz_mab_drop_object_once_moved=TRUE;
		LIz_mab_already_moved_object=TRUE;
		cond3_mab_walk_holding_object(vp_thing2);
		LIz_mab_walk_holding_object=TRUE;
		LIz_mab_walk_to_place_to_climb=TRUE;
		LIz_mab_drop_to_climb=TRUE;
		LIz_mab_climb_indirectly=TRUE;
		LIz_mab_climb_directly=TRUE;
		LIz_mab_satisfy_hunger=TRUE;
	}

	old_value_ent=mab_i_thing[vp_thing2].location;
	mab_i_thing[vp_thing2].location=mab_i_thing[vp_thing1].location;
	cambio_asig[1]=	old_value_ent != mab_i_thing[vp_thing2].location;
	if (cambio_asig[1]) {
		LIz_mab_move_to_chest_with_key=TRUE;
		LIz_mab_unlock_chest_with_key=TRUE;
		cond5_mab_climb_ladder_to_hold(vp_thing2,-1);
		cond5_mab_climb_ladder_to_hold(-1,vp_thing2);
		LIz_mab_climb_ladder_to_hold=TRUE;
		LIz_mab_grab_object_from_ladder=TRUE;
		cond2_mab_climb_to_hold(vp_thing2);
		LIz_mab_climb_to_hold=TRUE;
		LIz_mab_walk_to_hold=TRUE;
		LIz_mab_drop_to_hold=TRUE;
		LIz_mab_grab_object=TRUE;
		cond2_mab_hold_object_to_move(vp_thing2);
		LIz_mab_hold_object_to_move=TRUE;
		cond2_mab_already_moved_object(vp_thing2);
		LIz_mab_already_moved_object=TRUE;
		cond2_mab_walk_to_place_to_climb(vp_thing2);
		LIz_mab_walk_to_place_to_climb=TRUE;
		cond2_mab_drop_to_climb(vp_thing2);
		LIz_mab_drop_to_climb=TRUE;
		LIz_mab_climb_indirectly=TRUE;
		LIz_mab_climb_directly=TRUE;
	}

	old_value_ent=mab_i_thing[vp_thing2].on_top_of;
	mab_i_thing[vp_thing2].on_top_of=mab_var_aux;
	cambio_asig[2]=	old_value_ent != mab_i_thing[vp_thing2].on_top_of;
	if (cambio_asig[2]) {
		cond2_mab_hold_chest_to_put_on_floor(vp_thing2);
		LIz_mab_hold_chest_to_put_on_floor=TRUE;
		cond2_mab_get_key_to_unlock(vp_thing2);
		LIz_mab_get_key_to_unlock=TRUE;
		LIz_mab_move_to_chest_with_key=TRUE;
		LIz_mab_unlock_chest_with_key=TRUE;
		LIz_mab_use_ladder_to_hold=TRUE;
		cond2_mab_climb_ladder_to_hold(vp_thing2);
		LIz_mab_climb_ladder_to_hold=TRUE;
		cond6_mab_climb_ladder_to_hold(vp_thing2);
		LIz_mab_grab_object_from_ladder=TRUE;
		LIz_mab_climb_to_hold=TRUE;
		cond2_mab_walk_to_hold(vp_thing2);
		LIz_mab_walk_to_hold=TRUE;
		LIz_mab_drop_to_hold=TRUE;
		LIz_mab_grab_object=TRUE;
		cond3_mab_climb_indirectly(vp_thing2);
		LIz_mab_climb_indirectly=TRUE;
		cond3_mab_climb_directly(vp_thing2);
		LIz_mab_climb_directly=TRUE;
	}

	old_value_ent=mab_i_thing[vp_thing2].weight;
	mab_i_thing[vp_thing2].weight=22;
	cambio_asig[3]=	old_value_ent != mab_i_thing[vp_thing2].weight;
	if (cambio_asig[3]) {
		LIz_mab_hold_chest_to_put_on_floor=TRUE;
		LIz_mab_use_ladder_to_hold=TRUE;
		cond3_mab_climb_ladder_to_hold(vp_thing2);
		LIz_mab_climb_ladder_to_hold=TRUE;
		LIz_mab_grab_object_from_ladder=TRUE;
		LIz_mab_climb_to_hold=TRUE;
		LIz_mab_walk_to_hold=TRUE;
		LIz_mab_drop_to_hold=TRUE;
		LIz_mab_grab_object=TRUE;
		LIz_mab_hold_object_to_move=TRUE;
		LIz_mab_drop_object_once_moved=TRUE;
	}

	old_value_ent=mab_i_thing[vp_thing2].inside_chest;
	mab_i_thing[vp_thing2].inside_chest=31;
	cambio_asig[4]=	old_value_ent != mab_i_thing[vp_thing2].inside_chest;
	if (cambio_asig[4]) {
		cond6_mab_unlock_chest_with_key(vp_thing2);
		LIz_mab_unlock_chest_with_key=TRUE;
	}

	old_value_ent=mab_i_chest[vp_chest1].contents;
	mab_i_chest[vp_chest1].contents=20;
	cambio_asig[5]=	old_value_ent != mab_i_chest[vp_chest1].contents;
	if (cambio_asig[5]) {
		cond1_mab_unlock_chest_to_hold_object(vp_chest1);
		LIz_mab_unlock_chest_to_hold_object=TRUE;
		cond1_mab_unlock_chest_to_move_object(vp_chest1);
		LIz_mab_unlock_chest_to_move_object=TRUE;
	}

	if (LIz_mab_hold_object_to_move) Iz_mab_hold_object_to_move();
	if (LIz_mab_move_object_to_place) Iz_mab_move_object_to_place();
	if (LIz_mab_drop_object_once_moved) Iz_mab_drop_object_once_moved();
	if (LIz_mab_already_moved_object) Iz_mab_already_moved_object();
	if (LIz_mab_hold_chest_to_put_on_floor) Iz_mab_hold_chest_to_put_on_floor();
	if (LIz_mab_put_chest_on_floor) Iz_mab_put_chest_on_floor();
	if (LIz_mab_get_key_to_unlock) Iz_mab_get_key_to_unlock();
	if (LIz_mab_move_to_chest_with_key) Iz_mab_move_to_chest_with_key();
	if (LIz_mab_unlock_chest_with_key) Iz_mab_unlock_chest_with_key();
	if (LIz_mab_unlock_chest_to_hold_object) Iz_mab_unlock_chest_to_hold_object();
	if (LIz_mab_use_ladder_to_hold) Iz_mab_use_ladder_to_hold();
	if (LIz_mab_climb_ladder_to_hold) Iz_mab_climb_ladder_to_hold();
	if (LIz_mab_grab_object_from_ladder) Iz_mab_grab_object_from_ladder();
	if (LIz_mab_climb_to_hold) Iz_mab_climb_to_hold();
	if (LIz_mab_walk_to_hold) Iz_mab_walk_to_hold();
	if (LIz_mab_drop_to_hold) Iz_mab_drop_to_hold();
	if (LIz_mab_grab_object) Iz_mab_grab_object();
	if (LIz_mab_drop_object) Iz_mab_drop_object();
	if (LIz_mab_unlock_chest_to_move_object) Iz_mab_unlock_chest_to_move_object();
	if (LIz_mab_already_at_place) Iz_mab_already_at_place();
	if (LIz_mab_get_on_floor_to_walk) Iz_mab_get_on_floor_to_walk();
	if (LIz_mab_walk_holding_nothing) Iz_mab_walk_holding_nothing();
	if (LIz_mab_walk_holding_object) Iz_mab_walk_holding_object();
	if (LIz_mab_jump_onto_floor) Iz_mab_jump_onto_floor();
	if (LIz_mab_walk_to_place_to_climb) Iz_mab_walk_to_place_to_climb();
	if (LIz_mab_drop_to_climb) Iz_mab_drop_to_climb();
	if (LIz_mab_climb_indirectly) Iz_mab_climb_indirectly();
	if (LIz_mab_climb_directly) Iz_mab_climb_directly();
	if (LIz_mab_already_on_object) Iz_mab_already_on_object();
	if (LIz_mab_hold_to_eat) Iz_mab_hold_to_eat();
	if (LIz_mab_satisfy_hunger) Iz_mab_satisfy_hunger();

}
void De_mab_walk_to_hold(vp_thing1)
	int vp_thing1;
{

	add_tail_lent(26, &mab_i_goal_is_to[0].action);
		LIz_mab_hold_chest_to_put_on_floor=TRUE;
		LIz_mab_put_chest_on_floor=TRUE;
		cond0_mab_get_key_to_unlock();
		LIz_mab_get_key_to_unlock=TRUE;
		LIz_mab_move_to_chest_with_key=TRUE;
		LIz_mab_unlock_chest_with_key=TRUE;
		LIz_mab_unlock_chest_to_hold_object=TRUE;
		LIz_mab_use_ladder_to_hold=TRUE;
		cond0_mab_climb_ladder_to_hold();
		LIz_mab_climb_ladder_to_hold=TRUE;
		LIz_mab_grab_object_from_ladder=TRUE;
		LIz_mab_climb_to_hold=TRUE;
		LIz_mab_walk_to_hold=TRUE;
		LIz_mab_drop_to_hold=TRUE;
		LIz_mab_grab_object=TRUE;
		LIz_mab_drop_object=TRUE;
		LIz_mab_unlock_chest_to_move_object=TRUE;
		cond0_mab_hold_object_to_move();
		LIz_mab_hold_object_to_move=TRUE;
		LIz_mab_move_object_to_place=TRUE;
		LIz_mab_drop_object_once_moved=TRUE;
		LIz_mab_already_moved_object=TRUE;
		LIz_mab_already_at_place=TRUE;
		LIz_mab_get_on_floor_to_walk=TRUE;
		cond0_mab_walk_holding_nothing();
		LIz_mab_walk_holding_nothing=TRUE;
		LIz_mab_walk_holding_object=TRUE;
		LIz_mab_jump_onto_floor=TRUE;
		LIz_mab_walk_to_place_to_climb=TRUE;
		cond0_mab_drop_to_climb();
		LIz_mab_drop_to_climb=TRUE;
		LIz_mab_climb_indirectly=TRUE;
		LIz_mab_climb_directly=TRUE;
		LIz_mab_already_on_object=TRUE;
		cond0_mab_hold_to_eat();
		LIz_mab_hold_to_eat=TRUE;
		LIz_mab_satisfy_hunger=TRUE;

	add_tail_lent(mab_i_thing[vp_thing1].location, &mab_i_goal_is_to[0].argument_1);
		LIz_mab_hold_chest_to_put_on_floor=TRUE;
		LIz_mab_put_chest_on_floor=TRUE;
		cond1_mab_get_key_to_unlock(-1);
		LIz_mab_get_key_to_unlock=TRUE;
		LIz_mab_move_to_chest_with_key=TRUE;
		cond4_mab_move_to_chest_with_key(-1);
		LIz_mab_unlock_chest_with_key=TRUE;
		cond6_mab_unlock_chest_with_key(-1);
		cond1_mab_unlock_chest_to_hold_object(-1);
		LIz_mab_unlock_chest_to_hold_object=TRUE;
		LIz_mab_use_ladder_to_hold=TRUE;
		cond1_mab_climb_ladder_to_hold(-1);
		LIz_mab_climb_ladder_to_hold=TRUE;
		LIz_mab_grab_object_from_ladder=TRUE;
		LIz_mab_climb_to_hold=TRUE;
		LIz_mab_walk_to_hold=TRUE;
		LIz_mab_drop_to_hold=TRUE;
		LIz_mab_grab_object=TRUE;
		cond1_mab_drop_object();
		LIz_mab_drop_object=TRUE;
		cond1_mab_unlock_chest_to_move_object(-1);
		LIz_mab_unlock_chest_to_move_object=TRUE;
		LIz_mab_hold_object_to_move=TRUE;
		LIz_mab_move_object_to_place=TRUE;
		LIz_mab_drop_object_once_moved=TRUE;
		LIz_mab_already_moved_object=TRUE;
		cond1_mab_already_at_place();
		LIz_mab_already_at_place=TRUE;
		LIz_mab_get_on_floor_to_walk=TRUE;
		cond1_mab_walk_holding_nothing();
		LIz_mab_walk_holding_nothing=TRUE;
		LIz_mab_walk_holding_object=TRUE;
		cond1_mab_jump_onto_floor();
		LIz_mab_jump_onto_floor=TRUE;
		LIz_mab_walk_to_place_to_climb=TRUE;
		LIz_mab_drop_to_climb=TRUE;
		LIz_mab_climb_indirectly=TRUE;
		cond4_mab_climb_indirectly();
		LIz_mab_climb_directly=TRUE;
		cond1_mab_already_on_object();
		LIz_mab_already_on_object=TRUE;
		cond1_mab_hold_to_eat();
		LIz_mab_hold_to_eat=TRUE;
		cond1_mab_satisfy_hunger();
		LIz_mab_satisfy_hunger=TRUE;

	add_tail_lent(30, &mab_i_goal_is_to[0].argument_2);
		cond2_mab_hold_object_to_move(-1);
		LIz_mab_hold_object_to_move=TRUE;
		cond1_mab_move_object_to_place();
		LIz_mab_move_object_to_place=TRUE;
		cond1_mab_drop_object_once_moved();
		LIz_mab_drop_object_once_moved=TRUE;
		cond2_mab_already_moved_object(-1);
		LIz_mab_already_moved_object=TRUE;

	if (LIz_mab_hold_chest_to_put_on_floor) Iz_mab_hold_chest_to_put_on_floor();
	if (LIz_mab_put_chest_on_floor) Iz_mab_put_chest_on_floor();
	if (LIz_mab_get_key_to_unlock) Iz_mab_get_key_to_unlock();
	if (LIz_mab_move_to_chest_with_key) Iz_mab_move_to_chest_with_key();
	if (LIz_mab_unlock_chest_with_key) Iz_mab_unlock_chest_with_key();
	if (LIz_mab_unlock_chest_to_hold_object) Iz_mab_unlock_chest_to_hold_object();
	if (LIz_mab_use_ladder_to_hold) Iz_mab_use_ladder_to_hold();
	if (LIz_mab_climb_ladder_to_hold) Iz_mab_climb_ladder_to_hold();
	if (LIz_mab_grab_object_from_ladder) Iz_mab_grab_object_from_ladder();
	if (LIz_mab_climb_to_hold) Iz_mab_climb_to_hold();
	if (LIz_mab_walk_to_hold) Iz_mab_walk_to_hold();
	if (LIz_mab_drop_to_hold) Iz_mab_drop_to_hold();
	if (LIz_mab_grab_object) Iz_mab_grab_object();
	if (LIz_mab_drop_object) Iz_mab_drop_object();
	if (LIz_mab_unlock_chest_to_move_object) Iz_mab_unlock_chest_to_move_object();
	if (LIz_mab_hold_object_to_move) Iz_mab_hold_object_to_move();
	if (LIz_mab_move_object_to_place) Iz_mab_move_object_to_place();
	if (LIz_mab_drop_object_once_moved) Iz_mab_drop_object_once_moved();
	if (LIz_mab_already_moved_object) Iz_mab_already_moved_object();
	if (LIz_mab_already_at_place) Iz_mab_already_at_place();
	if (LIz_mab_get_on_floor_to_walk) Iz_mab_get_on_floor_to_walk();
	if (LIz_mab_walk_holding_nothing) Iz_mab_walk_holding_nothing();
	if (LIz_mab_walk_holding_object) Iz_mab_walk_holding_object();
	if (LIz_mab_jump_onto_floor) Iz_mab_jump_onto_floor();
	if (LIz_mab_walk_to_place_to_climb) Iz_mab_walk_to_place_to_climb();
	if (LIz_mab_drop_to_climb) Iz_mab_drop_to_climb();
	if (LIz_mab_climb_indirectly) Iz_mab_climb_indirectly();
	if (LIz_mab_climb_directly) Iz_mab_climb_directly();
	if (LIz_mab_already_on_object) Iz_mab_already_on_object();
	if (LIz_mab_hold_to_eat) Iz_mab_hold_to_eat();
	if (LIz_mab_satisfy_hunger) Iz_mab_satisfy_hunger();

}
void De_mab_use_ladder_to_hold(vp_thing1)
	int vp_thing1;
{

	add_tail_lent(27, &mab_i_goal_is_to[0].action);
		LIz_mab_hold_chest_to_put_on_floor=TRUE;
		LIz_mab_put_chest_on_floor=TRUE;
		cond0_mab_get_key_to_unlock();
		LIz_mab_get_key_to_unlock=TRUE;
		LIz_mab_move_to_chest_with_key=TRUE;
		LIz_mab_unlock_chest_with_key=TRUE;
		LIz_mab_unlock_chest_to_hold_object=TRUE;
		LIz_mab_use_ladder_to_hold=TRUE;
		cond0_mab_climb_ladder_to_hold();
		LIz_mab_climb_ladder_to_hold=TRUE;
		LIz_mab_grab_object_from_ladder=TRUE;
		LIz_mab_climb_to_hold=TRUE;
		LIz_mab_walk_to_hold=TRUE;
		LIz_mab_drop_to_hold=TRUE;
		LIz_mab_grab_object=TRUE;
		LIz_mab_drop_object=TRUE;
		LIz_mab_unlock_chest_to_move_object=TRUE;
		cond0_mab_hold_object_to_move();
		LIz_mab_hold_object_to_move=TRUE;
		LIz_mab_move_object_to_place=TRUE;
		LIz_mab_drop_object_once_moved=TRUE;
		LIz_mab_already_moved_object=TRUE;
		LIz_mab_already_at_place=TRUE;
		LIz_mab_get_on_floor_to_walk=TRUE;
		cond0_mab_walk_holding_nothing();
		LIz_mab_walk_holding_nothing=TRUE;
		LIz_mab_walk_holding_object=TRUE;
		LIz_mab_jump_onto_floor=TRUE;
		LIz_mab_walk_to_place_to_climb=TRUE;
		cond0_mab_drop_to_climb();
		LIz_mab_drop_to_climb=TRUE;
		LIz_mab_climb_indirectly=TRUE;
		LIz_mab_climb_directly=TRUE;
		LIz_mab_already_on_object=TRUE;
		cond0_mab_hold_to_eat();
		LIz_mab_hold_to_eat=TRUE;
		LIz_mab_satisfy_hunger=TRUE;

	add_tail_lent(8, &mab_i_goal_is_to[0].argument_1);
		LIz_mab_hold_chest_to_put_on_floor=TRUE;
		LIz_mab_put_chest_on_floor=TRUE;
		cond1_mab_get_key_to_unlock(-1);
		LIz_mab_get_key_to_unlock=TRUE;
		LIz_mab_move_to_chest_with_key=TRUE;
		cond4_mab_move_to_chest_with_key(-1);
		LIz_mab_unlock_chest_with_key=TRUE;
		cond6_mab_unlock_chest_with_key(-1);
		cond1_mab_unlock_chest_to_hold_object(-1);
		LIz_mab_unlock_chest_to_hold_object=TRUE;
		LIz_mab_use_ladder_to_hold=TRUE;
		cond1_mab_climb_ladder_to_hold(-1);
		LIz_mab_climb_ladder_to_hold=TRUE;
		LIz_mab_grab_object_from_ladder=TRUE;
		LIz_mab_climb_to_hold=TRUE;
		LIz_mab_walk_to_hold=TRUE;
		LIz_mab_drop_to_hold=TRUE;
		LIz_mab_grab_object=TRUE;
		cond1_mab_drop_object();
		LIz_mab_drop_object=TRUE;
		cond1_mab_unlock_chest_to_move_object(-1);
		LIz_mab_unlock_chest_to_move_object=TRUE;
		LIz_mab_hold_object_to_move=TRUE;
		LIz_mab_move_object_to_place=TRUE;
		LIz_mab_drop_object_once_moved=TRUE;
		LIz_mab_already_moved_object=TRUE;
		cond1_mab_already_at_place();
		LIz_mab_already_at_place=TRUE;
		LIz_mab_get_on_floor_to_walk=TRUE;
		cond1_mab_walk_holding_nothing();
		LIz_mab_walk_holding_nothing=TRUE;
		LIz_mab_walk_holding_object=TRUE;
		cond1_mab_jump_onto_floor();
		LIz_mab_jump_onto_floor=TRUE;
		LIz_mab_walk_to_place_to_climb=TRUE;
		LIz_mab_drop_to_climb=TRUE;
		LIz_mab_climb_indirectly=TRUE;
		cond4_mab_climb_indirectly();
		LIz_mab_climb_directly=TRUE;
		cond1_mab_already_on_object();
		LIz_mab_already_on_object=TRUE;
		cond1_mab_hold_to_eat();
		LIz_mab_hold_to_eat=TRUE;
		cond1_mab_satisfy_hunger();
		LIz_mab_satisfy_hunger=TRUE;

	add_tail_lent(mab_i_thing[vp_thing1].location, &mab_i_goal_is_to[0].argument_2);
		cond2_mab_hold_object_to_move(-1);
		LIz_mab_hold_object_to_move=TRUE;
		cond1_mab_move_object_to_place();
		LIz_mab_move_object_to_place=TRUE;
		cond1_mab_drop_object_once_moved();
		LIz_mab_drop_object_once_moved=TRUE;
		cond2_mab_already_moved_object(-1);
		LIz_mab_already_moved_object=TRUE;

	if (LIz_mab_hold_chest_to_put_on_floor) Iz_mab_hold_chest_to_put_on_floor();
	if (LIz_mab_put_chest_on_floor) Iz_mab_put_chest_on_floor();
	if (LIz_mab_get_key_to_unlock) Iz_mab_get_key_to_unlock();
	if (LIz_mab_move_to_chest_with_key) Iz_mab_move_to_chest_with_key();
	if (LIz_mab_unlock_chest_with_key) Iz_mab_unlock_chest_with_key();
	if (LIz_mab_unlock_chest_to_hold_object) Iz_mab_unlock_chest_to_hold_object();
	if (LIz_mab_use_ladder_to_hold) Iz_mab_use_ladder_to_hold();
	if (LIz_mab_climb_ladder_to_hold) Iz_mab_climb_ladder_to_hold();
	if (LIz_mab_grab_object_from_ladder) Iz_mab_grab_object_from_ladder();
	if (LIz_mab_climb_to_hold) Iz_mab_climb_to_hold();
	if (LIz_mab_walk_to_hold) Iz_mab_walk_to_hold();
	if (LIz_mab_drop_to_hold) Iz_mab_drop_to_hold();
	if (LIz_mab_grab_object) Iz_mab_grab_object();
	if (LIz_mab_drop_object) Iz_mab_drop_object();
	if (LIz_mab_unlock_chest_to_move_object) Iz_mab_unlock_chest_to_move_object();
	if (LIz_mab_hold_object_to_move) Iz_mab_hold_object_to_move();
	if (LIz_mab_move_object_to_place) Iz_mab_move_object_to_place();
	if (LIz_mab_drop_object_once_moved) Iz_mab_drop_object_once_moved();
	if (LIz_mab_already_moved_object) Iz_mab_already_moved_object();
	if (LIz_mab_already_at_place) Iz_mab_already_at_place();
	if (LIz_mab_get_on_floor_to_walk) Iz_mab_get_on_floor_to_walk();
	if (LIz_mab_walk_holding_nothing) Iz_mab_walk_holding_nothing();
	if (LIz_mab_walk_holding_object) Iz_mab_walk_holding_object();
	if (LIz_mab_jump_onto_floor) Iz_mab_jump_onto_floor();
	if (LIz_mab_walk_to_place_to_climb) Iz_mab_walk_to_place_to_climb();
	if (LIz_mab_drop_to_climb) Iz_mab_drop_to_climb();
	if (LIz_mab_climb_indirectly) Iz_mab_climb_indirectly();
	if (LIz_mab_climb_directly) Iz_mab_climb_directly();
	if (LIz_mab_already_on_object) Iz_mab_already_on_object();
	if (LIz_mab_hold_to_eat) Iz_mab_hold_to_eat();
	if (LIz_mab_satisfy_hunger) Iz_mab_satisfy_hunger();

}
void De_mab_climb_to_hold(vp_thing1)
	int vp_thing1;
{

	add_tail_lent(28, &mab_i_goal_is_to[0].action);
		LIz_mab_hold_chest_to_put_on_floor=TRUE;
		LIz_mab_put_chest_on_floor=TRUE;
		cond0_mab_get_key_to_unlock();
		LIz_mab_get_key_to_unlock=TRUE;
		LIz_mab_move_to_chest_with_key=TRUE;
		LIz_mab_unlock_chest_with_key=TRUE;
		LIz_mab_unlock_chest_to_hold_object=TRUE;
		LIz_mab_use_ladder_to_hold=TRUE;
		cond0_mab_climb_ladder_to_hold();
		LIz_mab_climb_ladder_to_hold=TRUE;
		LIz_mab_grab_object_from_ladder=TRUE;
		LIz_mab_climb_to_hold=TRUE;
		LIz_mab_walk_to_hold=TRUE;
		LIz_mab_drop_to_hold=TRUE;
		LIz_mab_grab_object=TRUE;
		LIz_mab_drop_object=TRUE;
		LIz_mab_unlock_chest_to_move_object=TRUE;
		cond0_mab_hold_object_to_move();
		LIz_mab_hold_object_to_move=TRUE;
		LIz_mab_move_object_to_place=TRUE;
		LIz_mab_drop_object_once_moved=TRUE;
		LIz_mab_already_moved_object=TRUE;
		LIz_mab_already_at_place=TRUE;
		LIz_mab_get_on_floor_to_walk=TRUE;
		cond0_mab_walk_holding_nothing();
		LIz_mab_walk_holding_nothing=TRUE;
		LIz_mab_walk_holding_object=TRUE;
		LIz_mab_jump_onto_floor=TRUE;
		LIz_mab_walk_to_place_to_climb=TRUE;
		cond0_mab_drop_to_climb();
		LIz_mab_drop_to_climb=TRUE;
		LIz_mab_climb_indirectly=TRUE;
		LIz_mab_climb_directly=TRUE;
		LIz_mab_already_on_object=TRUE;
		cond0_mab_hold_to_eat();
		LIz_mab_hold_to_eat=TRUE;
		LIz_mab_satisfy_hunger=TRUE;

	add_tail_lent(mab_i_thing[vp_thing1].on_top_of, &mab_i_goal_is_to[0].argument_1);
		LIz_mab_hold_chest_to_put_on_floor=TRUE;
		LIz_mab_put_chest_on_floor=TRUE;
		cond1_mab_get_key_to_unlock(-1);
		LIz_mab_get_key_to_unlock=TRUE;
		LIz_mab_move_to_chest_with_key=TRUE;
		cond4_mab_move_to_chest_with_key(-1);
		LIz_mab_unlock_chest_with_key=TRUE;
		cond6_mab_unlock_chest_with_key(-1);
		cond1_mab_unlock_chest_to_hold_object(-1);
		LIz_mab_unlock_chest_to_hold_object=TRUE;
		LIz_mab_use_ladder_to_hold=TRUE;
		cond1_mab_climb_ladder_to_hold(-1);
		LIz_mab_climb_ladder_to_hold=TRUE;
		LIz_mab_grab_object_from_ladder=TRUE;
		LIz_mab_climb_to_hold=TRUE;
		LIz_mab_walk_to_hold=TRUE;
		LIz_mab_drop_to_hold=TRUE;
		LIz_mab_grab_object=TRUE;
		cond1_mab_drop_object();
		LIz_mab_drop_object=TRUE;
		cond1_mab_unlock_chest_to_move_object(-1);
		LIz_mab_unlock_chest_to_move_object=TRUE;
		LIz_mab_hold_object_to_move=TRUE;
		LIz_mab_move_object_to_place=TRUE;
		LIz_mab_drop_object_once_moved=TRUE;
		LIz_mab_already_moved_object=TRUE;
		cond1_mab_already_at_place();
		LIz_mab_already_at_place=TRUE;
		LIz_mab_get_on_floor_to_walk=TRUE;
		cond1_mab_walk_holding_nothing();
		LIz_mab_walk_holding_nothing=TRUE;
		LIz_mab_walk_holding_object=TRUE;
		cond1_mab_jump_onto_floor();
		LIz_mab_jump_onto_floor=TRUE;
		LIz_mab_walk_to_place_to_climb=TRUE;
		LIz_mab_drop_to_climb=TRUE;
		LIz_mab_climb_indirectly=TRUE;
		cond4_mab_climb_indirectly();
		LIz_mab_climb_directly=TRUE;
		cond1_mab_already_on_object();
		LIz_mab_already_on_object=TRUE;
		cond1_mab_hold_to_eat();
		LIz_mab_hold_to_eat=TRUE;
		cond1_mab_satisfy_hunger();
		LIz_mab_satisfy_hunger=TRUE;

	add_tail_lent(30, &mab_i_goal_is_to[0].argument_2);
		cond2_mab_hold_object_to_move(-1);
		LIz_mab_hold_object_to_move=TRUE;
		cond1_mab_move_object_to_place();
		LIz_mab_move_object_to_place=TRUE;
		cond1_mab_drop_object_once_moved();
		LIz_mab_drop_object_once_moved=TRUE;
		cond2_mab_already_moved_object(-1);
		LIz_mab_already_moved_object=TRUE;

	if (LIz_mab_hold_chest_to_put_on_floor) Iz_mab_hold_chest_to_put_on_floor();
	if (LIz_mab_put_chest_on_floor) Iz_mab_put_chest_on_floor();
	if (LIz_mab_get_key_to_unlock) Iz_mab_get_key_to_unlock();
	if (LIz_mab_move_to_chest_with_key) Iz_mab_move_to_chest_with_key();
	if (LIz_mab_unlock_chest_with_key) Iz_mab_unlock_chest_with_key();
	if (LIz_mab_unlock_chest_to_hold_object) Iz_mab_unlock_chest_to_hold_object();
	if (LIz_mab_use_ladder_to_hold) Iz_mab_use_ladder_to_hold();
	if (LIz_mab_climb_ladder_to_hold) Iz_mab_climb_ladder_to_hold();
	if (LIz_mab_grab_object_from_ladder) Iz_mab_grab_object_from_ladder();
	if (LIz_mab_climb_to_hold) Iz_mab_climb_to_hold();
	if (LIz_mab_walk_to_hold) Iz_mab_walk_to_hold();
	if (LIz_mab_drop_to_hold) Iz_mab_drop_to_hold();
	if (LIz_mab_grab_object) Iz_mab_grab_object();
	if (LIz_mab_drop_object) Iz_mab_drop_object();
	if (LIz_mab_unlock_chest_to_move_object) Iz_mab_unlock_chest_to_move_object();
	if (LIz_mab_hold_object_to_move) Iz_mab_hold_object_to_move();
	if (LIz_mab_move_object_to_place) Iz_mab_move_object_to_place();
	if (LIz_mab_drop_object_once_moved) Iz_mab_drop_object_once_moved();
	if (LIz_mab_already_moved_object) Iz_mab_already_moved_object();
	if (LIz_mab_already_at_place) Iz_mab_already_at_place();
	if (LIz_mab_get_on_floor_to_walk) Iz_mab_get_on_floor_to_walk();
	if (LIz_mab_walk_holding_nothing) Iz_mab_walk_holding_nothing();
	if (LIz_mab_walk_holding_object) Iz_mab_walk_holding_object();
	if (LIz_mab_jump_onto_floor) Iz_mab_jump_onto_floor();
	if (LIz_mab_walk_to_place_to_climb) Iz_mab_walk_to_place_to_climb();
	if (LIz_mab_drop_to_climb) Iz_mab_drop_to_climb();
	if (LIz_mab_climb_indirectly) Iz_mab_climb_indirectly();
	if (LIz_mab_climb_directly) Iz_mab_climb_directly();
	if (LIz_mab_already_on_object) Iz_mab_already_on_object();
	if (LIz_mab_hold_to_eat) Iz_mab_hold_to_eat();
	if (LIz_mab_satisfy_hunger) Iz_mab_satisfy_hunger();

}
void De_mab_grab_object(vp_thing1)
	int vp_thing1;
{
	int   cambio_asig[3];
	int   old_value_ent;
	float old_value_real;
	int   iter;

	for(iter=0;iter<3; iter++) cambio_asig[iter]=FALSE;

	printf("Monkey grabs the ");
	printf("%d", mab_i_thing[vp_thing1].name);
	printf(".\n");

	old_value_ent=mab_i_thing[vp_thing1].location;
	mab_i_thing[vp_thing1].location=33;
	cambio_asig[0]=	old_value_ent != mab_i_thing[vp_thing1].location;
	if (cambio_asig[0]) {
		LIz_mab_move_to_chest_with_key=TRUE;
		LIz_mab_unlock_chest_with_key=TRUE;
		cond5_mab_climb_ladder_to_hold(vp_thing1,-1);
		cond5_mab_climb_ladder_to_hold(-1,vp_thing1);
		LIz_mab_climb_ladder_to_hold=TRUE;
		LIz_mab_grab_object_from_ladder=TRUE;
		cond2_mab_climb_to_hold(vp_thing1);
		LIz_mab_climb_to_hold=TRUE;
		LIz_mab_walk_to_hold=TRUE;
		LIz_mab_drop_to_hold=TRUE;
		LIz_mab_grab_object=TRUE;
		cond2_mab_hold_object_to_move(vp_thing1);
		LIz_mab_hold_object_to_move=TRUE;
		cond2_mab_already_moved_object(vp_thing1);
		LIz_mab_already_moved_object=TRUE;
		cond2_mab_walk_to_place_to_climb(vp_thing1);
		LIz_mab_walk_to_place_to_climb=TRUE;
		cond2_mab_drop_to_climb(vp_thing1);
		LIz_mab_drop_to_climb=TRUE;
		LIz_mab_climb_indirectly=TRUE;
		LIz_mab_climb_directly=TRUE;
	}

	old_value_ent=mab_i_thing[vp_thing1].on_top_of;
	mab_i_thing[vp_thing1].on_top_of=33;
	cambio_asig[1]=	old_value_ent != mab_i_thing[vp_thing1].on_top_of;
	if (cambio_asig[1]) {
		cond2_mab_hold_chest_to_put_on_floor(vp_thing1);
		LIz_mab_hold_chest_to_put_on_floor=TRUE;
		cond2_mab_get_key_to_unlock(vp_thing1);
		LIz_mab_get_key_to_unlock=TRUE;
		LIz_mab_move_to_chest_with_key=TRUE;
		LIz_mab_unlock_chest_with_key=TRUE;
		LIz_mab_use_ladder_to_hold=TRUE;
		cond2_mab_climb_ladder_to_hold(vp_thing1);
		LIz_mab_climb_ladder_to_hold=TRUE;
		cond6_mab_climb_ladder_to_hold(vp_thing1);
		LIz_mab_grab_object_from_ladder=TRUE;
		LIz_mab_climb_to_hold=TRUE;
		cond2_mab_walk_to_hold(vp_thing1);
		LIz_mab_walk_to_hold=TRUE;
		LIz_mab_drop_to_hold=TRUE;
		LIz_mab_grab_object=TRUE;
		cond3_mab_climb_indirectly(vp_thing1);
		LIz_mab_climb_indirectly=TRUE;
		cond3_mab_climb_directly(vp_thing1);
		LIz_mab_climb_directly=TRUE;
	}

	old_value_ent=mab_i_monkey[0].holding;
	mab_i_monkey[0].holding=mab_i_thing[vp_thing1].name;
	cambio_asig[2]=	old_value_ent != mab_i_monkey[0].holding;
	if (cambio_asig[2]) {
		LIz_mab_hold_chest_to_put_on_floor=TRUE;
		LIz_mab_put_chest_on_floor=TRUE;
		cond4_mab_get_key_to_unlock(-1);
		LIz_mab_get_key_to_unlock=TRUE;
		cond5_mab_move_to_chest_with_key(-1);
		LIz_mab_move_to_chest_with_key=TRUE;
		cond5_mab_unlock_chest_with_key(-1);
		LIz_mab_unlock_chest_with_key=TRUE;
		LIz_mab_grab_object_from_ladder=TRUE;
		LIz_mab_drop_to_hold=TRUE;
		LIz_mab_grab_object=TRUE;
		LIz_mab_drop_object=TRUE;
		LIz_mab_hold_object_to_move=TRUE;
		LIz_mab_move_object_to_place=TRUE;
		cond3_mab_walk_holding_nothing();
		LIz_mab_walk_holding_nothing=TRUE;
		cond3_mab_walk_holding_object(-1);
		LIz_mab_walk_holding_object=TRUE;
		cond3_mab_drop_to_climb();
		LIz_mab_drop_to_climb=TRUE;
		LIz_mab_climb_indirectly=TRUE;
		LIz_mab_climb_directly=TRUE;
		cond1_mab_hold_to_eat();
		LIz_mab_hold_to_eat=TRUE;
		cond1_mab_satisfy_hunger();
		LIz_mab_satisfy_hunger=TRUE;
	}

	mab_var_aux=pop_tail_lent(&mab_i_goal_is_to[0].action);
		LIz_mab_hold_chest_to_put_on_floor=TRUE;
		LIz_mab_put_chest_on_floor=TRUE;
		cond0_mab_get_key_to_unlock();
		LIz_mab_get_key_to_unlock=TRUE;
		LIz_mab_move_to_chest_with_key=TRUE;
		LIz_mab_unlock_chest_with_key=TRUE;
		LIz_mab_unlock_chest_to_hold_object=TRUE;
		LIz_mab_use_ladder_to_hold=TRUE;
		cond0_mab_climb_ladder_to_hold();
		LIz_mab_climb_ladder_to_hold=TRUE;
		LIz_mab_grab_object_from_ladder=TRUE;
		LIz_mab_climb_to_hold=TRUE;
		LIz_mab_walk_to_hold=TRUE;
		LIz_mab_drop_to_hold=TRUE;
		LIz_mab_grab_object=TRUE;
		LIz_mab_drop_object=TRUE;
		LIz_mab_unlock_chest_to_move_object=TRUE;
		cond0_mab_hold_object_to_move();
		LIz_mab_hold_object_to_move=TRUE;
		LIz_mab_move_object_to_place=TRUE;
		LIz_mab_drop_object_once_moved=TRUE;
		LIz_mab_already_moved_object=TRUE;
		LIz_mab_already_at_place=TRUE;
		LIz_mab_get_on_floor_to_walk=TRUE;
		cond0_mab_walk_holding_nothing();
		LIz_mab_walk_holding_nothing=TRUE;
		LIz_mab_walk_holding_object=TRUE;
		LIz_mab_jump_onto_floor=TRUE;
		LIz_mab_walk_to_place_to_climb=TRUE;
		cond0_mab_drop_to_climb();
		LIz_mab_drop_to_climb=TRUE;
		LIz_mab_climb_indirectly=TRUE;
		LIz_mab_climb_directly=TRUE;
		LIz_mab_already_on_object=TRUE;
		cond0_mab_hold_to_eat();
		LIz_mab_hold_to_eat=TRUE;
		LIz_mab_satisfy_hunger=TRUE;

	mab_var_aux=pop_tail_lent(&mab_i_goal_is_to[0].argument_1);
		LIz_mab_hold_chest_to_put_on_floor=TRUE;
		LIz_mab_put_chest_on_floor=TRUE;
		cond1_mab_get_key_to_unlock(-1);
		LIz_mab_get_key_to_unlock=TRUE;
		LIz_mab_move_to_chest_with_key=TRUE;
		cond4_mab_move_to_chest_with_key(-1);
		LIz_mab_unlock_chest_with_key=TRUE;
		cond6_mab_unlock_chest_with_key(-1);
		cond1_mab_unlock_chest_to_hold_object(-1);
		LIz_mab_unlock_chest_to_hold_object=TRUE;
		LIz_mab_use_ladder_to_hold=TRUE;
		cond1_mab_climb_ladder_to_hold(-1);
		LIz_mab_climb_ladder_to_hold=TRUE;
		LIz_mab_grab_object_from_ladder=TRUE;
		LIz_mab_climb_to_hold=TRUE;
		LIz_mab_walk_to_hold=TRUE;
		LIz_mab_drop_to_hold=TRUE;
		LIz_mab_grab_object=TRUE;
		cond1_mab_drop_object();
		LIz_mab_drop_object=TRUE;
		cond1_mab_unlock_chest_to_move_object(-1);
		LIz_mab_unlock_chest_to_move_object=TRUE;
		LIz_mab_hold_object_to_move=TRUE;
		LIz_mab_move_object_to_place=TRUE;
		LIz_mab_drop_object_once_moved=TRUE;
		LIz_mab_already_moved_object=TRUE;
		cond1_mab_already_at_place();
		LIz_mab_already_at_place=TRUE;
		LIz_mab_get_on_floor_to_walk=TRUE;
		cond1_mab_walk_holding_nothing();
		LIz_mab_walk_holding_nothing=TRUE;
		LIz_mab_walk_holding_object=TRUE;
		cond1_mab_jump_onto_floor();
		LIz_mab_jump_onto_floor=TRUE;
		LIz_mab_walk_to_place_to_climb=TRUE;
		LIz_mab_drop_to_climb=TRUE;
		LIz_mab_climb_indirectly=TRUE;
		cond4_mab_climb_indirectly();
		LIz_mab_climb_directly=TRUE;
		cond1_mab_already_on_object();
		LIz_mab_already_on_object=TRUE;
		cond1_mab_hold_to_eat();
		LIz_mab_hold_to_eat=TRUE;
		cond1_mab_satisfy_hunger();
		LIz_mab_satisfy_hunger=TRUE;

	mab_var_aux=pop_tail_lent(&mab_i_goal_is_to[0].argument_2);
		cond2_mab_hold_object_to_move(-1);
		LIz_mab_hold_object_to_move=TRUE;
		cond1_mab_move_object_to_place();
		LIz_mab_move_object_to_place=TRUE;
		cond1_mab_drop_object_once_moved();
		LIz_mab_drop_object_once_moved=TRUE;
		cond2_mab_already_moved_object(-1);
		LIz_mab_already_moved_object=TRUE;

	if (LIz_mab_move_to_chest_with_key) Iz_mab_move_to_chest_with_key();
	if (LIz_mab_unlock_chest_with_key) Iz_mab_unlock_chest_with_key();
	if (LIz_mab_climb_ladder_to_hold) Iz_mab_climb_ladder_to_hold();
	if (LIz_mab_grab_object_from_ladder) Iz_mab_grab_object_from_ladder();
	if (LIz_mab_climb_to_hold) Iz_mab_climb_to_hold();
	if (LIz_mab_walk_to_hold) Iz_mab_walk_to_hold();
	if (LIz_mab_drop_to_hold) Iz_mab_drop_to_hold();
	if (LIz_mab_grab_object) Iz_mab_grab_object();
	if (LIz_mab_hold_object_to_move) Iz_mab_hold_object_to_move();
	if (LIz_mab_already_moved_object) Iz_mab_already_moved_object();
	if (LIz_mab_walk_to_place_to_climb) Iz_mab_walk_to_place_to_climb();
	if (LIz_mab_drop_to_climb) Iz_mab_drop_to_climb();
	if (LIz_mab_climb_indirectly) Iz_mab_climb_indirectly();
	if (LIz_mab_climb_directly) Iz_mab_climb_directly();
	if (LIz_mab_hold_chest_to_put_on_floor) Iz_mab_hold_chest_to_put_on_floor();
	if (LIz_mab_get_key_to_unlock) Iz_mab_get_key_to_unlock();
	if (LIz_mab_use_ladder_to_hold) Iz_mab_use_ladder_to_hold();
	if (LIz_mab_put_chest_on_floor) Iz_mab_put_chest_on_floor();
	if (LIz_mab_drop_object) Iz_mab_drop_object();
	if (LIz_mab_move_object_to_place) Iz_mab_move_object_to_place();
	if (LIz_mab_walk_holding_nothing) Iz_mab_walk_holding_nothing();
	if (LIz_mab_walk_holding_object) Iz_mab_walk_holding_object();
	if (LIz_mab_hold_to_eat) Iz_mab_hold_to_eat();
	if (LIz_mab_satisfy_hunger) Iz_mab_satisfy_hunger();
	if (LIz_mab_unlock_chest_to_hold_object) Iz_mab_unlock_chest_to_hold_object();
	if (LIz_mab_unlock_chest_to_move_object) Iz_mab_unlock_chest_to_move_object();
	if (LIz_mab_drop_object_once_moved) Iz_mab_drop_object_once_moved();
	if (LIz_mab_already_at_place) Iz_mab_already_at_place();
	if (LIz_mab_get_on_floor_to_walk) Iz_mab_get_on_floor_to_walk();
	if (LIz_mab_jump_onto_floor) Iz_mab_jump_onto_floor();
	if (LIz_mab_already_on_object) Iz_mab_already_on_object();

}
void De_mab_unlock_chest_to_move_object(vp_chest1)
	int vp_chest1;
{

	add_tail_lent(24, &mab_i_goal_is_to[0].action);
		LIz_mab_hold_chest_to_put_on_floor=TRUE;
		LIz_mab_put_chest_on_floor=TRUE;
		cond0_mab_get_key_to_unlock();
		LIz_mab_get_key_to_unlock=TRUE;
		LIz_mab_move_to_chest_with_key=TRUE;
		LIz_mab_unlock_chest_with_key=TRUE;
		LIz_mab_unlock_chest_to_hold_object=TRUE;
		LIz_mab_use_ladder_to_hold=TRUE;
		cond0_mab_climb_ladder_to_hold();
		LIz_mab_climb_ladder_to_hold=TRUE;
		LIz_mab_grab_object_from_ladder=TRUE;
		LIz_mab_climb_to_hold=TRUE;
		LIz_mab_walk_to_hold=TRUE;
		LIz_mab_drop_to_hold=TRUE;
		LIz_mab_grab_object=TRUE;
		LIz_mab_drop_object=TRUE;
		LIz_mab_unlock_chest_to_move_object=TRUE;
		cond0_mab_hold_object_to_move();
		LIz_mab_hold_object_to_move=TRUE;
		LIz_mab_move_object_to_place=TRUE;
		LIz_mab_drop_object_once_moved=TRUE;
		LIz_mab_already_moved_object=TRUE;
		LIz_mab_already_at_place=TRUE;
		LIz_mab_get_on_floor_to_walk=TRUE;
		cond0_mab_walk_holding_nothing();
		LIz_mab_walk_holding_nothing=TRUE;
		LIz_mab_walk_holding_object=TRUE;
		LIz_mab_jump_onto_floor=TRUE;
		LIz_mab_walk_to_place_to_climb=TRUE;
		cond0_mab_drop_to_climb();
		LIz_mab_drop_to_climb=TRUE;
		LIz_mab_climb_indirectly=TRUE;
		LIz_mab_climb_directly=TRUE;
		LIz_mab_already_on_object=TRUE;
		cond0_mab_hold_to_eat();
		LIz_mab_hold_to_eat=TRUE;
		LIz_mab_satisfy_hunger=TRUE;

	add_tail_lent(mab_i_chest[vp_chest1].name, &mab_i_goal_is_to[0].argument_1);
		LIz_mab_hold_chest_to_put_on_floor=TRUE;
		LIz_mab_put_chest_on_floor=TRUE;
		cond1_mab_get_key_to_unlock(-1);
		LIz_mab_get_key_to_unlock=TRUE;
		LIz_mab_move_to_chest_with_key=TRUE;
		cond4_mab_move_to_chest_with_key(-1);
		LIz_mab_unlock_chest_with_key=TRUE;
		cond6_mab_unlock_chest_with_key(-1);
		cond1_mab_unlock_chest_to_hold_object(-1);
		LIz_mab_unlock_chest_to_hold_object=TRUE;
		LIz_mab_use_ladder_to_hold=TRUE;
		cond1_mab_climb_ladder_to_hold(-1);
		LIz_mab_climb_ladder_to_hold=TRUE;
		LIz_mab_grab_object_from_ladder=TRUE;
		LIz_mab_climb_to_hold=TRUE;
		LIz_mab_walk_to_hold=TRUE;
		LIz_mab_drop_to_hold=TRUE;
		LIz_mab_grab_object=TRUE;
		cond1_mab_drop_object();
		LIz_mab_drop_object=TRUE;
		cond1_mab_unlock_chest_to_move_object(-1);
		LIz_mab_unlock_chest_to_move_object=TRUE;
		LIz_mab_hold_object_to_move=TRUE;
		LIz_mab_move_object_to_place=TRUE;
		LIz_mab_drop_object_once_moved=TRUE;
		LIz_mab_already_moved_object=TRUE;
		cond1_mab_already_at_place();
		LIz_mab_already_at_place=TRUE;
		LIz_mab_get_on_floor_to_walk=TRUE;
		cond1_mab_walk_holding_nothing();
		LIz_mab_walk_holding_nothing=TRUE;
		LIz_mab_walk_holding_object=TRUE;
		cond1_mab_jump_onto_floor();
		LIz_mab_jump_onto_floor=TRUE;
		LIz_mab_walk_to_place_to_climb=TRUE;
		LIz_mab_drop_to_climb=TRUE;
		LIz_mab_climb_indirectly=TRUE;
		cond4_mab_climb_indirectly();
		LIz_mab_climb_directly=TRUE;
		cond1_mab_already_on_object();
		LIz_mab_already_on_object=TRUE;
		cond1_mab_hold_to_eat();
		LIz_mab_hold_to_eat=TRUE;
		cond1_mab_satisfy_hunger();
		LIz_mab_satisfy_hunger=TRUE;

	add_tail_lent(30, &mab_i_goal_is_to[0].argument_2);
		cond2_mab_hold_object_to_move(-1);
		LIz_mab_hold_object_to_move=TRUE;
		cond1_mab_move_object_to_place();
		LIz_mab_move_object_to_place=TRUE;
		cond1_mab_drop_object_once_moved();
		LIz_mab_drop_object_once_moved=TRUE;
		cond2_mab_already_moved_object(-1);
		LIz_mab_already_moved_object=TRUE;

	if (LIz_mab_hold_chest_to_put_on_floor) Iz_mab_hold_chest_to_put_on_floor();
	if (LIz_mab_put_chest_on_floor) Iz_mab_put_chest_on_floor();
	if (LIz_mab_get_key_to_unlock) Iz_mab_get_key_to_unlock();
	if (LIz_mab_move_to_chest_with_key) Iz_mab_move_to_chest_with_key();
	if (LIz_mab_unlock_chest_with_key) Iz_mab_unlock_chest_with_key();
	if (LIz_mab_unlock_chest_to_hold_object) Iz_mab_unlock_chest_to_hold_object();
	if (LIz_mab_use_ladder_to_hold) Iz_mab_use_ladder_to_hold();
	if (LIz_mab_climb_ladder_to_hold) Iz_mab_climb_ladder_to_hold();
	if (LIz_mab_grab_object_from_ladder) Iz_mab_grab_object_from_ladder();
	if (LIz_mab_climb_to_hold) Iz_mab_climb_to_hold();
	if (LIz_mab_walk_to_hold) Iz_mab_walk_to_hold();
	if (LIz_mab_drop_to_hold) Iz_mab_drop_to_hold();
	if (LIz_mab_grab_object) Iz_mab_grab_object();
	if (LIz_mab_drop_object) Iz_mab_drop_object();
	if (LIz_mab_unlock_chest_to_move_object) Iz_mab_unlock_chest_to_move_object();
	if (LIz_mab_hold_object_to_move) Iz_mab_hold_object_to_move();
	if (LIz_mab_move_object_to_place) Iz_mab_move_object_to_place();
	if (LIz_mab_drop_object_once_moved) Iz_mab_drop_object_once_moved();
	if (LIz_mab_already_moved_object) Iz_mab_already_moved_object();
	if (LIz_mab_already_at_place) Iz_mab_already_at_place();
	if (LIz_mab_get_on_floor_to_walk) Iz_mab_get_on_floor_to_walk();
	if (LIz_mab_walk_holding_nothing) Iz_mab_walk_holding_nothing();
	if (LIz_mab_walk_holding_object) Iz_mab_walk_holding_object();
	if (LIz_mab_jump_onto_floor) Iz_mab_jump_onto_floor();
	if (LIz_mab_walk_to_place_to_climb) Iz_mab_walk_to_place_to_climb();
	if (LIz_mab_drop_to_climb) Iz_mab_drop_to_climb();
	if (LIz_mab_climb_indirectly) Iz_mab_climb_indirectly();
	if (LIz_mab_climb_directly) Iz_mab_climb_directly();
	if (LIz_mab_already_on_object) Iz_mab_already_on_object();
	if (LIz_mab_hold_to_eat) Iz_mab_hold_to_eat();
	if (LIz_mab_satisfy_hunger) Iz_mab_satisfy_hunger();

}
void De_mab_drop_to_hold(vp_thing1)
	int vp_thing1;
{

	add_tail_lent(25, &mab_i_goal_is_to[0].action);
		LIz_mab_hold_chest_to_put_on_floor=TRUE;
		LIz_mab_put_chest_on_floor=TRUE;
		cond0_mab_get_key_to_unlock();
		LIz_mab_get_key_to_unlock=TRUE;
		LIz_mab_move_to_chest_with_key=TRUE;
		LIz_mab_unlock_chest_with_key=TRUE;
		LIz_mab_unlock_chest_to_hold_object=TRUE;
		LIz_mab_use_ladder_to_hold=TRUE;
		cond0_mab_climb_ladder_to_hold();
		LIz_mab_climb_ladder_to_hold=TRUE;
		LIz_mab_grab_object_from_ladder=TRUE;
		LIz_mab_climb_to_hold=TRUE;
		LIz_mab_walk_to_hold=TRUE;
		LIz_mab_drop_to_hold=TRUE;
		LIz_mab_grab_object=TRUE;
		LIz_mab_drop_object=TRUE;
		LIz_mab_unlock_chest_to_move_object=TRUE;
		cond0_mab_hold_object_to_move();
		LIz_mab_hold_object_to_move=TRUE;
		LIz_mab_move_object_to_place=TRUE;
		LIz_mab_drop_object_once_moved=TRUE;
		LIz_mab_already_moved_object=TRUE;
		LIz_mab_already_at_place=TRUE;
		LIz_mab_get_on_floor_to_walk=TRUE;
		cond0_mab_walk_holding_nothing();
		LIz_mab_walk_holding_nothing=TRUE;
		LIz_mab_walk_holding_object=TRUE;
		LIz_mab_jump_onto_floor=TRUE;
		LIz_mab_walk_to_place_to_climb=TRUE;
		cond0_mab_drop_to_climb();
		LIz_mab_drop_to_climb=TRUE;
		LIz_mab_climb_indirectly=TRUE;
		LIz_mab_climb_directly=TRUE;
		LIz_mab_already_on_object=TRUE;
		cond0_mab_hold_to_eat();
		LIz_mab_hold_to_eat=TRUE;
		LIz_mab_satisfy_hunger=TRUE;

	add_tail_lent(21, &mab_i_goal_is_to[0].argument_1);
		LIz_mab_hold_chest_to_put_on_floor=TRUE;
		LIz_mab_put_chest_on_floor=TRUE;
		cond1_mab_get_key_to_unlock(-1);
		LIz_mab_get_key_to_unlock=TRUE;
		LIz_mab_move_to_chest_with_key=TRUE;
		cond4_mab_move_to_chest_with_key(-1);
		LIz_mab_unlock_chest_with_key=TRUE;
		cond6_mab_unlock_chest_with_key(-1);
		cond1_mab_unlock_chest_to_hold_object(-1);
		LIz_mab_unlock_chest_to_hold_object=TRUE;
		LIz_mab_use_ladder_to_hold=TRUE;
		cond1_mab_climb_ladder_to_hold(-1);
		LIz_mab_climb_ladder_to_hold=TRUE;
		LIz_mab_grab_object_from_ladder=TRUE;
		LIz_mab_climb_to_hold=TRUE;
		LIz_mab_walk_to_hold=TRUE;
		LIz_mab_drop_to_hold=TRUE;
		LIz_mab_grab_object=TRUE;
		cond1_mab_drop_object();
		LIz_mab_drop_object=TRUE;
		cond1_mab_unlock_chest_to_move_object(-1);
		LIz_mab_unlock_chest_to_move_object=TRUE;
		LIz_mab_hold_object_to_move=TRUE;
		LIz_mab_move_object_to_place=TRUE;
		LIz_mab_drop_object_once_moved=TRUE;
		LIz_mab_already_moved_object=TRUE;
		cond1_mab_already_at_place();
		LIz_mab_already_at_place=TRUE;
		LIz_mab_get_on_floor_to_walk=TRUE;
		cond1_mab_walk_holding_nothing();
		LIz_mab_walk_holding_nothing=TRUE;
		LIz_mab_walk_holding_object=TRUE;
		cond1_mab_jump_onto_floor();
		LIz_mab_jump_onto_floor=TRUE;
		LIz_mab_walk_to_place_to_climb=TRUE;
		LIz_mab_drop_to_climb=TRUE;
		LIz_mab_climb_indirectly=TRUE;
		cond4_mab_climb_indirectly();
		LIz_mab_climb_directly=TRUE;
		cond1_mab_already_on_object();
		LIz_mab_already_on_object=TRUE;
		cond1_mab_hold_to_eat();
		LIz_mab_hold_to_eat=TRUE;
		cond1_mab_satisfy_hunger();
		LIz_mab_satisfy_hunger=TRUE;

	add_tail_lent(30, &mab_i_goal_is_to[0].argument_2);
		cond2_mab_hold_object_to_move(-1);
		LIz_mab_hold_object_to_move=TRUE;
		cond1_mab_move_object_to_place();
		LIz_mab_move_object_to_place=TRUE;
		cond1_mab_drop_object_once_moved();
		LIz_mab_drop_object_once_moved=TRUE;
		cond2_mab_already_moved_object(-1);
		LIz_mab_already_moved_object=TRUE;

	if (LIz_mab_hold_chest_to_put_on_floor) Iz_mab_hold_chest_to_put_on_floor();
	if (LIz_mab_put_chest_on_floor) Iz_mab_put_chest_on_floor();
	if (LIz_mab_get_key_to_unlock) Iz_mab_get_key_to_unlock();
	if (LIz_mab_move_to_chest_with_key) Iz_mab_move_to_chest_with_key();
	if (LIz_mab_unlock_chest_with_key) Iz_mab_unlock_chest_with_key();
	if (LIz_mab_unlock_chest_to_hold_object) Iz_mab_unlock_chest_to_hold_object();
	if (LIz_mab_use_ladder_to_hold) Iz_mab_use_ladder_to_hold();
	if (LIz_mab_climb_ladder_to_hold) Iz_mab_climb_ladder_to_hold();
	if (LIz_mab_grab_object_from_ladder) Iz_mab_grab_object_from_ladder();
	if (LIz_mab_climb_to_hold) Iz_mab_climb_to_hold();
	if (LIz_mab_walk_to_hold) Iz_mab_walk_to_hold();
	if (LIz_mab_drop_to_hold) Iz_mab_drop_to_hold();
	if (LIz_mab_grab_object) Iz_mab_grab_object();
	if (LIz_mab_drop_object) Iz_mab_drop_object();
	if (LIz_mab_unlock_chest_to_move_object) Iz_mab_unlock_chest_to_move_object();
	if (LIz_mab_hold_object_to_move) Iz_mab_hold_object_to_move();
	if (LIz_mab_move_object_to_place) Iz_mab_move_object_to_place();
	if (LIz_mab_drop_object_once_moved) Iz_mab_drop_object_once_moved();
	if (LIz_mab_already_moved_object) Iz_mab_already_moved_object();
	if (LIz_mab_already_at_place) Iz_mab_already_at_place();
	if (LIz_mab_get_on_floor_to_walk) Iz_mab_get_on_floor_to_walk();
	if (LIz_mab_walk_holding_nothing) Iz_mab_walk_holding_nothing();
	if (LIz_mab_walk_holding_object) Iz_mab_walk_holding_object();
	if (LIz_mab_jump_onto_floor) Iz_mab_jump_onto_floor();
	if (LIz_mab_walk_to_place_to_climb) Iz_mab_walk_to_place_to_climb();
	if (LIz_mab_drop_to_climb) Iz_mab_drop_to_climb();
	if (LIz_mab_climb_indirectly) Iz_mab_climb_indirectly();
	if (LIz_mab_climb_directly) Iz_mab_climb_directly();
	if (LIz_mab_already_on_object) Iz_mab_already_on_object();
	if (LIz_mab_hold_to_eat) Iz_mab_hold_to_eat();
	if (LIz_mab_satisfy_hunger) Iz_mab_satisfy_hunger();

}
/*----------------- FUNCION RESET -------------------*/
void mab_Reset()
{
	mab_log_reset();

	cond1_mab_get_key_to_unlock(0);
	cond3_mab_get_key_to_unlock(-1,0);
	cond1_mab_climb_ladder_to_hold(0);
	cond4_mab_climb_ladder_to_hold(0);
	cond3_mab_walk_holding_object(0);
	cond5_mab_climb_ladder_to_hold(0,-1);
	cond5_mab_climb_ladder_to_hold(-1,0);
	cond2_mab_climb_to_hold(0);
	cond2_mab_hold_object_to_move(0);
	cond2_mab_already_moved_object(0);
	cond2_mab_walk_to_place_to_climb(0);
	cond2_mab_drop_to_climb(0);
	cond2_mab_hold_chest_to_put_on_floor(0);
	cond2_mab_get_key_to_unlock(0);
	cond2_mab_climb_ladder_to_hold(0);
	cond6_mab_climb_ladder_to_hold(0);
	cond2_mab_walk_to_hold(0);
	cond3_mab_climb_indirectly(0);
	cond3_mab_climb_directly(0);
	cond3_mab_climb_ladder_to_hold(0);
	cond6_mab_unlock_chest_with_key(0);
	cond3_mab_get_key_to_unlock(2,-1);
	cond4_mab_move_to_chest_with_key(2);
	cond1_mab_unlock_chest_to_hold_object(2);
	cond1_mab_unlock_chest_to_move_object(2);
	cond4_mab_get_key_to_unlock(2);
	cond5_mab_move_to_chest_with_key(2);
	cond5_mab_unlock_chest_with_key(2);
	cond1_mab_get_key_to_unlock(7);
	cond3_mab_get_key_to_unlock(-1,7);
	cond1_mab_climb_ladder_to_hold(7);
	cond4_mab_climb_ladder_to_hold(7);
	cond3_mab_walk_holding_object(7);
	cond5_mab_climb_ladder_to_hold(7,-1);
	cond5_mab_climb_ladder_to_hold(-1,7);
	cond2_mab_climb_to_hold(7);
	cond2_mab_hold_object_to_move(7);
	cond2_mab_already_moved_object(7);
	cond2_mab_walk_to_place_to_climb(7);
	cond2_mab_drop_to_climb(7);
	cond2_mab_hold_chest_to_put_on_floor(7);
	cond2_mab_get_key_to_unlock(7);
	cond2_mab_climb_ladder_to_hold(7);
	cond6_mab_climb_ladder_to_hold(7);
	cond2_mab_walk_to_hold(7);
	cond3_mab_climb_indirectly(7);
	cond3_mab_climb_directly(7);
	cond3_mab_climb_ladder_to_hold(7);
	cond6_mab_unlock_chest_with_key(7);
	cond1_mab_get_key_to_unlock(1);
	cond3_mab_get_key_to_unlock(-1,1);
	cond1_mab_climb_ladder_to_hold(1);
	cond4_mab_climb_ladder_to_hold(1);
	cond3_mab_walk_holding_object(1);
	cond5_mab_climb_ladder_to_hold(1,-1);
	cond5_mab_climb_ladder_to_hold(-1,1);
	cond2_mab_climb_to_hold(1);
	cond2_mab_hold_object_to_move(1);
	cond2_mab_already_moved_object(1);
	cond2_mab_walk_to_place_to_climb(1);
	cond2_mab_drop_to_climb(1);
	cond2_mab_hold_chest_to_put_on_floor(1);
	cond2_mab_get_key_to_unlock(1);
	cond2_mab_climb_ladder_to_hold(1);
	cond6_mab_climb_ladder_to_hold(1);
	cond2_mab_walk_to_hold(1);
	cond3_mab_climb_indirectly(1);
	cond3_mab_climb_directly(1);
	cond3_mab_climb_ladder_to_hold(1);
	cond6_mab_unlock_chest_with_key(1);
	cond3_mab_get_key_to_unlock(0,-1);
	cond4_mab_move_to_chest_with_key(0);
	cond1_mab_unlock_chest_to_hold_object(0);
	cond1_mab_unlock_chest_to_move_object(0);
	cond4_mab_get_key_to_unlock(0);
	cond5_mab_move_to_chest_with_key(0);
	cond5_mab_unlock_chest_with_key(0);
	cond1_mab_get_key_to_unlock(3);
	cond3_mab_get_key_to_unlock(-1,3);
	cond1_mab_climb_ladder_to_hold(3);
	cond4_mab_climb_ladder_to_hold(3);
	cond3_mab_walk_holding_object(3);
	cond5_mab_climb_ladder_to_hold(3,-1);
	cond5_mab_climb_ladder_to_hold(-1,3);
	cond2_mab_climb_to_hold(3);
	cond2_mab_hold_object_to_move(3);
	cond2_mab_already_moved_object(3);
	cond2_mab_walk_to_place_to_climb(3);
	cond2_mab_drop_to_climb(3);
	cond2_mab_hold_chest_to_put_on_floor(3);
	cond2_mab_get_key_to_unlock(3);
	cond2_mab_climb_ladder_to_hold(3);
	cond6_mab_climb_ladder_to_hold(3);
	cond2_mab_walk_to_hold(3);
	cond3_mab_climb_indirectly(3);
	cond3_mab_climb_directly(3);
	cond3_mab_climb_ladder_to_hold(3);
	cond6_mab_unlock_chest_with_key(3);
	cond1_mab_get_key_to_unlock(10);
	cond3_mab_get_key_to_unlock(-1,10);
	cond1_mab_climb_ladder_to_hold(10);
	cond4_mab_climb_ladder_to_hold(10);
	cond3_mab_walk_holding_object(10);
	cond5_mab_climb_ladder_to_hold(10,-1);
	cond5_mab_climb_ladder_to_hold(-1,10);
	cond2_mab_climb_to_hold(10);
	cond2_mab_hold_object_to_move(10);
	cond2_mab_already_moved_object(10);
	cond2_mab_walk_to_place_to_climb(10);
	cond2_mab_drop_to_climb(10);
	cond2_mab_hold_chest_to_put_on_floor(10);
	cond2_mab_get_key_to_unlock(10);
	cond2_mab_climb_ladder_to_hold(10);
	cond6_mab_climb_ladder_to_hold(10);
	cond2_mab_walk_to_hold(10);
	cond3_mab_climb_indirectly(10);
	cond3_mab_climb_directly(10);
	cond3_mab_climb_ladder_to_hold(10);
	cond6_mab_unlock_chest_with_key(10);
	cond1_mab_move_object_to_place();
	cond1_mab_drop_object_once_moved();
	cond1_mab_already_at_place();
	cond1_mab_walk_holding_nothing();
	cond2_mab_walk_to_place_to_climb(-1);
	cond2_mab_drop_to_climb(-1);
	cond7_mab_climb_ladder_to_hold();
	cond7_mab_grab_object_from_ladder();
	cond2_mab_get_on_floor_to_walk();
	cond2_mab_walk_holding_nothing();
	cond3_mab_climb_indirectly(-1);
	cond4_mab_climb_indirectly();
	cond3_mab_climb_directly(-1);
	cond1_mab_already_on_object();
	cond4_mab_get_key_to_unlock(-1);
	cond5_mab_move_to_chest_with_key(-1);
	cond5_mab_unlock_chest_with_key(-1);
	cond3_mab_walk_holding_nothing();
	cond3_mab_walk_holding_object(-1);
	cond3_mab_drop_to_climb();
	cond1_mab_hold_to_eat();
	cond1_mab_satisfy_hunger();
	cond1_mab_get_key_to_unlock(5);
	cond3_mab_get_key_to_unlock(-1,5);
	cond1_mab_climb_ladder_to_hold(5);
	cond4_mab_climb_ladder_to_hold(5);
	cond3_mab_walk_holding_object(5);
	cond5_mab_climb_ladder_to_hold(5,-1);
	cond5_mab_climb_ladder_to_hold(-1,5);
	cond2_mab_climb_to_hold(5);
	cond2_mab_hold_object_to_move(5);
	cond2_mab_already_moved_object(5);
	cond2_mab_walk_to_place_to_climb(5);
	cond2_mab_drop_to_climb(5);
	cond2_mab_hold_chest_to_put_on_floor(5);
	cond2_mab_get_key_to_unlock(5);
	cond2_mab_climb_ladder_to_hold(5);
	cond6_mab_climb_ladder_to_hold(5);
	cond2_mab_walk_to_hold(5);
	cond3_mab_climb_indirectly(5);
	cond3_mab_climb_directly(5);
	cond3_mab_climb_ladder_to_hold(5);
	cond6_mab_unlock_chest_with_key(5);
	cond0_mab_get_key_to_unlock();
	cond0_mab_climb_ladder_to_hold();
	cond0_mab_hold_object_to_move();
	cond0_mab_walk_holding_nothing();
	cond0_mab_drop_to_climb();
	cond0_mab_hold_to_eat();
	cond1_mab_get_key_to_unlock(-1);
	cond4_mab_move_to_chest_with_key(-1);
	cond6_mab_unlock_chest_with_key(-1);
	cond1_mab_unlock_chest_to_hold_object(-1);
	cond1_mab_climb_ladder_to_hold(-1);
	cond1_mab_drop_object();
	cond1_mab_unlock_chest_to_move_object(-1);
	cond1_mab_already_at_place();
	cond1_mab_walk_holding_nothing();
	cond1_mab_jump_onto_floor();
	cond4_mab_climb_indirectly();
	cond1_mab_already_on_object();
	cond1_mab_hold_to_eat();
	cond1_mab_satisfy_hunger();
	cond2_mab_hold_object_to_move(-1);
	cond1_mab_move_object_to_place();
	cond1_mab_drop_object_once_moved();
	cond2_mab_already_moved_object(-1);
	cond1_mab_get_key_to_unlock(8);
	cond3_mab_get_key_to_unlock(-1,8);
	cond1_mab_climb_ladder_to_hold(8);
	cond4_mab_climb_ladder_to_hold(8);
	cond3_mab_walk_holding_object(8);
	cond5_mab_climb_ladder_to_hold(8,-1);
	cond5_mab_climb_ladder_to_hold(-1,8);
	cond2_mab_climb_to_hold(8);
	cond2_mab_hold_object_to_move(8);
	cond2_mab_already_moved_object(8);
	cond2_mab_walk_to_place_to_climb(8);
	cond2_mab_drop_to_climb(8);
	cond2_mab_hold_chest_to_put_on_floor(8);
	cond2_mab_get_key_to_unlock(8);
	cond2_mab_climb_ladder_to_hold(8);
	cond6_mab_climb_ladder_to_hold(8);
	cond2_mab_walk_to_hold(8);
	cond3_mab_climb_indirectly(8);
	cond3_mab_climb_directly(8);
	cond3_mab_climb_ladder_to_hold(8);
	cond6_mab_unlock_chest_with_key(8);
	cond1_mab_get_key_to_unlock(6);
	cond3_mab_get_key_to_unlock(-1,6);
	cond1_mab_climb_ladder_to_hold(6);
	cond4_mab_climb_ladder_to_hold(6);
	cond3_mab_walk_holding_object(6);
	cond5_mab_climb_ladder_to_hold(6,-1);
	cond5_mab_climb_ladder_to_hold(-1,6);
	cond2_mab_climb_to_hold(6);
	cond2_mab_hold_object_to_move(6);
	cond2_mab_already_moved_object(6);
	cond2_mab_walk_to_place_to_climb(6);
	cond2_mab_drop_to_climb(6);
	cond2_mab_hold_chest_to_put_on_floor(6);
	cond2_mab_get_key_to_unlock(6);
	cond2_mab_climb_ladder_to_hold(6);
	cond6_mab_climb_ladder_to_hold(6);
	cond2_mab_walk_to_hold(6);
	cond3_mab_climb_indirectly(6);
	cond3_mab_climb_directly(6);
	cond3_mab_climb_ladder_to_hold(6);
	cond6_mab_unlock_chest_with_key(6);
	cond3_mab_get_key_to_unlock(1,-1);
	cond4_mab_move_to_chest_with_key(1);
	cond1_mab_unlock_chest_to_hold_object(1);
	cond1_mab_unlock_chest_to_move_object(1);
	cond4_mab_get_key_to_unlock(1);
	cond5_mab_move_to_chest_with_key(1);
	cond5_mab_unlock_chest_with_key(1);
	cond1_mab_get_key_to_unlock(11);
	cond3_mab_get_key_to_unlock(-1,11);
	cond1_mab_climb_ladder_to_hold(11);
	cond4_mab_climb_ladder_to_hold(11);
	cond3_mab_walk_holding_object(11);
	cond5_mab_climb_ladder_to_hold(11,-1);
	cond5_mab_climb_ladder_to_hold(-1,11);
	cond2_mab_climb_to_hold(11);
	cond2_mab_hold_object_to_move(11);
	cond2_mab_already_moved_object(11);
	cond2_mab_walk_to_place_to_climb(11);
	cond2_mab_drop_to_climb(11);
	cond2_mab_hold_chest_to_put_on_floor(11);
	cond2_mab_get_key_to_unlock(11);
	cond2_mab_climb_ladder_to_hold(11);
	cond6_mab_climb_ladder_to_hold(11);
	cond2_mab_walk_to_hold(11);
	cond3_mab_climb_indirectly(11);
	cond3_mab_climb_directly(11);
	cond3_mab_climb_ladder_to_hold(11);
	cond6_mab_unlock_chest_with_key(11);
	cond1_mab_get_key_to_unlock(4);
	cond3_mab_get_key_to_unlock(-1,4);
	cond1_mab_climb_ladder_to_hold(4);
	cond4_mab_climb_ladder_to_hold(4);
	cond3_mab_walk_holding_object(4);
	cond5_mab_climb_ladder_to_hold(4,-1);
	cond5_mab_climb_ladder_to_hold(-1,4);
	cond2_mab_climb_to_hold(4);
	cond2_mab_hold_object_to_move(4);
	cond2_mab_already_moved_object(4);
	cond2_mab_walk_to_place_to_climb(4);
	cond2_mab_drop_to_climb(4);
	cond2_mab_hold_chest_to_put_on_floor(4);
	cond2_mab_get_key_to_unlock(4);
	cond2_mab_climb_ladder_to_hold(4);
	cond6_mab_climb_ladder_to_hold(4);
	cond2_mab_walk_to_hold(4);
	cond3_mab_climb_indirectly(4);
	cond3_mab_climb_directly(4);
	cond3_mab_climb_ladder_to_hold(4);
	cond6_mab_unlock_chest_with_key(4);
	cond1_mab_get_key_to_unlock(9);
	cond3_mab_get_key_to_unlock(-1,9);
	cond1_mab_climb_ladder_to_hold(9);
	cond4_mab_climb_ladder_to_hold(9);
	cond3_mab_walk_holding_object(9);
	cond5_mab_climb_ladder_to_hold(9,-1);
	cond5_mab_climb_ladder_to_hold(-1,9);
	cond2_mab_climb_to_hold(9);
	cond2_mab_hold_object_to_move(9);
	cond2_mab_already_moved_object(9);
	cond2_mab_walk_to_place_to_climb(9);
	cond2_mab_drop_to_climb(9);
	cond2_mab_hold_chest_to_put_on_floor(9);
	cond2_mab_get_key_to_unlock(9);
	cond2_mab_climb_ladder_to_hold(9);
	cond6_mab_climb_ladder_to_hold(9);
	cond2_mab_walk_to_hold(9);
	cond3_mab_climb_indirectly(9);
	cond3_mab_climb_directly(9);
	cond3_mab_climb_ladder_to_hold(9);
	cond6_mab_unlock_chest_with_key(9);
	cond1_mab_get_key_to_unlock(2);
	cond3_mab_get_key_to_unlock(-1,2);
	cond1_mab_climb_ladder_to_hold(2);
	cond4_mab_climb_ladder_to_hold(2);
	cond3_mab_walk_holding_object(2);
	cond5_mab_climb_ladder_to_hold(2,-1);
	cond5_mab_climb_ladder_to_hold(-1,2);
	cond2_mab_climb_to_hold(2);
	cond2_mab_hold_object_to_move(2);
	cond2_mab_already_moved_object(2);
	cond2_mab_walk_to_place_to_climb(2);
	cond2_mab_drop_to_climb(2);
	cond2_mab_hold_chest_to_put_on_floor(2);
	cond2_mab_get_key_to_unlock(2);
	cond2_mab_climb_ladder_to_hold(2);
	cond6_mab_climb_ladder_to_hold(2);
	cond2_mab_walk_to_hold(2);
	cond3_mab_climb_indirectly(2);
	cond3_mab_climb_directly(2);
	cond3_mab_climb_ladder_to_hold(2);
	cond6_mab_unlock_chest_with_key(2);
	Iz_mab_hold_chest_to_put_on_floor();
	Iz_mab_put_chest_on_floor();
	Iz_mab_get_key_to_unlock();
	Iz_mab_move_to_chest_with_key();
	Iz_mab_unlock_chest_with_key();
	Iz_mab_use_ladder_to_hold();
	Iz_mab_climb_ladder_to_hold();
	Iz_mab_grab_object_from_ladder();
	Iz_mab_climb_to_hold();
	Iz_mab_walk_to_hold();
	Iz_mab_drop_to_hold();
	Iz_mab_grab_object();
	Iz_mab_drop_object();
	Iz_mab_hold_object_to_move();
	Iz_mab_drop_object_once_moved();
	Iz_mab_already_moved_object();
	Iz_mab_walk_holding_object();
	Iz_mab_walk_to_place_to_climb();
	Iz_mab_drop_to_climb();
	Iz_mab_climb_indirectly();
	Iz_mab_climb_directly();
	Iz_mab_satisfy_hunger();
	Iz_mab_unlock_chest_to_hold_object();
	Iz_mab_unlock_chest_to_move_object();
	Iz_mab_move_object_to_place();
	Iz_mab_already_at_place();
	Iz_mab_get_on_floor_to_walk();
	Iz_mab_walk_holding_nothing();
	Iz_mab_jump_onto_floor();
	Iz_mab_already_on_object();
	Iz_mab_hold_to_eat();

	mab_log_end_reset();
}

void mab_Step()
{
	 mab_REGAGENDA r;

	r = mab_obten_regla_mas_prio();
	if (!mab_agenda_vacia) {
		mab_elimregla_agenda(r);
		switch (r.num_regla) {
			case 3:  De_mab_get_key_to_unlock(r.instancias[0],r.instancias[1]);
				 break;
			case 22:  De_mab_walk_holding_nothing();
				 break;
			case 8:  De_mab_climb_ladder_to_hold(r.instancias[0],r.instancias[1]);
				 break;
			case 21:  De_mab_get_on_floor_to_walk();
				 break;
			case 26:  De_mab_drop_to_climb(r.instancias[0]);
				 break;
			case 9:  De_mab_grab_object_from_ladder(r.instancias[0],r.instancias[1]);
				 break;
			case 30:  De_mab_hold_to_eat();
				 break;
			case 23:  De_mab_walk_holding_object(r.instancias[0]);
				 break;
			case 25:  De_mab_walk_to_place_to_climb(r.instancias[0]);
				 break;
			case 31:  De_mab_satisfy_hunger(r.instancias[0]);
				 break;
			case 4:  De_mab_move_to_chest_with_key(r.instancias[0],r.instancias[1]);
				 break;
			case 14:  De_mab_drop_object(r.instancias[0]);
				 break;
			case 27:  De_mab_climb_indirectly(r.instancias[0]);
				 break;
			case 29:  De_mab_already_on_object();
				 break;
			case 16:  De_mab_hold_object_to_move(r.instancias[0]);
				 break;
			case 18:  De_mab_drop_object_once_moved(r.instancias[0]);
				 break;
			case 28:  De_mab_climb_directly(r.instancias[0]);
				 break;
			case 6:  De_mab_unlock_chest_to_hold_object(r.instancias[0]);
				 break;
			case 19:  De_mab_already_moved_object(r.instancias[0]);
				 break;
			case 17:  De_mab_move_object_to_place();
				 break;
			case 20:  De_mab_already_at_place();
				 break;
			case 2:  De_mab_put_chest_on_floor(r.instancias[0]);
				 break;
			case 1:  De_mab_hold_chest_to_put_on_floor(r.instancias[0]);
				 break;
			case 24:  De_mab_jump_onto_floor();
				 break;
			case 5:  De_mab_unlock_chest_with_key(r.instancias[0],r.instancias[1],r.instancias[2]);
				 break;
			case 11:  De_mab_walk_to_hold(r.instancias[0]);
				 break;
			case 7:  De_mab_use_ladder_to_hold(r.instancias[0]);
				 break;
			case 10:  De_mab_climb_to_hold(r.instancias[0]);
				 break;
			case 13:  De_mab_grab_object(r.instancias[0]);
				 break;
			case 15:  De_mab_unlock_chest_to_move_object(r.instancias[0]);
				 break;
			case 12:  De_mab_drop_to_hold(r.instancias[0]);
				 break;
		}
		mab_log_facts();
	}
}

void mab(int mab_limit, int mab_steps) {
  int mab_paso = 0;
  int mab_iteracion = 0;
  int mab_long_cadena = 20;
  char mab_cadena[mab_long_cadena];
  if (!mab_log_inicia_log()) return;
  mab_Inicializa_estructuras();
  mab_Inicializa_agenda();
  mab_Inicializa_instancias();
  mab_Inicializa_variables();
  mab_Reset();
  while (!mab_agenda_vacia && !mab_halt) {
    if (mab_limit) {
      if (mab_iteracion == mab_limit) {
        mab_log_end_log(mab_elimit);
        exit(1);
      }
      else {
        mab_iteracion++;
      }
    }

    if (mab_steps) {
      if (mab_paso < mab_steps) {
        mab_paso++;
      }
      else {
        fprintf(stdout, "[q]uit, [Intro] or ####>");
        fgets(mab_cadena, mab_long_cadena, stdin);
        switch(mab_cadena[0]) {
        case 'q':
        case 'Q':
          mab_log_end_log(mab_equit);
          exit(1);
          break;
        case '0': case '1': case '2': case '3': case '4':
        case '5': case '6': case '7': case '8': case '9':
          sscanf(mab_cadena, "%d", &mab_steps);
        default:
          mab_paso = 1;
          break;
        }
      }
    }
    mab_Step();
    if (!mab_agenda_vacia)
      mab_log_end_fire();
  }
  if (mab_halt) 
    mab_log_end_log(mab_ehalt);
  else
    mab_log_end_log(mab_eempty);
}

int main(int argc, char *argv[]) {
  int mab_steps = 0;
  int mab_limit = 0;
  int i;

  for (i = 1; i < argc; i++) {
    if (!mab_limit && !strcmp(argv[i], "-limit")) {
      i++;
      mab_limit = atoi(argv[i]);
      if (mab_limit <= 0) {
        fprintf(stderr, "Uso incorrecto. Tras -limit se esperaba un entero positivo\n");
        exit(-1);
      }
    }
    else if (!mab_steps && !strcmp(argv[i], "-steps")) {
      i++;
      mab_steps = atoi(argv[i]);
      if (mab_steps <= 0) {
        fprintf(stderr, "Uso incorrecto. A -steps debe seguirle un valor entero positivo\n");
        exit(-1);
      }
    }
    else {
      fprintf(stderr, "%s %s\n", argv[0], argv[i]);
      fprintf(stderr, "Uso:\n");
      fprintf(stderr, "%s [-limit l] [-steps s]\n", argv[0]);
      fprintf(stderr, "-limit l establece en l el mximo nmero de reglas a disparadar.\n");
      fprintf(stderr, "-steps s establece en s el nmero de reglas a ejecutar antes de la sguiente pausa:\n");
      fprintf(stderr, "  Tras la ejecucin de s pasos el sistema de produccin espera:\n");
      fprintf(stderr, "  q fuerza la salida inmediata-\n");
      fprintf(stderr, "  un entero positivo sobreescribe el nmero de reglas a ejecutar entre pausas.\n");
      fprintf(stderr, "  cualquier otra tecla continua la ejecucin del sistema.\n");
      exit(-1);
    }
  }
  mab(mab_limit, mab_steps);
}
